=== modified file 'MANIFEST.in'
--- MANIFEST.in	2015-12-21 15:33:59 +0000
+++ MANIFEST.in	2016-12-07 12:59:10 +0000
@@ -1,11 +1,6 @@
-graft src/*/static
-graft src/*/templates
-graft src/*/fixtures
-graft src/*/specs
-graft src/provisioningserver/*
-graft src/metadataserver/commissioning
+graft src/maasserver/static
+graft src/maasserver/templates
+graft src/metadataserver/fixtures
+graft src/provisioningserver/templates
 include src/maasserver/migrations/south/django16_south_maas19.tar.gz
-prune src/*/testing
-prune src/*/tests
-prune src/maastesting
-prune src/provisioningserver/*/tests
+include src/provisioningserver/drivers/power/*.xml

=== modified file 'docs/changelog.rst'
--- docs/changelog.rst	2016-11-22 00:53:43 +0000
+++ docs/changelog.rst	2016-12-07 12:59:10 +0000
@@ -2,16 +2,52 @@
 Changelog
 =========
 
+2.1.3
+=====
+
+Bugs fixed in this release
+--------------------------
+
+
+LP: #1582323    Select MAAS datasource specifically to ensure commissioning doesn't fail when competing cloud metadata resides on disk
+
+LP: #1646163    [2.1] Icon need to be improved
+
+LP: #1646162    [2.1] Sticky header has been removed
+
+LP: #1646160    [2.1] Device discovery UI does not have a loading state
+
+LP: #1628126    [2.1, FUJ] Column layout shouldn't resize until screen is smaller than 1440
+
+LP: #1628058    [2.1, FUJ] The form spacing is not compatible to the designs
+
+LP: #1628054    [2.1, FUJ] Section complete/incomplete icon
+
+LP: #1639182    [2.1] log format differs for Yakkety
+
+LP: #1637401    Re-adding virsh chassis to discover new nodes powers down existing nodes
+
+LP: #1642033    IPs with multiple names can corrupt DNS zone data
+
+
 2.1.2
 =====
 
 Bugs fixed in this release
 --------------------------
 
-LP: #1642033    IPs with multiple names can corrupt DNS zone data
+LP: #1516065    Fix IPMI chassis config session timeout issue when configuring the boot device.  Only error on PowerAuthErrors when configuring the IPMI chassis boot order.
 
 LP: #1642996    2.x preseeds with {{escape.shell}} fail if not upgraded at 2.1.1
 
+LP: #1643057    juju2 with maas 2.1.1 LXD containers get wrong ip addresses
+
+LP: #1640300    Be defensive in the postgresql listener when a system notification is received for a none existent handler or missing listener channel.
+
+LP: #1613862    Re-allow configuration of the port where to connect to postgresql.
+
+LP: #1638575    Add two capabilities: bridging-interface-ubuntu and bridging-automatic-ubuntu.
+
 
 2.1.1
 =====

=== modified file 'docs/version.rst'
--- docs/version.rst	2016-05-11 19:01:48 +0000
+++ docs/version.rst	2016-12-07 12:59:10 +0000
@@ -67,3 +67,15 @@
   Deploy nodes with custom network layout and configuration. Available since
   version 1.9 on Ubuntu deployments. See :ref:`networking` for more about this
   feature.
+
+.. _cap_bridging-interface-ubuntu:
+
+``bridging-interface-ubuntu``
+  Deploy nodes, selectively configuring bridges on network interfaces.
+  Available since 2.1 on Ubuntu deployments.
+
+.. _cap_bridging-automatic-ubuntu:
+
+``bridging-automatic-ubuntu``
+  Deploy nodes, automatically configuring bridges on all interfaces.
+  Available since 2.1 on Ubuntu deployments.

=== modified file 'services/rackd/run'
--- services/rackd/run	2016-03-31 23:34:55 +0000
+++ services/rackd/run	2016-12-07 12:59:10 +0000
@@ -30,4 +30,5 @@
 script="$(readlink -f bin/twistd.rack)"
 
 exec $(command -v authbind && echo --deep) \
-    "${script}" --nodaemon --pidfile="" maas-rackd
+    "${script}" --logger=provisioningserver.logger.EventLogger \
+    --nodaemon --pidfile="" maas-rackd

=== modified file 'services/regiond/run'
--- services/regiond/run	2016-06-22 17:03:02 +0000
+++ services/regiond/run	2016-12-07 12:59:10 +0000
@@ -33,4 +33,6 @@
 
 # Exec the MAAS API and Web UI Server.
 script="$(readlink -f bin/twistd.region)"
-exec "${script}" --nodaemon --pidfile="" maas-regiond
+exec "${script}" \
+    --logger=provisioningserver.logger.EventLogger \
+    --nodaemon --pidfile="" maas-regiond

=== modified file 'services/regiond2/run'
--- services/regiond2/run	2016-06-22 17:03:02 +0000
+++ services/regiond2/run	2016-12-07 12:59:10 +0000
@@ -33,4 +33,6 @@
 
 # Exec the MAAS API and Web UI Server.
 script="$(readlink -f bin/twistd.region)"
-exec "${script}" --nodaemon --pidfile="" maas-regiond
+exec "${script}" \
+    --logger=provisioningserver.logger.EventLogger \
+    --nodaemon --pidfile="" maas-regiond

=== modified file 'setup.py'
--- setup.py	2016-10-17 16:42:02 +0000
+++ setup.py	2016-12-07 12:59:10 +0000
@@ -89,6 +89,7 @@
             "*.testing",
             "*.tests",
             "maastesting",
+            "maastesting.*",
         ],
     ),
     package_dir={'': 'src'},

=== modified file 'src/maasserver/api/version.py'
--- src/maasserver/api/version.py	2016-03-28 13:54:47 +0000
+++ src/maasserver/api/version.py	2016-12-07 12:59:10 +0000
@@ -21,6 +21,8 @@
 CAP_DEVICES_MANAGEMENT = 'devices-management'
 CAP_STORAGE_DEPLOYMENT_UBUNTU = 'storage-deployment-ubuntu'
 CAP_NETWORK_DEPLOYMENT_UBUNTU = 'network-deployment-ubuntu'
+CAP_BRIDGING_INTERFACE_UBUNTU = 'bridging-interface-ubuntu'
+CAP_BRIDGING_AUTOMATIC_UBUNTU = 'bridging-automatic-ubuntu'
 
 API_CAPABILITIES_LIST = [
     CAP_NETWORKS_MANAGEMENT,
@@ -29,6 +31,8 @@
     CAP_DEVICES_MANAGEMENT,
     CAP_STORAGE_DEPLOYMENT_UBUNTU,
     CAP_NETWORK_DEPLOYMENT_UBUNTU,
+    CAP_BRIDGING_INTERFACE_UBUNTU,
+    CAP_BRIDGING_AUTOMATIC_UBUNTU,
     ]
 
 

=== modified file 'src/maasserver/forms_interface_link.py'
--- src/maasserver/forms_interface_link.py	2016-10-12 15:26:17 +0000
+++ src/maasserver/forms_interface_link.py	2016-12-07 12:59:10 +0000
@@ -75,7 +75,7 @@
                     'mode', mode_choices),
             })
         if self.instance.vlan is None:
-            self.fields['subnet'].queryset = Subnet.objects.none()
+            self.fields['subnet'].queryset = Subnet.objects.all()
         else:
             self.fields['subnet'].queryset = (
                 self.instance.vlan.subnet_set.all())

=== modified file 'src/maasserver/models/interface.py'
--- src/maasserver/models/interface.py	2016-11-04 20:33:51 +0000
+++ src/maasserver/models/interface.py	2016-12-07 12:59:10 +0000
@@ -858,18 +858,25 @@
         :param user: When alloc_type is set to USER_RESERVED, this user will
             be set on the link.
         """
+        # Allow the interface VLAN to be implied by the subnet VLAN, if we're
+        # setting up the interface for the first time and it doesn't have
+        # a VLAN assigned yet.
+        if self.vlan is None and subnet is not None:
+            self.vlan = subnet.vlan
+            self.save(update_fields=['vlan', 'updated'])
         if mode == INTERFACE_LINK_TYPE.AUTO:
-            return self._link_subnet_auto(subnet)
+            result = self._link_subnet_auto(subnet)
         elif mode == INTERFACE_LINK_TYPE.DHCP:
-            return self._link_subnet_dhcp(subnet)
+            result = self._link_subnet_dhcp(subnet)
         elif mode == INTERFACE_LINK_TYPE.STATIC:
-            return self._link_subnet_static(
+            result = self._link_subnet_static(
                 subnet, ip_address=ip_address,
                 alloc_type=alloc_type, user=user)
         elif mode == INTERFACE_LINK_TYPE.LINK_UP:
-            return self._link_subnet_link_up(subnet)
+            result = self._link_subnet_link_up(subnet)
         else:
             raise ValueError("Unknown mode: %s" % mode)
+        return result
 
     def force_auto_or_dhcp_link(self):
         """Force the interface to come up with an AUTO linked to a subnet on

=== modified file 'src/maasserver/models/tests/test_interface.py'
--- src/maasserver/models/tests/test_interface.py	2016-11-04 20:33:51 +0000
+++ src/maasserver/models/tests/test_interface.py	2016-12-07 12:59:10 +0000
@@ -2045,6 +2045,17 @@
             "IP address is not in the given subnet '%s'." % subnet,
             str(error))
 
+    def test__AUTO_link_sets_vlan_if_vlan_undefined(self):
+        interface = factory.make_Interface(INTERFACE_TYPE.PHYSICAL)
+        network = factory.make_ipv4_network()
+        subnet = factory.make_Subnet(
+            vlan=interface.vlan, cidr=str(network.cidr))
+        interface.vlan = None
+        interface.save()
+        interface.link_subnet(INTERFACE_LINK_TYPE.AUTO, subnet)
+        interface = reload_object(interface)
+        self.assertThat(interface.vlan, Equals(subnet.vlan))
+
     def test__STATIC_not_allowed_if_ip_address_in_dynamic_range(self):
         interface = factory.make_Interface(INTERFACE_TYPE.PHYSICAL)
         subnet = factory.make_ipv4_Subnet_with_IPRanges(vlan=interface.vlan)

=== modified file 'src/maasserver/static/assets/images/icons/account.svg'
--- src/maasserver/static/assets/images/icons/account.svg	2016-06-17 13:12:40 +0000
+++ src/maasserver/static/assets/images/icons/account.svg	2016-12-07 12:59:10 +0000
@@ -1,163 +1,1 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="96"
-   height="96"
-   id="svg4874"
-   version="1.1"
-   inkscape:version="0.91+devel r"
-   viewBox="0 0 96 96.000001"
-   sodipodi:docname="account.svg">
-  <defs
-     id="defs4876" />
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#ffffff"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0.0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="4.4959994"
-     inkscape:cx="-45.195744"
-     inkscape:cy="27.012875"
-     inkscape:document-units="px"
-     inkscape:current-layer="g4780"
-     showgrid="true"
-     showborder="true"
-     fit-margin-top="0"
-     fit-margin-left="0"
-     fit-margin-right="0"
-     fit-margin-bottom="0"
-     inkscape:snap-bbox="true"
-     inkscape:bbox-paths="true"
-     inkscape:bbox-nodes="true"
-     inkscape:snap-bbox-edge-midpoints="true"
-     inkscape:snap-bbox-midpoints="true"
-     inkscape:object-paths="true"
-     inkscape:snap-intersection-paths="true"
-     inkscape:object-nodes="true"
-     inkscape:snap-smooth-nodes="true"
-     inkscape:snap-midpoints="true"
-     inkscape:snap-object-midpoints="true"
-     inkscape:snap-center="true"
-     showguides="true"
-     inkscape:guide-bbox="true">
-    <inkscape:grid
-       type="xygrid"
-       id="grid5451"
-       empspacing="8" />
-    <sodipodi:guide
-       orientation="1,0"
-       position="8,-8.0000001"
-       id="guide4063" />
-    <sodipodi:guide
-       orientation="1,0"
-       position="4,-8.0000001"
-       id="guide4065" />
-    <sodipodi:guide
-       orientation="0,1"
-       position="-8,88.000001"
-       id="guide4067" />
-    <sodipodi:guide
-       orientation="0,1"
-       position="-8,92.000001"
-       id="guide4069" />
-    <sodipodi:guide
-       orientation="0,1"
-       position="104,4"
-       id="guide4071" />
-    <sodipodi:guide
-       orientation="0,1"
-       position="-5,8.0000001"
-       id="guide4073" />
-    <sodipodi:guide
-       orientation="1,0"
-       position="92,-8.0000001"
-       id="guide4075" />
-    <sodipodi:guide
-       orientation="1,0"
-       position="88,-8.0000001"
-       id="guide4077" />
-    <sodipodi:guide
-       orientation="0,1"
-       position="-8,84.000001"
-       id="guide4074" />
-    <sodipodi:guide
-       orientation="1,0"
-       position="12,-8.0000001"
-       id="guide4076" />
-    <sodipodi:guide
-       orientation="0,1"
-       position="-5,12"
-       id="guide4078" />
-    <sodipodi:guide
-       orientation="1,0"
-       position="84,-9.0000001"
-       id="guide4080" />
-    <sodipodi:guide
-       position="48,-8.0000001"
-       orientation="1,0"
-       id="guide4170" />
-    <sodipodi:guide
-       position="-8,48"
-       orientation="0,1"
-       id="guide4172" />
-  </sodipodi:namedview>
-  <metadata
-     id="metadata4879">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title></dc:title>
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer"
-     id="layer1"
-     transform="translate(67.857146,-78.50504)">
-    <g
-       transform="matrix(0,-1,-1,0,373.50506,516.50504)"
-       id="g4845"
-       style="display:inline">
-      <g
-         inkscape:export-ydpi="90"
-         inkscape:export-xdpi="90"
-         inkscape:export-filename="next01.png"
-         transform="matrix(-0.9996045,0,0,1,575.94296,-611.00001)"
-         id="g4778"
-         inkscape:label="Layer 1">
-        <g
-           transform="matrix(-1,0,0,1,575.99999,611)"
-           id="g4780"
-           style="display:inline">
-          <rect
-             style="color:#000000;display:inline;overflow:visible;visibility:visible;fill:none;stroke:none;stroke-width:4;marker:none;enable-background:accumulate"
-             id="rect4782"
-             width="96.037987"
-             height="96"
-             x="-438.00244"
-             y="345.36221"
-             transform="scale(-1,1)" />
-          <path
-             style="color:#000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;font-variant-ligatures:none;font-variant-position:normal;font-variant-caps:normal;font-variant-numeric:normal;font-variant-alternates:normal;font-feature-settings:normal;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:#000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;shape-padding:0;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:1;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:#000000;solid-opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:3.99999976;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate"
-             d="M 48 6 C 24.82764 6 6 24.828928 6 48 C 6 71.171082 24.82764 89.998047 48 89.998047 C 71.17236 89.998047 90 71.171082 90 48 C 90 24.828928 71.17236 6 48 6 z M 48 10 C 69.00932 10 85.998047 26.989403 85.998047 48 C 85.998047 57.324357 82.648284 65.851966 77.089844 72.458984 C 75.880399 69.673828 74.236761 67.15858 72.150391 64.964844 C 70.195161 62.90257 67.842233 61.175943 65.132812 59.773438 C 63.988713 60.779809 62.745307 61.673028 61.435547 62.455078 C 64.623787 63.819518 67.211024 65.571799 69.246094 67.71875 L 69.248047 67.720703 C 71.409661 69.993565 72.998691 72.621656 74.058594 75.660156 C 67.25845 82.068727 58.096807 86 48 86 C 37.865395 86 28.674972 82.039109 21.867188 75.587891 C 22.989919 72.575434 24.572755 69.964739 26.646484 67.712891 C 28.854784 65.385362 31.702026 63.514105 35.273438 62.107422 C 38.780366 60.7261 43.004713 60.001131 47.96875 59.998047 C 47.979327 59.998061 47.989419 60 48 60 C 50.88645 60 53.612664 59.492346 56.121094 58.458984 L 56.136719 58.451172 L 56.154297 58.441406 C 58.643607 57.361963 60.814206 55.824859 62.603516 53.865234 C 64.444386 51.90392 65.862453 49.563353 66.845703 46.898438 C 67.839643 44.204633 68.322266 41.226383 68.322266 38 L 68.322266 37.998047 C 68.322266 34.817245 67.838143 31.865537 66.845703 29.175781 C 65.865123 26.469732 64.449412 24.102715 62.607422 22.138672 C 60.814712 20.174289 58.633466 18.656792 56.134766 17.625 C 53.624206 16.539509 50.89156 16 48 16 C 45.10848 16 42.375774 16.539509 39.865234 17.625 C 37.366424 18.656772 35.164892 20.167924 33.326172 22.125 L 33.316406 22.136719 L 33.304688 22.148438 C 31.512838 24.115219 30.129071 26.479584 29.150391 29.183594 L 29.148438 29.1875 C 28.158817 31.874207 27.677734 34.821724 27.677734 37.998047 C 27.677734 41.22443 28.158384 44.204633 29.152344 46.898438 C 30.132624 49.555276 31.518107 51.890568 33.304688 53.851562 L 33.316406 53.863281 L 33.326172 53.873047 C 34.554402 55.180354 35.946613 56.295627 37.476562 57.216797 C 36.203111 57.542023 34.976694 57.926624 33.808594 58.386719 C 29.779014 59.973861 26.393928 62.163006 23.736328 64.966797 L 23.726562 64.978516 L 23.716797 64.990234 C 21.709351 67.16698 20.094685 69.651154 18.861328 72.400391 C 13.332773 65.801675 10.001958 57.296418 10.001953 48 C 10.001953 26.989403 26.99069 10 48 10 z M 48 19.998047 C 50.40753 19.998047 52.57292 20.436059 54.5625 21.298828 L 54.580078 21.306641 L 54.595703 21.314453 C 56.591283 22.136548 58.256599 23.297094 59.662109 24.839844 L 59.671875 24.851562 L 59.681641 24.863281 C 61.135141 26.410299 62.268621 28.281981 63.087891 30.546875 L 63.089844 30.554688 L 63.09375 30.560547 C 63.90341 32.754919 64.320312 35.222209 64.320312 38 C 64.320312 40.82987 63.90191 43.323378 63.09375 45.513672 C 62.27613 47.729685 61.141471 49.582973 59.681641 51.136719 L 59.671875 51.148438 L 59.662109 51.160156 C 58.253889 52.705905 56.579012 53.89482 54.576172 54.765625 C 52.584432 55.583162 50.41227 56 48 56 C 45.58707 56 43.414065 55.583621 41.421875 54.765625 C 39.419395 53.89481 37.715406 52.69911 36.253906 51.146484 C 34.842036 49.593449 33.7259 47.735133 32.90625 45.513672 C 32.09808 43.323378 31.679688 40.82987 31.679688 38 C 31.679688 35.222209 32.09658 32.754919 32.90625 30.560547 L 32.908203 30.554688 L 32.912109 30.546875 C 33.733279 28.276793 34.848186 26.399894 36.253906 24.853516 C 37.713036 23.303549 39.408717 22.136538 41.404297 21.314453 L 41.419922 21.306641 L 41.4375 21.298828 C 43.42706 20.436059 45.59251 19.998047 48 19.998047 z "
-             transform="matrix(0,-1,-1.0003957,0,438.00245,441.36222)"
-             id="path4116" />
-        </g>
-      </g>
-    </g>
-  </g>
-</svg>
+<svg xmlns="http://www.w3.org/2000/svg" width="96" height="96" viewBox="0 0 96 96.000001"><g color="#000"><path overflow="visible" fill="none" d="M96 0v96H0V0z"/><path style="line-height:normal;font-variant-ligatures:none;font-variant-position:normal;font-variant-caps:normal;font-variant-numeric:normal;font-variant-alternates:normal;font-feature-settings:normal;text-indent:0;text-align:start;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:#000;text-transform:none;block-progression:tb;shape-padding:0;isolation:auto;mix-blend-mode:normal" d="M48 6C24.828 6 6 24.83 6 48s18.828 41.998 42 41.998S90 71.17 90 48C90 24.83 71.172 6 48 6zm0 4c21.01 0 37.998 16.99 37.998 38 0 9.324-3.35 17.852-8.908 24.46a25.598 25.598 0 0 0-4.94-7.495c-1.955-2.062-4.308-3.79-7.017-5.192a24.975 24.975 0 0 1-3.697 2.682c3.188 1.365 5.775 3.117 7.81 5.264h.002c2.162 2.274 3.75 4.902 4.81 7.94C67.26 82.07 58.1 86 48 86c-10.135 0-19.325-3.96-26.133-10.412 1.123-3.013 2.706-5.623 4.78-7.875 2.208-2.328 5.055-4.2 8.626-5.606 3.507-1.38 7.732-2.106 12.696-2.11L48 60c2.886 0 5.613-.508 8.12-1.54l.017-.01.017-.01c2.49-1.078 4.66-2.615 6.45-4.575 1.84-1.96 3.258-4.302 4.242-6.967.994-2.693 1.476-5.672 1.476-8.898v-.002c0-3.18-.484-6.132-1.476-8.822-.98-2.706-2.397-5.073-4.24-7.037-1.79-1.966-3.973-3.483-6.47-4.515C53.623 16.54 50.89 16 48 16c-2.892 0-5.624.54-8.135 1.625a18.703 18.703 0 0 0-6.54 4.5l-.01.012-.01.01c-1.792 1.968-3.176 4.333-4.155 7.037l-.002.004c-.99 2.686-1.47 5.634-1.47 8.81 0 3.226.48 6.207 1.474 8.9.98 2.657 2.366 4.993 4.153 6.954l.01.01.01.01a19.447 19.447 0 0 0 4.152 3.345c-1.274.325-2.5.71-3.668 1.17-4.03 1.587-7.416 3.776-10.074 6.58l-.01.012-.01.01c-2.007 2.177-3.62 4.66-4.855 7.41a37.86 37.86 0 0 1-8.858-24.4c0-21.01 16.99-38 37.998-38zm0 9.998c2.408 0 4.573.438 6.562 1.3l.018.01.016.006c1.995.823 3.66 1.983 5.066 3.526l.01.012.01.01c1.453 1.548 2.587 3.42 3.406 5.685l.002.008.004.006c.81 2.195 1.226 4.662 1.226 7.44 0 2.83-.418 5.323-1.226 7.514-.818 2.216-1.953 4.07-3.412 5.623l-.01.01-.01.013c-1.408 1.546-3.083 2.735-5.086 3.606C52.584 55.583 50.412 56 48 56c-2.413 0-4.586-.416-6.578-1.234a15.41 15.41 0 0 1-5.168-3.62c-1.412-1.553-2.528-3.41-3.348-5.632-.808-2.19-1.226-4.684-1.226-7.514 0-2.778.417-5.245 1.226-7.44l.002-.005.004-.008c.82-2.27 1.936-4.147 3.342-5.693a14.599 14.599 0 0 1 5.15-3.54l.016-.007.017-.008c1.99-.864 4.156-1.302 6.563-1.302z" font-family="sans-serif" white-space="normal" overflow="visible" solid-color="#000000" fill="gray"/></g></svg>
\ No newline at end of file

=== modified file 'src/maasserver/static/assets/images/icons/add-logical-volume.svg'
--- src/maasserver/static/assets/images/icons/add-logical-volume.svg	2016-06-15 10:39:24 +0000
+++ src/maasserver/static/assets/images/icons/add-logical-volume.svg	2016-12-07 12:59:10 +0000
@@ -1,91 +1,1 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="16.000025"
-   height="16.000027"
-   viewBox="0 0 4.2333398 4.2333403"
-   version="1.1"
-   id="svg5996"
-   inkscape:version="0.91+devel r"
-   sodipodi:docname="add-logical-volume_16    .svg">
-  <defs
-     id="defs5990" />
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#ffffff"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0.0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="24.286129"
-     inkscape:cx="7.96957"
-     inkscape:cy="-3.9816965"
-     inkscape:document-units="mm"
-     inkscape:current-layer="layer1"
-     showgrid="false"
-     fit-margin-top="0"
-     fit-margin-left="0"
-     fit-margin-right="0"
-     fit-margin-bottom="0"
-     units="px" />
-  <metadata
-     id="metadata5993">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title></dc:title>
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer"
-     id="layer1"
-     transform="translate(138.94405,140.54524)">
-    <g
-       style="display:inline;fill:#df382c"
-       id="g5882"
-       transform="matrix(0.17638886,0,0,-0.17638886,-158.6996,-11.364702)">
-      <rect
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:0.12000002;fill:none;stroke:none;stroke-width:4;marker:none;enable-background:accumulate"
-         id="rect5880"
-         width="23.999994"
-         height="23.999994"
-         x="708.36218"
-         y="-135.99998"
-         transform="rotate(90)" />
-    </g>
-    <path
-       sodipodi:nodetypes="ccccccccccccc"
-       inkscape:connector-curvature="0"
-       style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.05833328;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-       d="m -135.76905,-138.16399 v 0.79375 h -0.79375 v 0.26458 h 0.79375 v 0.79375 h 0.26459 v -0.79375 h 0.79375 v -0.26458 h -0.79375 v -0.79375 z"
-       id="path5888" />
-    <path
-       inkscape:connector-curvature="0"
-       style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.05833328;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-       d="m -136.5628,-140.54524 v 1.85208 h 1.85209 v -1.85208 z m 0.26459,0.26458 h 1.32291 v 1.32292 h -1.32291 z"
-       id="path5892" />
-    <path
-       id="path5901"
-       d="m -138.94405,-140.54524 v 1.85208 h 1.85209 v -1.85208 z m 0.26459,0.26458 h 1.32291 v 1.32292 h -1.32291 z"
-       style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.05833328;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-       inkscape:connector-curvature="0" />
-    <path
-       inkscape:connector-curvature="0"
-       style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.05833328;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-       d="m -138.94405,-138.16399 v 1.85208 h 1.85209 v -1.85208 z m 0.26459,0.26458 h 1.32291 v 1.32292 h -1.32291 z"
-       id="path5903" />
-  </g>
-</svg>
+<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 4.2333398 4.2333403"><path color="#000" overflow="visible" opacity=".12" fill="none" d="M4.233 4.233V0H0v4.233z"/><path d="M3.175 2.38v.795H2.38v.265h.795v.793h.265V3.44h.793v-.265H3.44V2.38zM2.38 0v1.852h1.853V0zm.266.265H3.97v1.323H2.645zM0 0v1.852h1.852V0zm.265.265h1.323v1.323H.264zM0 2.38v1.853h1.852V2.38zm.265.266h1.323V3.97H.264z" color="#000" overflow="visible" fill="gray"/></svg>
\ No newline at end of file

=== modified file 'src/maasserver/static/assets/images/icons/add-partition.svg'
--- src/maasserver/static/assets/images/icons/add-partition.svg	2016-06-15 10:39:24 +0000
+++ src/maasserver/static/assets/images/icons/add-partition.svg	2016-12-07 12:59:10 +0000
@@ -1,117 +1,1 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="16.000025"
-   height="15.999993"
-   viewBox="0 0 4.2333398 4.2333315"
-   version="1.1"
-   id="svg5996"
-   inkscape:version="0.91+devel r"
-   sodipodi:docname="add-partition_16.svg">
-  <defs
-     id="defs5990" />
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#ffffff"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0.0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="24.286129"
-     inkscape:cx="34.333967"
-     inkscape:cy="10.194666"
-     inkscape:document-units="mm"
-     inkscape:current-layer="layer1"
-     showgrid="false"
-     fit-margin-top="0"
-     fit-margin-left="0"
-     fit-margin-right="0"
-     fit-margin-bottom="0"
-     units="px" />
-  <metadata
-     id="metadata5993">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title></dc:title>
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer"
-     id="layer1"
-     transform="translate(145.91963,136.7944)">
-    <g
-       transform="matrix(0.17638886,0,0,-0.17638886,-165.67518,-7.6138726)"
-       id="g5929"
-       style="display:inline;fill:#df382c">
-      <rect
-         transform="rotate(90)"
-         y="-135.99998"
-         x="708.36218"
-         height="23.999994"
-         width="23.999994"
-         id="rect5927"
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:0.12000002;fill:none;stroke:none;stroke-width:4;marker:none;enable-background:accumulate" />
-    </g>
-    <path
-       sodipodi:nodetypes="ccccccccccccc"
-       inkscape:connector-curvature="0"
-       id="path5932"
-       d="m -145.91963,-136.00066 v 2.64583 h 1.85209 v -0.26458 h -0.26459 -0.52916 -0.79375 v -2.11667 h 0.79375 0.52916 0.26459 v -0.26458 z"
-       style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.05833328;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate" />
-    <path
-       sodipodi:nodetypes="ccccccccccccc"
-       inkscape:connector-curvature="0"
-       style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.05833328;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-       d="m -142.74463,-135.47149 v 0.79375 h -0.79375 v 0.26458 h 0.79375 v 0.79375 h 0.26459 v -0.79375 h 0.79375 v -0.26458 h -0.79375 v -0.79375 z"
-       id="path5962" />
-    <rect
-       y="-136.52983"
-       x="-144.06755"
-       height="0.52916664"
-       width="0.26458332"
-       id="rect5965"
-       style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:0.26458332;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate" />
-    <rect
-       style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:0.26458332;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-       id="rect5967"
-       width="0.26458332"
-       height="0.52916664"
-       x="-144.06755"
-       y="-135.73608" />
-    <rect
-       y="-134.94232"
-       x="-144.06755"
-       height="0.52916664"
-       width="0.26458332"
-       id="rect5969"
-       style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:0.26458332;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate" />
-    <rect
-       style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:0.26458332;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-       id="rect5971"
-       width="0.26458332"
-       height="0.52916664"
-       x="-144.06755"
-       y="-134.14857" />
-    <rect
-       y="-133.35483"
-       x="-144.06755"
-       height="0.52916664"
-       width="0.26458332"
-       id="rect5974"
-       style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:0.26458332;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate" />
-  </g>
-</svg>
+<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 4.2333398 4.2333315"><path color="#000" overflow="visible" opacity=".12" fill="none" d="M4.233 4.233V0H0v4.233z"/><path d="M0 .794V3.44h1.852v-.265H.265V1.058h1.587V.794zm3.175.529v.794H2.38v.264h.795v.795h.265V2.38h.793v-.263H3.44v-.794zM1.852.264h.265v.53h-.265z" color="#000" overflow="visible" fill="gray"/><path color="#000" overflow="visible" fill="gray" d="M1.852 1.058h.265v.53h-.265zm0 .794h.265v.53h-.265zm0 .793h.265v.53h-.265zm0 .795h.265v.528h-.265z"/></svg>
\ No newline at end of file

=== modified file 'src/maasserver/static/assets/images/icons/add.svg'
--- src/maasserver/static/assets/images/icons/add.svg	2016-06-15 10:39:24 +0000
+++ src/maasserver/static/assets/images/icons/add.svg	2016-12-07 12:59:10 +0000
@@ -1,24 +1,1 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<svg width="20px" height="20px" viewBox="0 0 20 20" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:sketch="http://www.bohemiancoding.com/sketch/ns">
-    <!-- Generator: Sketch 3.3.3 (12072) - http://www.bohemiancoding.com/sketch -->
-    <title>remove icon copy</title>
-    <desc>Created with Sketch.</desc>
-    <defs></defs>
-    <g id="Storage-buttons-left" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd" sketch:type="MSPage">
-        <g id="04.2-creating-lv" sketch:type="MSArtboardGroup" transform="translate(-1212.000000, -1844.000000)" fill="#B2B2B2">
-            <g id="Normal" sketch:type="MSLayerGroup" transform="translate(-16.000000, -11.000000)">
-                <g id="Storage-Copy" transform="translate(14.000000, 1273.000000)" sketch:type="MSShapeGroup">
-                    <g id="Avilable-disks-and-partitions" transform="translate(202.000000, 258.000000)">
-                        <g id="table-all">
-                            <g id="network-row-copy-3" transform="translate(0.000000, 313.000000)">
-                                <g id="actions-copy-5" transform="translate(990.000000, 10.000000)">
-                                    <path d="M37.1483077,4 L31.4190769,9.72923077 L25.6898462,4 L24,5.68984615 L29.7292308,11.4203077 L24,17.1495385 L25.6898462,18.8393846 L31.4190769,13.1101538 L37.1483077,18.8393846 L38.8393846,17.1495385 L33.1089231,11.4203077 L38.8393846,5.68984615 L37.1483077,4 Z" id="remove-icon-copy" transform="translate(32.000000, 12.000000) rotate(-315.000000) translate(-32.000000, -12.000000) "></path>
-                                </g>
-                            </g>
-                        </g>
-                    </g>
-                </g>
-            </g>
-        </g>
-    </g>
-</svg>
\ No newline at end of file
+<svg width="20" height="20" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><title>add</title><g fill="gray" fill-rule="evenodd"><path d="M20 9v2H0V9z"/><path d="M11 20H9V0h2z"/></g></svg>
\ No newline at end of file

=== modified file 'src/maasserver/static/assets/images/icons/cross-orange.svg'
--- src/maasserver/static/assets/images/icons/cross-orange.svg	2016-08-25 16:28:22 +0000
+++ src/maasserver/static/assets/images/icons/cross-orange.svg	2016-12-07 12:59:10 +0000
@@ -1,10 +1,1 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<svg width="11px" height="10px" viewBox="0 0 11 10" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:sketch="http://www.bohemiancoding.com/sketch/ns">
-    <!-- Generator: Sketch 3.3.2 (12043) - http://www.bohemiancoding.com/sketch -->
-    <title>Imported Layers</title>
-    <desc>Created with Sketch.</desc>
-    <defs></defs>
-    <g id="Page-1" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd" sketch:type="MSPage">
-        <path d="M2,1 L10,9 M10,1 L2,9" id="Imported-Layers" stroke="#DD4814" stroke-width="3" stroke-linejoin="round" sketch:type="MSShapeGroup"></path>
-    </g>
-</svg>
\ No newline at end of file
+<svg width="11" height="10" viewBox="0 0 11 10" xmlns="http://www.w3.org/2000/svg"><title>Imported Layers</title><path d="M2 1l8 8m0-8L2 9" stroke="#DD4814" stroke-width="3" stroke-linejoin="round" fill="none" fill-rule="evenodd"/></svg>
\ No newline at end of file

=== modified file 'src/maasserver/static/assets/images/icons/cross.svg'
--- src/maasserver/static/assets/images/icons/cross.svg	2016-06-15 10:39:24 +0000
+++ src/maasserver/static/assets/images/icons/cross.svg	2016-12-07 12:59:10 +0000
@@ -1,18 +1,1 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<svg width="11px" height="10px" viewBox="0 0 11 10" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:sketch="http://www.bohemiancoding.com/sketch/ns">
-    <!-- Generator: Sketch 3.3.2 (12043) - http://www.bohemiancoding.com/sketch -->
-    <title>Imported Layers Copy</title>
-    <desc>Created with Sketch.</desc>
-    <defs></defs>
-    <g id="Machine-details" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd" sketch:type="MSPage">
-        <g id="06-maas-machine-details-copy-7" sketch:type="MSArtboardGroup" transform="translate(-390.000000, -456.000000)" stroke="#888888" stroke-width="3" stroke-linejoin="round">
-            <g id="tags" sketch:type="MSLayerGroup" transform="translate(0.000000, 50.000000)">
-                <g id="field" transform="translate(300.000000, 393.000000)" sketch:type="MSShapeGroup">
-                    <g id="production-tag" transform="translate(0.000000, 9.000000)">
-                        <path d="M92,5 L100,13 M100,5 L92,13" id="Imported-Layers-Copy"></path>
-                    </g>
-                </g>
-            </g>
-        </g>
-    </g>
-</svg>
\ No newline at end of file
+<svg width="11" height="10" viewBox="0 0 11 10" xmlns="http://www.w3.org/2000/svg"><title>Imported Layers Copy</title><path d="M2 1l8 8m0-8L2 9" stroke="#888" stroke-width="3" stroke-linejoin="round" fill="none"/></svg>
\ No newline at end of file

=== modified file 'src/maasserver/static/assets/images/icons/cross_orange.svg'
--- src/maasserver/static/assets/images/icons/cross_orange.svg	2016-06-15 10:39:24 +0000
+++ src/maasserver/static/assets/images/icons/cross_orange.svg	2016-12-07 12:59:10 +0000
@@ -1,10 +1,1 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<svg width="11px" height="10px" viewBox="0 0 11 10" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:sketch="http://www.bohemiancoding.com/sketch/ns">
-    <!-- Generator: Sketch 3.3.2 (12043) - http://www.bohemiancoding.com/sketch -->
-    <title>Imported Layers</title>
-    <desc>Created with Sketch.</desc>
-    <defs></defs>
-    <g id="Page-1" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd" sketch:type="MSPage">
-        <path d="M2,1 L10,9 M10,1 L2,9" id="Imported-Layers" stroke="#DD4814" stroke-width="3" stroke-linejoin="round" sketch:type="MSShapeGroup"></path>
-    </g>
-</svg>
\ No newline at end of file
+<svg width="11" height="10" viewBox="0 0 11 10" xmlns="http://www.w3.org/2000/svg"><title>Imported Layers</title><path d="M2 1l8 8m0-8L2 9" stroke="#DD4814" stroke-width="3" stroke-linejoin="round" fill="none"/></svg>
\ No newline at end of file

=== modified file 'src/maasserver/static/assets/images/icons/debug.svg'
--- src/maasserver/static/assets/images/icons/debug.svg	2016-06-15 10:39:24 +0000
+++ src/maasserver/static/assets/images/icons/debug.svg	2016-12-07 12:59:10 +0000
@@ -1,18 +1,1 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<svg width="16px" height="16px" viewBox="0 0 16 16" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:sketch="http://www.bohemiancoding.com/sketch/ns">
-    <!-- Generator: Sketch 3.2.2 (9983) - http://www.bohemiancoding.com/sketch -->
-    <title>debug icon 8@2x</title>
-    <desc>Created with Sketch.</desc>
-    <defs></defs>
-    <g id="Machine-events" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd" sketch:type="MSPage">
-        <g id="01-maas-machine-details" sketch:type="MSArtboardGroup" transform="translate(-128.000000, -1057.000000)" fill="#808080">
-            <g id="Latest-events" sketch:type="MSLayerGroup" transform="translate(123.000000, 226.000000)">
-                <g id="table-all" sketch:type="MSShapeGroup">
-                    <g id="event-row-21" transform="translate(0.000000, 819.000000)">
-                        <path d="M16.6730384,24.9941301 L19.679,28.00001 L20.9933,26.68371 L17.9891761,23.6794228 C18.6258186,22.7817915 19.0000424,21.6849483 19.0000424,20.5007 C19.0000424,17.4626946 16.5372777,14.9999018 13.4993,14.9999018 C10.4613223,14.9999018 7.9985576,17.4626946 7.9985576,20.5007 C7.9985576,23.5387054 10.4613223,26.0014982 13.4993,26.0014982 C14.68136,26.0014982 15.7763359,25.6286451 16.6730384,24.9941301 L16.6730384,24.9941301 Z M9.2485576,20.5007 C9.2485576,18.1530474 11.1516814,16.2499018 13.4993,16.2499018 C15.8469186,16.2499018 17.7500424,18.1530474 17.7500424,20.5007 C17.7500424,22.8483526 15.8469186,24.7514982 13.4993,24.7514982 C11.1516814,24.7514982 9.2485576,22.8483526 9.2485576,20.5007 Z M11,21.00003 L16,21.00003 L16,22.00003 L11,22.00003 L11,21.00003 Z M11,19.00003 L16,19.00003 L16,20.00003 L11,20.00003 L11,19.00003 Z M9.7109375,12 C7.8444375,12 6.6446406,12.0948038 5.86914062,12.8710938 C5.09364062,13.6474238 5,14.8464637 5,16.7148438 L5,21.2832031 C5,23.151583 5.09404062,24.350633 5.86914062,25.126953 C6.5367333,25.79526 7.5488947,25.951489 9,25.984375 L9,24.982422 C7.6731994,24.938493 6.9246419,24.770677 6.5761719,24.421875 C6.1671719,24.012395 6,23.104013 6,21.2832031 L6,16.7148438 C6,14.8940337 6.1671719,13.987615 6.5761719,13.578125 C6.9852719,13.168635 7.8920375,13 9.7109375,13 L14.2871094,13 C16.105909,13 17.012875,13.168645 17.421875,13.578125 C17.770008,13.9265896 17.936239,14.6745704 17.980469,16 L18.986328,16 C18.953465,14.5493611 18.79573,13.5389848 18.128906,12.8710938 C17.353406,12.0947638 16.153609,12 14.2871094,12 L9.7109375,12 Z" id="debug-icon-8"></path>
-                    </g>
-                </g>
-            </g>
-        </g>
-    </g>
-</svg>
\ No newline at end of file
+<svg width="16" height="16" viewBox="0 0 16 16" xmlns="http://www.w3.org/2000/svg"><title>debug icon 8@2x</title><path d="M11.673 12.994L14.68 16l1.313-1.316-3.004-3.005A5.501 5.501 0 0 0 8.5 3C5.46 3 3 5.463 3 8.5 3 11.54 5.46 14 8.5 14c1.18 0 2.276-.37 3.173-1.006zM4.25 8.5a4.25 4.25 0 1 1 8.5 0 4.25 4.25 0 0 1-8.5 0zM6 9h5v1H6V9zm0-2h5v1H6V7zM4.71 0C2.845 0 1.646.095.87.87.093 1.648 0 2.847 0 4.716v4.568c0 1.87.094 3.068.87 3.844.667.668 1.68.824 3.13.857v-1.002c-1.327-.044-2.075-.21-2.424-.56-.41-.41-.576-1.318-.576-3.14V4.716c0-1.82.167-2.727.576-3.137C1.986 1.168 2.892 1 4.71 1h4.577c1.82 0 2.726.17 3.135.578.348.35.514 1.097.558 2.422h1.006c-.033-1.45-.19-2.46-.857-3.13C12.352.096 11.153 0 9.286 0H4.71z" fill="gray" fill-rule="evenodd"/></svg>
\ No newline at end of file

=== modified file 'src/maasserver/static/assets/images/icons/delete.svg'
--- src/maasserver/static/assets/images/icons/delete.svg	2016-06-15 10:39:24 +0000
+++ src/maasserver/static/assets/images/icons/delete.svg	2016-12-07 12:59:10 +0000
@@ -1,178 +1,1 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="16"
-   height="15.999999"
-   id="svg5918"
-   version="1.1"
-   inkscape:version="0.91pre2 r"
-   viewBox="0 0 16 15.999999"
-   sodipodi:docname="delete_16.svg">
-  <defs
-     id="defs5920">
-    <clipPath
-       id="clipPath16"
-       clipPathUnits="userSpaceOnUse">
-      <path
-         inkscape:connector-curvature="0"
-         id="path18"
-         d="m 0,595.28 841.89,0 L 841.89,0 0,0 0,595.28 Z" />
-    </clipPath>
-    <clipPath
-       id="clipPath16-0"
-       clipPathUnits="userSpaceOnUse">
-      <path
-         inkscape:connector-curvature="0"
-         id="path18-1"
-         d="m 0,595.28 841.89,0 L 841.89,0 0,0 0,595.28 Z" />
-    </clipPath>
-    <clipPath
-       id="clipPath16-9"
-       clipPathUnits="userSpaceOnUse">
-      <path
-         inkscape:connector-curvature="0"
-         id="path18-3"
-         d="m 0,595.28 841.89,0 L 841.89,0 0,0 0,595.28 Z" />
-    </clipPath>
-    <clipPath
-       id="clipPath16-7"
-       clipPathUnits="userSpaceOnUse">
-      <path
-         inkscape:connector-curvature="0"
-         id="path18-7"
-         d="m 0,595.28 841.89,0 L 841.89,0 0,0 0,595.28 Z" />
-    </clipPath>
-  </defs>
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#dedede"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="30.357661"
-     inkscape:cx="6.114383"
-     inkscape:cy="7.4631759"
-     inkscape:document-units="px"
-     inkscape:current-layer="g5346"
-     showgrid="true"
-     fit-margin-top="0"
-     fit-margin-left="0"
-     fit-margin-right="0"
-     fit-margin-bottom="0.2"
-     inkscape:snap-bbox="true"
-     inkscape:bbox-paths="true"
-     inkscape:bbox-nodes="true"
-     inkscape:snap-bbox-edge-midpoints="true"
-     inkscape:snap-bbox-midpoints="true"
-     inkscape:object-paths="true"
-     inkscape:snap-intersection-paths="true"
-     inkscape:object-nodes="true"
-     inkscape:snap-smooth-nodes="true"
-     inkscape:snap-midpoints="true"
-     inkscape:snap-object-midpoints="true"
-     inkscape:snap-center="true">
-    <inkscape:grid
-       type="xygrid"
-       id="grid4137"
-       originx="-0.00011296354px"
-       originy="-8.999973px" />
-  </sodipodi:namedview>
-  <metadata
-     id="metadata5923">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title></dc:title>
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer"
-     id="layer1"
-     transform="translate(-182.93849,-560.7201)">
-    <g
-       style="display:inline"
-       transform="matrix(0.66666607,0,0,0.66666668,-633.06096,6.8119427)"
-       id="g5687" />
-    <g
-       style="display:inline"
-       id="g5346"
-       transform="translate(-769.06151,404.35792)">
-      <g
-         style="display:inline"
-         id="g4693"
-         transform="translate(760,-280)">
-        <rect
-           y="436.36218"
-           x="192"
-           height="15.999984"
-           width="16"
-           id="rect4559"
-           style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:0.11400003;fill:none;stroke:none;stroke-width:7.5;marker:none;enable-background:accumulate" />
-        <rect
-           style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:0.11400003;fill:none;stroke:none;stroke-width:7.5;marker:none;enable-background:accumulate"
-           id="rect4561"
-           width="16"
-           height="15.999984"
-           x="192"
-           y="436.36218" />
-        <rect
-           y="436.36218"
-           x="192"
-           height="16"
-           width="16"
-           id="rect4563"
-           style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:0.11400003;fill:none;stroke:none;stroke-width:6;marker:none;enable-background:accumulate" />
-        <path
-           style="color:#000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:#000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:1;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:#000000;solid-opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.5;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate"
-           d="m 193.99999,440.36133 0,1 2,0 0,-1 -2,0 z m 11,0 0,1 2,0 0,-1 -2,0 z m -11,2 0,8.50586 c 0,0.82235 0.67765,1.5 1.5,1.5 l 10,0 c 0.82235,0 1.5,-0.67765 1.5,-1.5 l 0,-8.50586 -2,0 0,7.50586 c 0,0.28565 -0.21435,0.5 -0.5,0.5 l -8,0 c -0.28565,0 -0.5,-0.21435 -0.5,-0.5 l 0,-7.50586 -2,0 z"
-           id="rect4573"
-           inkscape:connector-curvature="0" />
-        <path
-           style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-           d="m 197.99999,436.36133 0,1 0,2 1,0 0,-2 3,0 0,2 1,0 0,-2 0,-1 -1,0 -3,0 -1,0 z"
-           id="rect4593"
-           inkscape:connector-curvature="0" />
-        <rect
-           style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-           id="rect4595"
-           width="1"
-           height="5.9999914"
-           x="197"
-           y="442.36218" />
-        <rect
-           y="442.36218"
-           x="200"
-           height="5.9999914"
-           width="1"
-           id="rect4597"
-           style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate" />
-        <rect
-           style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-           id="rect4599"
-           width="1"
-           height="5.9999914"
-           x="203"
-           y="442.36218" />
-        <path
-           style="color:#000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:#000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:1;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:#000000;solid-opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.5;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate"
-           d="m 195.49999,438.36133 c -0.82235,0 -1.5,0.67764 -1.5,1.5 l 0,0.5 0,1 13,0 0,-1 0,-0.5 c 0,-0.82236 -0.67765,-1.5 -1.5,-1.5 l -10,0 z m -1.5,4 0,8.00586 2,0 0,-8.00586 -2,0 z m 11,0 0,8.00586 2,0 0,-8.00586 -2,0 z"
-           id="path4648"
-           inkscape:connector-curvature="0" />
-      </g>
-    </g>
-  </g>
-</svg>
+<svg width="19" height="24" viewBox="0 0 19 24" xmlns="http://www.w3.org/2000/svg"><title>remove</title><g fill="gray" fill-rule="evenodd"><path d="M1 5v15.898C1 24 2.067 24 4.733 24h9.534C16.933 24 18 24 18 20.9V5H1zm2 1.6h2V18h1V6.6h3V18h1V6.6h3V18h1V6.6h2v13.216C16 22 15.884 22 13.77 22H5.23C3.117 22 3 22 3 19.816V6.6z"/><path d="M0 5h19v2H0M7.014.547V2.74L8 2.395V1.2c.59-.12 1.004-.203 1.502-.2.498.003.917.086 1.498.2v1.195l1 .345V.547C10.872.072 10.46 0 9.507 0c-.954 0-1.42.087-2.493.547z"/><path d="M9.5 2C6.667 2 3.828 2.52 1 3.49V6h17V3.49C15.166 2.54 12.333 2 9.5 2z"/></g></svg>
\ No newline at end of file

=== modified file 'src/maasserver/static/assets/images/icons/edit.svg' (properties changed: +x to -x)
--- src/maasserver/static/assets/images/icons/edit.svg	2016-06-15 10:39:24 +0000
+++ src/maasserver/static/assets/images/icons/edit.svg	2016-12-07 12:59:10 +0000
@@ -1,168 +1,1 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="16"
-   height="15.999999"
-   id="svg5918"
-   version="1.1"
-   inkscape:version="0.91pre2 r"
-   viewBox="0 0 16 15.999999"
-   sodipodi:docname="edit_16.svg">
-  <defs
-     id="defs5920">
-    <clipPath
-       id="clipPath16"
-       clipPathUnits="userSpaceOnUse">
-      <path
-         inkscape:connector-curvature="0"
-         id="path18"
-         d="m 0,595.28 841.89,0 L 841.89,0 0,0 0,595.28 Z" />
-    </clipPath>
-    <clipPath
-       id="clipPath16-0"
-       clipPathUnits="userSpaceOnUse">
-      <path
-         inkscape:connector-curvature="0"
-         id="path18-1"
-         d="m 0,595.28 841.89,0 L 841.89,0 0,0 0,595.28 Z" />
-    </clipPath>
-    <clipPath
-       id="clipPath16-9"
-       clipPathUnits="userSpaceOnUse">
-      <path
-         inkscape:connector-curvature="0"
-         id="path18-3"
-         d="m 0,595.28 841.89,0 L 841.89,0 0,0 0,595.28 Z" />
-    </clipPath>
-    <clipPath
-       id="clipPath16-7"
-       clipPathUnits="userSpaceOnUse">
-      <path
-         inkscape:connector-curvature="0"
-         id="path18-7"
-         d="m 0,595.28 841.89,0 L 841.89,0 0,0 0,595.28 Z" />
-    </clipPath>
-  </defs>
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#dedede"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="30.357661"
-     inkscape:cx="6.114383"
-     inkscape:cy="7.4631759"
-     inkscape:document-units="px"
-     inkscape:current-layer="g5346"
-     showgrid="true"
-     fit-margin-top="0"
-     fit-margin-left="0"
-     fit-margin-right="0"
-     fit-margin-bottom="0.2"
-     inkscape:snap-bbox="true"
-     inkscape:bbox-paths="true"
-     inkscape:bbox-nodes="true"
-     inkscape:snap-bbox-edge-midpoints="true"
-     inkscape:snap-bbox-midpoints="true"
-     inkscape:object-paths="true"
-     inkscape:snap-intersection-paths="true"
-     inkscape:object-nodes="true"
-     inkscape:snap-smooth-nodes="true"
-     inkscape:snap-midpoints="true"
-     inkscape:snap-object-midpoints="true"
-     inkscape:snap-center="true">
-    <inkscape:grid
-       type="xygrid"
-       id="grid4137"
-       originx="-0.00011296354px"
-       originy="-8.999973px" />
-  </sodipodi:namedview>
-  <metadata
-     id="metadata5923">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title></dc:title>
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer"
-     id="layer1"
-     transform="translate(-182.93849,-560.7201)">
-    <g
-       style="display:inline"
-       transform="matrix(0.66666607,0,0,0.66666668,-633.06096,6.8119427)"
-       id="g5687" />
-    <g
-       style="display:inline"
-       id="g5346"
-       transform="translate(-769.06151,404.35792)">
-      <g
-         style="display:inline"
-         transform="matrix(0.66666668,0,0,0.66666668,877.33333,-22.545946)"
-         id="g4311">
-        <rect
-           style="color:#000000;display:inline;overflow:visible;visibility:visible;fill:none;stroke:none;stroke-width:7.5;marker:none;enable-background:accumulate"
-           id="rect4313"
-           width="24"
-           height="24"
-           x="111.99999"
-           y="268.36218" />
-        <rect
-           style="color:#000000;display:inline;overflow:visible;visibility:visible;fill:none;stroke:none;stroke-width:7.5;marker:none;enable-background:accumulate"
-           id="rect4315"
-           width="23.999989"
-           height="23.999989"
-           x="111.99999"
-           y="268.36218" />
-        <rect
-           style="color:#000000;display:inline;overflow:visible;visibility:visible;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:7.5;marker:none;enable-background:accumulate"
-           id="rect4317"
-           width="6.0000072"
-           height="1.5000025"
-           x="130"
-           y="284.86218" />
-        <rect
-           style="color:#000000;display:inline;overflow:visible;visibility:visible;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:7.5;marker:none;enable-background:accumulate"
-           id="rect4319"
-           width="9.0000038"
-           height="1.499999"
-           x="127"
-           y="287.86218" />
-        <rect
-           style="color:#000000;display:inline;overflow:visible;visibility:visible;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:7.5;marker:none;enable-background:accumulate"
-           id="rect4321"
-           width="12.000005"
-           height="1.5000058"
-           x="124"
-           y="290.86218" />
-        <path
-           style="color:#000000;display:inline;overflow:visible;visibility:visible;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:3;marker:none;enable-background:accumulate"
-           d="m 130.26155,268.38263 -14.46053,14.72044 c 0,0 -2.74088,4.30014 -3.78053,9.22545 5.7e-4,2.8e-4 6.5e-4,0 0.001,0.003 2.8e-4,0 1.5e-4,0 0.001,0.003 2.8e-4,0 -3.7e-4,0 5.1e-4,0.003 2.8e-4,2.4e-4 3.6e-4,0.003 0.001,0.003 4.9337,-1.03964 9.23411,-3.78053 9.23411,-3.78053 l 14.72043,-14.46083 z m -13.32952,15.85147 3.20576,3.20572 c -0.21573,0.12484 -3.25634,2.24881 -6.037,2.8348 -6.7e-4,0 -2.9e-4,-0.003 -5.1e-4,-0.003 -5.3e-4,-0.003 -3.5e-4,-0.003 -5.3e-4,-0.003 -5.2e-4,-0.003 -3.4e-4,-0.003 -5.2e-4,-0.003 -5.2e-4,-0.003 -6.5e-4,-0.003 -0.001,-0.003 0.5852,-2.77237 2.70627,-5.80941 2.83379,-6.02986 z"
-           id="path4323"
-           inkscape:connector-curvature="0"
-           sodipodi:nodetypes="ccccccccccccccccccc" />
-        <path
-           style="color:#000000;display:inline;overflow:visible;visibility:visible;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:9;marker:none;enable-background:accumulate"
-           d="m 114.73356,287.86219 1.85036,1.85034 -3.08392,1.14966 z"
-           id="path4325"
-           inkscape:connector-curvature="0"
-           sodipodi:nodetypes="cccc" />
-      </g>
-    </g>
-  </g>
-</svg>
+<svg width="22" height="22" viewBox="0 0 22 22" xmlns="http://www.w3.org/2000/svg"><title>edit</title><g fill="gray" fill-rule="evenodd"><path d="M17 15h5v1h-5zm-3 3h8v1h-8zm-3 3h11v1H11zm5.75-21L3.47 13.517S.956 17.465 0 21.987v.004l.002.004V22c4.532-.955 8.48-3.472 8.48-3.472L22 5.25 16.75 0zM4.51 14.555L7.454 17.5c-.2.114-2.99 2.064-5.544 2.602V20.093l-.002-.003c.537-2.546 2.485-5.334 2.602-5.537v.002z"/><path d="M2.234 18l1.85 1.85L1 21"/></g></svg>
\ No newline at end of file

=== removed file 'src/maasserver/static/assets/images/icons/error-mono.svg'
--- src/maasserver/static/assets/images/icons/error-mono.svg	2016-08-25 16:28:22 +0000
+++ src/maasserver/static/assets/images/icons/error-mono.svg	1970-01-01 00:00:00 +0000
@@ -1,96 +0,0 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="16.000017"
-   height="16.000017"
-   id="svg5918"
-   version="1.1"
-   inkscape:version="0.91+devel r"
-   viewBox="0 0 16.000017 16.000017"
-   sodipodi:docname="error_mono.svg">
-  <defs
-     id="defs5920" />
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#dedede"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="12.434498"
-     inkscape:cx="17.533349"
-     inkscape:cy="15.482296"
-     inkscape:document-units="px"
-     inkscape:current-layer="g6413"
-     showgrid="true"
-     fit-margin-top="0"
-     fit-margin-left="0"
-     fit-margin-right="0"
-     fit-margin-bottom="0"
-     inkscape:snap-bbox="true"
-     inkscape:bbox-paths="true"
-     inkscape:bbox-nodes="true"
-     inkscape:snap-bbox-edge-midpoints="true"
-     inkscape:snap-bbox-midpoints="true"
-     inkscape:object-paths="true"
-     inkscape:snap-intersection-paths="true"
-     inkscape:object-nodes="true"
-     inkscape:snap-smooth-nodes="true"
-     inkscape:snap-midpoints="true"
-     inkscape:snap-object-midpoints="true"
-     inkscape:snap-center="true"
-     inkscape:snap-global="false">
-    <inkscape:grid
-       type="xygrid"
-       id="grid4137"
-       originx="-0.00011142332px"
-       originy="-8.9999724px" />
-  </sodipodi:namedview>
-  <metadata
-     id="metadata5923">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title></dc:title>
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer"
-     id="layer1"
-     transform="translate(-182.93849,-560.72008)">
-    <g
-       style="display:inline"
-       transform="matrix(0.66666607,0,0,0.66666668,-633.06096,6.8119427)"
-       id="g5687" />
-    <g
-       style="display:inline"
-       id="g6413"
-       transform="translate(-769.06151,364.35791)">
-      <path
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-         d="M 4.7089844 0.005859375 L 0.01953125 4.6738281 L 0.005859375 11.291016 L 4.6738281 15.980469 L 11.291016 15.994141 L 15.980469 11.326172 L 15.994141 4.7089844 L 11.326172 0.01953125 L 4.7089844 0.005859375 z M 5.53125 4.4707031 L 8 6.9394531 L 10.46875 4.4707031 L 11.53125 5.53125 L 9.0625 8 L 11.53125 10.470703 L 10.46875 11.53125 L 8 9.0625 L 5.53125 11.53125 L 4.46875 10.470703 L 6.9375 8 L 4.46875 5.53125 L 5.53125 4.4707031 z "
-         transform="translate(952,196.36217)"
-         id="path4370" />
-      <rect
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:none;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.5;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:1.5, 1.5;stroke-dashoffset:0.60000002;stroke-opacity:1;marker:none;enable-background:accumulate"
-         id="rect6415"
-         width="16"
-         height="16"
-         x="952"
-         y="196.36218" />
-    </g>
-  </g>
-</svg>

=== modified file 'src/maasserver/static/assets/images/icons/error.svg' (properties changed: +x to -x)
--- src/maasserver/static/assets/images/icons/error.svg	2016-08-25 16:28:22 +0000
+++ src/maasserver/static/assets/images/icons/error.svg	2016-12-07 12:59:10 +0000
@@ -1,117 +1,1 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="16.000017"
-   height="16.000017"
-   id="svg5918"
-   version="1.1"
-   inkscape:version="0.91+devel r"
-   viewBox="0 0 16.000017 16.000017"
-   sodipodi:docname="error_color_white.svg">
-  <defs
-     id="defs5920" />
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#dedede"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="30.357661"
-     inkscape:cx="10.416428"
-     inkscape:cy="1.8253901"
-     inkscape:document-units="px"
-     inkscape:current-layer="g6413"
-     showgrid="true"
-     fit-margin-top="0"
-     fit-margin-left="0"
-     fit-margin-right="0"
-     fit-margin-bottom="0"
-     inkscape:snap-bbox="true"
-     inkscape:bbox-paths="true"
-     inkscape:bbox-nodes="true"
-     inkscape:snap-bbox-edge-midpoints="true"
-     inkscape:snap-bbox-midpoints="true"
-     inkscape:object-paths="true"
-     inkscape:snap-intersection-paths="true"
-     inkscape:object-nodes="true"
-     inkscape:snap-smooth-nodes="true"
-     inkscape:snap-midpoints="true"
-     inkscape:snap-object-midpoints="true"
-     inkscape:snap-center="true"
-     inkscape:snap-global="false">
-    <inkscape:grid
-       type="xygrid"
-       id="grid4137"
-       originx="-0.00011142332px"
-       originy="-8.9999724px" />
-  </sodipodi:namedview>
-  <metadata
-     id="metadata5923">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title></dc:title>
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer"
-     id="layer1"
-     transform="translate(-182.93849,-560.72008)">
-    <g
-       style="display:inline"
-       transform="matrix(0.66666607,0,0,0.66666668,-633.06096,6.8119427)"
-       id="g5687" />
-    <g
-       style="display:inline"
-       id="g6413"
-       transform="translate(-769.06151,364.35791)">
-      <path
-         sodipodi:type="star"
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#ed3146;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.9932493;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-         id="path4370"
-         sodipodi:sides="8"
-         sodipodi:cx="960"
-         sodipodi:cy="204.36217"
-         sodipodi:r1="8.6162882"
-         sodipodi:r2="7.9604125"
-         sodipodi:arg1="0.38050638"
-         sodipodi:arg2="0.77320546"
-         inkscape:flatsided="true"
-         inkscape:rounded="0"
-         inkscape:randomized="0"
-         d="m 968.00002,207.56218 -4.6059,4.71961 -6.59413,0.0804 -4.71961,-4.6059 -0.0804,-6.59413 4.6059,-4.71961 6.59413,-0.0804 4.71961,4.60591 z"
-         transform="matrix(1.0032824,0.01447305,-0.01447305,1.0032824,-0.1933442,-14.564928)" />
-      <rect
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:none;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.5;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:1.5, 1.5;stroke-dashoffset:0.60000002;stroke-opacity:1;marker:none;enable-background:accumulate"
-         id="rect6415"
-         width="16"
-         height="16"
-         x="952"
-         y="196.36218" />
-      <path
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:none;fill-opacity:1;fill-rule:nonzero;stroke:#ffffff;stroke-width:1.5;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0.80000001;stroke-opacity:1;marker:none;enable-background:accumulate"
-         d="m 957.00001,201.36218 6,6"
-         id="path6479-8"
-         inkscape:connector-curvature="0" />
-      <path
-         inkscape:connector-curvature="0"
-         id="path6481-8"
-         d="m 963.00001,201.36218 -6,6"
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:none;fill-opacity:1;fill-rule:nonzero;stroke:#ffffff;stroke-width:1.5;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0.80000001;stroke-opacity:1;marker:none;enable-background:accumulate" />
-    </g>
-  </g>
-</svg>
+<svg width="16" height="16" viewBox="0 0 16 16" xmlns="http://www.w3.org/2000/svg"><title>error</title><g fill="none" fill-rule="evenodd"><path d="M0 0h16v16H0z"/><circle stroke="#DF382C" stroke-width="1.5" cx="8" cy="8" r="7.25"/><path d="M5 5l6 6M11 5l-6 6" stroke="#DF382C" stroke-width="1.5"/></g></svg>
\ No newline at end of file

=== removed file 'src/maasserver/static/assets/images/icons/error_colour_black.svg'
--- src/maasserver/static/assets/images/icons/error_colour_black.svg	2016-06-15 10:39:24 +0000
+++ src/maasserver/static/assets/images/icons/error_colour_black.svg	1970-01-01 00:00:00 +0000
@@ -1,117 +0,0 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="16.000017"
-   height="16.000017"
-   id="svg5918"
-   version="1.1"
-   inkscape:version="0.91+devel r"
-   viewBox="0 0 16.000017 16.000017"
-   sodipodi:docname="error_color_black.svg">
-  <defs
-     id="defs5920" />
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#dedede"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="12.434498"
-     inkscape:cx="17.533349"
-     inkscape:cy="15.482296"
-     inkscape:document-units="px"
-     inkscape:current-layer="g6413"
-     showgrid="true"
-     fit-margin-top="0"
-     fit-margin-left="0"
-     fit-margin-right="0"
-     fit-margin-bottom="0"
-     inkscape:snap-bbox="true"
-     inkscape:bbox-paths="true"
-     inkscape:bbox-nodes="true"
-     inkscape:snap-bbox-edge-midpoints="true"
-     inkscape:snap-bbox-midpoints="true"
-     inkscape:object-paths="true"
-     inkscape:snap-intersection-paths="true"
-     inkscape:object-nodes="true"
-     inkscape:snap-smooth-nodes="true"
-     inkscape:snap-midpoints="true"
-     inkscape:snap-object-midpoints="true"
-     inkscape:snap-center="true"
-     inkscape:snap-global="false">
-    <inkscape:grid
-       type="xygrid"
-       id="grid4137"
-       originx="-0.00011142332px"
-       originy="-8.9999724px" />
-  </sodipodi:namedview>
-  <metadata
-     id="metadata5923">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title></dc:title>
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer"
-     id="layer1"
-     transform="translate(-182.93849,-560.72008)">
-    <g
-       style="display:inline"
-       transform="matrix(0.66666607,0,0,0.66666668,-633.06096,6.8119427)"
-       id="g5687" />
-    <g
-       style="display:inline"
-       id="g6413"
-       transform="translate(-769.06151,364.35791)">
-      <path
-         sodipodi:type="star"
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#ed3146;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.9932493;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-         id="path4370"
-         sodipodi:sides="8"
-         sodipodi:cx="960"
-         sodipodi:cy="204.36217"
-         sodipodi:r1="8.6162882"
-         sodipodi:r2="7.9604125"
-         sodipodi:arg1="0.38050638"
-         sodipodi:arg2="0.77320546"
-         inkscape:flatsided="true"
-         inkscape:rounded="0"
-         inkscape:randomized="0"
-         d="m 968.00002,207.56218 -4.6059,4.71961 -6.59413,0.0804 -4.71961,-4.6059 -0.0804,-6.59413 4.6059,-4.71961 6.59413,-0.0804 4.71961,4.60591 z"
-         transform="matrix(1.0032824,0.01447305,-0.01447305,1.0032824,-0.1933442,-14.564928)" />
-      <rect
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:none;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.5;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:1.5, 1.5;stroke-dashoffset:0.60000002;stroke-opacity:1;marker:none;enable-background:accumulate"
-         id="rect6415"
-         width="16"
-         height="16"
-         x="952"
-         y="196.36218" />
-      <path
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:none;fill-opacity:1;fill-rule:nonzero;stroke:#000000;stroke-width:1.5;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0.80000001;stroke-opacity:1;marker:none;enable-background:accumulate"
-         d="m 957.00001,201.36218 6,6"
-         id="path6479-8"
-         inkscape:connector-curvature="0" />
-      <path
-         inkscape:connector-curvature="0"
-         id="path6481-8"
-         d="m 963.00001,201.36218 -6,6"
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#000000;fill-opacity:1;fill-rule:nonzero;stroke:#000000;stroke-width:1.5;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0.80000001;stroke-opacity:1;marker:none;enable-background:accumulate" />
-    </g>
-  </g>
-</svg>

=== removed file 'src/maasserver/static/assets/images/icons/error_colour_white.svg'
--- src/maasserver/static/assets/images/icons/error_colour_white.svg	2016-06-15 10:39:24 +0000
+++ src/maasserver/static/assets/images/icons/error_colour_white.svg	1970-01-01 00:00:00 +0000
@@ -1,117 +0,0 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="16.000017"
-   height="16.000017"
-   id="svg5918"
-   version="1.1"
-   inkscape:version="0.91+devel r"
-   viewBox="0 0 16.000017 16.000017"
-   sodipodi:docname="error_color_white.svg">
-  <defs
-     id="defs5920" />
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#dedede"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="30.357661"
-     inkscape:cx="10.416428"
-     inkscape:cy="1.8253901"
-     inkscape:document-units="px"
-     inkscape:current-layer="g6413"
-     showgrid="true"
-     fit-margin-top="0"
-     fit-margin-left="0"
-     fit-margin-right="0"
-     fit-margin-bottom="0"
-     inkscape:snap-bbox="true"
-     inkscape:bbox-paths="true"
-     inkscape:bbox-nodes="true"
-     inkscape:snap-bbox-edge-midpoints="true"
-     inkscape:snap-bbox-midpoints="true"
-     inkscape:object-paths="true"
-     inkscape:snap-intersection-paths="true"
-     inkscape:object-nodes="true"
-     inkscape:snap-smooth-nodes="true"
-     inkscape:snap-midpoints="true"
-     inkscape:snap-object-midpoints="true"
-     inkscape:snap-center="true"
-     inkscape:snap-global="false">
-    <inkscape:grid
-       type="xygrid"
-       id="grid4137"
-       originx="-0.00011142332px"
-       originy="-8.9999724px" />
-  </sodipodi:namedview>
-  <metadata
-     id="metadata5923">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title></dc:title>
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer"
-     id="layer1"
-     transform="translate(-182.93849,-560.72008)">
-    <g
-       style="display:inline"
-       transform="matrix(0.66666607,0,0,0.66666668,-633.06096,6.8119427)"
-       id="g5687" />
-    <g
-       style="display:inline"
-       id="g6413"
-       transform="translate(-769.06151,364.35791)">
-      <path
-         sodipodi:type="star"
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#ed3146;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.9932493;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-         id="path4370"
-         sodipodi:sides="8"
-         sodipodi:cx="960"
-         sodipodi:cy="204.36217"
-         sodipodi:r1="8.6162882"
-         sodipodi:r2="7.9604125"
-         sodipodi:arg1="0.38050638"
-         sodipodi:arg2="0.77320546"
-         inkscape:flatsided="true"
-         inkscape:rounded="0"
-         inkscape:randomized="0"
-         d="m 968.00002,207.56218 -4.6059,4.71961 -6.59413,0.0804 -4.71961,-4.6059 -0.0804,-6.59413 4.6059,-4.71961 6.59413,-0.0804 4.71961,4.60591 z"
-         transform="matrix(1.0032824,0.01447305,-0.01447305,1.0032824,-0.1933442,-14.564928)" />
-      <rect
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:none;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.5;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:1.5, 1.5;stroke-dashoffset:0.60000002;stroke-opacity:1;marker:none;enable-background:accumulate"
-         id="rect6415"
-         width="16"
-         height="16"
-         x="952"
-         y="196.36218" />
-      <path
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:none;fill-opacity:1;fill-rule:nonzero;stroke:#ffffff;stroke-width:1.5;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0.80000001;stroke-opacity:1;marker:none;enable-background:accumulate"
-         d="m 957.00001,201.36218 6,6"
-         id="path6479-8"
-         inkscape:connector-curvature="0" />
-      <path
-         inkscape:connector-curvature="0"
-         id="path6481-8"
-         d="m 963.00001,201.36218 -6,6"
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:none;fill-opacity:1;fill-rule:nonzero;stroke:#ffffff;stroke-width:1.5;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0.80000001;stroke-opacity:1;marker:none;enable-background:accumulate" />
-    </g>
-  </g>
-</svg>

=== removed file 'src/maasserver/static/assets/images/icons/error_mono.svg'
--- src/maasserver/static/assets/images/icons/error_mono.svg	2016-06-15 10:39:24 +0000
+++ src/maasserver/static/assets/images/icons/error_mono.svg	1970-01-01 00:00:00 +0000
@@ -1,96 +0,0 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="16.000017"
-   height="16.000017"
-   id="svg5918"
-   version="1.1"
-   inkscape:version="0.91+devel r"
-   viewBox="0 0 16.000017 16.000017"
-   sodipodi:docname="error_mono.svg">
-  <defs
-     id="defs5920" />
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#dedede"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="12.434498"
-     inkscape:cx="17.533349"
-     inkscape:cy="15.482296"
-     inkscape:document-units="px"
-     inkscape:current-layer="g6413"
-     showgrid="true"
-     fit-margin-top="0"
-     fit-margin-left="0"
-     fit-margin-right="0"
-     fit-margin-bottom="0"
-     inkscape:snap-bbox="true"
-     inkscape:bbox-paths="true"
-     inkscape:bbox-nodes="true"
-     inkscape:snap-bbox-edge-midpoints="true"
-     inkscape:snap-bbox-midpoints="true"
-     inkscape:object-paths="true"
-     inkscape:snap-intersection-paths="true"
-     inkscape:object-nodes="true"
-     inkscape:snap-smooth-nodes="true"
-     inkscape:snap-midpoints="true"
-     inkscape:snap-object-midpoints="true"
-     inkscape:snap-center="true"
-     inkscape:snap-global="false">
-    <inkscape:grid
-       type="xygrid"
-       id="grid4137"
-       originx="-0.00011142332px"
-       originy="-8.9999724px" />
-  </sodipodi:namedview>
-  <metadata
-     id="metadata5923">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title></dc:title>
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer"
-     id="layer1"
-     transform="translate(-182.93849,-560.72008)">
-    <g
-       style="display:inline"
-       transform="matrix(0.66666607,0,0,0.66666668,-633.06096,6.8119427)"
-       id="g5687" />
-    <g
-       style="display:inline"
-       id="g6413"
-       transform="translate(-769.06151,364.35791)">
-      <path
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-         d="M 4.7089844 0.005859375 L 0.01953125 4.6738281 L 0.005859375 11.291016 L 4.6738281 15.980469 L 11.291016 15.994141 L 15.980469 11.326172 L 15.994141 4.7089844 L 11.326172 0.01953125 L 4.7089844 0.005859375 z M 5.53125 4.4707031 L 8 6.9394531 L 10.46875 4.4707031 L 11.53125 5.53125 L 9.0625 8 L 11.53125 10.470703 L 10.46875 11.53125 L 8 9.0625 L 5.53125 11.53125 L 4.46875 10.470703 L 6.9375 8 L 4.46875 5.53125 L 5.53125 4.4707031 z "
-         transform="translate(952,196.36217)"
-         id="path4370" />
-      <rect
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:none;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.5;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:1.5, 1.5;stroke-dashoffset:0.60000002;stroke-opacity:1;marker:none;enable-background:accumulate"
-         id="rect6415"
-         width="16"
-         height="16"
-         x="952"
-         y="196.36218" />
-    </g>
-  </g>
-</svg>

=== modified file 'src/maasserver/static/assets/images/icons/green-tick.svg'
--- src/maasserver/static/assets/images/icons/green-tick.svg	2016-06-23 11:21:10 +0000
+++ src/maasserver/static/assets/images/icons/green-tick.svg	2016-12-07 12:59:10 +0000
@@ -1,20 +1,1 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<svg xmlns:sketch="http://www.bohemiancoding.com/sketch/ns" xmlns="http://www.w3.org/2000/svg" height="16px" width="22px" version="1.1" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 22 16"><!-- Generator: Sketch 3.4.4 (17249) - http://www.bohemiancoding.com/sketch -->
- <title>textfield-saved</title>
- <desc>Created with Sketch.</desc>
- <g id="Page-1" fill-rule="evenodd" sketch:type="MSPage" fill="none">
-  <g id="Try-Landscape-3" transform="translate(-786 -1429)" fill="#38B44A" sketch:type="MSArtboardGroup">
-   <g id="Choose-the-version" transform="translate(0 683)" sketch:type="MSLayerGroup">
-    <g id="Systems-monitoring-Copy-6" sketch:type="MSShapeGroup" transform="translate(229 745)">
-     <g id="textfield-saved" transform="translate(556 .57143)">
-      <g id="layer1" transform="translate(0.43 .079691)">
-       <g id="g6332" transform="translate(.81490 .69214)">
-        <path id="path4041-9-5" d="m19.796-3.2951e-13l-0.155 0.13576-11.138 9.7559-6.5292-5.6009-1.9738 2.2321 8.5047 8.9481 12.937-13.614-1.646-1.8569v-0.0001z"/>
-       </g>
-      </g>
-     </g>
-    </g>
-   </g>
-  </g>
- </g>
-</svg>
+<svg xmlns="http://www.w3.org/2000/svg" height="16" width="22" viewBox="0 0 22 16"><title>textfield-saved</title><path d="M20.04.343l-.154.136-11.138 9.756-6.53-5.601L.246 6.866l8.505 8.948L21.687 2.2 20.04.343z" fill="#38B44A" fill-rule="evenodd"/></svg>
\ No newline at end of file

=== removed file 'src/maasserver/static/assets/images/icons/help-mono.svg'
--- src/maasserver/static/assets/images/icons/help-mono.svg	2016-08-25 16:28:22 +0000
+++ src/maasserver/static/assets/images/icons/help-mono.svg	1970-01-01 00:00:00 +0000
@@ -1,96 +0,0 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="16.000017"
-   height="16.000017"
-   id="svg5918"
-   version="1.1"
-   inkscape:version="0.91+devel r"
-   viewBox="0 0 16.000017 16.000017"
-   sodipodi:docname="information_mono.svg">
-  <defs
-     id="defs5920" />
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#dedede"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="37.947076"
-     inkscape:cx="5.3908867"
-     inkscape:cy="4.4934838"
-     inkscape:document-units="px"
-     inkscape:current-layer="g6413"
-     showgrid="true"
-     fit-margin-top="0"
-     fit-margin-left="0"
-     fit-margin-right="0"
-     fit-margin-bottom="0"
-     inkscape:snap-bbox="true"
-     inkscape:bbox-paths="true"
-     inkscape:bbox-nodes="true"
-     inkscape:snap-bbox-edge-midpoints="true"
-     inkscape:snap-bbox-midpoints="true"
-     inkscape:object-paths="true"
-     inkscape:snap-intersection-paths="true"
-     inkscape:object-nodes="true"
-     inkscape:snap-smooth-nodes="true"
-     inkscape:snap-midpoints="true"
-     inkscape:snap-object-midpoints="true"
-     inkscape:snap-center="true"
-     inkscape:snap-global="true">
-    <inkscape:grid
-       type="xygrid"
-       id="grid4137"
-       originx="-0.00011142332px"
-       originy="-8.9999724px" />
-  </sodipodi:namedview>
-  <metadata
-     id="metadata5923">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title></dc:title>
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer"
-     id="layer1"
-     transform="translate(-182.93849,-560.72008)">
-    <g
-       style="display:inline"
-       transform="matrix(0.66666607,0,0,0.66666668,-633.06096,6.8119427)"
-       id="g5687" />
-    <g
-       style="display:inline"
-       id="g6413"
-       transform="translate(-769.06151,364.35791)">
-      <rect
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:none;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.5;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:1.5, 1.5;stroke-dashoffset:0.60000002;stroke-opacity:1;marker:none;enable-background:accumulate"
-         id="rect6415"
-         width="16"
-         height="16"
-         x="952"
-         y="196.36218" />
-      <path
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:0.99999994;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-         d="M 1.0664062 0 C 0.47545941 0 0 0.47545941 0 1.0664062 L 0 14.933594 C 0 15.524541 0.47545941 16 1.0664062 16 L 14.933594 16 C 15.524541 16 16 15.524541 16 14.933594 L 16 1.0664062 C 16 0.47545941 15.524541 0 14.933594 0 L 1.0664062 0 z M 8.1542969 2.6757812 C 8.7510035 2.6757812 9.2429927 2.7606275 9.6308594 2.9296875 C 10.018719 3.0888142 10.325953 3.2923823 10.554688 3.5410156 C 10.783428 3.7896356 10.943696 4.0629681 11.033203 4.3613281 C 11.122703 4.6596748 11.167969 4.9480892 11.167969 5.2265625 C 11.167969 5.5646892 11.101936 5.8681921 10.972656 6.1367188 C 10.853316 6.4052254 10.698726 6.6540725 10.509766 6.8828125 C 10.320806 7.1115592 10.117224 7.3302158 9.8984375 7.5390625 C 9.6796442 7.7379558 9.4760694 7.9472156 9.2871094 8.1660156 C 9.098156 8.3748623 8.9398335 8.5972575 8.8105469 8.8359375 C 8.6912002 9.0746175 8.6308594 9.3442181 8.6308594 9.6425781 L 8.6308594 9.8203125 C 8.6308594 9.8799792 8.636551 9.94032 8.6464844 10 L 7.09375 10 C 7.0738833 9.9005467 7.0607146 9.7968933 7.0507812 9.6875 C 7.0408479 9.5681533 7.0351562 9.4588217 7.0351562 9.359375 C 7.0351562 9.0311883 7.0898188 8.737089 7.1992188 8.4785156 C 7.3086186 8.2199356 7.4481275 7.9805054 7.6171875 7.7617188 C 7.7862475 7.5429254 7.9653369 7.339344 8.1542969 7.1503906 C 8.3531969 6.9614306 8.5360048 6.7729444 8.7050781 6.5839844 C 8.8741381 6.3950244 9.0136469 6.2008531 9.1230469 6.0019531 C 9.2324469 5.8030465 9.2871094 5.5843831 9.2871094 5.3457031 C 9.2871094 5.0175165 9.1740525 4.749869 8.9453125 4.5410156 C 8.7265192 4.322229 8.3928458 4.2128906 7.9453125 4.2128906 C 7.5972325 4.2128906 7.2635592 4.2561965 6.9453125 4.3457031 C 6.6270658 4.4252698 6.2933858 4.5590935 5.9453125 4.7480469 L 5.4394531 3.3613281 C 5.8074265 3.1524881 6.2239862 2.9884873 6.6914062 2.8691406 C 7.1687663 2.739854 7.6570435 2.6757814 8.1542969 2.6757812 z M 8 11.005859 C 8.2833333 11.005859 8.521224 11.101302 8.7128906 11.292969 C 8.9045573 11.476302 9 11.714199 9 12.005859 C 9 12.297533 8.9045573 12.535417 8.7128906 12.71875 C 8.521224 12.902083 8.2833333 12.994141 8 12.994141 C 7.725 12.994141 7.487116 12.902083 7.2871094 12.71875 C 7.0954494 12.535417 7 12.297533 7 12.005859 C 7 11.714199 7.0954494 11.476302 7.2871094 11.292969 C 7.487116 11.101302 7.725 11.005859 8 11.005859 z "
-         transform="translate(952,196.36217)"
-         id="rect4263" />
-    </g>
-  </g>
-</svg>

=== modified file 'src/maasserver/static/assets/images/icons/help.svg' (properties changed: +x to -x)
--- src/maasserver/static/assets/images/icons/help.svg	2016-08-25 16:28:22 +0000
+++ src/maasserver/static/assets/images/icons/help.svg	2016-12-07 12:59:10 +0000
@@ -1,104 +1,1 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="16.000017"
-   height="16.000017"
-   id="svg5918"
-   version="1.1"
-   inkscape:version="0.91+devel r"
-   viewBox="0 0 16.000017 16.000017"
-   sodipodi:docname="information_colour_white.svg">
-  <defs
-     id="defs5920" />
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#dedede"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="37.947076"
-     inkscape:cx="5.3908867"
-     inkscape:cy="4.4934838"
-     inkscape:document-units="px"
-     inkscape:current-layer="g6413"
-     showgrid="true"
-     fit-margin-top="0"
-     fit-margin-left="0"
-     fit-margin-right="0"
-     fit-margin-bottom="0"
-     inkscape:snap-bbox="true"
-     inkscape:bbox-paths="true"
-     inkscape:bbox-nodes="true"
-     inkscape:snap-bbox-edge-midpoints="true"
-     inkscape:snap-bbox-midpoints="true"
-     inkscape:object-paths="true"
-     inkscape:snap-intersection-paths="true"
-     inkscape:object-nodes="true"
-     inkscape:snap-smooth-nodes="true"
-     inkscape:snap-midpoints="true"
-     inkscape:snap-object-midpoints="true"
-     inkscape:snap-center="true"
-     inkscape:snap-global="true">
-    <inkscape:grid
-       type="xygrid"
-       id="grid4137"
-       originx="-0.00011142332px"
-       originy="-8.9999724px" />
-  </sodipodi:namedview>
-  <metadata
-     id="metadata5923">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title></dc:title>
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer"
-     id="layer1"
-     transform="translate(-182.93849,-560.72008)">
-    <g
-       style="display:inline"
-       transform="matrix(0.66666607,0,0,0.66666668,-633.06096,6.8119427)"
-       id="g5687" />
-    <g
-       style="display:inline"
-       id="g6413"
-       transform="translate(-769.06151,364.35791)">
-      <rect
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:none;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.5;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:1.5, 1.5;stroke-dashoffset:0.60000002;stroke-opacity:1;marker:none;enable-background:accumulate"
-         id="rect6415"
-         width="16"
-         height="16"
-         x="952"
-         y="196.36218" />
-      <rect
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#19b6ee;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:0.99999994;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-         id="rect4263"
-         width="16.000256"
-         height="16.000254"
-         x="951.99957"
-         y="196.36205"
-         ry="1.066691" />
-      <path
-         style="font-style:normal;font-variant:normal;font-weight:500;font-stretch:normal;font-size:medium;line-height:125%;font-family:Ubuntu;-inkscape-font-specification:'Ubuntu Medium';text-align:center;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:middle;display:inline;fill:#ffffff;fill-opacity:1;stroke:none;stroke-width:0.66666669"
-         d="M 8.1542969 2.6757812 C 7.6570435 2.6757813 7.1687663 2.739854 6.6914062 2.8691406 C 6.2239862 2.9884873 5.8074265 3.1524881 5.4394531 3.3613281 L 5.9453125 4.7480469 C 6.2933858 4.5590935 6.6270658 4.4252698 6.9453125 4.3457031 C 7.2635592 4.2561965 7.5972325 4.2128906 7.9453125 4.2128906 C 8.3928458 4.2128906 8.7265192 4.322229 8.9453125 4.5410156 C 9.1740525 4.749869 9.2871094 5.0175165 9.2871094 5.3457031 C 9.2871094 5.5843831 9.2324469 5.8030465 9.1230469 6.0019531 C 9.0136469 6.2008531 8.8741381 6.3950244 8.7050781 6.5839844 C 8.5360048 6.7729444 8.3531969 6.9614306 8.1542969 7.1503906 C 7.9653369 7.339344 7.7862475 7.5429254 7.6171875 7.7617188 C 7.4481275 7.9805054 7.3086187 8.2199356 7.1992188 8.4785156 C 7.0898188 8.737089 7.0351562 9.0311883 7.0351562 9.359375 C 7.0351562 9.4588217 7.0408479 9.5681533 7.0507812 9.6875 C 7.0607146 9.7968933 7.0738833 9.9005467 7.09375 10 L 8.6464844 10 C 8.636551 9.94032 8.6308594 9.8799792 8.6308594 9.8203125 L 8.6308594 9.6425781 C 8.6308594 9.3442181 8.6912002 9.0746175 8.8105469 8.8359375 C 8.9398335 8.5972575 9.098156 8.3748623 9.2871094 8.1660156 C 9.4760694 7.9472156 9.6796442 7.7379558 9.8984375 7.5390625 C 10.117224 7.3302158 10.320806 7.1115592 10.509766 6.8828125 C 10.698726 6.6540725 10.853316 6.4052254 10.972656 6.1367188 C 11.101936 5.8681921 11.167969 5.5646892 11.167969 5.2265625 C 11.167969 4.9480892 11.122703 4.6596748 11.033203 4.3613281 C 10.943696 4.0629681 10.783428 3.7896356 10.554688 3.5410156 C 10.325954 3.2923823 10.018719 3.0888142 9.6308594 2.9296875 C 9.2429927 2.7606275 8.7510035 2.6757812 8.1542969 2.6757812 z M 8 11.005859 C 7.725 11.005859 7.487116 11.101302 7.2871094 11.292969 C 7.0954494 11.476302 7 11.714199 7 12.005859 C 7 12.297533 7.0954494 12.535417 7.2871094 12.71875 C 7.487116 12.902083 7.725 12.994141 8 12.994141 C 8.2833333 12.994141 8.521224 12.902083 8.7128906 12.71875 C 8.9045573 12.535417 9 12.297533 9 12.005859 C 9 11.714199 8.9045573 11.476302 8.7128906 11.292969 C 8.521224 11.101302 8.2833333 11.005859 8 11.005859 z "
-         transform="translate(952,196.36217)"
-         id="path4405" />
-    </g>
-  </g>
-</svg>
+<svg width="22" height="22" viewBox="0 0 22 22" xmlns="http://www.w3.org/2000/svg"><title>help</title><g fill="none" fill-rule="evenodd"><path d="M0 0h22v22H0z"/><path d="M11.011 5.902c-.43 0-.843.056-1.237.166a5.314 5.314 0 0 0-1.238.499L7.91 4.849a6.271 6.271 0 0 1 1.55-.609A6.893 6.893 0 0 1 11.27 4c.74 0 1.349.105 1.829.314.48.197.862.45 1.145.757.283.308.48.646.59 1.016.112.37.167.726.167 1.07 0 .42-.08.795-.24 1.127-.148.333-.339.64-.573.924a9.395 9.395 0 0 1-.757.812c-.27.247-.523.505-.757.776-.234.258-.43.536-.59.831a2.199 2.199 0 0 0-.222.997v.222c0 .074.006.148.018.221H9.96a3.685 3.685 0 0 1-.056-.387 4.914 4.914 0 0 1-.018-.407c0-.406.067-.77.203-1.09.135-.32.307-.615.517-.886a7.9 7.9 0 0 1 .665-.757c.246-.234.474-.468.683-.702a3.91 3.91 0 0 0 .517-.72c.135-.246.203-.517.203-.812 0-.407-.141-.739-.425-.998-.27-.27-.683-.406-1.237-.406zM12.477 16.01c0 .43-.141.781-.424 1.052-.284.27-.634.406-1.053.406-.406 0-.757-.135-1.053-.406-.283-.271-.424-.622-.424-1.053 0-.43.141-.782.424-1.052A1.47 1.47 0 0 1 11 14.532c.419 0 .77.141 1.053.425.283.27.424.621.424 1.052z" fill="gray"/><circle stroke="gray" stroke-width="1.5" cx="11" cy="11" r="10.25"/></g></svg>
\ No newline at end of file

=== removed file 'src/maasserver/static/assets/images/icons/help_colour_black.svg'
--- src/maasserver/static/assets/images/icons/help_colour_black.svg	2016-06-15 10:39:24 +0000
+++ src/maasserver/static/assets/images/icons/help_colour_black.svg	1970-01-01 00:00:00 +0000
@@ -1,104 +0,0 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="16.000017"
-   height="16.000017"
-   id="svg5918"
-   version="1.1"
-   inkscape:version="0.91+devel r"
-   viewBox="0 0 16.000017 16.000017"
-   sodipodi:docname="information_colour_black.svg">
-  <defs
-     id="defs5920" />
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#dedede"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="37.947076"
-     inkscape:cx="5.3908867"
-     inkscape:cy="4.4934838"
-     inkscape:document-units="px"
-     inkscape:current-layer="g6413"
-     showgrid="true"
-     fit-margin-top="0"
-     fit-margin-left="0"
-     fit-margin-right="0"
-     fit-margin-bottom="0"
-     inkscape:snap-bbox="true"
-     inkscape:bbox-paths="true"
-     inkscape:bbox-nodes="true"
-     inkscape:snap-bbox-edge-midpoints="true"
-     inkscape:snap-bbox-midpoints="true"
-     inkscape:object-paths="true"
-     inkscape:snap-intersection-paths="true"
-     inkscape:object-nodes="true"
-     inkscape:snap-smooth-nodes="true"
-     inkscape:snap-midpoints="true"
-     inkscape:snap-object-midpoints="true"
-     inkscape:snap-center="true"
-     inkscape:snap-global="true">
-    <inkscape:grid
-       type="xygrid"
-       id="grid4137"
-       originx="-0.00011142332px"
-       originy="-8.9999724px" />
-  </sodipodi:namedview>
-  <metadata
-     id="metadata5923">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title></dc:title>
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer"
-     id="layer1"
-     transform="translate(-182.93849,-560.72008)">
-    <g
-       style="display:inline"
-       transform="matrix(0.66666607,0,0,0.66666668,-633.06096,6.8119427)"
-       id="g5687" />
-    <g
-       style="display:inline"
-       id="g6413"
-       transform="translate(-769.06151,364.35791)">
-      <rect
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:none;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.5;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:1.5, 1.5;stroke-dashoffset:0.60000002;stroke-opacity:1;marker:none;enable-background:accumulate"
-         id="rect6415"
-         width="16"
-         height="16"
-         x="952"
-         y="196.36218" />
-      <rect
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#19b6ee;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:0.99999994;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-         id="rect4263"
-         width="16.000256"
-         height="16.000254"
-         x="951.99957"
-         y="196.36205"
-         ry="1.066691" />
-      <path
-         style="font-style:normal;font-variant:normal;font-weight:500;font-stretch:normal;font-size:medium;line-height:125%;font-family:Ubuntu;-inkscape-font-specification:'Ubuntu Medium';text-align:center;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:middle;display:inline;fill:#000000;fill-opacity:1;stroke:none;stroke-width:0.66666669"
-         d="M 8.1542969 2.6757812 C 7.6570435 2.6757813 7.1687663 2.739854 6.6914062 2.8691406 C 6.2239862 2.9884873 5.8074265 3.1524881 5.4394531 3.3613281 L 5.9453125 4.7480469 C 6.2933858 4.5590935 6.6270658 4.4252698 6.9453125 4.3457031 C 7.2635592 4.2561965 7.5972325 4.2128906 7.9453125 4.2128906 C 8.3928458 4.2128906 8.7265192 4.322229 8.9453125 4.5410156 C 9.1740525 4.749869 9.2871094 5.0175165 9.2871094 5.3457031 C 9.2871094 5.5843831 9.2324469 5.8030465 9.1230469 6.0019531 C 9.0136469 6.2008531 8.8741381 6.3950244 8.7050781 6.5839844 C 8.5360048 6.7729444 8.3531969 6.9614306 8.1542969 7.1503906 C 7.9653369 7.339344 7.7862475 7.5429254 7.6171875 7.7617188 C 7.4481275 7.9805054 7.3086187 8.2199356 7.1992188 8.4785156 C 7.0898188 8.737089 7.0351562 9.0311883 7.0351562 9.359375 C 7.0351562 9.4588217 7.0408479 9.5681533 7.0507812 9.6875 C 7.0607146 9.7968933 7.0738833 9.9005467 7.09375 10 L 8.6464844 10 C 8.636551 9.94032 8.6308594 9.8799792 8.6308594 9.8203125 L 8.6308594 9.6425781 C 8.6308594 9.3442181 8.6912002 9.0746175 8.8105469 8.8359375 C 8.9398335 8.5972575 9.098156 8.3748623 9.2871094 8.1660156 C 9.4760694 7.9472156 9.6796442 7.7379558 9.8984375 7.5390625 C 10.117224 7.3302158 10.320806 7.1115592 10.509766 6.8828125 C 10.698726 6.6540725 10.853316 6.4052254 10.972656 6.1367188 C 11.101936 5.8681921 11.167969 5.5646892 11.167969 5.2265625 C 11.167969 4.9480892 11.122703 4.6596748 11.033203 4.3613281 C 10.943696 4.0629681 10.783428 3.7896356 10.554688 3.5410156 C 10.325954 3.2923823 10.018719 3.0888142 9.6308594 2.9296875 C 9.2429927 2.7606275 8.7510035 2.6757812 8.1542969 2.6757812 z M 8 11.005859 C 7.725 11.005859 7.487116 11.101302 7.2871094 11.292969 C 7.0954494 11.476302 7 11.714199 7 12.005859 C 7 12.297533 7.0954494 12.535417 7.2871094 12.71875 C 7.487116 12.902083 7.725 12.994141 8 12.994141 C 8.2833333 12.994141 8.521224 12.902083 8.7128906 12.71875 C 8.9045573 12.535417 9 12.297533 9 12.005859 C 9 11.714199 8.9045573 11.476302 8.7128906 11.292969 C 8.521224 11.101302 8.2833333 11.005859 8 11.005859 z "
-         transform="translate(952,196.36217)"
-         id="path4405" />
-    </g>
-  </g>
-</svg>

=== removed file 'src/maasserver/static/assets/images/icons/help_colour_white.svg'
--- src/maasserver/static/assets/images/icons/help_colour_white.svg	2016-06-15 10:39:24 +0000
+++ src/maasserver/static/assets/images/icons/help_colour_white.svg	1970-01-01 00:00:00 +0000
@@ -1,104 +0,0 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="16.000017"
-   height="16.000017"
-   id="svg5918"
-   version="1.1"
-   inkscape:version="0.91+devel r"
-   viewBox="0 0 16.000017 16.000017"
-   sodipodi:docname="information_colour_white.svg">
-  <defs
-     id="defs5920" />
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#dedede"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="37.947076"
-     inkscape:cx="5.3908867"
-     inkscape:cy="4.4934838"
-     inkscape:document-units="px"
-     inkscape:current-layer="g6413"
-     showgrid="true"
-     fit-margin-top="0"
-     fit-margin-left="0"
-     fit-margin-right="0"
-     fit-margin-bottom="0"
-     inkscape:snap-bbox="true"
-     inkscape:bbox-paths="true"
-     inkscape:bbox-nodes="true"
-     inkscape:snap-bbox-edge-midpoints="true"
-     inkscape:snap-bbox-midpoints="true"
-     inkscape:object-paths="true"
-     inkscape:snap-intersection-paths="true"
-     inkscape:object-nodes="true"
-     inkscape:snap-smooth-nodes="true"
-     inkscape:snap-midpoints="true"
-     inkscape:snap-object-midpoints="true"
-     inkscape:snap-center="true"
-     inkscape:snap-global="true">
-    <inkscape:grid
-       type="xygrid"
-       id="grid4137"
-       originx="-0.00011142332px"
-       originy="-8.9999724px" />
-  </sodipodi:namedview>
-  <metadata
-     id="metadata5923">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title></dc:title>
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer"
-     id="layer1"
-     transform="translate(-182.93849,-560.72008)">
-    <g
-       style="display:inline"
-       transform="matrix(0.66666607,0,0,0.66666668,-633.06096,6.8119427)"
-       id="g5687" />
-    <g
-       style="display:inline"
-       id="g6413"
-       transform="translate(-769.06151,364.35791)">
-      <rect
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:none;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.5;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:1.5, 1.5;stroke-dashoffset:0.60000002;stroke-opacity:1;marker:none;enable-background:accumulate"
-         id="rect6415"
-         width="16"
-         height="16"
-         x="952"
-         y="196.36218" />
-      <rect
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#19b6ee;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:0.99999994;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-         id="rect4263"
-         width="16.000256"
-         height="16.000254"
-         x="951.99957"
-         y="196.36205"
-         ry="1.066691" />
-      <path
-         style="font-style:normal;font-variant:normal;font-weight:500;font-stretch:normal;font-size:medium;line-height:125%;font-family:Ubuntu;-inkscape-font-specification:'Ubuntu Medium';text-align:center;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:middle;display:inline;fill:#ffffff;fill-opacity:1;stroke:none;stroke-width:0.66666669"
-         d="M 8.1542969 2.6757812 C 7.6570435 2.6757813 7.1687663 2.739854 6.6914062 2.8691406 C 6.2239862 2.9884873 5.8074265 3.1524881 5.4394531 3.3613281 L 5.9453125 4.7480469 C 6.2933858 4.5590935 6.6270658 4.4252698 6.9453125 4.3457031 C 7.2635592 4.2561965 7.5972325 4.2128906 7.9453125 4.2128906 C 8.3928458 4.2128906 8.7265192 4.322229 8.9453125 4.5410156 C 9.1740525 4.749869 9.2871094 5.0175165 9.2871094 5.3457031 C 9.2871094 5.5843831 9.2324469 5.8030465 9.1230469 6.0019531 C 9.0136469 6.2008531 8.8741381 6.3950244 8.7050781 6.5839844 C 8.5360048 6.7729444 8.3531969 6.9614306 8.1542969 7.1503906 C 7.9653369 7.339344 7.7862475 7.5429254 7.6171875 7.7617188 C 7.4481275 7.9805054 7.3086187 8.2199356 7.1992188 8.4785156 C 7.0898188 8.737089 7.0351562 9.0311883 7.0351562 9.359375 C 7.0351562 9.4588217 7.0408479 9.5681533 7.0507812 9.6875 C 7.0607146 9.7968933 7.0738833 9.9005467 7.09375 10 L 8.6464844 10 C 8.636551 9.94032 8.6308594 9.8799792 8.6308594 9.8203125 L 8.6308594 9.6425781 C 8.6308594 9.3442181 8.6912002 9.0746175 8.8105469 8.8359375 C 8.9398335 8.5972575 9.098156 8.3748623 9.2871094 8.1660156 C 9.4760694 7.9472156 9.6796442 7.7379558 9.8984375 7.5390625 C 10.117224 7.3302158 10.320806 7.1115592 10.509766 6.8828125 C 10.698726 6.6540725 10.853316 6.4052254 10.972656 6.1367188 C 11.101936 5.8681921 11.167969 5.5646892 11.167969 5.2265625 C 11.167969 4.9480892 11.122703 4.6596748 11.033203 4.3613281 C 10.943696 4.0629681 10.783428 3.7896356 10.554688 3.5410156 C 10.325954 3.2923823 10.018719 3.0888142 9.6308594 2.9296875 C 9.2429927 2.7606275 8.7510035 2.6757812 8.1542969 2.6757812 z M 8 11.005859 C 7.725 11.005859 7.487116 11.101302 7.2871094 11.292969 C 7.0954494 11.476302 7 11.714199 7 12.005859 C 7 12.297533 7.0954494 12.535417 7.2871094 12.71875 C 7.487116 12.902083 7.725 12.994141 8 12.994141 C 8.2833333 12.994141 8.521224 12.902083 8.7128906 12.71875 C 8.9045573 12.535417 9 12.297533 9 12.005859 C 9 11.714199 8.9045573 11.476302 8.7128906 11.292969 C 8.521224 11.101302 8.2833333 11.005859 8 11.005859 z "
-         transform="translate(952,196.36217)"
-         id="path4405" />
-    </g>
-  </g>
-</svg>

=== removed file 'src/maasserver/static/assets/images/icons/help_mono.svg'
--- src/maasserver/static/assets/images/icons/help_mono.svg	2016-06-15 10:39:24 +0000
+++ src/maasserver/static/assets/images/icons/help_mono.svg	1970-01-01 00:00:00 +0000
@@ -1,96 +0,0 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="16.000017"
-   height="16.000017"
-   id="svg5918"
-   version="1.1"
-   inkscape:version="0.91+devel r"
-   viewBox="0 0 16.000017 16.000017"
-   sodipodi:docname="information_mono.svg">
-  <defs
-     id="defs5920" />
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#dedede"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="37.947076"
-     inkscape:cx="5.3908867"
-     inkscape:cy="4.4934838"
-     inkscape:document-units="px"
-     inkscape:current-layer="g6413"
-     showgrid="true"
-     fit-margin-top="0"
-     fit-margin-left="0"
-     fit-margin-right="0"
-     fit-margin-bottom="0"
-     inkscape:snap-bbox="true"
-     inkscape:bbox-paths="true"
-     inkscape:bbox-nodes="true"
-     inkscape:snap-bbox-edge-midpoints="true"
-     inkscape:snap-bbox-midpoints="true"
-     inkscape:object-paths="true"
-     inkscape:snap-intersection-paths="true"
-     inkscape:object-nodes="true"
-     inkscape:snap-smooth-nodes="true"
-     inkscape:snap-midpoints="true"
-     inkscape:snap-object-midpoints="true"
-     inkscape:snap-center="true"
-     inkscape:snap-global="true">
-    <inkscape:grid
-       type="xygrid"
-       id="grid4137"
-       originx="-0.00011142332px"
-       originy="-8.9999724px" />
-  </sodipodi:namedview>
-  <metadata
-     id="metadata5923">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title></dc:title>
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer"
-     id="layer1"
-     transform="translate(-182.93849,-560.72008)">
-    <g
-       style="display:inline"
-       transform="matrix(0.66666607,0,0,0.66666668,-633.06096,6.8119427)"
-       id="g5687" />
-    <g
-       style="display:inline"
-       id="g6413"
-       transform="translate(-769.06151,364.35791)">
-      <rect
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:none;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.5;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:1.5, 1.5;stroke-dashoffset:0.60000002;stroke-opacity:1;marker:none;enable-background:accumulate"
-         id="rect6415"
-         width="16"
-         height="16"
-         x="952"
-         y="196.36218" />
-      <path
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:0.99999994;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-         d="M 1.0664062 0 C 0.47545941 0 0 0.47545941 0 1.0664062 L 0 14.933594 C 0 15.524541 0.47545941 16 1.0664062 16 L 14.933594 16 C 15.524541 16 16 15.524541 16 14.933594 L 16 1.0664062 C 16 0.47545941 15.524541 0 14.933594 0 L 1.0664062 0 z M 8.1542969 2.6757812 C 8.7510035 2.6757812 9.2429927 2.7606275 9.6308594 2.9296875 C 10.018719 3.0888142 10.325953 3.2923823 10.554688 3.5410156 C 10.783428 3.7896356 10.943696 4.0629681 11.033203 4.3613281 C 11.122703 4.6596748 11.167969 4.9480892 11.167969 5.2265625 C 11.167969 5.5646892 11.101936 5.8681921 10.972656 6.1367188 C 10.853316 6.4052254 10.698726 6.6540725 10.509766 6.8828125 C 10.320806 7.1115592 10.117224 7.3302158 9.8984375 7.5390625 C 9.6796442 7.7379558 9.4760694 7.9472156 9.2871094 8.1660156 C 9.098156 8.3748623 8.9398335 8.5972575 8.8105469 8.8359375 C 8.6912002 9.0746175 8.6308594 9.3442181 8.6308594 9.6425781 L 8.6308594 9.8203125 C 8.6308594 9.8799792 8.636551 9.94032 8.6464844 10 L 7.09375 10 C 7.0738833 9.9005467 7.0607146 9.7968933 7.0507812 9.6875 C 7.0408479 9.5681533 7.0351562 9.4588217 7.0351562 9.359375 C 7.0351562 9.0311883 7.0898188 8.737089 7.1992188 8.4785156 C 7.3086186 8.2199356 7.4481275 7.9805054 7.6171875 7.7617188 C 7.7862475 7.5429254 7.9653369 7.339344 8.1542969 7.1503906 C 8.3531969 6.9614306 8.5360048 6.7729444 8.7050781 6.5839844 C 8.8741381 6.3950244 9.0136469 6.2008531 9.1230469 6.0019531 C 9.2324469 5.8030465 9.2871094 5.5843831 9.2871094 5.3457031 C 9.2871094 5.0175165 9.1740525 4.749869 8.9453125 4.5410156 C 8.7265192 4.322229 8.3928458 4.2128906 7.9453125 4.2128906 C 7.5972325 4.2128906 7.2635592 4.2561965 6.9453125 4.3457031 C 6.6270658 4.4252698 6.2933858 4.5590935 5.9453125 4.7480469 L 5.4394531 3.3613281 C 5.8074265 3.1524881 6.2239862 2.9884873 6.6914062 2.8691406 C 7.1687663 2.739854 7.6570435 2.6757814 8.1542969 2.6757812 z M 8 11.005859 C 8.2833333 11.005859 8.521224 11.101302 8.7128906 11.292969 C 8.9045573 11.476302 9 11.714199 9 12.005859 C 9 12.297533 8.9045573 12.535417 8.7128906 12.71875 C 8.521224 12.902083 8.2833333 12.994141 8 12.994141 C 7.725 12.994141 7.487116 12.902083 7.2871094 12.71875 C 7.0954494 12.535417 7 12.297533 7 12.005859 C 7 11.714199 7.0954494 11.476302 7.2871094 11.292969 C 7.487116 11.101302 7.725 11.005859 8 11.005859 z "
-         transform="translate(952,196.36217)"
-         id="rect4263" />
-    </g>
-  </g>
-</svg>

=== modified file 'src/maasserver/static/assets/images/icons/info-mono.svg'
--- src/maasserver/static/assets/images/icons/info-mono.svg	2016-08-25 16:28:22 +0000
+++ src/maasserver/static/assets/images/icons/info-mono.svg	2016-12-07 12:59:10 +0000
@@ -1,96 +1,1 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="16.000017"
-   height="16.000017"
-   id="svg5918"
-   version="1.1"
-   inkscape:version="0.91+devel r"
-   viewBox="0 0 16.000017 16.000017"
-   sodipodi:docname="information_mono01.svg">
-  <defs
-     id="defs5920" />
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#dedede"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="37.947076"
-     inkscape:cx="-2.1722784"
-     inkscape:cy="4.3221926"
-     inkscape:document-units="px"
-     inkscape:current-layer="g6413"
-     showgrid="true"
-     fit-margin-top="0"
-     fit-margin-left="0"
-     fit-margin-right="0"
-     fit-margin-bottom="0"
-     inkscape:snap-bbox="true"
-     inkscape:bbox-paths="true"
-     inkscape:bbox-nodes="true"
-     inkscape:snap-bbox-edge-midpoints="true"
-     inkscape:snap-bbox-midpoints="true"
-     inkscape:object-paths="true"
-     inkscape:snap-intersection-paths="true"
-     inkscape:object-nodes="true"
-     inkscape:snap-smooth-nodes="true"
-     inkscape:snap-midpoints="true"
-     inkscape:snap-object-midpoints="true"
-     inkscape:snap-center="true"
-     inkscape:snap-global="true">
-    <inkscape:grid
-       type="xygrid"
-       id="grid4137"
-       originx="-0.00011142332px"
-       originy="-8.9999724px" />
-  </sodipodi:namedview>
-  <metadata
-     id="metadata5923">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title></dc:title>
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer"
-     id="layer1"
-     transform="translate(-182.93849,-560.72008)">
-    <g
-       style="display:inline"
-       transform="matrix(0.66666607,0,0,0.66666668,-633.06096,6.8119427)"
-       id="g5687" />
-    <g
-       style="display:inline"
-       id="g6413"
-       transform="translate(-769.06151,364.35791)">
-      <rect
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:none;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.5;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:1.5, 1.5;stroke-dashoffset:0.60000002;stroke-opacity:1;marker:none;enable-background:accumulate"
-         id="rect6415"
-         width="16"
-         height="16"
-         x="952"
-         y="196.36218" />
-      <path
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:0.99999994;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-         d="M 1.0664062 0 C 0.47545941 0 0 0.47545941 0 1.0664062 L 0 14.933594 C 0 15.524541 0.47545941 16 1.0664062 16 L 14.933594 16 C 15.524541 16 16 15.524541 16 14.933594 L 16 1.0664062 C 16 0.47545941 15.524541 0 14.933594 0 L 1.0664062 0 z M 7 3 L 9 3 L 9 5 L 7 5 L 7 3 z M 7 7 L 9 7 L 9 13 L 7 13 L 7 7 z "
-         transform="translate(952,196.36217)"
-         id="rect4263" />
-    </g>
-  </g>
-</svg>
+<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16.000017 16.000017"><g color="#000"><path style="marker:none" overflow="visible" fill="none" d="M0 0h16v16H0z"/><path style="marker:none" d="M1.066 0C.476 0 0 .475 0 1.066v13.868C0 15.524.475 16 1.066 16h13.868c.59 0 1.066-.475 1.066-1.066V1.066C16 .476 15.525 0 14.934 0H1.066zM7 3h2v2H7V3zm0 4h2v6H7V7z" overflow="visible" fill="#fff"/></g></svg>
\ No newline at end of file

=== modified file 'src/maasserver/static/assets/images/icons/info.svg' (properties changed: +x to -x)
--- src/maasserver/static/assets/images/icons/info.svg	2016-08-25 16:28:22 +0000
+++ src/maasserver/static/assets/images/icons/info.svg	2016-12-07 12:59:10 +0000
@@ -1,113 +1,1 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="16.000017"
-   height="16.000017"
-   id="svg5918"
-   version="1.1"
-   inkscape:version="0.91+devel r"
-   viewBox="0 0 16.000017 16.000017"
-   sodipodi:docname="information_colour_white01.svg">
-  <defs
-     id="defs5920" />
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#dedede"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="37.947076"
-     inkscape:cx="-2.1722784"
-     inkscape:cy="4.3221926"
-     inkscape:document-units="px"
-     inkscape:current-layer="g6413"
-     showgrid="true"
-     fit-margin-top="0"
-     fit-margin-left="0"
-     fit-margin-right="0"
-     fit-margin-bottom="0"
-     inkscape:snap-bbox="true"
-     inkscape:bbox-paths="true"
-     inkscape:bbox-nodes="true"
-     inkscape:snap-bbox-edge-midpoints="true"
-     inkscape:snap-bbox-midpoints="true"
-     inkscape:object-paths="true"
-     inkscape:snap-intersection-paths="true"
-     inkscape:object-nodes="true"
-     inkscape:snap-smooth-nodes="true"
-     inkscape:snap-midpoints="true"
-     inkscape:snap-object-midpoints="true"
-     inkscape:snap-center="true"
-     inkscape:snap-global="true">
-    <inkscape:grid
-       type="xygrid"
-       id="grid4137"
-       originx="-0.00011142332px"
-       originy="-8.9999724px" />
-  </sodipodi:namedview>
-  <metadata
-     id="metadata5923">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title></dc:title>
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer"
-     id="layer1"
-     transform="translate(-182.93849,-560.72008)">
-    <g
-       style="display:inline"
-       transform="matrix(0.66666607,0,0,0.66666668,-633.06096,6.8119427)"
-       id="g5687" />
-    <g
-       style="display:inline"
-       id="g6413"
-       transform="translate(-769.06151,364.35791)">
-      <rect
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:none;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.5;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:1.5, 1.5;stroke-dashoffset:0.60000002;stroke-opacity:1;marker:none;enable-background:accumulate"
-         id="rect6415"
-         width="16"
-         height="16"
-         x="952"
-         y="196.36218" />
-      <rect
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#19b6ee;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:0.99999994;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-         id="rect4263"
-         width="16.000256"
-         height="16.000254"
-         x="951.99957"
-         y="196.36205"
-         ry="1.066691" />
-      <rect
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:12;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-         id="rect5360"
-         width="2"
-         height="6"
-         x="958.99988"
-         y="203.36215" />
-      <rect
-         y="199.36215"
-         x="958.99988"
-         height="2.0000074"
-         width="2"
-         id="rect5362"
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:12;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate" />
-    </g>
-  </g>
-</svg>
+<svg width="16" height="16" viewBox="0 0 16 16" xmlns="http://www.w3.org/2000/svg"><title>info</title><g fill="none" fill-rule="evenodd"><path d="M0 0h16v16H0z"/><g fill="#19B6EE"><path d="M8 0C3.6 0 0 3.6 0 8s3.6 8 8 8 8-3.6 8-8-3.6-8-8-8zm0 14.5c-3.6 0-6.5-2.9-6.5-6.5S4.4 1.5 8 1.5s6.5 2.9 6.5 6.5-2.9 6.5-6.5 6.5z"/><path d="M7 10h2v2H7zM7 4h2v5H7z"/></g></g></svg>
\ No newline at end of file

=== removed file 'src/maasserver/static/assets/images/icons/information_colour_white.svg'
--- src/maasserver/static/assets/images/icons/information_colour_white.svg	2016-06-15 10:39:24 +0000
+++ src/maasserver/static/assets/images/icons/information_colour_white.svg	1970-01-01 00:00:00 +0000
@@ -1,113 +0,0 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="16.000017"
-   height="16.000017"
-   id="svg5918"
-   version="1.1"
-   inkscape:version="0.91+devel r"
-   viewBox="0 0 16.000017 16.000017"
-   sodipodi:docname="information_colour_white01.svg">
-  <defs
-     id="defs5920" />
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#dedede"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="37.947076"
-     inkscape:cx="-2.1722784"
-     inkscape:cy="4.3221926"
-     inkscape:document-units="px"
-     inkscape:current-layer="g6413"
-     showgrid="true"
-     fit-margin-top="0"
-     fit-margin-left="0"
-     fit-margin-right="0"
-     fit-margin-bottom="0"
-     inkscape:snap-bbox="true"
-     inkscape:bbox-paths="true"
-     inkscape:bbox-nodes="true"
-     inkscape:snap-bbox-edge-midpoints="true"
-     inkscape:snap-bbox-midpoints="true"
-     inkscape:object-paths="true"
-     inkscape:snap-intersection-paths="true"
-     inkscape:object-nodes="true"
-     inkscape:snap-smooth-nodes="true"
-     inkscape:snap-midpoints="true"
-     inkscape:snap-object-midpoints="true"
-     inkscape:snap-center="true"
-     inkscape:snap-global="true">
-    <inkscape:grid
-       type="xygrid"
-       id="grid4137"
-       originx="-0.00011142332px"
-       originy="-8.9999724px" />
-  </sodipodi:namedview>
-  <metadata
-     id="metadata5923">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title></dc:title>
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer"
-     id="layer1"
-     transform="translate(-182.93849,-560.72008)">
-    <g
-       style="display:inline"
-       transform="matrix(0.66666607,0,0,0.66666668,-633.06096,6.8119427)"
-       id="g5687" />
-    <g
-       style="display:inline"
-       id="g6413"
-       transform="translate(-769.06151,364.35791)">
-      <rect
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:none;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.5;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:1.5, 1.5;stroke-dashoffset:0.60000002;stroke-opacity:1;marker:none;enable-background:accumulate"
-         id="rect6415"
-         width="16"
-         height="16"
-         x="952"
-         y="196.36218" />
-      <rect
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#19b6ee;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:0.99999994;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-         id="rect4263"
-         width="16.000256"
-         height="16.000254"
-         x="951.99957"
-         y="196.36205"
-         ry="1.066691" />
-      <rect
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:12;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-         id="rect5360"
-         width="2"
-         height="6"
-         x="958.99988"
-         y="203.36215" />
-      <rect
-         y="199.36215"
-         x="958.99988"
-         height="2.0000074"
-         width="2"
-         id="rect5362"
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:12;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate" />
-    </g>
-  </g>
-</svg>

=== removed file 'src/maasserver/static/assets/images/icons/information_mono.svg'
--- src/maasserver/static/assets/images/icons/information_mono.svg	2016-06-15 10:39:24 +0000
+++ src/maasserver/static/assets/images/icons/information_mono.svg	1970-01-01 00:00:00 +0000
@@ -1,96 +0,0 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="16.000017"
-   height="16.000017"
-   id="svg5918"
-   version="1.1"
-   inkscape:version="0.91+devel r"
-   viewBox="0 0 16.000017 16.000017"
-   sodipodi:docname="information_mono01.svg">
-  <defs
-     id="defs5920" />
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#dedede"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="37.947076"
-     inkscape:cx="-2.1722784"
-     inkscape:cy="4.3221926"
-     inkscape:document-units="px"
-     inkscape:current-layer="g6413"
-     showgrid="true"
-     fit-margin-top="0"
-     fit-margin-left="0"
-     fit-margin-right="0"
-     fit-margin-bottom="0"
-     inkscape:snap-bbox="true"
-     inkscape:bbox-paths="true"
-     inkscape:bbox-nodes="true"
-     inkscape:snap-bbox-edge-midpoints="true"
-     inkscape:snap-bbox-midpoints="true"
-     inkscape:object-paths="true"
-     inkscape:snap-intersection-paths="true"
-     inkscape:object-nodes="true"
-     inkscape:snap-smooth-nodes="true"
-     inkscape:snap-midpoints="true"
-     inkscape:snap-object-midpoints="true"
-     inkscape:snap-center="true"
-     inkscape:snap-global="true">
-    <inkscape:grid
-       type="xygrid"
-       id="grid4137"
-       originx="-0.00011142332px"
-       originy="-8.9999724px" />
-  </sodipodi:namedview>
-  <metadata
-     id="metadata5923">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title></dc:title>
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer"
-     id="layer1"
-     transform="translate(-182.93849,-560.72008)">
-    <g
-       style="display:inline"
-       transform="matrix(0.66666607,0,0,0.66666668,-633.06096,6.8119427)"
-       id="g5687" />
-    <g
-       style="display:inline"
-       id="g6413"
-       transform="translate(-769.06151,364.35791)">
-      <rect
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:none;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.5;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:1.5, 1.5;stroke-dashoffset:0.60000002;stroke-opacity:1;marker:none;enable-background:accumulate"
-         id="rect6415"
-         width="16"
-         height="16"
-         x="952"
-         y="196.36218" />
-      <path
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:0.99999994;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-         d="M 1.0664062 0 C 0.47545941 0 0 0.47545941 0 1.0664062 L 0 14.933594 C 0 15.524541 0.47545941 16 1.0664062 16 L 14.933594 16 C 15.524541 16 16 15.524541 16 14.933594 L 16 1.0664062 C 16 0.47545941 15.524541 0 14.933594 0 L 1.0664062 0 z M 7 3 L 9 3 L 9 5 L 7 5 L 7 3 z M 7 7 L 9 7 L 9 13 L 7 13 L 7 7 z "
-         transform="translate(952,196.36217)"
-         id="rect4263" />
-    </g>
-  </g>
-</svg>

=== modified file 'src/maasserver/static/assets/images/icons/logical-volume.svg'
--- src/maasserver/static/assets/images/icons/logical-volume.svg	2016-08-25 16:28:22 +0000
+++ src/maasserver/static/assets/images/icons/logical-volume.svg	2016-12-07 12:59:10 +0000
@@ -1,91 +1,1 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="16.000025"
-   height="16.000027"
-   viewBox="0 0 4.2333398 4.2333403"
-   version="1.1"
-   id="svg5996"
-   inkscape:version="0.91+devel r"
-   sodipodi:docname="add-logical-volume_16    .svg">
-  <defs
-     id="defs5990" />
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#ffffff"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0.0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="24.286129"
-     inkscape:cx="7.96957"
-     inkscape:cy="-3.9816965"
-     inkscape:document-units="mm"
-     inkscape:current-layer="layer1"
-     showgrid="false"
-     fit-margin-top="0"
-     fit-margin-left="0"
-     fit-margin-right="0"
-     fit-margin-bottom="0"
-     units="px" />
-  <metadata
-     id="metadata5993">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title></dc:title>
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer"
-     id="layer1"
-     transform="translate(138.94405,140.54524)">
-    <g
-       style="display:inline;fill:#df382c"
-       id="g5882"
-       transform="matrix(0.17638886,0,0,-0.17638886,-158.6996,-11.364702)">
-      <rect
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:0.12000002;fill:none;stroke:none;stroke-width:4;marker:none;enable-background:accumulate"
-         id="rect5880"
-         width="23.999994"
-         height="23.999994"
-         x="708.36218"
-         y="-135.99998"
-         transform="rotate(90)" />
-    </g>
-    <path
-       sodipodi:nodetypes="ccccccccccccc"
-       inkscape:connector-curvature="0"
-       style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.05833328;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-       d="m -135.76905,-138.16399 v 0.79375 h -0.79375 v 0.26458 h 0.79375 v 0.79375 h 0.26459 v -0.79375 h 0.79375 v -0.26458 h -0.79375 v -0.79375 z"
-       id="path5888" />
-    <path
-       inkscape:connector-curvature="0"
-       style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.05833328;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-       d="m -136.5628,-140.54524 v 1.85208 h 1.85209 v -1.85208 z m 0.26459,0.26458 h 1.32291 v 1.32292 h -1.32291 z"
-       id="path5892" />
-    <path
-       id="path5901"
-       d="m -138.94405,-140.54524 v 1.85208 h 1.85209 v -1.85208 z m 0.26459,0.26458 h 1.32291 v 1.32292 h -1.32291 z"
-       style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.05833328;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-       inkscape:connector-curvature="0" />
-    <path
-       inkscape:connector-curvature="0"
-       style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.05833328;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-       d="m -138.94405,-138.16399 v 1.85208 h 1.85209 v -1.85208 z m 0.26459,0.26458 h 1.32291 v 1.32292 h -1.32291 z"
-       id="path5903" />
-  </g>
-</svg>
+<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 4.2333398 4.2333403"><path style="marker:none" color="#000" overflow="visible" opacity=".12" fill="none" d="M4.233 4.233V0H0v4.233z"/><path style="marker:none" d="M3.175 2.381v.794h-.794v.265h.794v.793h.265V3.44h.793v-.265H3.44v-.794zM2.381 0v1.852h1.852V0zm.265.265h1.323v1.323H2.646zM0 0v1.852h1.852V0zm.265.265h1.323v1.323H.264zM0 2.381v1.852h1.852V2.381zm.265.265h1.323v1.323H.264z" color="#000" overflow="visible" fill="gray"/></svg>
\ No newline at end of file

=== modified file 'src/maasserver/static/assets/images/icons/magnifying_glass.svg'
--- src/maasserver/static/assets/images/icons/magnifying_glass.svg	2016-06-15 10:39:24 +0000
+++ src/maasserver/static/assets/images/icons/magnifying_glass.svg	2016-12-07 12:59:10 +0000
@@ -1,10 +1,1 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<svg width="21px" height="20px" viewBox="0 0 21 20" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:sketch="http://www.bohemiancoding.com/sketch/ns">
-    <!-- Generator: Sketch 3.2.2 (9983) - http://www.bohemiancoding.com/sketch -->
-    <title>Untitled 2</title>
-    <desc>Created with Sketch.</desc>
-    <defs></defs>
-    <g id="Page-1" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd" sketch:type="MSPage">
-        <path d="M13.5927145,14.1048665 L14.5147971,14.9976765 L14.5147971,14.9976765 C14.4033245,15.4402932 14.5418631,15.9399308 14.8797049,16.2596667 L18.0448525,19.3263333 C18.9685082,20.2763333 19.1678361,20.1476667 19.9875246,19.354 C20.8079016,18.5606667 20.9411311,18.4233333 19.9592951,17.472 L16.7941475,14.4053333 C16.541459,14.1543333 16.1813607,14.008 15.8198852,14.0093333 L15.8188525,14.0096667 C15.7076313,14.0103614 15.5972327,14.0255811 15.4903346,14.0535779 L14.5668061,13.1593678 C15.7825818,11.7655176 16.5163279,9.96486242 16.5163279,8.00133333 C16.5163279,3.58966667 12.8117213,0 8.25816393,0 C3.70460656,0 0,3.58966667 0,8.00133333 C0,12.4133333 3.70460656,16.003 8.25816393,16.003 C10.2899178,16.003 12.1526576,15.2883479 13.5927145,14.1048665 L13.5927145,14.1048665 Z M8.25816393,2 C4.84342623,2 2.06557377,4.69233333 2.06557377,8.00133333 C2.06557377,11.3106667 4.84342623,14.003 8.25816393,14.003 C11.6729016,14.003 14.4507541,11.3106667 14.4507541,8.00133333 C14.4507541,4.69233333 11.6729016,2 8.25816393,2 Z" id="search-icon" fill="#D2D2D2" sketch:type="MSShapeGroup"></path>
-    </g>
-</svg>
\ No newline at end of file
+<svg width="22" height="22" viewBox="0 0 22 22" xmlns="http://www.w3.org/2000/svg"><title>magnifying_glass</title><g fill="none" fill-rule="evenodd"><path fill="gray" d="M16.655 14.67l-1.995 1.997L19.994 22l1.994-1.997z"/><ellipse stroke="gray" stroke-width="1.5" cx="9.5" cy="9.5" rx="8.708" ry="8.708"/></g></svg>
\ No newline at end of file

=== modified file 'src/maasserver/static/assets/images/icons/mount.svg'
--- src/maasserver/static/assets/images/icons/mount.svg	2016-06-23 11:21:10 +0000
+++ src/maasserver/static/assets/images/icons/mount.svg	2016-12-07 12:59:10 +0000
@@ -1,81 +1,1 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="16.000061"
-   height="15.999993"
-   viewBox="0 0 4.2333493 4.2333317"
-   version="1.1"
-   id="svg6259"
-   inkscape:version="0.91+devel r"
-   sodipodi:docname="mount_16.svg">
-  <defs
-     id="defs6253" />
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#ffffff"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0.0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="24.286129"
-     inkscape:cx="8.6386766"
-     inkscape:cy="6.8269423"
-     inkscape:document-units="px"
-     inkscape:current-layer="layer1"
-     showgrid="false"
-     fit-margin-top="0"
-     fit-margin-left="0"
-     fit-margin-right="0"
-     fit-margin-bottom="0"
-     units="px" />
-  <metadata
-     id="metadata6256">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title></dc:title>
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer"
-     id="layer1"
-     transform="translate(-180.8238,-173.175)">
-    <g
-       style="display:inline;fill:#df382c"
-       id="g6276"
-       transform="matrix(0.17638886,0,0,-0.17638886,161.06825,302.35553)">
-      <rect
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:0.12000002;fill:none;stroke:none;stroke-width:4;marker:none;enable-background:accumulate"
-         id="rect6273"
-         width="23.999994"
-         height="23.999994"
-         x="708.36218"
-         y="-135.99998"
-         transform="rotate(90)" />
-    </g>
-    <path
-       inkscape:connector-curvature="0"
-       id="path6278"
-       d="m 180.82382,173.43957 v 0.79375 h 4.23333 v -0.79375 z m 3.43958,0.26459 h 0.52917 v 0.26458 h -0.52917 z"
-       style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.05833328;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate" />
-    <path
-       sodipodi:nodetypes="ccccccccccccc"
-       inkscape:connector-curvature="0"
-       style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.05833328;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-       d="m 183.99882,175.29166 v 0.79375 h -0.79375 v 0.26458 h 0.79375 v 0.79375 h 0.26458 v -0.79375 h 0.79375 v -0.26458 h -0.79375 v -0.79375 z"
-       id="path5962-4" />
-  </g>
-</svg>
+<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 4.2333493 4.2333317"><path style="marker:none" color="#000" overflow="visible" opacity=".12" fill="none" d="M4.233 4.233V0H0v4.233z"/><path d="M0 .265v.793h4.233V.265zm3.44.264h.529v.265h-.53zM3.175 2.117v.793h-.794v.265h.794v.794h.265v-.794h.793V2.91H3.44v-.793z" style="marker:none" color="#000" overflow="visible" fill="gray"/></svg>
\ No newline at end of file

=== modified file 'src/maasserver/static/assets/images/icons/partition.svg'
--- src/maasserver/static/assets/images/icons/partition.svg	2016-08-25 16:28:22 +0000
+++ src/maasserver/static/assets/images/icons/partition.svg	2016-12-07 12:59:10 +0000
@@ -1,117 +1,1 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="16.000025"
-   height="15.999993"
-   viewBox="0 0 4.2333398 4.2333315"
-   version="1.1"
-   id="svg5996"
-   inkscape:version="0.91+devel r"
-   sodipodi:docname="add-partition_16.svg">
-  <defs
-     id="defs5990" />
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#ffffff"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0.0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="24.286129"
-     inkscape:cx="34.333967"
-     inkscape:cy="10.194666"
-     inkscape:document-units="mm"
-     inkscape:current-layer="layer1"
-     showgrid="false"
-     fit-margin-top="0"
-     fit-margin-left="0"
-     fit-margin-right="0"
-     fit-margin-bottom="0"
-     units="px" />
-  <metadata
-     id="metadata5993">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title></dc:title>
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer"
-     id="layer1"
-     transform="translate(145.91963,136.7944)">
-    <g
-       transform="matrix(0.17638886,0,0,-0.17638886,-165.67518,-7.6138726)"
-       id="g5929"
-       style="display:inline;fill:#df382c">
-      <rect
-         transform="rotate(90)"
-         y="-135.99998"
-         x="708.36218"
-         height="23.999994"
-         width="23.999994"
-         id="rect5927"
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:0.12000002;fill:none;stroke:none;stroke-width:4;marker:none;enable-background:accumulate" />
-    </g>
-    <path
-       sodipodi:nodetypes="ccccccccccccc"
-       inkscape:connector-curvature="0"
-       id="path5932"
-       d="m -145.91963,-136.00066 v 2.64583 h 1.85209 v -0.26458 h -0.26459 -0.52916 -0.79375 v -2.11667 h 0.79375 0.52916 0.26459 v -0.26458 z"
-       style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.05833328;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate" />
-    <path
-       sodipodi:nodetypes="ccccccccccccc"
-       inkscape:connector-curvature="0"
-       style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.05833328;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-       d="m -142.74463,-135.47149 v 0.79375 h -0.79375 v 0.26458 h 0.79375 v 0.79375 h 0.26459 v -0.79375 h 0.79375 v -0.26458 h -0.79375 v -0.79375 z"
-       id="path5962" />
-    <rect
-       y="-136.52983"
-       x="-144.06755"
-       height="0.52916664"
-       width="0.26458332"
-       id="rect5965"
-       style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:0.26458332;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate" />
-    <rect
-       style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:0.26458332;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-       id="rect5967"
-       width="0.26458332"
-       height="0.52916664"
-       x="-144.06755"
-       y="-135.73608" />
-    <rect
-       y="-134.94232"
-       x="-144.06755"
-       height="0.52916664"
-       width="0.26458332"
-       id="rect5969"
-       style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:0.26458332;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate" />
-    <rect
-       style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:0.26458332;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-       id="rect5971"
-       width="0.26458332"
-       height="0.52916664"
-       x="-144.06755"
-       y="-134.14857" />
-    <rect
-       y="-133.35483"
-       x="-144.06755"
-       height="0.52916664"
-       width="0.26458332"
-       id="rect5974"
-       style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:0.26458332;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate" />
-  </g>
-</svg>
+<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 4.2333398 4.2333315"><path style="marker:none" color="#000" overflow="visible" opacity=".12" fill="none" d="M4.233 4.233V0H0v4.233z"/><path d="M0 .794V3.44h1.852v-.265H.265V1.058h1.587V.794zM3.175 1.323v.794h-.794v.264h.794v.794h.265v-.794h.793v-.264H3.44v-.794zM1.852.264h.265v.53h-.265z" style="marker:none" color="#000" overflow="visible" fill="gray"/><path style="marker:none" color="#000" overflow="visible" fill="gray" d="M1.852 1.058h.265v.53h-.265zM1.852 1.852h.265v.53h-.265zM1.852 2.645h.265v.53h-.265zM1.852 3.44h.265v.528h-.265z"/></svg>
\ No newline at end of file

=== modified file 'src/maasserver/static/assets/images/icons/power-error.svg'
--- src/maasserver/static/assets/images/icons/power-error.svg	2016-06-15 10:39:24 +0000
+++ src/maasserver/static/assets/images/icons/power-error.svg	2016-12-07 12:59:10 +0000
@@ -1,12 +1,1 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<svg width="14px" height="15px" viewBox="0 0 14 15" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:sketch="http://www.bohemiancoding.com/sketch/ns">
-    <!-- Generator: Sketch 3.2.2 (9983) - http://www.bohemiancoding.com/sketch -->
-    <title>power-error</title>
-    <desc>Created with Sketch.</desc>
-    <defs></defs>
-    <g id="power-icons" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd" sketch:type="MSPage">
-        <g id="power-error" sketch:type="MSArtboardGroup" fill="#DB3832">
-            <path d="M11.0402963,2.32344828 L10.7157037,4.59103448 C11.5888889,5.53241379 12.068,6.7437931 12.068,8.01724138 C12.068,10.8041379 9.79377778,13.0727586 7,13.0727586 C4.20622222,13.0727586 1.93303704,10.8041379 1.93303704,8.01724138 C1.93303704,6.7437931 2.41214815,5.53241379 3.2842963,4.59103448 L2.9597037,2.32344828 C1.09925926,3.63517241 0,5.73517241 0,8.01724138 C0,11.8675862 3.14014815,15 7,15 C10.8598519,15 14,11.8675862 14,8.01724138 C14,5.73413793 12.9007407,3.63517241 11.0402963,2.32344828 Z M6,0 L8,0 L8,7 L6,7 L6,0 Z" id="Fill-2" sketch:type="MSShapeGroup"></path>
-        </g>
-    </g>
-</svg>
\ No newline at end of file
+<svg width="14" height="15" viewBox="0 0 14 15" xmlns="http://www.w3.org/2000/svg"><title>power-error</title><path d="M11.04 2.323l-.324 2.268a5.017 5.017 0 0 1 1.352 3.426c0 2.787-2.274 5.056-5.068 5.056-2.794 0-5.067-2.269-5.067-5.056a5.02 5.02 0 0 1 1.351-3.426L2.96 2.323A6.935 6.935 0 0 0 0 8.017C0 11.867 3.14 15 7 15s7-3.132 7-6.983c0-2.283-1.1-4.382-2.96-5.694zM6 0h2v7H6V0z" fill="#DB3832" fill-rule="evenodd"/></svg>
\ No newline at end of file

=== modified file 'src/maasserver/static/assets/images/icons/power-off.svg'
--- src/maasserver/static/assets/images/icons/power-off.svg	2016-06-15 10:39:24 +0000
+++ src/maasserver/static/assets/images/icons/power-off.svg	2016-12-07 12:59:10 +0000
@@ -1,12 +1,1 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<svg width="14px" height="15px" viewBox="0 0 14 15" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:sketch="http://www.bohemiancoding.com/sketch/ns">
-    <!-- Generator: Sketch 3.2.2 (9983) - http://www.bohemiancoding.com/sketch -->
-    <title>power-off</title>
-    <desc>Created with Sketch.</desc>
-    <defs></defs>
-    <g id="power-icons" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd" sketch:type="MSPage">
-        <g id="power-off" sketch:type="MSArtboardGroup" fill="#D2D2D2">
-            <path d="M11.0402963,2.32344828 L10.7157037,4.59103448 C11.5888889,5.53241379 12.068,6.7437931 12.068,8.01724138 C12.068,10.8041379 9.79377778,13.0727586 7,13.0727586 C4.20622222,13.0727586 1.93303704,10.8041379 1.93303704,8.01724138 C1.93303704,6.7437931 2.41214815,5.53241379 3.2842963,4.59103448 L2.9597037,2.32344828 C1.09925926,3.63517241 0,5.73517241 0,8.01724138 C0,11.8675862 3.14014815,15 7,15 C10.8598519,15 14,11.8675862 14,8.01724138 C14,5.73413793 12.9007407,3.63517241 11.0402963,2.32344828 Z M6,0 L8,0 L8,7 L6,7 L6,0 Z" id="Fill-2" sketch:type="MSShapeGroup"></path>
-        </g>
-    </g>
-</svg>
\ No newline at end of file
+<svg width="14" height="15" viewBox="0 0 14 15" xmlns="http://www.w3.org/2000/svg"><title>power-off</title><path d="M11.04 2.323l-.324 2.268a5.017 5.017 0 0 1 1.352 3.426c0 2.787-2.274 5.056-5.068 5.056-2.794 0-5.067-2.269-5.067-5.056a5.02 5.02 0 0 1 1.351-3.426L2.96 2.323A6.935 6.935 0 0 0 0 8.017C0 11.867 3.14 15 7 15s7-3.132 7-6.983c0-2.283-1.1-4.382-2.96-5.694zM6 0h2v7H6V0z" fill="#D2D2D2" fill-rule="evenodd"/></svg>
\ No newline at end of file

=== modified file 'src/maasserver/static/assets/images/icons/power-on.svg'
--- src/maasserver/static/assets/images/icons/power-on.svg	2016-06-15 10:39:24 +0000
+++ src/maasserver/static/assets/images/icons/power-on.svg	2016-12-07 12:59:10 +0000
@@ -1,12 +1,1 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<svg width="14px" height="15px" viewBox="0 0 14 15" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:sketch="http://www.bohemiancoding.com/sketch/ns">
-    <!-- Generator: Sketch 3.2.2 (9983) - http://www.bohemiancoding.com/sketch -->
-    <title>power-on</title>
-    <desc>Created with Sketch.</desc>
-    <defs></defs>
-    <g id="power-icons" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd" sketch:type="MSPage">
-        <g id="power-on" sketch:type="MSArtboardGroup" fill="#38B44A">
-            <path d="M11.0402963,2.32344828 L10.7157037,4.59103448 C11.5888889,5.53241379 12.068,6.7437931 12.068,8.01724138 C12.068,10.8041379 9.79377778,13.0727586 7,13.0727586 C4.20622222,13.0727586 1.93303704,10.8041379 1.93303704,8.01724138 C1.93303704,6.7437931 2.41214815,5.53241379 3.2842963,4.59103448 L2.9597037,2.32344828 C1.09925926,3.63517241 0,5.73517241 0,8.01724138 C0,11.8675862 3.14014815,15 7,15 C10.8598519,15 14,11.8675862 14,8.01724138 C14,5.73413793 12.9007407,3.63517241 11.0402963,2.32344828 Z M6,0 L8,0 L8,7 L6,7 L6,0 Z" id="Fill-2" sketch:type="MSShapeGroup"></path>
-        </g>
-    </g>
-</svg>
\ No newline at end of file
+<svg width="14" height="15" viewBox="0 0 14 15" xmlns="http://www.w3.org/2000/svg"><title>power-on</title><path d="M11.04 2.323l-.324 2.268a5.017 5.017 0 0 1 1.352 3.426c0 2.787-2.274 5.056-5.068 5.056-2.794 0-5.067-2.269-5.067-5.056a5.02 5.02 0 0 1 1.351-3.426L2.96 2.323A6.935 6.935 0 0 0 0 8.017C0 11.867 3.14 15 7 15s7-3.132 7-6.983c0-2.283-1.1-4.382-2.96-5.694zM6 0h2v7H6V0z" fill="#38B44A" fill-rule="evenodd"/></svg>
\ No newline at end of file

=== modified file 'src/maasserver/static/assets/images/icons/remove.svg' (properties changed: +x to -x)
--- src/maasserver/static/assets/images/icons/remove.svg	2016-06-15 10:39:24 +0000
+++ src/maasserver/static/assets/images/icons/remove.svg	2016-12-07 12:59:10 +0000
@@ -1,12 +1,1 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<svg width="11px" height="11px" viewBox="0 0 11 11" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:sketch="http://www.bohemiancoding.com/sketch/ns">
-    <!-- Generator: Sketch 3.2.2 (9983) - http://www.bohemiancoding.com/sketch -->
-    <title>filter-remove</title>
-    <desc>Created with Sketch.</desc>
-    <defs></defs>
-    <g id="filter-panel" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd" sketch:type="MSPage">
-        <g id="filter-remove" sketch:type="MSArtboardGroup" fill="#D2D2D2">
-            <path d="M9.74645434,0 L5.49954383,4.24691051 L1.25263333,0 L0,1.25263333 L4.24691051,5.50045617 L0,9.74736667 L1.25263333,11 L5.49954383,6.75308949 L9.74645434,11 L11,9.74736667 L6.75217716,5.50045617 C6.75217716,5.50045617 7.85423598,4.39839735 8.40526539,3.84736794 C9.27017692,2.9824564 11,1.25263333 11,1.25263333 L9.74645434,0 Z" id="remove-icon" sketch:type="MSShapeGroup"></path>
-        </g>
-    </g>
-</svg>
\ No newline at end of file
+<svg width="18" height="18" viewBox="0 0 18 18" xmlns="http://www.w3.org/2000/svg"><title>remove</title><g fill="gray" fill-rule="evenodd"><path d="M16.36 0L18 1.64 1.64 18 0 16.36z"/><path d="M18 16.36L16.36 18 0 1.64 1.64 0z"/></g></svg>
\ No newline at end of file

=== modified file 'src/maasserver/static/assets/images/icons/settings.svg'
--- src/maasserver/static/assets/images/icons/settings.svg	2016-06-17 13:12:40 +0000
+++ src/maasserver/static/assets/images/icons/settings.svg	2016-12-07 12:59:10 +0000
@@ -1,174 +1,1 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="96"
-   height="96"
-   id="svg4874"
-   version="1.1"
-   inkscape:version="0.91+devel r"
-   viewBox="0 0 96 96.000001"
-   sodipodi:docname="settings.svg">
-  <defs
-     id="defs4876" />
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#ffffff"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0.0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="4.4959995"
-     inkscape:cx="-16.425718"
-     inkscape:cy="47.675692"
-     inkscape:document-units="px"
-     inkscape:current-layer="g4780"
-     showgrid="true"
-     showborder="true"
-     fit-margin-top="0"
-     fit-margin-left="0"
-     fit-margin-right="0"
-     fit-margin-bottom="0"
-     inkscape:snap-bbox="true"
-     inkscape:bbox-paths="true"
-     inkscape:bbox-nodes="true"
-     inkscape:snap-bbox-edge-midpoints="true"
-     inkscape:snap-bbox-midpoints="true"
-     inkscape:object-paths="true"
-     inkscape:snap-intersection-paths="true"
-     inkscape:object-nodes="true"
-     inkscape:snap-smooth-nodes="true"
-     inkscape:snap-midpoints="true"
-     inkscape:snap-object-midpoints="true"
-     inkscape:snap-center="true"
-     showguides="true"
-     inkscape:guide-bbox="true"
-     inkscape:snap-global="true">
-    <inkscape:grid
-       type="xygrid"
-       id="grid5451"
-       empspacing="8" />
-    <sodipodi:guide
-       orientation="1,0"
-       position="8,-8.0000001"
-       id="guide4063" />
-    <sodipodi:guide
-       orientation="1,0"
-       position="4,-8.0000001"
-       id="guide4065" />
-    <sodipodi:guide
-       orientation="0,1"
-       position="-8,88.000001"
-       id="guide4067" />
-    <sodipodi:guide
-       orientation="0,1"
-       position="-8,92.000001"
-       id="guide4069" />
-    <sodipodi:guide
-       orientation="0,1"
-       position="104,4"
-       id="guide4071" />
-    <sodipodi:guide
-       orientation="0,1"
-       position="-5,8.0000001"
-       id="guide4073" />
-    <sodipodi:guide
-       orientation="1,0"
-       position="92,-8.0000001"
-       id="guide4075" />
-    <sodipodi:guide
-       orientation="1,0"
-       position="88,-8.0000001"
-       id="guide4077" />
-    <sodipodi:guide
-       orientation="0,1"
-       position="-8,84.000001"
-       id="guide4074" />
-    <sodipodi:guide
-       orientation="1,0"
-       position="12,-8.0000001"
-       id="guide4076" />
-    <sodipodi:guide
-       orientation="0,1"
-       position="-5,12"
-       id="guide4078" />
-    <sodipodi:guide
-       orientation="1,0"
-       position="84,-9.0000001"
-       id="guide4080" />
-    <sodipodi:guide
-       position="48,-8.0000001"
-       orientation="1,0"
-       id="guide4170" />
-    <sodipodi:guide
-       position="-8,48"
-       orientation="0,1"
-       id="guide4172" />
-  </sodipodi:namedview>
-  <metadata
-     id="metadata4879">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title></dc:title>
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer"
-     id="layer1"
-     transform="translate(67.857146,-78.50504)">
-    <g
-       transform="matrix(0,-1,-1,0,373.50506,516.50504)"
-       id="g4845"
-       style="display:inline">
-      <g
-         inkscape:export-ydpi="90"
-         inkscape:export-xdpi="90"
-         inkscape:export-filename="next01.png"
-         transform="matrix(-0.9996045,0,0,1,575.94296,-611.00001)"
-         id="g4778"
-         inkscape:label="Layer 1">
-        <g
-           transform="matrix(-1,0,0,1,575.99999,611)"
-           id="g4780"
-           style="display:inline">
-          <rect
-             style="color:#000000;display:inline;overflow:visible;visibility:visible;fill:none;stroke:none;stroke-width:4;marker:none;enable-background:accumulate"
-             id="rect4782"
-             width="96.037987"
-             height="96"
-             x="-438.00244"
-             y="345.36221"
-             transform="scale(-1,1)" />
-          <path
-             style="color:#000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;font-variant-ligatures:none;font-variant-position:normal;font-variant-caps:normal;font-variant-numeric:normal;font-variant-alternates:normal;font-feature-settings:normal;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:#000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;shape-padding:0;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:1;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:#000000;solid-opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:4.0007925;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate"
-             d="m 371.94351,362.16529 c 17.19788,-9.91601 39.26149,-3.98444 49.20927,13.22273 9.94779,17.20716 4.05873,39.25353 -13.13915,49.16953 -17.19788,9.91601 -39.26053,3.98613 -49.20832,-13.22104 -9.94778,-17.20717 -4.05969,-39.25522 13.1382,-49.17122 z m 2.00297,3.46463 c -15.32206,8.83444 -20.54308,28.37061 -11.67591,43.70858 8.86716,15.33798 28.41901,20.59054 43.74106,11.7561 15.32205,-8.83443 20.54307,-28.37061 11.6759,-43.70858 -8.86716,-15.33797 -28.41901,-20.59053 -43.74105,-11.7561 z"
-             id="path5417"
-             inkscape:connector-curvature="0" />
-          <path
-             style="color:#000000;display:inline;overflow:visible;visibility:visible;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2;marker:none;enable-background:accumulate"
-             d="M 54.902344 5.5820312 L 41.097656 7.6445312 L 41.097656 14.742188 A 34.033369 33.971264 43.145308 0 1 54.902344 14.769531 L 54.902344 5.5839844 L 54.902344 5.5820312 z M 26.65625 11.826172 L 16.138672 20.767578 L 21.320312 26.943359 A 34.033369 33.971264 43.145308 0 1 31.900391 18.076172 L 26.65625 11.826172 z M 69.287109 11.892578 L 64.080078 18.099609 A 34.033369 33.971264 43.145308 0 1 64.974609 18.574219 A 34.033369 33.971264 43.145308 0 1 74.648438 26.980469 L 79.919922 20.699219 L 69.287109 11.892578 z M 8.3984375 34.007812 L 6.0878906 47.619141 L 14.035156 49.021484 A 34.033369 33.971264 43.145308 0 1 16.421875 35.423828 L 8.3984375 34.007812 z M 87.515625 34.023438 L 79.529297 35.431641 A 34.033369 33.971264 43.145308 0 1 81.960938 49.019531 L 90 47.603516 L 87.515625 34.023438 z M 15.757812 58.644531 L 8.6699219 62.738281 L 8.6679688 62.738281 L 15.648438 74.648438 L 22.666016 70.597656 A 34.033369 33.971264 43.145308 0 1 15.757812 58.644531 z M 80.269531 58.660156 A 34.033369 33.971264 43.145308 0 1 77.464844 65.03125 A 34.033369 33.971264 43.145308 0 1 73.40625 70.638672 L 80.427734 74.693359 L 87.253906 62.693359 L 80.269531 58.660156 z M 30.148438 76.867188 L 27.34375 84.570312 L 40.347656 89.208984 L 43.105469 81.628906 A 34.033369 33.971264 43.145308 0 1 31.025391 77.433594 A 34.033369 33.971264 43.145308 0 1 30.148438 76.867188 z M 65.880859 76.947266 A 34.033369 33.971264 43.145308 0 1 52.902344 81.654297 L 55.683594 89.292969 L 68.625 84.486328 L 65.880859 76.947266 z "
-             transform="matrix(0,-1,-1.0003957,0,438.00245,441.36222)"
-             id="path4168" />
-          <path
-             style="color:#000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;font-variant-ligatures:none;font-variant-position:normal;font-variant-caps:normal;font-variant-numeric:normal;font-variant-alternates:normal;font-feature-settings:normal;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:#000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;shape-padding:0;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:1;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:#000000;solid-opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:4.0007925;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate"
-             d="m 377.95161,372.55694 c 11.46388,-6.60993 26.18875,-2.6521 32.81902,8.81669 6.63028,11.4688 2.70094,26.18465 -8.76295,32.79458 -11.46388,6.60992 -26.19142,2.65138 -32.82169,-8.81742 -6.63028,-11.46878 -2.69827,-26.18392 8.76562,-32.79385 z m 2.00198,3.46296 c -9.58805,5.52834 -12.85033,17.73231 -7.30067,27.3319 5.54967,9.5996 17.76375,12.8801 27.3518,7.35175 9.58805,-5.52834 12.85033,-17.73231 7.30067,-27.3319 -5.54967,-9.5996 -17.76375,-12.8801 -27.3518,-7.35175 z"
-             id="ellipse4539"
-             inkscape:connector-curvature="0" />
-        </g>
-      </g>
-    </g>
-  </g>
-</svg>
+<svg xmlns="http://www.w3.org/2000/svg" width="96" height="96" viewBox="0 0 96 96.000001"><g color="#000"><path style="marker:none" overflow="visible" fill="none" d="M96 0v96H0V0z"/><path style="line-height:normal;font-variant-ligatures:none;font-variant-position:normal;font-variant-caps:normal;font-variant-numeric:normal;font-variant-alternates:normal;font-feature-settings:normal;text-indent:0;text-align:start;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:#000;text-transform:none;block-progression:tb;shape-padding:0;isolation:auto;mix-blend-mode:normal;marker:none" d="M79.197 66.033c9.916-17.191 3.984-39.246-13.223-49.19-17.207-9.944-39.253-4.057-49.17 13.134C6.89 47.168 12.82 69.222 30.027 79.166c17.207 9.944 39.255 4.058 49.17-13.133zm-3.465-2.002c-8.834 15.316-28.37 20.535-43.708 11.67-15.338-8.863-20.59-28.407-11.756-43.723 8.834-15.316 28.37-20.535 43.708-11.671 15.338 8.864 20.59 28.408 11.756 43.724z" font-weight="400" font-family="sans-serif" white-space="normal" overflow="visible" fill="gray"/><path style="marker:none" d="M54.902 5.582L41.098 7.645v7.097a34.033 33.971 43.146 0 1 13.804.028V5.582zm-28.246 6.244L16.14 20.768l5.181 6.175a34.033 33.971 43.146 0 1 10.58-8.867l-5.244-6.25zm42.631.067L64.08 18.1a34.033 33.971 43.146 0 1 .895.474 34.033 33.971 43.146 0 1 9.673 8.406l5.272-6.28-10.633-8.807zM8.398 34.008l-2.31 13.611 7.947 1.402a34.033 33.971 43.146 0 1 2.387-13.597l-8.024-1.416zm79.118.015l-7.987 1.409a34.033 33.971 43.146 0 1 2.432 13.588L90 47.604l-2.484-13.58zM15.758 58.645L8.67 62.738h-.002l6.98 11.91 7.018-4.05a34.033 33.971 43.146 0 1-6.908-11.953zm64.512.015a34.033 33.971 43.146 0 1-2.805 6.371 34.033 33.971 43.146 0 1-4.059 5.608l7.022 4.054 6.826-12-6.984-4.033zM30.148 76.867l-2.804 7.703 13.004 4.639 2.757-7.58a34.033 33.971 43.146 0 1-12.08-4.195 34.033 33.971 43.146 0 1-.877-.567zm35.733.08a34.033 33.971 43.146 0 1-12.979 4.707l2.782 7.639 12.941-4.807-2.744-7.539z" overflow="visible" fill="gray"/><path style="line-height:normal;font-variant-ligatures:none;font-variant-position:normal;font-variant-caps:normal;font-variant-numeric:normal;font-variant-alternates:normal;font-feature-settings:normal;text-indent:0;text-align:start;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:#000;text-transform:none;block-progression:tb;shape-padding:0;isolation:auto;mix-blend-mode:normal;marker:none" d="M68.805 60.027c6.61-11.46 2.652-26.178-8.816-32.806-11.47-6.628-26.185-2.7-32.795 8.76-6.61 11.459-2.651 26.18 8.817 32.808 11.47 6.628 26.184 2.697 32.794-8.762zm-3.463-2.001C59.814 67.61 47.61 70.87 38.01 65.324c-9.6-5.548-12.88-17.757-7.351-27.341 5.528-9.585 17.732-12.846 27.332-7.298 9.6 5.547 12.88 17.757 7.351 27.34z" font-weight="400" font-family="sans-serif" white-space="normal" overflow="visible" fill="gray"/></g></svg>
\ No newline at end of file

=== modified file 'src/maasserver/static/assets/images/icons/success-mono.svg'
--- src/maasserver/static/assets/images/icons/success-mono.svg	2016-08-25 16:28:22 +0000
+++ src/maasserver/static/assets/images/icons/success-mono.svg	2016-12-07 12:59:10 +0000
@@ -1,95 +1,1 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="16.000017"
-   height="16.000017"
-   id="svg5918"
-   version="1.1"
-   inkscape:version="0.91+devel r"
-   viewBox="0 0 16.000017 16.000017"
-   sodipodi:docname="success_mono.svg">
-  <defs
-     id="defs5920" />
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#dedede"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="24.286129"
-     inkscape:cx="-23.070025"
-     inkscape:cy="4.311703"
-     inkscape:document-units="px"
-     inkscape:current-layer="g6706"
-     showgrid="true"
-     fit-margin-top="0"
-     fit-margin-left="0"
-     fit-margin-right="0"
-     fit-margin-bottom="0"
-     inkscape:snap-bbox="true"
-     inkscape:bbox-paths="true"
-     inkscape:bbox-nodes="true"
-     inkscape:snap-bbox-edge-midpoints="true"
-     inkscape:snap-bbox-midpoints="true"
-     inkscape:object-paths="true"
-     inkscape:snap-intersection-paths="true"
-     inkscape:object-nodes="true"
-     inkscape:snap-smooth-nodes="true"
-     inkscape:snap-midpoints="true"
-     inkscape:snap-object-midpoints="true"
-     inkscape:snap-center="true">
-    <inkscape:grid
-       type="xygrid"
-       id="grid4137"
-       originx="-0.00011142332px"
-       originy="-8.9999724px" />
-  </sodipodi:namedview>
-  <metadata
-     id="metadata5923">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title></dc:title>
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer"
-     id="layer1"
-     transform="translate(-182.93849,-560.72008)">
-    <g
-       style="display:inline"
-       transform="matrix(0.66666607,0,0,0.66666668,-633.06096,6.8119427)"
-       id="g5687" />
-    <g
-       style="display:inline"
-       id="g6706"
-       transform="translate(-769.06151,404.35791)">
-      <rect
-         y="156.36218"
-         x="952"
-         height="16"
-         width="16"
-         id="rect6708"
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:none;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.5;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:1.5, 1.5;stroke-dashoffset:0.60000002;stroke-opacity:1;marker:none;enable-background:accumulate" />
-      <path
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.5;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0.80000001;stroke-opacity:1;marker:none;enable-background:accumulate"
-         d="M 8 0 C 3.5906 0 0 3.5906 0 8 C 0 12.4094 3.5906 16 8 16 C 12.4094 16 16 12.4094 16 8 C 16 3.5906 12.4094 0 8 0 z M 11.800781 4.9238281 L 12.5 5.7128906 L 7 11.5 L 3.3847656 7.6972656 L 4.2246094 6.7480469 L 7 9.1289062 L 11.734375 4.9804688 L 11.800781 4.9238281 z "
-         transform="translate(952,156.36217)"
-         id="circle6710" />
-    </g>
-  </g>
-</svg>
+<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16.000017 16.000017"><g color="#000"><path style="marker:none" overflow="visible" fill="none" d="M0 0h16v16H0z"/><path style="marker:none" d="M8 0C3.59 0 0 3.59 0 8s3.59 8 8 8 8-3.59 8-8-3.59-8-8-8zm3.8 4.924l.7.789L7 11.5 3.385 7.697l.84-.949L7 9.128l4.734-4.148.067-.056z" overflow="visible" fill="#fff"/></g></svg>
\ No newline at end of file

=== modified file 'src/maasserver/static/assets/images/icons/success.svg'
--- src/maasserver/static/assets/images/icons/success.svg	2016-08-25 16:28:22 +0000
+++ src/maasserver/static/assets/images/icons/success.svg	2016-12-07 12:59:10 +0000
@@ -1,103 +1,1 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="16.000017"
-   height="16.000017"
-   id="svg5918"
-   version="1.1"
-   inkscape:version="0.91+devel r"
-   viewBox="0 0 16.000017 16.000017"
-   sodipodi:docname="success_solid.svg">
-  <defs
-     id="defs5920" />
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#dedede"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="24.286129"
-     inkscape:cx="-11.25258"
-     inkscape:cy="4.5793455"
-     inkscape:document-units="px"
-     inkscape:current-layer="g6706"
-     showgrid="true"
-     fit-margin-top="0"
-     fit-margin-left="0"
-     fit-margin-right="0"
-     fit-margin-bottom="0"
-     inkscape:snap-bbox="true"
-     inkscape:bbox-paths="true"
-     inkscape:bbox-nodes="true"
-     inkscape:snap-bbox-edge-midpoints="true"
-     inkscape:snap-bbox-midpoints="true"
-     inkscape:object-paths="true"
-     inkscape:snap-intersection-paths="true"
-     inkscape:object-nodes="true"
-     inkscape:snap-smooth-nodes="true"
-     inkscape:snap-midpoints="true"
-     inkscape:snap-object-midpoints="true"
-     inkscape:snap-center="true">
-    <inkscape:grid
-       type="xygrid"
-       id="grid4137"
-       originx="-0.00011142332px"
-       originy="-8.9999724px" />
-  </sodipodi:namedview>
-  <metadata
-     id="metadata5923">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title></dc:title>
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer"
-     id="layer1"
-     transform="translate(-182.93849,-560.72008)">
-    <g
-       style="display:inline"
-       transform="matrix(0.66666607,0,0,0.66666668,-633.06096,6.8119427)"
-       id="g5687" />
-    <g
-       style="display:inline"
-       id="g6706"
-       transform="translate(-769.06151,404.35791)">
-      <rect
-         y="156.36218"
-         x="952"
-         height="16"
-         width="16"
-         id="rect6708"
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:none;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.5;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:1.5, 1.5;stroke-dashoffset:0.60000002;stroke-opacity:1;marker:none;enable-background:accumulate" />
-      <circle
-         r="7.2500086"
-         cy="164.36218"
-         cx="960"
-         id="circle6710"
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#3eb34f;fill-opacity:1;fill-rule:nonzero;stroke:#3eb34f;stroke-width:1.5;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0.80000001;stroke-opacity:1;marker:none;enable-background:accumulate" />
-      <path
-         style="font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:15px;line-height:125%;font-family:Ubuntu;-inkscape-font-specification:Ubuntu;text-align:center;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:middle;display:inline;fill:#ffffff;fill-opacity:1;stroke:none"
-         d="m 963.80029,161.28562 -0.0659,0.0577 -4.73475,4.14722 -2.77557,-2.38094 -0.83906,0.94888 3.61532,3.80371 5.49967,-5.78724 -0.69971,-0.78929 z"
-         id="path6712"
-         inkscape:connector-curvature="0"
-         inkscape:transform-center-x="-0.9422065"
-         inkscape:transform-center-y="-3.2883377" />
-    </g>
-  </g>
-</svg>
+<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16.000017 16.000017"><g transform="translate(-952 -156.362)"><path style="marker:none" color="#000" overflow="visible" fill="none" d="M952 156.362h16v16h-16z"/><circle r="7.25" cy="164.362" cx="960" style="marker:none" color="#000" overflow="visible" fill="#3eb34f" stroke="#3eb34f" stroke-width="1.5" stroke-dashoffset=".8"/><path style="line-height:125%;-inkscape-font-specification:Ubuntu;text-align:center" d="M963.8 161.286l-.066.057-4.734 4.148-2.776-2.381-.839.948 3.615 3.804 5.5-5.787-.7-.79z" font-weight="400" font-size="15" font-family="Ubuntu" letter-spacing="0" word-spacing="0" text-anchor="middle" fill="#fff"/></g></svg>
\ No newline at end of file

=== modified file 'src/maasserver/static/assets/images/icons/success_colour_black.svg'
--- src/maasserver/static/assets/images/icons/success_colour_black.svg	2016-06-15 10:39:24 +0000
+++ src/maasserver/static/assets/images/icons/success_colour_black.svg	2016-12-07 12:59:10 +0000
@@ -1,103 +1,1 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="16.000017"
-   height="16.000017"
-   id="svg5918"
-   version="1.1"
-   inkscape:version="0.91+devel r"
-   viewBox="0 0 16.000017 16.000017"
-   sodipodi:docname="success_colour_black.svg">
-  <defs
-     id="defs5920" />
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#dedede"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="24.286129"
-     inkscape:cx="-23.070025"
-     inkscape:cy="4.311703"
-     inkscape:document-units="px"
-     inkscape:current-layer="g6706"
-     showgrid="true"
-     fit-margin-top="0"
-     fit-margin-left="0"
-     fit-margin-right="0"
-     fit-margin-bottom="0"
-     inkscape:snap-bbox="true"
-     inkscape:bbox-paths="true"
-     inkscape:bbox-nodes="true"
-     inkscape:snap-bbox-edge-midpoints="true"
-     inkscape:snap-bbox-midpoints="true"
-     inkscape:object-paths="true"
-     inkscape:snap-intersection-paths="true"
-     inkscape:object-nodes="true"
-     inkscape:snap-smooth-nodes="true"
-     inkscape:snap-midpoints="true"
-     inkscape:snap-object-midpoints="true"
-     inkscape:snap-center="true">
-    <inkscape:grid
-       type="xygrid"
-       id="grid4137"
-       originx="-0.00011142332px"
-       originy="-8.9999724px" />
-  </sodipodi:namedview>
-  <metadata
-     id="metadata5923">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title></dc:title>
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer"
-     id="layer1"
-     transform="translate(-182.93849,-560.72008)">
-    <g
-       style="display:inline"
-       transform="matrix(0.66666607,0,0,0.66666668,-633.06096,6.8119427)"
-       id="g5687" />
-    <g
-       style="display:inline"
-       id="g6706"
-       transform="translate(-769.06151,404.35791)">
-      <rect
-         y="156.36218"
-         x="952"
-         height="16"
-         width="16"
-         id="rect6708"
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:none;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.5;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:1.5, 1.5;stroke-dashoffset:0.60000002;stroke-opacity:1;marker:none;enable-background:accumulate" />
-      <circle
-         r="7.2500086"
-         cy="164.36218"
-         cx="960"
-         id="circle6710"
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#3eb34f;fill-opacity:1;fill-rule:nonzero;stroke:#3eb34f;stroke-width:1.5;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0.80000001;stroke-opacity:1;marker:none;enable-background:accumulate" />
-      <path
-         style="font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:15px;line-height:125%;font-family:Ubuntu;-inkscape-font-specification:Ubuntu;text-align:center;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:middle;display:inline;fill:#000000;fill-opacity:1;stroke:none"
-         d="m 963.80029,161.28562 -0.0659,0.0577 -4.73475,4.14722 -2.77557,-2.38094 -0.83906,0.94888 3.61532,3.80371 5.49967,-5.78724 -0.69971,-0.78929 z"
-         id="path6712"
-         inkscape:connector-curvature="0"
-         inkscape:transform-center-x="-0.9422065"
-         inkscape:transform-center-y="-3.2883377" />
-    </g>
-  </g>
-</svg>
+<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16.000017 16.000017"><g transform="translate(-952 -156.362)"><path style="marker:none" color="#000" overflow="visible" fill="none" d="M952 156.362h16v16h-16z"/><circle r="7.25" cy="164.362" cx="960" style="marker:none" color="#000" overflow="visible" fill="#3eb34f" stroke="#3eb34f" stroke-width="1.5" stroke-dashoffset=".8"/><path style="line-height:125%;-inkscape-font-specification:Ubuntu;text-align:center" d="M963.8 161.286l-.066.057-4.734 4.148-2.776-2.381-.839.948 3.615 3.804 5.5-5.787-.7-.79z" font-weight="400" font-size="15" font-family="Ubuntu" letter-spacing="0" word-spacing="0" text-anchor="middle"/></g></svg>
\ No newline at end of file

=== modified file 'src/maasserver/static/assets/images/icons/success_colour_white.svg'
--- src/maasserver/static/assets/images/icons/success_colour_white.svg	2016-06-15 10:39:24 +0000
+++ src/maasserver/static/assets/images/icons/success_colour_white.svg	2016-12-07 12:59:10 +0000
@@ -1,103 +1,1 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="16.000017"
-   height="16.000017"
-   id="svg5918"
-   version="1.1"
-   inkscape:version="0.91+devel r"
-   viewBox="0 0 16.000017 16.000017"
-   sodipodi:docname="success_solid.svg">
-  <defs
-     id="defs5920" />
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#dedede"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="24.286129"
-     inkscape:cx="-11.25258"
-     inkscape:cy="4.5793455"
-     inkscape:document-units="px"
-     inkscape:current-layer="g6706"
-     showgrid="true"
-     fit-margin-top="0"
-     fit-margin-left="0"
-     fit-margin-right="0"
-     fit-margin-bottom="0"
-     inkscape:snap-bbox="true"
-     inkscape:bbox-paths="true"
-     inkscape:bbox-nodes="true"
-     inkscape:snap-bbox-edge-midpoints="true"
-     inkscape:snap-bbox-midpoints="true"
-     inkscape:object-paths="true"
-     inkscape:snap-intersection-paths="true"
-     inkscape:object-nodes="true"
-     inkscape:snap-smooth-nodes="true"
-     inkscape:snap-midpoints="true"
-     inkscape:snap-object-midpoints="true"
-     inkscape:snap-center="true">
-    <inkscape:grid
-       type="xygrid"
-       id="grid4137"
-       originx="-0.00011142332px"
-       originy="-8.9999724px" />
-  </sodipodi:namedview>
-  <metadata
-     id="metadata5923">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title></dc:title>
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer"
-     id="layer1"
-     transform="translate(-182.93849,-560.72008)">
-    <g
-       style="display:inline"
-       transform="matrix(0.66666607,0,0,0.66666668,-633.06096,6.8119427)"
-       id="g5687" />
-    <g
-       style="display:inline"
-       id="g6706"
-       transform="translate(-769.06151,404.35791)">
-      <rect
-         y="156.36218"
-         x="952"
-         height="16"
-         width="16"
-         id="rect6708"
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:none;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.5;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:1.5, 1.5;stroke-dashoffset:0.60000002;stroke-opacity:1;marker:none;enable-background:accumulate" />
-      <circle
-         r="7.2500086"
-         cy="164.36218"
-         cx="960"
-         id="circle6710"
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#3eb34f;fill-opacity:1;fill-rule:nonzero;stroke:#3eb34f;stroke-width:1.5;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0.80000001;stroke-opacity:1;marker:none;enable-background:accumulate" />
-      <path
-         style="font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:15px;line-height:125%;font-family:Ubuntu;-inkscape-font-specification:Ubuntu;text-align:center;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:middle;display:inline;fill:#ffffff;fill-opacity:1;stroke:none"
-         d="m 963.80029,161.28562 -0.0659,0.0577 -4.73475,4.14722 -2.77557,-2.38094 -0.83906,0.94888 3.61532,3.80371 5.49967,-5.78724 -0.69971,-0.78929 z"
-         id="path6712"
-         inkscape:connector-curvature="0"
-         inkscape:transform-center-x="-0.9422065"
-         inkscape:transform-center-y="-3.2883377" />
-    </g>
-  </g>
-</svg>
+<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16.000017 16.000017"><g transform="translate(-952 -156.362)"><path style="marker:none" color="#000" overflow="visible" fill="none" d="M952 156.362h16v16h-16z"/><circle r="7.25" cy="164.362" cx="960" style="marker:none" color="#000" overflow="visible" fill="#3eb34f" stroke="#3eb34f" stroke-width="1.5" stroke-dashoffset=".8"/><path style="line-height:125%;-inkscape-font-specification:Ubuntu;text-align:center" d="M963.8 161.286l-.066.057-4.734 4.148-2.776-2.381-.839.948 3.615 3.804 5.5-5.787-.7-.79z" font-weight="400" font-size="15" font-family="Ubuntu" letter-spacing="0" word-spacing="0" text-anchor="middle" fill="#fff"/></g></svg>
\ No newline at end of file

=== modified file 'src/maasserver/static/assets/images/icons/success_mono.svg'
--- src/maasserver/static/assets/images/icons/success_mono.svg	2016-06-15 10:39:24 +0000
+++ src/maasserver/static/assets/images/icons/success_mono.svg	2016-12-07 12:59:10 +0000
@@ -1,95 +1,1 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="16.000017"
-   height="16.000017"
-   id="svg5918"
-   version="1.1"
-   inkscape:version="0.91+devel r"
-   viewBox="0 0 16.000017 16.000017"
-   sodipodi:docname="success_mono.svg">
-  <defs
-     id="defs5920" />
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#dedede"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="24.286129"
-     inkscape:cx="-23.070025"
-     inkscape:cy="4.311703"
-     inkscape:document-units="px"
-     inkscape:current-layer="g6706"
-     showgrid="true"
-     fit-margin-top="0"
-     fit-margin-left="0"
-     fit-margin-right="0"
-     fit-margin-bottom="0"
-     inkscape:snap-bbox="true"
-     inkscape:bbox-paths="true"
-     inkscape:bbox-nodes="true"
-     inkscape:snap-bbox-edge-midpoints="true"
-     inkscape:snap-bbox-midpoints="true"
-     inkscape:object-paths="true"
-     inkscape:snap-intersection-paths="true"
-     inkscape:object-nodes="true"
-     inkscape:snap-smooth-nodes="true"
-     inkscape:snap-midpoints="true"
-     inkscape:snap-object-midpoints="true"
-     inkscape:snap-center="true">
-    <inkscape:grid
-       type="xygrid"
-       id="grid4137"
-       originx="-0.00011142332px"
-       originy="-8.9999724px" />
-  </sodipodi:namedview>
-  <metadata
-     id="metadata5923">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title></dc:title>
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer"
-     id="layer1"
-     transform="translate(-182.93849,-560.72008)">
-    <g
-       style="display:inline"
-       transform="matrix(0.66666607,0,0,0.66666668,-633.06096,6.8119427)"
-       id="g5687" />
-    <g
-       style="display:inline"
-       id="g6706"
-       transform="translate(-769.06151,404.35791)">
-      <rect
-         y="156.36218"
-         x="952"
-         height="16"
-         width="16"
-         id="rect6708"
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:none;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.5;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:1.5, 1.5;stroke-dashoffset:0.60000002;stroke-opacity:1;marker:none;enable-background:accumulate" />
-      <path
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.5;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0.80000001;stroke-opacity:1;marker:none;enable-background:accumulate"
-         d="M 8 0 C 3.5906 0 0 3.5906 0 8 C 0 12.4094 3.5906 16 8 16 C 12.4094 16 16 12.4094 16 8 C 16 3.5906 12.4094 0 8 0 z M 11.800781 4.9238281 L 12.5 5.7128906 L 7 11.5 L 3.3847656 7.6972656 L 4.2246094 6.7480469 L 7 9.1289062 L 11.734375 4.9804688 L 11.800781 4.9238281 z "
-         transform="translate(952,156.36217)"
-         id="circle6710" />
-    </g>
-  </g>
-</svg>
+<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16.000017 16.000017"><g color="#000"><path style="marker:none" overflow="visible" fill="none" d="M0 0h16v16H0z"/><path style="marker:none" d="M8 0C3.59 0 0 3.59 0 8s3.59 8 8 8 8-3.59 8-8-3.59-8-8-8zm3.8 4.924l.7.789L7 11.5 3.385 7.697l.84-.949L7 9.128l4.734-4.148.067-.056z" overflow="visible" fill="#fff"/></g></svg>
\ No newline at end of file

=== modified file 'src/maasserver/static/assets/images/icons/sync.svg'
--- src/maasserver/static/assets/images/icons/sync.svg	2016-06-17 13:12:40 +0000
+++ src/maasserver/static/assets/images/icons/sync.svg	2016-12-07 12:59:10 +0000
@@ -1,165 +1,1 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="96"
-   height="96"
-   id="svg4874"
-   version="1.1"
-   inkscape:version="0.91+devel r"
-   viewBox="0 0 96 96.000001"
-   sodipodi:docname="sync.svg">
-  <defs
-     id="defs4876" />
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#ffffff"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0.0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="10.976561"
-     inkscape:cx="59.665355"
-     inkscape:cy="45.319801"
-     inkscape:document-units="px"
-     inkscape:current-layer="layer1"
-     showgrid="true"
-     showborder="true"
-     fit-margin-top="0"
-     fit-margin-left="0"
-     fit-margin-right="0"
-     fit-margin-bottom="0"
-     inkscape:snap-bbox="true"
-     inkscape:bbox-paths="true"
-     inkscape:bbox-nodes="true"
-     inkscape:snap-bbox-edge-midpoints="true"
-     inkscape:snap-bbox-midpoints="true"
-     inkscape:object-paths="true"
-     inkscape:snap-intersection-paths="true"
-     inkscape:object-nodes="true"
-     inkscape:snap-smooth-nodes="true"
-     inkscape:snap-midpoints="true"
-     inkscape:snap-object-midpoints="true"
-     inkscape:snap-center="true"
-     showguides="true"
-     inkscape:guide-bbox="true"
-     inkscape:snap-global="true">
-    <inkscape:grid
-       type="xygrid"
-       id="grid5451"
-       empspacing="8" />
-    <sodipodi:guide
-       orientation="1,0"
-       position="8,-8.0000001"
-       id="guide4063"
-       inkscape:locked="false" />
-    <sodipodi:guide
-       orientation="1,0"
-       position="4,-8.0000001"
-       id="guide4065"
-       inkscape:locked="false" />
-    <sodipodi:guide
-       orientation="0,1"
-       position="-8,88.000001"
-       id="guide4067"
-       inkscape:locked="false" />
-    <sodipodi:guide
-       orientation="0,1"
-       position="-8,92.000001"
-       id="guide4069"
-       inkscape:locked="false" />
-    <sodipodi:guide
-       orientation="0,1"
-       position="104,4"
-       id="guide4071"
-       inkscape:locked="false" />
-    <sodipodi:guide
-       orientation="0,1"
-       position="-5,8.0000001"
-       id="guide4073"
-       inkscape:locked="false" />
-    <sodipodi:guide
-       orientation="1,0"
-       position="88,-8.0000001"
-       id="guide4077"
-       inkscape:locked="false" />
-    <sodipodi:guide
-       orientation="0,1"
-       position="-8,84.000001"
-       id="guide4074"
-       inkscape:locked="false" />
-    <sodipodi:guide
-       orientation="1,0"
-       position="12,-8.0000001"
-       id="guide4076"
-       inkscape:locked="false" />
-    <sodipodi:guide
-       orientation="1,0"
-       position="84,-8.0000001"
-       id="guide4080"
-       inkscape:locked="false" />
-    <sodipodi:guide
-       position="48,-8.0000001"
-       orientation="1,0"
-       id="guide4170"
-       inkscape:locked="false" />
-    <sodipodi:guide
-       position="-8,48"
-       orientation="0,1"
-       id="guide4172"
-       inkscape:locked="false" />
-    <sodipodi:guide
-       position="92,-8.0000001"
-       orientation="1,0"
-       id="guide4760"
-       inkscape:locked="false" />
-  </sodipodi:namedview>
-  <metadata
-     id="metadata4879">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title />
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer"
-     id="layer1"
-     transform="translate(67.857146,-78.50504)">
-    <rect
-       transform="rotate(90)"
-       y="-28.142855"
-       x="78.505043"
-       height="96"
-       width="96"
-       id="rect4782-3"
-       style="color:#000000;display:inline;overflow:visible;visibility:visible;fill:none;stroke:none;stroke-width:3.99999976;marker:none;enable-background:accumulate" />
-    <path
-       inkscape:connector-curvature="0"
-       id="path5823"
-       d="M 17.072833,93.463025 0.1076338,110.43897 c 3.761009,1.401 7.708799,2.70822 11.8425792,3.92478 4.11221,1.1879 8.17652,2.23608 12.19276,3.14139 -0.93642,-3.9851 -1.99907,-8.03498 -3.18697,-12.14718 -1.21724,-4.13605 -2.51124,-8.100105 -3.88215,-11.893915 z"
-       style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.99940658;marker:none;enable-background:accumulate" />
-    <path
-       style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2.99940658;marker:none;enable-background:accumulate"
-       d="m -56.82218,159.50509 16.965203,-16.97594 c -3.761007,-1.401 -7.7088,-2.70822 -11.842582,-3.92478 -4.112202,-1.1879 -8.176517,-2.23608 -12.192756,-3.14139 0.936416,3.9851 1.999068,8.03498 3.186973,12.14718 1.217235,4.13605 2.511232,8.10009 3.882142,11.89391 z"
-       id="path5825"
-       inkscape:connector-curvature="0" />
-    <path
-       style="color:#000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;font-variant-ligatures:normal;font-variant-position:normal;font-variant-caps:normal;font-variant-numeric:normal;font-variant-alternates:normal;font-feature-settings:normal;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:#000000;letter-spacing:normal;word-spacing:normal;text-transform:none;writing-mode:lr-tb;direction:ltr;text-orientation:mixed;dominant-baseline:auto;baseline-shift:baseline;text-anchor:start;white-space:normal;shape-padding:0;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:1;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:#000000;solid-opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:4;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate"
-       d="M 48 8 C 25.932299 8 8 25.9323 8 48 C 8 48.652294 8.019802 49.300601 8.0507812 49.945312 C 9.405955 50.280619 10.76689 50.631088 12.132812 50.998047 C 12.051485 50.008879 12 49.010417 12 48 C 12 28.09406 28.09406 12 48 12 C 61.004938 12 72.379096 18.871744 78.705078 29.185547 L 81.564453 26.324219 C 74.445747 15.308519 62.076952 8 48 8 z M 83.863281 44.96875 C 83.946529 45.969373 84 46.977601 84 48 C 84 67.90594 67.90594 84 48 84 C 34.975164 84 23.583842 77.10771 17.263672 66.767578 L 14.384766 69.648438 C 21.511139 80.681575 33.907347 88 48 88 C 70.067701 88 88 70.0677 88 48 A 2.0002 2.0002 0 0 0 87.958984 47.59375 C 87.953538 47.062177 87.92836 46.536233 87.902344 46.009766 C 86.56135 45.678175 85.2148 45.331336 83.863281 44.96875 z "
-       transform="translate(-67.857146,78.50504)"
-       id="path4229" />
-  </g>
-</svg>
+<svg xmlns="http://www.w3.org/2000/svg" width="96" height="96" viewBox="0 0 96 96.000001"><g color="#000"><path style="marker:none" overflow="visible" fill="none" d="M96 0v96H0V0z"/><path d="M84.93 14.958L67.965 31.934a177.473 177.473 0 0 0 11.842 3.925A211.649 211.649 0 0 0 92 39c-.936-3.985-1.999-8.035-3.187-12.147a206.82 206.82 0 0 0-3.882-11.894zM11.035 81L28 64.024A177.472 177.472 0 0 0 16.158 60.1a211.647 211.647 0 0 0-12.193-3.141c.936 3.985 1.999 8.035 3.187 12.147 1.217 4.136 2.511 8.1 3.882 11.894z" style="marker:none" overflow="visible" fill="gray"/><path style="line-height:normal;font-variant-ligatures:normal;font-variant-position:normal;font-variant-caps:normal;font-variant-numeric:normal;font-variant-alternates:normal;font-feature-settings:normal;text-indent:0;text-align:start;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:#000;text-transform:none;text-orientation:mixed;shape-padding:0;isolation:auto;mix-blend-mode:normal;marker:none" d="M48 8C25.932 8 8 25.932 8 48c0 .652.02 1.3.05 1.945 1.356.336 2.717.686 4.083 1.053A36.54 36.54 0 0 1 12 48c0-19.906 16.094-36 36-36 13.005 0 24.38 6.872 30.705 17.186l2.86-2.862C74.444 15.31 62.076 8 48 8zm35.863 36.969c.084 1 .137 2.009.137 3.031 0 19.906-16.094 36-36 36-13.025 0-24.416-6.892-30.736-17.232l-2.88 2.88C21.512 80.682 33.908 88 48 88c22.068 0 40-17.932 40-40a2 2 0 0 0-.041-.406 40.381 40.381 0 0 0-.057-1.584 211.753 211.753 0 0 1-4.039-1.041z" font-weight="400" font-family="sans-serif" white-space="normal" overflow="visible" fill="gray"/></g></svg>
\ No newline at end of file

=== modified file 'src/maasserver/static/assets/images/icons/system-shutdown.svg'
--- src/maasserver/static/assets/images/icons/system-shutdown.svg	2016-06-17 13:12:40 +0000
+++ src/maasserver/static/assets/images/icons/system-shutdown.svg	2016-12-07 12:59:10 +0000
@@ -1,148 +1,1 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="96"
-   height="96"
-   id="svg4874"
-   version="1.1"
-   inkscape:version="0.91+devel r"
-   viewBox="0 0 96 96.000001"
-   sodipodi:docname="system-shutdown.svg">
-  <defs
-     id="defs4876" />
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#ffffff"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0.0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="5.7646076"
-     inkscape:cx="-51.828938"
-     inkscape:cy="63.575951"
-     inkscape:document-units="px"
-     inkscape:current-layer="layer1"
-     showgrid="true"
-     showborder="true"
-     fit-margin-top="0"
-     fit-margin-left="0"
-     fit-margin-right="0"
-     fit-margin-bottom="0"
-     inkscape:snap-bbox="true"
-     inkscape:bbox-paths="true"
-     inkscape:bbox-nodes="true"
-     inkscape:snap-bbox-edge-midpoints="true"
-     inkscape:snap-bbox-midpoints="true"
-     inkscape:object-paths="true"
-     inkscape:snap-intersection-paths="true"
-     inkscape:object-nodes="true"
-     inkscape:snap-smooth-nodes="true"
-     inkscape:snap-midpoints="true"
-     inkscape:snap-object-midpoints="true"
-     inkscape:snap-center="true"
-     showguides="true"
-     inkscape:guide-bbox="true"
-     inkscape:snap-global="true">
-    <inkscape:grid
-       type="xygrid"
-       id="grid5451"
-       empspacing="8" />
-    <sodipodi:guide
-       orientation="1,0"
-       position="8,-8.0000001"
-       id="guide4063" />
-    <sodipodi:guide
-       orientation="1,0"
-       position="4,-8.0000001"
-       id="guide4065" />
-    <sodipodi:guide
-       orientation="0,1"
-       position="-8,88.000001"
-       id="guide4067" />
-    <sodipodi:guide
-       orientation="0,1"
-       position="-8,92.000001"
-       id="guide4069" />
-    <sodipodi:guide
-       orientation="0,1"
-       position="104,4"
-       id="guide4071" />
-    <sodipodi:guide
-       orientation="0,1"
-       position="-5,8.0000001"
-       id="guide4073" />
-    <sodipodi:guide
-       orientation="1,0"
-       position="88,-8.0000001"
-       id="guide4077" />
-    <sodipodi:guide
-       orientation="0,1"
-       position="-8,84.000001"
-       id="guide4074" />
-    <sodipodi:guide
-       orientation="1,0"
-       position="12,-8.0000001"
-       id="guide4076" />
-    <sodipodi:guide
-       orientation="1,0"
-       position="84,-8.0000001"
-       id="guide4080" />
-    <sodipodi:guide
-       position="48,-8.0000001"
-       orientation="1,0"
-       id="guide4170" />
-    <sodipodi:guide
-       position="-8,48"
-       orientation="0,1"
-       id="guide4172" />
-    <sodipodi:guide
-       position="92,-8.0000001"
-       orientation="1,0"
-       id="guide4760" />
-  </sodipodi:namedview>
-  <metadata
-     id="metadata4879">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title></dc:title>
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer"
-     id="layer1"
-     transform="translate(67.857146,-78.50504)">
-    <rect
-       transform="rotate(90)"
-       y="-28.142857"
-       x="78.505051"
-       height="96"
-       width="96"
-       id="rect4782"
-       style="color:#000000;display:inline;overflow:visible;visibility:visible;fill:none;stroke:none;stroke-width:4;marker:none;enable-background:accumulate" />
-    <path
-       sodipodi:nodetypes="ccccc"
-       inkscape:connector-curvature="0"
-       id="rect4747-4"
-       d="m -21.857145,84.50504 3.999999,-1.000018 0,35.000008 -4.000008,0 z"
-       style="color:#000000;display:inline;overflow:visible;visibility:visible;fill:#808080;fill-opacity:1;stroke:none;stroke-width:9;marker:none;enable-background:accumulate" />
-    <path
-       style="color:#000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;font-variant-ligatures:none;font-variant-position:normal;font-variant-caps:normal;font-variant-numeric:normal;font-variant-alternates:normal;font-feature-settings:normal;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:#000000;letter-spacing:normal;word-spacing:normal;text-transform:none;direction:ltr;block-progression:tb;writing-mode:lr-tb;baseline-shift:baseline;text-anchor:start;white-space:normal;shape-padding:0;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:1;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:#000000;solid-opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:4;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate"
-       d="m -37.851562,95.302734 c -14.098548,8.144236 -20.982744,24.771426 -16.769532,40.503906 4.213212,15.73248 18.483706,26.6875 34.763672,26.6875 16.2799664,0 30.550459,-10.95502 34.763672,-26.6875 4.213213,-15.73248 -2.669031,-32.35967 -16.7675781,-40.503906 l -2.0019531,3.462891 C 8.6839213,106.0137 14.793066,120.76832 11.042969,134.77148 c -3.7500971,14.00317 -16.4124947,23.72266 -30.900391,23.72266 -14.487896,0 -27.148341,-9.71949 -30.898437,-23.72266 -3.750097,-14.00316 2.357094,-28.75778 14.904297,-36.005855 l -2,-3.462891 z"
-       id="path4145"
-       inkscape:connector-curvature="0" />
-  </g>
-</svg>
+<svg xmlns="http://www.w3.org/2000/svg" width="96" height="96" viewBox="0 0 96 96.000001"><g color="#000"><path style="marker:none" overflow="visible" fill="none" d="M96 0v96H0V0z"/><path d="M46 6l4-1v35h-4z" style="marker:none" overflow="visible" fill="gray"/><path style="line-height:normal;font-variant-ligatures:none;font-variant-position:normal;font-variant-caps:normal;font-variant-numeric:normal;font-variant-alternates:normal;font-feature-settings:normal;text-indent:0;text-align:start;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:#000;text-transform:none;block-progression:tb;shape-padding:0;isolation:auto;mix-blend-mode:normal;marker:none" d="M30.006 16.798c-14.099 8.144-20.983 24.771-16.77 40.504C17.45 73.034 31.72 83.989 48 83.989s30.55-10.955 34.763-26.687c4.214-15.733-2.669-32.36-16.767-40.504l-2.002 3.463C76.54 27.509 82.65 42.263 78.9 56.266 75.15 70.27 62.488 79.99 48 79.99S20.85 70.27 17.1 56.266c-3.75-14.003 2.357-28.757 14.905-36.005l-2-3.463z" font-weight="400" font-family="sans-serif" white-space="normal" overflow="visible" fill="gray"/></g></svg>
\ No newline at end of file

=== modified file 'src/maasserver/static/assets/images/icons/tags.svg'
--- src/maasserver/static/assets/images/icons/tags.svg	2016-06-23 11:21:10 +0000
+++ src/maasserver/static/assets/images/icons/tags.svg	2016-12-07 12:59:10 +0000
@@ -1,117 +1,1 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="16"
-   height="15.999999"
-   id="svg5918"
-   version="1.1"
-   inkscape:version="0.91+devel r"
-   viewBox="0 0 16 15.999999"
-   sodipodi:docname="tag_16.svg">
-  <defs
-     id="defs5920">
-    <clipPath
-       id="clipPath16"
-       clipPathUnits="userSpaceOnUse">
-      <path
-         inkscape:connector-curvature="0"
-         id="path18"
-         d="m 0,595.28 841.89,0 L 841.89,0 0,0 0,595.28 Z" />
-    </clipPath>
-    <clipPath
-       id="clipPath16-0"
-       clipPathUnits="userSpaceOnUse">
-      <path
-         inkscape:connector-curvature="0"
-         id="path18-1"
-         d="m 0,595.28 841.89,0 L 841.89,0 0,0 0,595.28 Z" />
-    </clipPath>
-  </defs>
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#dedede"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="47.433846"
-     inkscape:cx="-0.83024322"
-     inkscape:cy="5.2845086"
-     inkscape:document-units="px"
-     inkscape:current-layer="g5346"
-     showgrid="true"
-     fit-margin-top="0"
-     fit-margin-left="0"
-     fit-margin-right="0"
-     fit-margin-bottom="0.2"
-     inkscape:snap-bbox="true"
-     inkscape:bbox-paths="true"
-     inkscape:bbox-nodes="true"
-     inkscape:snap-bbox-edge-midpoints="true"
-     inkscape:snap-bbox-midpoints="true"
-     inkscape:object-paths="true"
-     inkscape:snap-intersection-paths="true"
-     inkscape:object-nodes="true"
-     inkscape:snap-smooth-nodes="true"
-     inkscape:snap-midpoints="true"
-     inkscape:snap-object-midpoints="true"
-     inkscape:snap-center="true">
-    <inkscape:grid
-       type="xygrid"
-       id="grid4137"
-       originx="-0.00011296354px"
-       originy="-8.999973px" />
-  </sodipodi:namedview>
-  <metadata
-     id="metadata5923">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title />
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer"
-     id="layer1"
-     transform="translate(-182.93849,-560.7201)">
-    <g
-       style="display:inline"
-       transform="matrix(0.66666607,0,0,0.66666668,-633.06096,6.8119427)"
-       id="g5687" />
-    <g
-       style="display:inline"
-       id="g5346"
-       transform="translate(-769.06151,404.35792)">
-      <rect
-         y="156.36218"
-         x="952"
-         height="16"
-         width="16"
-         id="rect6926"
-         style="display:inline;opacity:0.21171169;fill:none;stroke:none;stroke-width:0.66666669" />
-      <path
-         inkscape:connector-curvature="0"
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:3.20000029;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-         d="m 960.6914,156.36218 -7.916,7.918 c -1.218,1.218 -0.9133,1.5222 0.3047,2.7402 l 2.1308,2.1309 2.1309,2.1308 c 1.2178,1.218 1.5222,1.5227 2.7402,0.3047 l 7.918,-7.916 v -6.3945 c 0,-0.3045 -0.076,-0.5333 -0.2285,-0.6856 -0.1523,-0.1522 -0.3811,-0.2285 -0.6856,-0.2285 z m 0.418,1.0078 h 5.8828 v 5.8828 c -2.5085,2.5078 -5.017,5.0156 -7.5254,7.5235 -0.7946,0.8386 -1.4718,-0.3877 -2.0742,-0.8692 -0.4743,-0.5033 -0.9712,-0.9862 -1.4688,-1.4687 -0.4825,-0.4977 -0.9654,-0.9946 -1.4687,-1.4688 -0.4815,-0.6024 -1.7078,-1.2796 -0.8692,-2.0742 2.5079,-2.5085 5.0157,-5.0169 7.5235,-7.5254 z"
-         id="path6950" />
-      <path
-         inkscape:connector-curvature="0"
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:3.20000029;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-         d="m 964.5176,158.61216 a 1.2500276,1.2500276 0 0 1 0.8672,0.36523 1.2500276,1.2500276 0 0 1 0,1.76954 1.2500276,1.2500276 0 0 1 -1.7696,0 1.2500276,1.2500276 0 0 1 0,-1.76954 1.2500276,1.2500276 0 0 1 0.9024,-0.36523 z"
-         id="path6932" />
-    </g>
-  </g>
-</svg>
+<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 15.999999"><path opacity=".212" fill="none" d="M0 0h16v16H0z"/><path style="marker:none" d="M8.691 0L.775 7.918c-1.218 1.218-.913 1.522.305 2.74l2.13 2.131 2.132 2.13c1.218 1.219 1.522 1.524 2.74.306L16 7.309V.914c0-.304-.076-.533-.228-.686C15.619.076 15.39 0 15.086 0zm.418 1.008h5.883V6.89l-7.525 7.523c-.795.839-1.472-.388-2.074-.87a46.125 46.125 0 0 0-1.47-1.468 45.917 45.917 0 0 0-1.468-1.469c-.481-.602-1.708-1.28-.87-2.074L9.11 1.008z" color="#000" overflow="visible" fill="gray"/><path style="marker:none" d="M12.518 2.25a1.25 1.25 0 0 1 .867.365 1.25 1.25 0 0 1 0 1.77 1.25 1.25 0 0 1-1.77 0 1.25 1.25 0 0 1 0-1.77 1.25 1.25 0 0 1 .903-.365z" color="#000" overflow="visible" fill="gray"/></svg>
\ No newline at end of file

=== modified file 'src/maasserver/static/assets/images/icons/tick.svg'
--- src/maasserver/static/assets/images/icons/tick.svg	2016-08-25 16:28:22 +0000
+++ src/maasserver/static/assets/images/icons/tick.svg	2016-12-07 12:59:10 +0000
@@ -1,20 +1,1 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<svg xmlns:sketch="http://www.bohemiancoding.com/sketch/ns" xmlns="http://www.w3.org/2000/svg" height="16px" width="22px" version="1.1" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 22 16"><!-- Generator: Sketch 3.4.4 (17249) - http://www.bohemiancoding.com/sketch -->
- <title>textfield-saved</title>
- <desc>Created with Sketch.</desc>
- <g id="Page-1" fill-rule="evenodd" sketch:type="MSPage" fill="none">
-  <g id="Try-Landscape-3" transform="translate(-786 -1429)" fill="#38B44A" sketch:type="MSArtboardGroup">
-   <g id="Choose-the-version" transform="translate(0 683)" sketch:type="MSLayerGroup">
-    <g id="Systems-monitoring-Copy-6" sketch:type="MSShapeGroup" transform="translate(229 745)">
-     <g id="textfield-saved" transform="translate(556 .57143)">
-      <g id="layer1" transform="translate(0.43 .079691)">
-       <g id="g6332" transform="translate(.81490 .69214)">
-        <path id="path4041-9-5" d="m19.796-3.2951e-13l-0.155 0.13576-11.138 9.7559-6.5292-5.6009-1.9738 2.2321 8.5047 8.9481 12.937-13.614-1.646-1.8569v-0.0001z"/>
-       </g>
-      </g>
-     </g>
-    </g>
-   </g>
-  </g>
- </g>
-</svg>
+<svg xmlns="http://www.w3.org/2000/svg" height="16" width="22" viewBox="0 0 22 16"><title>textfield-saved</title><path d="M20.04.343l-.154.136-11.138 9.756-6.53-5.601L.246 6.866l8.505 8.948L21.687 2.2 20.04.343z" fill="#38B44A" fill-rule="evenodd"/></svg>
\ No newline at end of file

=== modified file 'src/maasserver/static/assets/images/icons/tooltip.svg'
--- src/maasserver/static/assets/images/icons/tooltip.svg	2016-06-15 10:39:24 +0000
+++ src/maasserver/static/assets/images/icons/tooltip.svg	2016-12-07 12:59:10 +0000
@@ -1,125 +1,1 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="16"
-   height="15.999999"
-   id="svg5918"
-   version="1.1"
-   inkscape:version="0.91+devel r"
-   viewBox="0 0 16 15.999999"
-   sodipodi:docname="tooltip_16.svg">
-  <defs
-     id="defs5920">
-    <clipPath
-       id="clipPath16"
-       clipPathUnits="userSpaceOnUse">
-      <path
-         inkscape:connector-curvature="0"
-         id="path18"
-         d="m 0,595.28 841.89,0 L 841.89,0 0,0 0,595.28 Z" />
-    </clipPath>
-    <clipPath
-       id="clipPath16-0"
-       clipPathUnits="userSpaceOnUse">
-      <path
-         inkscape:connector-curvature="0"
-         id="path18-1"
-         d="m 0,595.28 841.89,0 L 841.89,0 0,0 0,595.28 Z" />
-    </clipPath>
-    <clipPath
-       id="clipPath16-9"
-       clipPathUnits="userSpaceOnUse">
-      <path
-         inkscape:connector-curvature="0"
-         id="path18-3"
-         d="m 0,595.28 841.89,0 L 841.89,0 0,0 0,595.28 Z" />
-    </clipPath>
-  </defs>
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#dedede"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="30.357661"
-     inkscape:cx="-3.3395733"
-     inkscape:cy="7.2490619"
-     inkscape:document-units="px"
-     inkscape:current-layer="g5346"
-     showgrid="true"
-     fit-margin-top="0"
-     fit-margin-left="0"
-     fit-margin-right="0"
-     fit-margin-bottom="0.2"
-     inkscape:snap-bbox="true"
-     inkscape:bbox-paths="true"
-     inkscape:bbox-nodes="true"
-     inkscape:snap-bbox-edge-midpoints="true"
-     inkscape:snap-bbox-midpoints="true"
-     inkscape:object-paths="true"
-     inkscape:snap-intersection-paths="true"
-     inkscape:object-nodes="true"
-     inkscape:snap-smooth-nodes="true"
-     inkscape:snap-midpoints="true"
-     inkscape:snap-object-midpoints="true"
-     inkscape:snap-center="true">
-    <inkscape:grid
-       type="xygrid"
-       id="grid4137"
-       originx="-0.00011296354px"
-       originy="-8.999973px" />
-  </sodipodi:namedview>
-  <metadata
-     id="metadata5923">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title />
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer"
-     id="layer1"
-     transform="translate(-182.93849,-560.7201)">
-    <g
-       style="display:inline"
-       transform="matrix(0.66666607,0,0,0.66666668,-633.06096,6.8119427)"
-       id="g5687" />
-    <g
-       style="display:inline"
-       id="g5346"
-       transform="translate(-769.06151,404.35792)">
-      <rect
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:none;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.5;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:1.5, 1.5;stroke-dashoffset:0.60000002;stroke-opacity:1;marker:none;enable-background:accumulate"
-         id="rect6415"
-         width="16"
-         height="16"
-         x="952"
-         y="156.36217" />
-      <path
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:0.99999994;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-         d="M 1.0664062 0 C 0.47545941 0 0 0.47545941 0 1.0664062 L 0 14.933594 C 0 15.524541 0.47545941 16 1.0664062 16 L 14.933594 16 C 15.524541 16 16 15.524541 16 14.933594 L 16 1.0664062 C 16 0.47545941 15.524541 0 14.933594 0 L 1.0664062 0 z M 1 1 L 15 1 L 15 15 L 1 15 L 1 1 z "
-         transform="translate(952,156.36218)"
-         id="rect4263" />
-      <path
-         inkscape:connector-curvature="0"
-         style="font-style:normal;font-variant:normal;font-weight:500;font-stretch:normal;font-size:medium;line-height:125%;font-family:Ubuntu;-inkscape-font-specification:'Ubuntu Medium';text-align:center;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:middle;display:inline;fill:#808080;fill-opacity:1;stroke:none;stroke-width:0.66666669"
-         d="m 960.15429,159.03794 c -0.49725,0 -0.98553,0.0641 -1.46289,0.19336 -0.46742,0.11934 -0.88398,0.28334 -1.25195,0.49218 l 0.50586,1.38672 c 0.34807,-0.18895 0.68175,-0.32278 1,-0.40234 0.31825,-0.0895 0.65192,-0.13281 1,-0.13281 0.44753,0 0.78121,0.10933 1,0.32812 0.22874,0.20885 0.3418,0.4765 0.3418,0.80469 0,0.23868 -0.0547,0.45734 -0.16407,0.65625 -0.1094,0.1989 -0.2489,0.39307 -0.41796,0.58203 -0.16908,0.18896 -0.35189,0.37745 -0.55079,0.56641 -0.18896,0.18895 -0.36805,0.39253 -0.53711,0.61132 -0.16906,0.21879 -0.30856,0.45822 -0.41796,0.7168 -0.1094,0.25857 -0.16407,0.55267 -0.16407,0.88086 0,0.0995 0.006,0.20878 0.0156,0.32812 0.01,0.1094 0.0231,0.21305 0.043,0.31251 h 1.55273 c -0.01,-0.0597 -0.0156,-0.12003 -0.0156,-0.17969 v -0.17774 c 0,-0.29836 0.0603,-0.56796 0.17968,-0.80664 0.12929,-0.23868 0.28761,-0.46107 0.47657,-0.66992 0.18896,-0.2188 0.39253,-0.42806 0.61132,-0.62695 0.21879,-0.20885 0.42237,-0.42751 0.61133,-0.65625 0.18896,-0.22874 0.34355,-0.47759 0.46289,-0.7461 0.12928,-0.26852 0.19532,-0.57203 0.19532,-0.91015 0,-0.27848 -0.0453,-0.56689 -0.13477,-0.86524 -0.0895,-0.29836 -0.24977,-0.57169 -0.47852,-0.82031 -0.22873,-0.24863 -0.53596,-0.4522 -0.92382,-0.61133 -0.38787,-0.16906 -0.87986,-0.2539 -1.47657,-0.2539 z M 960,167.36801 c -0.275,0 -0.51289,0.0954 -0.71289,0.28711 -0.19166,0.18334 -0.28711,0.42123 -0.28711,0.71289 0,0.29168 0.0954,0.52956 0.28711,0.7129 0.2,0.18333 0.43789,0.27539 0.71289,0.27539 0.28333,0 0.52122,-0.0921 0.71289,-0.27539 0.19166,-0.18334 0.28711,-0.42122 0.28711,-0.7129 0,-0.29166 -0.0955,-0.52955 -0.28711,-0.71289 -0.19167,-0.19166 -0.42956,-0.28711 -0.71289,-0.28711 z"
-         id="path4405" />
-    </g>
-  </g>
-</svg>
+<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 15.999999"><path style="marker:none" color="#000" overflow="visible" fill="none" d="M0 0h16v16H0z"/><path style="marker:none" d="M1.066 0C.476 0 0 .475 0 1.066v13.868C0 15.524.475 16 1.066 16h13.868c.59 0 1.066-.475 1.066-1.066V1.066C16 .476 15.525 0 14.934 0H1.066zM1 1h14v14H1V1z" color="#000" overflow="visible" fill="gray"/><path style="line-height:125%;-inkscape-font-specification:'Ubuntu Medium';text-align:center" d="M8.154 2.676c-.497 0-.985.064-1.463.193-.467.12-.884.283-1.252.492l.506 1.387a4.294 4.294 0 0 1 1-.402c.319-.09.652-.133 1-.133.448 0 .782.11 1 .328.229.209.342.476.342.805 0 .238-.055.457-.164.656-.11.199-.249.393-.418.582-.169.189-.352.377-.55.566a6.377 6.377 0 0 0-.538.612 3.22 3.22 0 0 0-.418.716c-.11.26-.164.553-.164.881 0 .1.006.21.016.328.01.11.023.214.043.313h1.552a1.09 1.09 0 0 1-.015-.18v-.177c0-.299.06-.568.18-.807a3.43 3.43 0 0 1 .476-.67c.19-.219.393-.428.611-.627.22-.209.423-.427.612-.656.189-.229.343-.478.463-.746.129-.269.195-.572.195-.91 0-.279-.045-.567-.135-.866a2.095 2.095 0 0 0-.478-.82c-.229-.249-.536-.452-.924-.611-.388-.17-.88-.254-1.477-.254zM8 11.006a.995.995 0 0 0-.713.287.942.942 0 0 0-.287.713c0 .292.095.53.287.713.2.183.438.275.713.275a.992.992 0 0 0 .713-.275.942.942 0 0 0 .287-.713.943.943 0 0 0-.287-.713.968.968 0 0 0-.713-.287z" font-weight="500" font-family="Ubuntu" letter-spacing="0" word-spacing="0" text-anchor="middle" fill="gray"/></svg>
\ No newline at end of file

=== modified file 'src/maasserver/static/assets/images/icons/unmount.svg'
--- src/maasserver/static/assets/images/icons/unmount.svg	2016-06-23 11:21:10 +0000
+++ src/maasserver/static/assets/images/icons/unmount.svg	2016-12-07 12:59:10 +0000
@@ -1,81 +1,1 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="16.000061"
-   height="15.999993"
-   viewBox="0 0 4.2333493 4.2333317"
-   version="1.1"
-   id="svg6259"
-   inkscape:version="0.91+devel r"
-   sodipodi:docname="unmount_16.svg">
-  <defs
-     id="defs6253" />
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#ffffff"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0.0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="24.286129"
-     inkscape:cx="8.6386766"
-     inkscape:cy="6.8269423"
-     inkscape:document-units="px"
-     inkscape:current-layer="layer1"
-     showgrid="false"
-     fit-margin-top="0"
-     fit-margin-left="0"
-     fit-margin-right="0"
-     fit-margin-bottom="0"
-     units="px" />
-  <metadata
-     id="metadata6256">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title></dc:title>
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer"
-     id="layer1"
-     transform="translate(-180.8238,-173.175)">
-    <g
-       style="display:inline;fill:#df382c"
-       id="g6276"
-       transform="matrix(0.17638886,0,0,-0.17638886,161.06825,302.35553)">
-      <rect
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:0.12000002;fill:none;stroke:none;stroke-width:4;marker:none;enable-background:accumulate"
-         id="rect6273"
-         width="23.999994"
-         height="23.999994"
-         x="708.36218"
-         y="-135.99998"
-         transform="rotate(90)" />
-    </g>
-    <path
-       inkscape:connector-curvature="0"
-       id="path6278"
-       d="m 180.82382,173.43957 v 0.79375 h 4.23333 v -0.79375 z m 3.43958,0.26459 h 0.52917 v 0.26458 h -0.52917 z"
-       style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.05833328;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate" />
-    <path
-       sodipodi:nodetypes="ccccc"
-       inkscape:connector-curvature="0"
-       style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#808080;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.05833328;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-       d="m 183.20507,176.08541 v 0.26458 h 1.85208 v -0.26458 z"
-       id="path5962-4" />
-  </g>
-</svg>
+<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 4.2333493 4.2333317"><path style="marker:none" color="#000" overflow="visible" opacity=".12" fill="none" d="M4.233 4.233V0H0v4.233z"/><path d="M0 .265v.793h4.233V.265zm3.44.264h.529v.265h-.53zM2.381 2.91v.265h1.852V2.91z" style="marker:none" color="#000" overflow="visible" fill="gray"/></svg>
\ No newline at end of file

=== modified file 'src/maasserver/static/assets/images/icons/warning-mono.svg'
--- src/maasserver/static/assets/images/icons/warning-mono.svg	2016-08-25 16:28:22 +0000
+++ src/maasserver/static/assets/images/icons/warning-mono.svg	2016-12-07 12:59:10 +0000
@@ -1,96 +1,1 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="16.000017"
-   height="16.000017"
-   id="svg5918"
-   version="1.1"
-   inkscape:version="0.91+devel r"
-   viewBox="0 0 16.000017 16.000017"
-   sodipodi:docname="warning_mono.svg">
-  <defs
-     id="defs5920" />
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#dedede"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="19.428903"
-     inkscape:cx="-0.3490475"
-     inkscape:cy="3.032316"
-     inkscape:document-units="px"
-     inkscape:current-layer="g6413"
-     showgrid="true"
-     fit-margin-top="0"
-     fit-margin-left="0"
-     fit-margin-right="0"
-     fit-margin-bottom="0"
-     inkscape:snap-bbox="true"
-     inkscape:bbox-paths="true"
-     inkscape:bbox-nodes="true"
-     inkscape:snap-bbox-edge-midpoints="true"
-     inkscape:snap-bbox-midpoints="true"
-     inkscape:object-paths="true"
-     inkscape:snap-intersection-paths="true"
-     inkscape:object-nodes="true"
-     inkscape:snap-smooth-nodes="true"
-     inkscape:snap-midpoints="true"
-     inkscape:snap-object-midpoints="true"
-     inkscape:snap-center="true"
-     inkscape:snap-global="true">
-    <inkscape:grid
-       type="xygrid"
-       id="grid4137"
-       originx="-0.00011142332px"
-       originy="-8.9999724px" />
-  </sodipodi:namedview>
-  <metadata
-     id="metadata5923">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title></dc:title>
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer"
-     id="layer1"
-     transform="translate(-182.93849,-560.72008)">
-    <g
-       style="display:inline"
-       transform="matrix(0.66666607,0,0,0.66666668,-633.06096,6.8119427)"
-       id="g5687" />
-    <g
-       style="display:inline"
-       id="g6413"
-       transform="translate(-769.06151,364.35791)">
-      <rect
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:none;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.5;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:1.5, 1.5;stroke-dashoffset:0.60000002;stroke-opacity:1;marker:none;enable-background:accumulate"
-         id="rect6415"
-         width="16"
-         height="16"
-         x="952"
-         y="196.36218" />
-      <path
-         style="color:#000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;font-variant-ligatures:normal;font-variant-position:normal;font-variant-caps:normal;font-variant-numeric:normal;font-variant-alternates:normal;font-feature-settings:normal;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:#000000;letter-spacing:normal;word-spacing:normal;text-transform:none;writing-mode:lr-tb;direction:ltr;text-orientation:mixed;dominant-baseline:auto;baseline-shift:baseline;text-anchor:start;white-space:normal;shape-padding:0;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:1;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:#000000;solid-opacity:1;fill:#ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:0.84847599;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate"
-         d="M 8.0449219 -0.0234375 A 0.96734697 1.0339621 0 0 0 7.9472656 -0.021484375 A 0.96734697 1.0339621 0 0 0 7.1621094 0.4921875 L 0.15429688 13.470703 A 0.96734697 1.0339621 0 0 0 0.99023438 15.023438 L 15.009766 15.023438 A 0.96734697 1.0339621 0 0 0 15.845703 13.470703 L 8.8378906 0.4921875 A 0.96734697 1.0339621 0 0 0 8.0449219 -0.0234375 z M 7 5 L 9 5 L 9 10 L 7 10 L 7 5 z M 7 11 L 9 11 L 9 13 L 7 13 L 7 11 z "
-         transform="translate(952,196.36217)"
-         id="path4438" />
-    </g>
-  </g>
-</svg>
+<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16.000017 16.000017"><g color="#000"><path style="marker:none" overflow="visible" fill="none" d="M0 0h16v16H0z"/><path style="line-height:normal;font-variant-ligatures:normal;font-variant-position:normal;font-variant-caps:normal;font-variant-numeric:normal;font-variant-alternates:normal;font-feature-settings:normal;text-indent:0;text-align:start;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:#000;text-transform:none;text-orientation:mixed;shape-padding:0;isolation:auto;mix-blend-mode:normal;marker:none" d="M8.045-.023a.967 1.034 0 0 0-.098.002.967 1.034 0 0 0-.785.513L.154 13.471a.967 1.034 0 0 0 .836 1.552h14.02a.967 1.034 0 0 0 .836-1.552L8.838.492a.967 1.034 0 0 0-.793-.515zM7 5h2v5H7V5zm0 6h2v2H7v-2z" font-weight="400" font-family="sans-serif" white-space="normal" overflow="visible" fill="#fff"/></g></svg>
\ No newline at end of file

=== modified file 'src/maasserver/static/assets/images/icons/warning.svg' (properties changed: +x to -x)
--- src/maasserver/static/assets/images/icons/warning.svg	2016-08-25 16:28:22 +0000
+++ src/maasserver/static/assets/images/icons/warning.svg	2016-12-07 12:59:10 +0000
@@ -1,123 +1,1 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="16.000017"
-   height="16.000017"
-   id="svg5918"
-   version="1.1"
-   inkscape:version="0.91+devel r"
-   viewBox="0 0 16.000017 16.000017"
-   sodipodi:docname="warning_colour_white.svg">
-  <defs
-     id="defs5920" />
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#dedede"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="19.428903"
-     inkscape:cx="-0.3490475"
-     inkscape:cy="3.032316"
-     inkscape:document-units="px"
-     inkscape:current-layer="g6413"
-     showgrid="true"
-     fit-margin-top="0"
-     fit-margin-left="0"
-     fit-margin-right="0"
-     fit-margin-bottom="0"
-     inkscape:snap-bbox="true"
-     inkscape:bbox-paths="true"
-     inkscape:bbox-nodes="true"
-     inkscape:snap-bbox-edge-midpoints="true"
-     inkscape:snap-bbox-midpoints="true"
-     inkscape:object-paths="true"
-     inkscape:snap-intersection-paths="true"
-     inkscape:object-nodes="true"
-     inkscape:snap-smooth-nodes="true"
-     inkscape:snap-midpoints="true"
-     inkscape:snap-object-midpoints="true"
-     inkscape:snap-center="true"
-     inkscape:snap-global="true">
-    <inkscape:grid
-       type="xygrid"
-       id="grid4137"
-       originx="-0.00011142332px"
-       originy="-8.9999724px" />
-  </sodipodi:namedview>
-  <metadata
-     id="metadata5923">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title></dc:title>
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer"
-     id="layer1"
-     transform="translate(-182.93849,-560.72008)">
-    <g
-       style="display:inline"
-       transform="matrix(0.66666607,0,0,0.66666668,-633.06096,6.8119427)"
-       id="g5687" />
-    <g
-       style="display:inline"
-       id="g6413"
-       transform="translate(-769.06151,364.35791)">
-      <rect
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:none;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.5;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:1.5, 1.5;stroke-dashoffset:0.60000002;stroke-opacity:1;marker:none;enable-background:accumulate"
-         id="rect6415"
-         width="16"
-         height="16"
-         x="952"
-         y="196.36218" />
-      <path
-         sodipodi:type="star"
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#e95420;fill-opacity:1;fill-rule:nonzero;stroke:#e95420;stroke-width:0.84847599;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-         id="path4389"
-         sodipodi:sides="3"
-         sodipodi:cx="960"
-         sodipodi:cy="205.24977"
-         sodipodi:r1="3.5505643"
-         sodipodi:r2="1.7752821"
-         sodipodi:arg1="0.52359878"
-         sodipodi:arg2="1.5707963"
-         inkscape:flatsided="true"
-         inkscape:rounded="0"
-         inkscape:randomized="0"
-         d="m 963.07488,207.02505 -6.14976,0 L 960,201.69921 Z"
-         inkscape:transform-center-y="-2.1631599"
-         transform="matrix(2.2799708,0,0,2.4369781,-1228.772,-294.16389)"
-         inkscape:transform-center-x="3.2099873e-05" />
-      <rect
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-         id="rect4391"
-         width="2"
-         height="5.0000076"
-         x="958.99988"
-         y="201.36215" />
-      <rect
-         y="207.36217"
-         x="958.99988"
-         height="2.0000002"
-         width="2"
-         id="rect4393"
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.99999988;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate" />
-    </g>
-  </g>
-</svg>
+<svg width="16" height="16" viewBox="0 0 16 16" xmlns="http://www.w3.org/2000/svg"><title>warning</title><g fill="none" fill-rule="evenodd"><path d="M0 0h16v16H0z"/><circle stroke="#F4B457" stroke-width="1.5" cx="8" cy="8" r="7.25"/><path d="M7 4v5h2V4H7zm0 6v2h2v-2H7z" fill="#F4B457"/></g></svg>
\ No newline at end of file

=== modified file 'src/maasserver/static/assets/images/icons/warning_colour_black.svg'
--- src/maasserver/static/assets/images/icons/warning_colour_black.svg	2016-06-15 10:39:24 +0000
+++ src/maasserver/static/assets/images/icons/warning_colour_black.svg	2016-12-07 12:59:10 +0000
@@ -1,114 +1,1 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="16.000017"
-   height="16.000017"
-   id="svg5918"
-   version="1.1"
-   inkscape:version="0.91+devel r"
-   viewBox="0 0 16.000017 16.000017"
-   sodipodi:docname="warning_colour_black.svg">
-  <defs
-     id="defs5920" />
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#dedede"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="19.428903"
-     inkscape:cx="-0.3490475"
-     inkscape:cy="3.032316"
-     inkscape:document-units="px"
-     inkscape:current-layer="g6413"
-     showgrid="true"
-     fit-margin-top="0"
-     fit-margin-left="0"
-     fit-margin-right="0"
-     fit-margin-bottom="0"
-     inkscape:snap-bbox="true"
-     inkscape:bbox-paths="true"
-     inkscape:bbox-nodes="true"
-     inkscape:snap-bbox-edge-midpoints="true"
-     inkscape:snap-bbox-midpoints="true"
-     inkscape:object-paths="true"
-     inkscape:snap-intersection-paths="true"
-     inkscape:object-nodes="true"
-     inkscape:snap-smooth-nodes="true"
-     inkscape:snap-midpoints="true"
-     inkscape:snap-object-midpoints="true"
-     inkscape:snap-center="true"
-     inkscape:snap-global="true">
-    <inkscape:grid
-       type="xygrid"
-       id="grid4137"
-       originx="-0.00011142332px"
-       originy="-8.9999724px" />
-  </sodipodi:namedview>
-  <metadata
-     id="metadata5923">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title></dc:title>
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer"
-     id="layer1"
-     transform="translate(-182.93849,-560.72008)">
-    <g
-       style="display:inline"
-       transform="matrix(0.66666607,0,0,0.66666668,-633.06096,6.8119427)"
-       id="g5687" />
-    <g
-       style="display:inline"
-       id="g6413"
-       transform="translate(-769.06151,364.35791)">
-      <rect
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:none;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.5;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:1.5, 1.5;stroke-dashoffset:0.60000002;stroke-opacity:1;marker:none;enable-background:accumulate"
-         id="rect6415"
-         width="16"
-         height="16"
-         x="952"
-         y="196.36218" />
-      <path
-         sodipodi:type="star"
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#e95420;fill-opacity:1;fill-rule:nonzero;stroke:#e95420;stroke-width:0.84847599;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-         id="path4389"
-         sodipodi:sides="3"
-         sodipodi:cx="960"
-         sodipodi:cy="205.24977"
-         sodipodi:r1="3.5505643"
-         sodipodi:r2="1.7752821"
-         sodipodi:arg1="0.52359878"
-         sodipodi:arg2="1.5707963"
-         inkscape:flatsided="true"
-         inkscape:rounded="0"
-         inkscape:randomized="0"
-         d="m 963.07488,207.02505 -6.14976,0 L 960,201.69921 Z"
-         inkscape:transform-center-y="-2.1631599"
-         transform="matrix(2.2799708,0,0,2.4369781,-1228.772,-294.16389)"
-         inkscape:transform-center-x="3.2099873e-05" />
-      <path
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#000000;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-         d="M 7 5 L 7 10 L 9 10 L 9 5 L 7 5 z M 7 11 L 7 13 L 9 13 L 9 11 L 7 11 z "
-         transform="translate(952,196.36217)"
-         id="rect4391" />
-    </g>
-  </g>
-</svg>
+<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16.000017 16.000017"><g color="#000"><path style="marker:none" overflow="visible" fill="none" d="M0 0h16v16H0z"/><path style="marker:none" d="M963.075 207.025h-6.15L960 201.7z" transform="matrix(2.27997 0 0 2.43698 -2180.772 -490.526)" overflow="visible" fill="#e95420" stroke="#e95420" stroke-width=".848" stroke-linejoin="round"/><path style="marker:none" d="M7 5v5h2V5H7zm0 6v2h2v-2H7z" overflow="visible"/></g></svg>
\ No newline at end of file

=== modified file 'src/maasserver/static/assets/images/icons/warning_colour_white.svg'
--- src/maasserver/static/assets/images/icons/warning_colour_white.svg	2016-06-15 10:39:24 +0000
+++ src/maasserver/static/assets/images/icons/warning_colour_white.svg	2016-12-07 12:59:10 +0000
@@ -1,123 +1,1 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="16.000017"
-   height="16.000017"
-   id="svg5918"
-   version="1.1"
-   inkscape:version="0.91+devel r"
-   viewBox="0 0 16.000017 16.000017"
-   sodipodi:docname="warning_colour_white.svg">
-  <defs
-     id="defs5920" />
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#dedede"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="19.428903"
-     inkscape:cx="-0.3490475"
-     inkscape:cy="3.032316"
-     inkscape:document-units="px"
-     inkscape:current-layer="g6413"
-     showgrid="true"
-     fit-margin-top="0"
-     fit-margin-left="0"
-     fit-margin-right="0"
-     fit-margin-bottom="0"
-     inkscape:snap-bbox="true"
-     inkscape:bbox-paths="true"
-     inkscape:bbox-nodes="true"
-     inkscape:snap-bbox-edge-midpoints="true"
-     inkscape:snap-bbox-midpoints="true"
-     inkscape:object-paths="true"
-     inkscape:snap-intersection-paths="true"
-     inkscape:object-nodes="true"
-     inkscape:snap-smooth-nodes="true"
-     inkscape:snap-midpoints="true"
-     inkscape:snap-object-midpoints="true"
-     inkscape:snap-center="true"
-     inkscape:snap-global="true">
-    <inkscape:grid
-       type="xygrid"
-       id="grid4137"
-       originx="-0.00011142332px"
-       originy="-8.9999724px" />
-  </sodipodi:namedview>
-  <metadata
-     id="metadata5923">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title></dc:title>
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer"
-     id="layer1"
-     transform="translate(-182.93849,-560.72008)">
-    <g
-       style="display:inline"
-       transform="matrix(0.66666607,0,0,0.66666668,-633.06096,6.8119427)"
-       id="g5687" />
-    <g
-       style="display:inline"
-       id="g6413"
-       transform="translate(-769.06151,364.35791)">
-      <rect
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:none;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.5;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:1.5, 1.5;stroke-dashoffset:0.60000002;stroke-opacity:1;marker:none;enable-background:accumulate"
-         id="rect6415"
-         width="16"
-         height="16"
-         x="952"
-         y="196.36218" />
-      <path
-         sodipodi:type="star"
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#e95420;fill-opacity:1;fill-rule:nonzero;stroke:#e95420;stroke-width:0.84847599;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-         id="path4389"
-         sodipodi:sides="3"
-         sodipodi:cx="960"
-         sodipodi:cy="205.24977"
-         sodipodi:r1="3.5505643"
-         sodipodi:r2="1.7752821"
-         sodipodi:arg1="0.52359878"
-         sodipodi:arg2="1.5707963"
-         inkscape:flatsided="true"
-         inkscape:rounded="0"
-         inkscape:randomized="0"
-         d="m 963.07488,207.02505 -6.14976,0 L 960,201.69921 Z"
-         inkscape:transform-center-y="-2.1631599"
-         transform="matrix(2.2799708,0,0,2.4369781,-1228.772,-294.16389)"
-         inkscape:transform-center-x="3.2099873e-05" />
-      <rect
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:2;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate"
-         id="rect4391"
-         width="2"
-         height="5.0000076"
-         x="958.99988"
-         y="201.36215" />
-      <rect
-         y="207.36217"
-         x="958.99988"
-         height="2.0000002"
-         width="2"
-         id="rect4393"
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:#ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.99999988;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;enable-background:accumulate" />
-    </g>
-  </g>
-</svg>
+<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16.000017 16.000017"><g color="#000"><path style="marker:none" overflow="visible" fill="none" d="M0 0h16v16H0z"/><path style="marker:none" d="M963.075 207.025h-6.15L960 201.7z" transform="matrix(2.27997 0 0 2.43698 -2180.772 -490.526)" overflow="visible" fill="#e95420" stroke="#e95420" stroke-width=".848" stroke-linejoin="round"/><path style="marker:none" overflow="visible" fill="#fff" d="M7 5h2v5H7zM7 11h2v2H7z"/></g></svg>
\ No newline at end of file

=== modified file 'src/maasserver/static/assets/images/icons/warning_mono.svg'
--- src/maasserver/static/assets/images/icons/warning_mono.svg	2016-06-15 10:39:24 +0000
+++ src/maasserver/static/assets/images/icons/warning_mono.svg	2016-12-07 12:59:10 +0000
@@ -1,96 +1,1 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
-<svg
-   xmlns:dc="http://purl.org/dc/elements/1.1/"
-   xmlns:cc="http://creativecommons.org/ns#"
-   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
-   xmlns:svg="http://www.w3.org/2000/svg"
-   xmlns="http://www.w3.org/2000/svg"
-   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
-   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="16.000017"
-   height="16.000017"
-   id="svg5918"
-   version="1.1"
-   inkscape:version="0.91+devel r"
-   viewBox="0 0 16.000017 16.000017"
-   sodipodi:docname="warning_mono.svg">
-  <defs
-     id="defs5920" />
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#dedede"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="19.428903"
-     inkscape:cx="-0.3490475"
-     inkscape:cy="3.032316"
-     inkscape:document-units="px"
-     inkscape:current-layer="g6413"
-     showgrid="true"
-     fit-margin-top="0"
-     fit-margin-left="0"
-     fit-margin-right="0"
-     fit-margin-bottom="0"
-     inkscape:snap-bbox="true"
-     inkscape:bbox-paths="true"
-     inkscape:bbox-nodes="true"
-     inkscape:snap-bbox-edge-midpoints="true"
-     inkscape:snap-bbox-midpoints="true"
-     inkscape:object-paths="true"
-     inkscape:snap-intersection-paths="true"
-     inkscape:object-nodes="true"
-     inkscape:snap-smooth-nodes="true"
-     inkscape:snap-midpoints="true"
-     inkscape:snap-object-midpoints="true"
-     inkscape:snap-center="true"
-     inkscape:snap-global="true">
-    <inkscape:grid
-       type="xygrid"
-       id="grid4137"
-       originx="-0.00011142332px"
-       originy="-8.9999724px" />
-  </sodipodi:namedview>
-  <metadata
-     id="metadata5923">
-    <rdf:RDF>
-      <cc:Work
-         rdf:about="">
-        <dc:format>image/svg+xml</dc:format>
-        <dc:type
-           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
-        <dc:title></dc:title>
-      </cc:Work>
-    </rdf:RDF>
-  </metadata>
-  <g
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer"
-     id="layer1"
-     transform="translate(-182.93849,-560.72008)">
-    <g
-       style="display:inline"
-       transform="matrix(0.66666607,0,0,0.66666668,-633.06096,6.8119427)"
-       id="g5687" />
-    <g
-       style="display:inline"
-       id="g6413"
-       transform="translate(-769.06151,364.35791)">
-      <rect
-         style="color:#000000;display:inline;overflow:visible;visibility:visible;opacity:1;fill:none;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.5;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:1.5, 1.5;stroke-dashoffset:0.60000002;stroke-opacity:1;marker:none;enable-background:accumulate"
-         id="rect6415"
-         width="16"
-         height="16"
-         x="952"
-         y="196.36218" />
-      <path
-         style="color:#000000;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;font-size:medium;line-height:normal;font-family:sans-serif;font-variant-ligatures:normal;font-variant-position:normal;font-variant-caps:normal;font-variant-numeric:normal;font-variant-alternates:normal;font-feature-settings:normal;text-indent:0;text-align:start;text-decoration:none;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:#000000;letter-spacing:normal;word-spacing:normal;text-transform:none;writing-mode:lr-tb;direction:ltr;text-orientation:mixed;dominant-baseline:auto;baseline-shift:baseline;text-anchor:start;white-space:normal;shape-padding:0;clip-rule:nonzero;display:inline;overflow:visible;visibility:visible;opacity:1;isolation:auto;mix-blend-mode:normal;color-interpolation:sRGB;color-interpolation-filters:linearRGB;solid-color:#000000;solid-opacity:1;fill:#ffffff;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:0.84847599;stroke-linecap:butt;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1;marker:none;color-rendering:auto;image-rendering:auto;shape-rendering:auto;text-rendering:auto;enable-background:accumulate"
-         d="M 8.0449219 -0.0234375 A 0.96734697 1.0339621 0 0 0 7.9472656 -0.021484375 A 0.96734697 1.0339621 0 0 0 7.1621094 0.4921875 L 0.15429688 13.470703 A 0.96734697 1.0339621 0 0 0 0.99023438 15.023438 L 15.009766 15.023438 A 0.96734697 1.0339621 0 0 0 15.845703 13.470703 L 8.8378906 0.4921875 A 0.96734697 1.0339621 0 0 0 8.0449219 -0.0234375 z M 7 5 L 9 5 L 9 10 L 7 10 L 7 5 z M 7 11 L 9 11 L 9 13 L 7 13 L 7 11 z "
-         transform="translate(952,196.36217)"
-         id="path4438" />
-    </g>
-  </g>
-</svg>
+<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16.000017 16.000017"><g color="#000"><path style="marker:none" overflow="visible" fill="none" d="M0 0h16v16H0z"/><path style="line-height:normal;font-variant-ligatures:normal;font-variant-position:normal;font-variant-caps:normal;font-variant-numeric:normal;font-variant-alternates:normal;font-feature-settings:normal;text-indent:0;text-align:start;text-decoration-line:none;text-decoration-style:solid;text-decoration-color:#000;text-transform:none;text-orientation:mixed;shape-padding:0;isolation:auto;mix-blend-mode:normal;marker:none" d="M8.045-.023a.967 1.034 0 0 0-.098.002.967 1.034 0 0 0-.785.513L.154 13.471a.967 1.034 0 0 0 .836 1.552h14.02a.967 1.034 0 0 0 .836-1.552L8.838.492a.967 1.034 0 0 0-.793-.515zM7 5h2v5H7V5zm0 6h2v2H7v-2z" font-weight="400" font-family="sans-serif" white-space="normal" overflow="visible" fill="#fff"/></g></svg>
\ No newline at end of file

=== modified file 'src/maasserver/static/css/build.css'
--- src/maasserver/static/css/build.css	2016-11-03 13:54:34 +0000
+++ src/maasserver/static/css/build.css	2016-12-07 12:59:10 +0000
@@ -1,1 +1,1 @@
-﻿*{font-smoothing:subpixel-antialiased;box-sizing:border-box}button,input[type='button'],input[type='reset'],input[type='submit'],.button--primary,.button--secondary,.button--neutral,.button--inline-neutral,.button--positive,.button--inline-positive,.button--destructive,.button--inline-destructive,.button--base,.button--inline-base{font-smoothing:subpixel-antialiased;font-size:1em;display:inline-block;width:100%;margin:0;padding:11px 24px;text-align:center;text-decoration:none;border:0;border-radius:2px;outline:none;font-weight:300;cursor:pointer}button:hover,input[type='button']:hover,input[type='reset']:hover,input[type='submit']:hover,.button--primary:hover,.button--secondary:hover,.button--neutral:hover,.button--inline-neutral:hover,.button--positive:hover,.button--inline-positive:hover,.button--destructive:hover,.button--inline-destructive:hover,.button--base:hover,.button--inline-base:hover{text-decoration:none}@media only screen and (min-width: 768px){button,input[type='button'],input[type='reset'],input[type='submit'],.button--primary,.button--secondary,.button--neutral,.button--inline-neutral,.button--positive,.button--inline-positive,.button--destructive,.button--inline-destructive,.button--base,.button--inline-base{width:auto}}.clearfix{display:block}.clearfix:after{clear:both;content:'\0020';display:block;height:0;overflow:hidden;visibility:hidden}textarea,input[type='text'],input[type='number'],input[type='search'],input[type='password'],input[type='email'],input[type='url'],input[type='tel'],select{-webkit-appearance:textfield;border-radius:2px;border:1px solid #cdcdcd;box-shadow:inset 0 1px 2px rgba(0,0,0,0.12);font-size:16px;margin:0;outline:none;padding:.6956522em .869565em;vertical-align:baseline;font-weight:300}textarea:active,input[type='text']:active,input[type='number']:active,input[type='search']:active,input[type='password']:active,input[type='email']:active,input[type='url']:active,input[type='tel']:active,select:active,textarea:focus,input[type='text']:focus,input[type='number']:focus,input[type='search']:focus,input[type='password']:focus,input[type='email']:focus,input[type='url']:focus,input[type='tel']:focus,select:focus{border-color:#888;outline:none}textarea::placeholder,input[type='text']::placeholder,input[type='number']::placeholder,input[type='search']::placeholder,input[type='password']::placeholder,input[type='email']::placeholder,input[type='url']::placeholder,input[type='tel']::placeholder,select::placeholder{color:contrast-friendly-search-color(#f7f7f7)}textarea[disabled="disabled"],input[disabled="disabled"][type='text'],input[disabled="disabled"][type='number'],input[disabled="disabled"][type='search'],input[disabled="disabled"][type='password'],input[disabled="disabled"][type='email'],input[disabled="disabled"][type='url'],input[disabled="disabled"][type='tel'],select[disabled="disabled"]{opacity:.5}input[type='checkbox'],input[type='radio']{border-radius:2px;border:1px solid #cdcdcd;box-shadow:inset 0 1px 2px rgba(0,0,0,0.12);height:14px;padding:0;vertical-align:middle;width:14px}.inner-wrapper{margin:0 auto;max-width:1030px}[class*='-col'].last-col,[class*='-col'] [class*='-col'].last-col{margin-right:0}.one-col,.two-col,.three-col,.four-col,.five-col,.six-col,.seven-col,.eight-col,.nine-col,.ten-col,.eleven-col,.twelve-col{clear:none;margin-bottom:20px;margin-right:0;padding:0;display:inline-block;position:relative;width:100%}@media only screen and (min-width: 768px){.one-col,.two-col,.three-col,.four-col,.five-col,.six-col,.seven-col,.eight-col,.nine-col,.ten-col,.eleven-col,.twelve-col{float:left}}.list-ticks,.list{list-style:none;margin-left:0}.list-ticks li,.list li{border-bottom:1px dotted #888;margin-bottom:0;padding:10px 0}.list-ticks li:last-of-type,.list li:last-of-type,.list-ticks .last-item,.list .last-item{border:0;margin-bottom:0;padding-bottom:0}.list-ticks li{background-repeat:no-repeat;background-position:0 1em;padding-left:25px}.box{background:#fff;border:1px solid #cdcdcd;padding:1.25em 20px}@media only screen and (min-width: 768px){.equal-height,.equal-height--vertical-divider{display:flex;flex-wrap:wrap;flex-direction:row;width:100%}.equal-height .equal-height__item,.equal-height--vertical-divider .equal-height__item{display:flex;flex:auto;flex-direction:column}}button,input[type='button'],input[type='reset'],input[type='submit'],.button--primary,.button--secondary,.button--neutral,.button--inline-neutral,.button--positive,.button--inline-positive,.button--destructive,.button--inline-destructive,.button--base,.button--inline-base{font-size:1em;box-sizing:border-box;width:100%;margin:0;padding:11px 24px;text-align:center;text-decoration:none;border-radius:2px;outline:none;font-weight:300;cursor:pointer;line-height:1em}button:disabled,input[type='button']:disabled,input[type='reset']:disabled,input[type='submit']:disabled,.button--primary:disabled,.button--secondary:disabled,.button--neutral:disabled,.button--inline-neutral:disabled,.button--positive:disabled,.button--inline-positive:disabled,.button--destructive:disabled,.button--inline-destructive:disabled,.button--base:disabled,.button--inline-base:disabled,button.button--disabled,input.button--disabled[type='button'],input.button--disabled[type='reset'],input.button--disabled[type='submit'],.button--disabled.button--primary,.button--disabled.button--secondary,.button--disabled.button--neutral,.button--disabled.button--inline-neutral,.button--disabled.button--positive,.button--disabled.button--inline-positive,.button--disabled.button--destructive,.button--disabled.button--inline-destructive,.button--disabled.button--base,.button--disabled.button--inline-base{opacity:.5;cursor:default}button,input[type='button'],input[type='reset'],input[type='submit'],.button--primary,.button--secondary,.button--neutral,.button--inline-neutral,.button--positive,.button--inline-positive,.button--destructive,.button--inline-destructive,.button--base,.button--inline-base{line-height:20px;white-space:nowrap;vertical-align:middle;touch-action:manipulation;cursor:pointer;user-select:none;padding:8px 14px;height:36px;box-sizing:border-box}button[disabled],input[disabled][type='button'],input[disabled][type='reset'],input[disabled][type='submit'],[disabled].button--primary,[disabled].button--secondary,[disabled].button--neutral,[disabled].button--inline-neutral,[disabled].button--positive,[disabled].button--inline-positive,[disabled].button--destructive,[disabled].button--inline-destructive,[disabled].button--base,[disabled].button--inline-base,button.button--disabled,input.button--disabled[type='button'],input.button--disabled[type='reset'],input.button--disabled[type='submit'],.button--disabled.button--primary,.button--disabled.button--secondary,.button--disabled.button--neutral,.button--disabled.button--inline-neutral,.button--disabled.button--positive,.button--disabled.button--inline-positive,.button--disabled.button--destructive,.button--disabled.button--inline-destructive,.button--disabled.button--base,.button--disabled.button--inline-base{pointer-events:none;opacity:.5}button.button--inline,input.button--inline[type='button'],input.button--inline[type='reset'],input.button--inline[type='submit'],.button--inline.button--primary,.button--inline.button--secondary,.button--inline.button--neutral,.button--inline.button--inline-neutral,.button--inline.button--positive,.button--inline.button--inline-positive,.button--inline.button--destructive,.button--inline.button--inline-destructive,.button--inline.button--base,.button--inline.button--inline-base{display:inline-block;width:auto}html,body,div,span,applet,object,iframe,h1,h2,h3,h4,h5,h6,p,blockquote,pre,a,acronym,address,big,cite,code,del,dfn,em,img,ins,kbd,q,s,samp,small,strike,strong,sub,sup,tt,var,b,u,i,center,dl,ol,ul,li,form,label,legend,table,caption,tbody,tfoot,thead,tr,th,td,article,aside,canvas,details,embed,figure,figcaption,footer,header,menu,nav,output,ruby,section,summary,time,mark,audio,video{border:0;margin:0;padding:0;vertical-align:baseline}article,aside,details,figcaption,figure,footer,header,nav,section{display:block}audio,canvas,video{display:inline-block}audio:not([controls]){display:none}[hidden]{display:none}html{font-size:100%;overflow-y:scroll;text-size-adjust:100%}blockquote,q{quotes:none}legend{border:0}figure{margin:0}abbr,acronym{cursor:help}.link-arrow:after{content:'\0000a0›'}nav ul li h2 a:after{content:'\0000a0›'}nav ul li a:after,.carousel ul li a:after,ul li p a:after{content:''}svg:not(:root){overflow:hidden}img{border:0;height:auto;max-width:100%}img .left{margin-right:20px}img .right{margin-left:20px}.middle img{vertical-align:middle;margin-top:4em}ins{background:#fffbeb;text-decoration:none}.left{float:left}.right{float:right}.no-border{border:0}.link-top{font-size:.875em;clear:both;margin-bottom:40px;margin-top:-40px}.link-top a{background:#fff;margin-right:10px;margin-top:-35px;padding:5px;float:right}.caps{text-transform:uppercase}.touch-border,.touch-bottom{float:left}@media only screen and (min-width: 768px){.touch-border,.touch-bottom{margin-bottom:-20px}}@media only screen and (min-width: 1440px){.touch-border,.touch-bottom{margin-bottom:-40px}}.accessibility-aid,.off-left{position:absolute;left:-999em}.external{background-size:.7em .7em;padding-right:.9em;background-image:url("https://assets.ubuntu.com/v1/f24a8aa0-external-link-orange.svg");background-position:100% top;background-repeat:no-repeat}.no-svg .external{background-image:url("https://assets.ubuntu.com/v1/f24a8aa0-external-link-orange.svg")}.text-center,.align-center{text-align:center}.no-margin-bottom{margin-bottom:0}.no-padding-bottom{padding-bottom:0}.pull-bottom-right{float:right;margin-right:-10px}@media only screen and (min-width: 768px){.pull-bottom-right{margin-right:-40px;margin-bottom:-40px}}@media only screen and (min-width: 1440px){.pull-bottom-right{margin-right:-40px;margin-bottom:-60px}}.pull-bottom-left{float:left;margin-left:-10px}@media only screen and (min-width: 768px){.pull-bottom-left{margin-left:-40px;margin-bottom:-40px}}@media only screen and (min-width: 1440px){.pull-bottom-left{margin-left:-40px;margin-bottom:-60px}}@media only screen and (max-width: 767px){.priority-0,.not-for-small{display:none}}@media only screen and (min-width: 768px){.for-mobile,.for-small{display:none}}.video-container{position:relative;padding-bottom:56.25%;padding-top:30px;height:0;overflow:hidden}.video-container iframe{position:absolute;top:0;left:0;width:100%;height:100%}.video-container+.video-title{margin-top:20px}.pull-right{float:right;margin-right:-40px}@media only screen and (max-width: 768px){.pull-right{margin-bottom:20px}}.pull-left{margin-left:-40px}.for-tablet,.for-medium{display:none}@media only screen and (min-width: 768px){.for-tablet,.for-medium{display:block}}@media only screen and (min-width: 768px) and (max-width: 1440px){.med-six-col .three-col{width:48.93617%}.med-six-col .three-col:nth-of-type(2n){margin-right:0}}blockquote{margin:0}blockquote>p{font-size:1em;margin:0 0 .4em}blockquote small{font-size:.8125em;line-height:1.4}.pull-quote{text-indent:0}.pull-quote p{font-size:1.5em;line-height:1.3;margin-left:.4em;padding-left:10px;padding-right:10px;text-indent:-.4em}.pull-quote p span{color:#f7f7f7;font-weight:bold;left:-5px;line-height:0;position:relative}.pull-quote p span:last-of-type{left:5px}.pull-quote p cite{display:block;font-size:.75em;font-weight:300;margin:10px 0 0;text-indent:0}@media only screen and (min-width: 768px){.pull-quote p{padding-left:0;padding-right:0;text-indent:-.7em}.pull-quote p span{top:5px;font-size:1.391304348em}.pull-quote p cite{margin-left:0;text-indent:0}}@media only screen and (min-width: 1440px){.pull-quote p span{top:10px}}.row-quote{border-radius:0}.row-quote blockquote{border-radius:4px;margin:0;padding:0}.row-quote blockquote p{color:#333;line-height:1.3;margin-bottom:.75em;padding-left:10px;padding-right:10px;text-indent:0}.row-quote blockquote span{color:#f7f7f7;font-weight:bold;left:-5px;line-height:0;position:relative}.row-quote blockquote span+span{left:5px}.row-quote blockquote cite{color:#333;font-size:.75em;font-style:normal;margin-bottom:0;text-indent:0}@media only screen and (min-width: 768px){.row-quote{text-indent:-.4em}.row-quote blockquote{text-indent:-7px}.row-quote blockquote p{font-size:1.5em;padding-left:0;padding-right:0;text-indent:-.4em}.row-quote blockquote span{top:5px;font-size:1.391304348em}.row-quote blockquote cite{margin-left:0;text-indent:0}}@media only screen and (min-width: 1440px){.row-quote blockquote{padding:0 80px 20px;text-indent:-10px}.row-quote blockquote p span{top:10px}}button,input[type='button'],input[type='reset'],input[type='submit'],.button--primary{color:#fff;background-color:#dd4814}button:hover,input[type='button']:hover,input[type='reset']:hover,input[type='submit']:hover,.button--primary:hover{background-color:#c03f11}.button--secondary{color:#dd4814;background-color:#fff;border:1px solid #cdcdcd}.button--secondary:hover{background-color:#efefef}@media only screen and (min-width: 620px){.nav-secondary{border:1px solid #d2d2d2;border-top:0}}.nav-secondary .breadcrumb{margin-bottom:0;margin-left:0;padding-top:2px;padding-bottom:3px}@media only screen and (min-width: 620px){.nav-secondary .breadcrumb{float:left;margin-left:4px}}.nav-secondary .breadcrumb li{color:#fff;display:inline-block;margin:0;width:100%}@media only screen and (min-width: 620px){.nav-secondary .breadcrumb li{display:inline-block;width:auto}}.nav-secondary .breadcrumb li:first-of-type{border-bottom:1px solid #d2d2d2}@media only screen and (min-width: 620px){.nav-secondary .breadcrumb li:first-of-type{border-bottom:0}}.nav-secondary .breadcrumb li a{color:#888;font-size:1em;display:inline-block;width:100%;margin-right:0;padding:8px 10px;text-decoration:none}@media only screen and (min-width: 620px){.nav-secondary .breadcrumb li a{font-size:.875em}}@media only screen and (min-width: 620px){.nav-secondary .breadcrumb li .breadcrumb-link,.nav-secondary .breadcrumb li .breadcrumb-link--second-level,.nav-secondary .breadcrumb li .active{display:inline-block;float:none;width:auto}}.nav-secondary .breadcrumb li .breadcrumb-link:after,.nav-secondary .breadcrumb li .breadcrumb-link--second-level:after{content:'\203A';display:inline-block;height:5px;margin-left:8px;position:absolute;width:5px}.nav-secondary .second-level-nav,.nav-secondary .third-level-nav{display:none;overflow:hidden;width:100%;margin:0;padding-top:10px;padding-bottom:10px;border-bottom:1px solid #d2d2d2}@media only screen and (min-width: 620px){.nav-secondary .second-level-nav,.nav-secondary .third-level-nav{display:inline;float:none;margin-bottom:0;padding:0;width:auto;border-bottom:0}}.nav-secondary .second-level-nav li,.nav-secondary .third-level-nav li{margin:0}@media only screen and (min-width: 620px){.nav-secondary .second-level-nav li,.nav-secondary .third-level-nav li{float:none;width:auto}}.nav-secondary .second-level-nav li a,.nav-secondary .third-level-nav li a{font-size:.875em;display:block;width:100%;height:100%;padding:10px;color:#333}@media only screen and (max-width: 620px){.nav-secondary .second-level-nav li a.active,.nav-secondary .third-level-nav li a.active{font-weight:500}}@media only screen and (min-width: 620px){.nav-secondary .second-level-nav li a,.nav-secondary .third-level-nav li a{padding:8px 10px 0}.nav-secondary .second-level-nav li a.active,.nav-secondary .third-level-nav li a.active{color:#f7f7f7}}@media only screen and (min-width: 620px){.nav-secondary .second-level-nav li{width:auto}.nav-secondary .second-level-nav li .active,.nav-secondary .second-level-nav li .breadcrumb-link--second-level{color:#888}.nav-secondary .second-level-nav li .third-level-nav li a{color:#333}.nav-secondary .second-level-nav li .third-level-nav li a:hover{color:#f7f7f7}.nav-secondary .second-level-nav li .third-level-nav li .active{color:#f7f7f7;float:none}.nav-secondary .second-level-nav li .third-level-nav li .active:after{content:''}}.third-level-nav li a:hover{color:#f7f7f7}.third-level-nav li .active{color:#f7f7f7;float:none}@media only screen and (max-width: 619px){#breadcrumbs:hover .second-level-nav,#breadcrumbs:hover .third-level-nav,#breadcrumbs:hover .active{border:0;display:block;overflow:visible;float:left;width:100%;position:relative;clear:both}#breadcrumbs:hover li{border:0;float:left}#breadcrumbs:hover .second-level-nav{border-top:1px solid #d2d2d2}#breadcrumbs:hover .second-level-nav li{float:left}#breadcrumbs:hover .third-level-nav{border-bottom:1px solid #d2d2d2;padding-top:0}#breadcrumbs:hover .third-level-nav li{width:50%;display:block;padding-left:10px}}label{cursor:pointer;display:block;margin-bottom:4px}label.has-error{color:#df382c}label.has-warning{color:#eca918}label.has-success{color:#38b44a}label.has-information{color:#19b6ee}input[type='reset']{display:none}input[type='search']{-webkit-appearance:none;border-radius:0}input[type='checkbox']+label,input[type='radio']+label{display:inline;margin-left:5px;vertical-align:middle;width:auto}input.has-error{border:1px solid #df382c}input.has-warning{border:1px solid #eca918}input.has-success{border:1px solid #38b44a}input.has-information{border:1px solid #19b6ee}form ul{margin-left:0;list-style:none}textarea{overflow:auto;vertical-align:top}textarea[readonly='readonly']{color:#888;cursor:default}textarea[readonly='readonly']:active,textarea[readonly='readonly']:focus{border-color:#888;outline:none}fieldset{background-color:#f7f7f7;background-position:-15px -15px;background-repeat:no-repeat;border-radius:4px;border:0;margin-bottom:8px;padding:15px 20px}@media only screen and (min-width: 1440px){fieldset{padding:15px 20px}}fieldset h3{border-bottom:1px dotted #cdcdcd;margin-bottom:9px;padding-bottom:10px}form input,form select,form textarea{width:100%}@media only screen and (min-width: 768px){.one-col{float:left;width:6.40351%;margin-right:2.10526%}.one-col .one-col{width:100%;margin-right:0}}@media only screen and (min-width: 768px){.two-col{float:left;width:14.91228%;margin-right:2.10526%}.two-col .one-col{float:left;width:43.81443%;margin-right:12.37113%}.two-col .two-col{width:100%;margin-right:0}}@media only screen and (min-width: 768px){.three-col{float:left;width:23.42105%;margin-right:2.10526%}.three-col .one-col{float:left;width:27.83505%;margin-right:8.24742%}.three-col .two-col{float:left;width:63.91753%;margin-right:8.24742%}.three-col .three-col{width:100%;margin-right:0}}@media only screen and (min-width: 768px){.four-col{float:left;width:31.92982%;margin-right:2.10526%}.four-col .one-col{float:left;width:20.36082%;margin-right:6.18557%}.four-col .two-col{float:left;width:46.90722%;margin-right:6.18557%}.four-col .three-col{float:left;width:73.45361%;margin-right:6.18557%}.four-col .four-col{width:100%;margin-right:0}}@media only screen and (min-width: 768px){.five-col{float:left;width:40.4386%;margin-right:2.10526%}.five-col .one-col{float:left;width:16.04124%;margin-right:4.94845%}.five-col .two-col{float:left;width:37.03093%;margin-right:4.94845%}.five-col .three-col{float:left;width:58.02062%;margin-right:4.94845%}.five-col .four-col{float:left;width:79.01031%;margin-right:4.94845%}.five-col .five-col{width:100%;margin-right:0}}@media only screen and (min-width: 768px){.six-col{float:left;width:48.94737%;margin-right:2.10526%}.six-col .one-col{float:left;width:13.23024%;margin-right:4.12371%}.six-col .two-col{float:left;width:30.58419%;margin-right:4.12371%}.six-col .three-col{float:left;width:47.93814%;margin-right:4.12371%}.six-col .four-col{float:left;width:65.2921%;margin-right:4.12371%}.six-col .five-col{float:left;width:82.64605%;margin-right:4.12371%}.six-col .six-col{width:100%;margin-right:0}}@media only screen and (min-width: 768px){.seven-col{float:left;width:57.45614%;margin-right:2.10526%}.seven-col .one-col{float:left;width:11.25605%;margin-right:3.53461%}.seven-col .two-col{float:left;width:26.04671%;margin-right:3.53461%}.seven-col .three-col{float:left;width:40.83737%;margin-right:3.53461%}.seven-col .four-col{float:left;width:55.62802%;margin-right:3.53461%}.seven-col .five-col{float:left;width:70.41868%;margin-right:3.53461%}.seven-col .six-col{float:left;width:85.20934%;margin-right:3.53461%}.seven-col .seven-col{width:100%;margin-right:0}}@media only screen and (min-width: 768px){.eight-col{float:left;width:65.96491%;margin-right:2.10526%}.eight-col .one-col{float:left;width:9.79381%;margin-right:3.09278%}.eight-col .two-col{float:left;width:22.68041%;margin-right:3.09278%}.eight-col .three-col{float:left;width:35.56701%;margin-right:3.09278%}.eight-col .four-col{float:left;width:48.45361%;margin-right:3.09278%}.eight-col .five-col{float:left;width:61.34021%;margin-right:3.09278%}.eight-col .six-col{float:left;width:74.2268%;margin-right:3.09278%}.eight-col .seven-col{float:left;width:87.1134%;margin-right:3.09278%}.eight-col .eight-col{width:100%;margin-right:0}}@media only screen and (min-width: 768px){.nine-col{float:left;width:74.47368%;margin-right:2.10526%}.nine-col .one-col{float:left;width:8.66743%;margin-right:2.74914%}.nine-col .two-col{float:left;width:20.084%;margin-right:2.74914%}.nine-col .three-col{float:left;width:31.50057%;margin-right:2.74914%}.nine-col .four-col{float:left;width:42.91714%;margin-right:2.74914%}.nine-col .five-col{float:left;width:54.33372%;margin-right:2.74914%}.nine-col .six-col{float:left;width:65.75029%;margin-right:2.74914%}.nine-col .seven-col{float:left;width:77.16686%;margin-right:2.74914%}.nine-col .eight-col{float:left;width:88.58343%;margin-right:2.74914%}.nine-col .nine-col{width:100%;margin-right:0}}@media only screen and (min-width: 768px){.ten-col{float:left;width:82.98246%;margin-right:2.10526%}.ten-col .one-col{float:left;width:7.7732%;margin-right:2.47423%}.ten-col .two-col{float:left;width:18.02062%;margin-right:2.47423%}.ten-col .three-col{float:left;width:28.26804%;margin-right:2.47423%}.ten-col .four-col{float:left;width:38.51546%;margin-right:2.47423%}.ten-col .five-col{float:left;width:48.76289%;margin-right:2.47423%}.ten-col .six-col{float:left;width:59.01031%;margin-right:2.47423%}.ten-col .seven-col{float:left;width:69.25773%;margin-right:2.47423%}.ten-col .eight-col{float:left;width:79.50515%;margin-right:2.47423%}.ten-col .nine-col{float:left;width:89.75258%;margin-right:2.47423%}.ten-col .ten-col{width:100%;margin-right:0}}@media only screen and (min-width: 768px){.eleven-col{float:left;width:91.49123%;margin-right:2.10526%}.eleven-col .one-col{float:left;width:7.04609%;margin-right:2.2493%}.eleven-col .two-col{float:left;width:16.34148%;margin-right:2.2493%}.eleven-col .three-col{float:left;width:25.63687%;margin-right:2.2493%}.eleven-col .four-col{float:left;width:34.93227%;margin-right:2.2493%}.eleven-col .five-col{float:left;width:44.22766%;margin-right:2.2493%}.eleven-col .six-col{float:left;width:53.52305%;margin-right:2.2493%}.eleven-col .seven-col{float:left;width:62.81844%;margin-right:2.2493%}.eleven-col .eight-col{float:left;width:72.11383%;margin-right:2.2493%}.eleven-col .nine-col{float:left;width:81.40922%;margin-right:2.2493%}.eleven-col .ten-col{float:left;width:90.70461%;margin-right:2.2493%}.eleven-col .eleven-col{width:100%;margin-right:0}}@media only screen and (min-width: 768px){.prepend-one{margin-left:8.50877%}.prepend-two{margin-left:17.01754%}.prepend-three{margin-left:25.52632%}.prepend-four{margin-left:34.03509%}.prepend-five{margin-left:42.54386%}.prepend-six{margin-left:51.05263%}.prepend-seven{margin-left:59.5614%}.prepend-eight{margin-left:68.07018%}.prepend-nine{margin-left:76.57895%}.prepend-ten{margin-left:85.08772%}.prepend-eleven{margin-left:93.59649%}}@media only screen and (min-width: 768px){.append-one{margin-right:8.50877%}.append-two{margin-right:17.01754%}.append-three{margin-right:25.52632%}.append-four{margin-right:34.03509%}.append-five{margin-right:42.54386%}.append-six{margin-right:51.05263%}.append-seven{margin-right:59.5614%}.append-eight{margin-right:68.07018%}.append-nine{margin-right:76.57895%}.append-ten{margin-right:85.08772%}.append-eleven{margin-right:93.59649%}}@media only screen and (min-width: 768px){.push-one{float:left;position:relative;margin:0 -8.50877% 0 8.50877%}.push-two{float:left;position:relative;margin:0 -19.12281% 0 19.12281%}.push-three{float:left;position:relative;margin:0 -27.63158% 0 27.63158%}.push-four{float:left;position:relative;margin:0 -36.14035% 0 36.14035%}.push-five{float:left;position:relative;margin:0 -44.64912% 0 44.64912%}.push-six{float:left;position:relative;margin:0 -53.15789% 0 53.15789%}.push-seven{float:left;position:relative;margin:0 -61.66667% 0 61.66667%}.push-eight{float:left;position:relative;margin:0 -70.17544% 0 70.17544%}.push-nine{float:left;position:relative;margin:0 -78.68421% 0 78.68421%}.push-ten{float:left;position:relative;margin:0 -87.19298% 0 87.19298%}.push-eleven{float:left;position:relative;margin:0 -95.70175% 0 95.70175%}}@media only screen and (min-width: 768px){.pull-one{float:left;position:relative;margin-left:-6.40351%}.pull-two{float:left;position:relative;margin-left:17.01754%}.pull-three{float:left;position:relative;margin-left:25.52632%}.pull-four{float:left;position:relative;margin-left:34.03509%}.pull-five{float:left;position:relative;margin-left:42.54386%}.pull-six{float:left;position:relative;margin-left:51.05263%}.pull-seven{float:left;position:relative;margin-left:59.5614%}.pull-eight{float:left;position:relative;margin-left:68.07018%}.pull-nine{float:left;position:relative;margin-left:76.57895%}.pull-ten{float:left;position:relative;margin-left:85.08772%}.pull-eleven{float:left;position:relative;margin-left:93.59649%}}.banner{background:#f7f7f7;border-bottom:0;border-top:0;box-shadow:inset 0 -1px 0 #ccc;display:block;min-width:100%;position:relative;width:auto;z-index:2}@media only screen and (min-width: 620px){.banner{border-bottom:1px solid #ccc;box-shadow:none}}.banner .logo{position:relative;display:table;float:left;overflow:hidden;height:48px;margin:0 10px;border-left:0}@media only screen and (min-width: 620px){.banner .logo{margin:0 15px}}.banner .logo a{display:table-cell;height:100%;vertical-align:middle;color:#fff}.banner .logo a span{display:inline-block}.banner h2{font-size:1.563em;position:relative;top:14px;left:4px;display:block;margin-bottom:0;text-transform:lowercase}.banner h2 a,.banner h2 a:link,.banner h2 a:visited{float:left;text-decoration:none;color:#fff}.banner .nav-primary{overflow:hidden;margin:0 auto;border:0}@media only screen and (min-width: 620px){.banner .nav-primary{max-width:1440px}}.banner .nav-primary span{display:none}.banner .nav-primary ul{display:none;float:left;width:100%;margin:0;padding:0;border-top:1px solid #ccc;box-shadow:inset 0 -1px 0 #ccc;background-color:#ebebeb}@media only screen and (min-width: 620px){.banner .nav-primary ul{position:static;display:block;width:auto;border-top:0;background-color:transparent;box-shadow:none}}.banner .nav-primary ul li{float:left;width:50%;margin:0;border-right:1px solid #ccc;border-bottom:1px solid #ccc;background:transparent}@media only screen and (min-width: 620px){.banner .nav-primary ul li{width:auto;border-right:0;border-bottom:0;border-left:1px solid #e3e3e3}.banner .nav-primary ul li:last-child{border-right:1px solid #e3e3e3}.banner .nav-primary ul li:last-child a{border-right:0}}@media only screen and (max-width: 620px){.banner .nav-primary ul li:nth-child(2n+2){border-right:0}}.banner .nav-primary ul li a,.banner .nav-primary ul li a:link,.banner .nav-primary ul li a:visited{font-size:1em;font-weight:300;position:relative;display:block;margin-bottom:0;padding:8px 10px;text-align:left;text-decoration:none;background-color:#ebebeb;font-smoothing:subpixel-antialiased;color:#333}@media only screen and (min-width: 620px){.banner .nav-primary ul li a,.banner .nav-primary ul li a:link,.banner .nav-primary ul li a:visited{font-size:.875em;padding:14px 14px 13px;text-align:center;border-left:1px solid #fff;background-color:transparent;color:#fff}}.banner .nav-primary ul li a:hover,.banner .nav-primary ul li a:link:hover,.banner .nav-primary ul li a:visited:hover{background:#f2f2f2}@media only screen and (min-width: 620px){.banner .nav-primary ul li a:hover,.banner .nav-primary ul li a:link:hover,.banner .nav-primary ul li a:visited:hover{background-color:#fff}}.banner .nav-primary ul li a.active,.banner .nav-primary ul li a:link.active,.banner .nav-primary ul li a:visited.active{background-color:#ddd}@media only screen and (min-width: 620px){.banner .nav-primary ul li a.active,.banner .nav-primary ul li a:link.active,.banner .nav-primary ul li a:visited.active{background-color:#e3e3e3;border-left:0}}.banner .nav-toggle{position:absolute;top:0;right:0;display:block;width:48px;height:48px;cursor:pointer;text-indent:-99999px;background-image:url("https://assets.ubuntu.com/v1/12387180-navigation-menu-plain.svg");background-repeat:no-repeat;background-position:center center;background-size:25px auto}@media only screen and (min-width: 620px){.banner .nav-toggle{display:none}}.banner .nav-toggle .nav-toggle__link{width:48px;height:48px}.banner .nav-toggle .nav-toggle__link.open{display:block}.banner .nav-toggle .nav-toggle__link.close{display:none}@media only screen and (max-width: 620px){.banner #nav:hover ul{display:block}.banner #nav:hover ul ul{display:none}.banner #nav:hover .nav-toggle .nav-toggle__link.open{display:none}.banner #nav:hover .nav-toggle .nav-toggle__link.close{display:block}}ol,ul{margin-left:20px;margin-bottom:20px}ol ol,ul ul,ol ul,ul ol{margin-bottom:0}nav ul,nav ol{list-style:none;list-style-image:none}li{font-size:1em;line-height:1.5;margin:0 0 .4em;padding:0}.list-ticks li{background-image:url("data:image/svg+xml;utf8, <svg xmlns='http://www.w3.org/2000/svg' width='14' height='14' viewBox='0 0 14 14'><circle fill='%23c4c4c4' cx='7' cy='7' r='7'/><path fill='%23fff' d='M6.1 10.813L2.41 8.105l1.184-1.613L5.9 8.187l4.393-4.394 1.414 1.414z' /></svg>")}.no-bullets{list-style:none;margin-left:0}.combined-list ul,.combined-list div{margin-bottom:0}.combined-list .last-item{border-bottom:1px dotted #888;padding-bottom:10px}.combined-list .last-col{margin-bottom:20px}.combined-list .last-col .last-item{border-bottom:0;padding-bottom:0}@media only screen and (min-width: 768px){.combined-list ul,.combined-list div{margin-bottom:20px}.combined-list .last-item{border-bottom:0;padding-bottom:0}}.inline-list{margin-left:0}.inline-list li{display:inline;list-style:none;margin-right:20px}.inline-list .last-item{margin-right:0}.list-step{list-style:none;margin-left:60px}@media only screen and (max-width: 1440px){.list-step__item:first-child{margin-top:10px}}@media only screen and (min-width: 1440px){.list-step__title{margin-bottom:0}}.list-step__bullet{box-shadow:0 1px 3px 1px rgba(51,51,51,0.2);background:#fff;border-radius:50%;padding:.3em .68em;display:inline-block;color:#f7f7f7;margin-right:.34375em;margin-bottom:.625em;margin-left:-60px}@media only screen and (max-width: 1440px){.list-step__bullet{position:absolute;top:-5px}}.row{border-bottom:1px dotted #888;clear:both;padding:20px 10px 0;position:relative}.row br{display:none}.row.no-padding-bottom{padding-bottom:0}.row::after{clear:both;content:'.';display:block;height:0;visibility:hidden}.row--light{background:#fff}.row--dark{background:#333;color:#fff}.row.row-grey,.row.row--grey{background:#f7f7f7;border:0;margin-top:-1px}.no-border{border:0}.row-hero{margin-top:20px;padding-top:0}.strip{width:100%;display:block}.strip-inner-wrapper{max-width:1440px;margin:auto}@media only screen and (min-width: 768px){.row-hero{margin-top:40px}.row{border-radius:0;margin:0;padding:40px 20px 20px}.row-grey{margin-top:-1px}}@media only screen and (min-width: 769px){.row br{display:block}}@media only screen and (min-width: 1440px){.row br{display:block}.row{padding:60px 20px 40px}.no-border{border:0}}.header-search [type="search"],.header-search [type="text"],.search-form [type="search"],.search-form [type="text"]{-webkit-appearance:none;background-color:#dedede;box-shadow:none;color:#333;display:block;float:left;font-size:1em;margin-bottom:0;padding:12px 10px;transition:all .5s ease-out;width:100%}.header-search .svg-search-handle,.search-form .svg-search-handle{fill:#333}.header-search .svg-search-frame,.search-form .svg-search-frame{stroke:#333}.header-search placeholder,.search-form placeholder{color:#333;opacity:1}.header-search input:placeholder,.search-form input:placeholder{color:#333;opacity:1}.header-search ::placeholder,.search-form ::placeholder{color:#333;opacity:1}.header-search [type="search"]:focus,.search-form [type="search"]:focus{background-color:#d3d3d3;border-color:#b3b3b3}.header-search [type=submit],.search-form [type=submit]{background:none;display:block;float:left;line-height:0;margin-left:-40px;overflow:visible;padding:3px 2px;width:auto}.header-search [type=submit]:hover,.search-form [type=submit]:hover{background:none}.header-search [type=submit] img,.search-form [type=submit] img{height:28px;width:28px;margin-top:2px}.banner .search-toggle{background-image:url("data:image/svg+xml;utf8, <svg xmlns='http://www.w3.org/2000/svg' width='28' height='28' viewBox='0 0 90 90'><g color='%23333'><path fill='none' stroke-width='4' overflow='visible' enable-background='accumulate' d='M0 0h90v90H0z'/><path d='M69 36.5a33 33.5 0 1 1-66 0 33 33.5 0 1 1 66 0z' transform='matrix(.636 0 0 .627 16.114 16.12)' fill='none' stroke='%23333' stroke-width='9.5' overflow='visible' enable-background='accumulate'/><path d='M55.77 52.92L52.94 55.75l14 14 2.83-2.83-14-14z' font-size='xx-small' fill='%23333' stroke-width='6' overflow='visible' enable-background='accumulate' font-family='Sans' class='s0'/><path d='M60.97 57.03c-1.55-3.04 1.02-3.63 2.46-0.58 1.44-0.21 3.21 4.29l9.19 9.2c2.68 2.85 3.26 2.46 5.64 2.38-2.38 2.77-2.79-0.08-5.65l-9.19-9.2c-0.73-0.75-1.78-1.19-2.83-1.19z' font-size='xx-small' fill='%23333' stroke-width='11.8' overflow='visible' enable-background='accumulate' font-family='Sans' class='s0'/></g></svg>");background-position:center center;background-repeat:no-repeat;background-size:20px 20px;display:block;height:48px;outline:none;overflow:hidden;position:absolute;right:0;text-indent:-999em;top:0;width:24px}.banner .search-toggle .search-toggle__link{width:48px;height:48px}.banner .search-toggle .search-toggle__link.open{display:block}.banner .search-toggle .search-toggle__link.close{display:none}#site-search:hover form{display:block}#site-search:hover .search-toggle .search-toggle__link.open{display:none}#site-search:hover .search-toggle .search-toggle__link.close{display:block}.header-search,.search-form{background:#f7f7f7;border:0;display:none;float:left;position:relative;margin:0;width:100%;z-index:3}.search-form.active,.header-search.active,.header-search.open{display:block}.search-form div,.header-search div{box-shadow:inset 0 -4px 4px -4px rgba(0,0,0,0.3),inset 0 5px 5px -5px rgba(0,0,0,0.3);background:#fff;margin:10px;position:relative;z-index:1}.search-form form [type="search"],.header-search form [type="search"]{background:#fff;border:0;box-shadow:0 2px 2px rgba(0,0,0,0.3) inset,0 -1px 3px rgba(0,0,0,0.2) inset,0 2px 0 rgba(255,255,255,0.4);color:#333;display:block;float:left;font-size:1em;height:auto;margin:0;padding:8px 10px;width:100%}.yes-js .header-inner .search-form,.yes-js .header-inner .header-search{display:none}.yes-js .header-inner .search-form form,.yes-js .header-inner .header-search form{margin-left:0;margin-right:0;overflow:hidden;padding:10px;position:relative;top:0;width:100%;z-index:999}@media only screen and (max-width: 620px){.banner .search-toggle{right:0}.no-svg .search-toggle,.opera-mini .search-toggle{background-image:url("https://assets.ubuntu.com/v1/75d8151d-search-white.png")}}@media only screen and (min-width: 620px){.banner .search-toggle{display:none}}@media only screen and (min-width: 620px){.search-form,.header-search{background:none;border-right:0 none;float:right;margin-bottom:0;max-width:220px;overflow:hidden;padding:7px 0 5px 14px}.search-form form [type="text"],.search-form form [type="search"],.header-search form [type="text"],.header-search form [type="search"]{box-shadow:0 2px 4px rgba(0,0,0,0.4) inset;box-sizing:content-box;background-color:#dedede;border:0 solid #d8d8d8;border-width:0 0 1px;color:#333;font-size:.813em;height:24px;margin-bottom:0;padding:.5em 2.5em .5em .5em;transition:all .5s ease 0s;width:86px}.search-form form [type="text"]:focus,.search-form form [type="search"]:focus,.header-search form [type="text"]:focus,.header-search form [type="search"]:focus{background-color:#d3d3d3;border-color:#c4c4c4}.search-form .svg-search-handle,.header-search .svg-search-handle{fill:#333}.search-form .svg-search-frame,.header-search .svg-search-frame{stroke:#333}.search-form placeholder,.header-search placeholder{color:#333}.search-form input:placeholder,.header-search input:placeholder{color:#333}.search-form ::placeholder,.header-search ::placeholder{color:#333}}@media only screen and (min-width: 620px){.header-search .svg-search-handle,.search-form .svg-search-handle{fill:#333}.header-search .svg-search-frame,.search-form .svg-search-frame{stroke:#333}.header-search placeholder,.search-form placeholder{color:#333}.header-search input:placeholder,.search-form input:placeholder{color:#333}.header-search ::placeholder,.search-form ::placeholder{color:#333}}@media only screen and (max-width: 620px){.banner .nav-primary .header-search{position:relative;top:0;width:100%}.banner .nav-primary .header-search [type="search"]{background-color:#ebebeb;color:#333}.banner .nav-primary .header-search [type="submit"]{background-color:transparent;height:38px;margin-top:0;width:32px}.banner .nav-primary .header-search [type="submit"] img,.banner .nav-primary .header-search [type="submit"] svg{max-width:none}.banner .nav-primary .header-search.open{display:block}.banner .search-toggle{background-image:url("data:image/svg+xml;utf8, <svg xmlns='http://www.w3.org/2000/svg' width='28' height='28' viewBox='0 0 90 90'><g color='%23333'><path fill='none' stroke-width='4' overflow='visible' enable-background='accumulate' d='M0 0h90v90H0z'/><path d='M69 36.5a33 33.5 0 1 1-66 0 33 33.5 0 1 1 66 0z' transform='matrix(.636 0 0 .627 16.114 16.12)' fill='none' stroke='%23333' stroke-width='9.5' overflow='visible' enable-background='accumulate'/><path d='M55.77 52.92L52.94 55.75l14 14 2.83-2.83-14-14z' font-size='xx-small' fill='%23333' stroke-width='6' overflow='visible' enable-background='accumulate' font-family='Sans' class='s0'/><path d='M60.97 57.03c-1.55-3.04 1.02-3.63 2.46-0.58 1.44-0.21 3.21 4.29l9.19 9.2c2.68 2.85 3.26 2.46 5.64 2.38-2.38 2.77-2.79-0.08-5.65l-9.19-9.2c-0.73-0.75-1.78-1.19-2.83-1.19z' font-size='xx-small' fill='%23333' stroke-width='11.8' overflow='visible' enable-background='accumulate' font-family='Sans' class='s0'/></g></svg>");background-position:center center;background-repeat:no-repeat;background-size:25px auto;cursor:pointer;display:block;height:48px;position:absolute;right:0;text-indent:-99999px;width:48px}.no-svg .banner .search-toggle,.opera-mini .banner .search-toggle{background-image:url("https://assets.ubuntu.com/v1/2196e362-search-white.svg")}.opera-mini x:-o-prefocus,.opera-mini .banner .search-toggle{background-size:25px auto}}@media only screen and (min-width: 620px){.search-form,.header-search{display:block}.search-form .svg-search-handle,.header-search .svg-search-handle{fill:#333}.search-form .svg-search-frame,.header-search .svg-search-frame{stroke:#333}.search-form form [type="text"]:focus,.header-search form [type="text"]:focus{width:160px}.search-form [type="search"],.search-form [type="text"],.header-search [type="search"],.header-search [type="text"]{padding:8px 10px}}@media only screen and (max-width: 1440px){.search-form,.header-search{margin-right:10px}}@media only screen and (max-width: 620px){.banner .search-toggle{right:48px}}.ubuntu-search .nav-secondary,.search-results .nav-secondary,.search-no-results .nav-secondary{display:none}.ubuntu-search section>h1,.ubuntu-search section article h1,.search-results section>h1,.search-results section article h1,.search-no-results section>h1,.search-no-results section article h1{padding-bottom:10px;font-size:1.438em;margin-bottom:0}.ubuntu-search section>h1,.search-results section>h1,.search-no-results section>h1{border-bottom:1px dotted #cdcdcd}.ubuntu-search .main-search,.search-results .main-search,.search-no-results .main-search{background-color:transparent;margin:0 0 20px;padding:20px 0}.ubuntu-search .main-search [type="search"],.search-results .main-search [type="search"],.search-no-results .main-search [type="search"]{border:1px solid #888;float:left;font-size:2em;padding:.2em 65px .2em .2em;width:100%}.ubuntu-search .main-search [type=submit],.search-results .main-search [type=submit],.search-no-results .main-search [type=submit]{width:32px;height:38px;background-repeat:no-repeat;background-position:center 8px;background-color:transparent;background-size:28px 28px;display:block;float:left;line-height:0;margin-left:-53px;margin-top:-4px;overflow:visible;padding:4px}.ubuntu-search .main-search [type=submit] img,.search-results .main-search [type=submit] img,.search-no-results .main-search [type=submit] img{height:45px;width:45px}.ubuntu-search .main-search [type=submit]:hover,.search-results .main-search [type=submit]:hover,.search-no-results .main-search [type=submit]:hover{background:none}.ubuntu-search .search-result h1 .title-main,.search-results .search-result h1 .title-main,.search-no-results .search-result h1 .title-main{margin-right:20px}.ubuntu-search .search-result h1 .result-url,.search-results .search-result h1 .result-url,.search-no-results .search-result h1 .result-url{color:#888;display:block;overflow:hidden;padding-bottom:2px;text-overflow:ellipsis;vertical-align:bottom}.ubuntu-search .search-result h1 .result-url a,.search-results .search-result h1 .result-url a,.search-no-results .search-result h1 .result-url a{color:#888}.ubuntu-search .search-result p,.search-results .search-result p,.search-no-results .search-result p{margin-bottom:0}.ubuntu-search .num-results,.search-results .num-results,.search-no-results .num-results{display:inline-block;margin-left:20px}.ubuntu-search .bottom-results-total,.search-results .bottom-results-total,.search-no-results .bottom-results-total{margin:0;overflow:visible;padding-top:20px;text-align:center;width:100%}.ubuntu-search .bottom-nav,.search-results .bottom-nav,.search-no-results .bottom-nav{margin-top:-26px;overflow:hidden}.ubuntu-search .bottom-nav ul,.search-results .bottom-nav ul,.search-no-results .bottom-nav ul{margin-bottom:0;margin-left:0;overflow:hidden;padding:0}.ubuntu-search .bottom-nav li,.search-results .bottom-nav li,.search-no-results .bottom-nav li{float:left;margin-left:15px}.ubuntu-search .bottom-nav li:first-child,.search-results .bottom-nav li:first-child,.search-no-results .bottom-nav li:first-child{margin-left:0}.ubuntu-search .nav-back,.search-results .nav-back,.search-no-results .nav-back{float:left}.ubuntu-search .nav-back li:before,.search-results .nav-back li:before,.search-no-results .nav-back li:before{color:#f7f7f7;content:'\2039';margin-right:5px}.ubuntu-search .nav-back .item-extreme:before,.search-results .nav-back .item-extreme:before,.search-no-results .nav-back .item-extreme:before{content:'\2039\2039'}.ubuntu-search .nav-forward,.search-results .nav-forward,.search-no-results .nav-forward{float:right}.ubuntu-search .nav-forward li:after,.search-results .nav-forward li:after,.search-no-results .nav-forward li:after{color:#f7f7f7;content:'\203A';margin-left:5px}.ubuntu-search .nav-forward .item-extreme:after,.search-results .nav-forward .item-extreme:after,.search-no-results .nav-forward .item-extreme:after{content:'\203A\203A'}.ubuntu-search .error-notification,.search-results .error-notification,.search-no-results .error-notification{background-color:#fff;color:#333;display:block;margin-top:20px;padding:20px;width:100%}.ubuntu-search .result-line,.search-results .result-line,.search-no-results .result-line{color:#888}.ubuntu-search .results-top,.search-results .results-top,.search-no-results .results-top{border-bottom:1px dotted #cdcdcd;padding-bottom:.5em}.ubuntu-search .search-container,.search-results .search-container,.search-no-results .search-container{padding-bottom:0}@media only screen and (min-width: 620px){.ubuntu-search .main-search [type=submit]{margin-left:-60px;margin-top:0}}@font-face{font-family:'Ubuntu';font-style:normal;font-weight:300;src:url("../assets/fonts/ubuntu-l-webfont.woff2") format("woff2"),url("../assets/fonts/ubuntu-l-webfont.woff") format("woff")}@font-face{font-family:'Ubuntu';font-style:normal;font-weight:400;src:url("../assets/fonts/ubuntu-r-webfont.woff2") format("woff2"),url("../assets/fonts/ubuntu-r-webfont.woff") format("woff")}@font-face{font-family:'Ubuntu';font-style:normal;font-weight:700;src:url("../assets/fonts/ubuntu-b-webfont.woff2") format("woff2"),url("../assets/fonts/ubuntu-b-webfont.woff") format("woff")}@font-face{font-family:'Ubuntu';font-style:italic;font-weight:300;src:url("../assets/fonts/ubuntu-li-webfont.woff2") format("woff2"),url("../assets/fonts/ubuntu-li-webfont.woff") format("woff")}@font-face{font-family:'Ubuntu';font-style:italic;font-weight:400;src:url("../assets/fonts/ubuntu-ri-webfont.woff2") format("woff2"),url("../assets/fonts/ubuntu-ri-webfont.woff") format("woff")}@font-face{font-family:'Ubuntu';font-style:italic;font-weight:700;src:url("../assets/fonts/ubuntu-bi-webfont.woff2") format("woff2"),url("../assets/fonts/ubuntu-bi-webfont.woff") format("woff")}@font-face{font-family:'Ubuntu Mono';font-style:normal;font-weight:400;src:url("../assets/fonts/ubuntumono-r-webfont.woff2") format("woff2"),url("../assets/fonts/ubuntumono-r-webfont.woff") format("woff")}body{color:#333;font-family:'Ubuntu', Arial, 'libra sans', sans-serif;font-size:16px;font-weight:300}a:focus{outline:thin dotted}a:hover,a:active{outline:0}a{color:#f7f7f7;text-decoration:none}a:hover,a:active,a:focus{text-decoration:underline}strong{font-weight:400}.caps-centered,.muted-heading{font-size:.875em;margin-bottom:20px;text-align:center;text-transform:uppercase}small,.smaller{font-size:13px}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sup{vertical-align:text-top}sub{vertical-align:text-bottom}pre{border-radius:4px;background-color:#fff;padding:.6em 1em;white-space:pre-wrap;word-wrap:break-word}p+h2,ul+h2,ol+h2,pre+h2{margin-top:0.5625em}header nav a:link{font-weight:normal}p+h3,ul+h3,ol+h3,pre+h3{margin-top:.783em}p+h4,ul+h4,ol+h4,pre+h4{margin-top:1.21875}ol+h2,p+h2,pre+h2,ul+h2{margin-top:.563em}ol+h3,p+h3,pre+h3,ul+h3{margin-top:.783em}ol+h4,p+h4,pre+h4,ul+h4{margin-top:1.219em}.intro{font-size:1em;line-height:1.4}.row div p:last-child,.row ul p:last-child{margin-bottom:0}.four-col p:last-child{margin-bottom:0}.note{color:#888;font-size:.813em}h1,h2,h3,h4,h5,h6{font-family:Ubuntu, Arial, 'libra sans', sans-serif;font-weight:300;line-height:1.3}h1{font-size:2.8125em;margin-bottom:.5em}h2{font-size:2em;margin-bottom:.5em}h3{font-size:1.4375em;margin-bottom:.522em}h4{font-size:1.25em;font-weight:400;margin-bottom:.615em}h5{font-size:1em;font-weight:700;margin-bottom:1em}h6{font-size:.8125em;font-weight:400;margin-bottom:1em;letter-spacing:.1em;text-transform:uppercase}p,li{font-size:1em;line-height:1.5;margin:0;margin-bottom:.75em;padding:0}button,input,select,textarea{font-family:Ubuntu,Arial,'libra sans',sans-serif}@media only screen and (min-width: 768px) and (max-width: 1440px){h1{font-size:1.5234375em;margin-bottom:.5em}h2{font-size:1.348125em;margin-bottom:.5em}h3{font-size:1.1428125em;margin-bottom:.522em}h4{font-size:1.171875em;font-weight:400;margin-bottom:.615em}h5{font-size:.9375em;font-weight:700;margin-bottom:1em}h6{font-size:.6778125em;font-weight:400;margin-bottom:1em;letter-spacing:.1em;text-transform:uppercase}.intro{font-size:1.13333em}}@media only screen and (max-width: 768px){h1{font-size:1.421875em;margin-bottom:.4375em}h2{font-size:1.25825em;margin-bottom:.4375em}h3{font-size:1.066625em;margin-bottom:.45675em}h4{font-size:1.09375em;font-weight:400;margin-bottom:.538125em}h5{font-size:.875em;font-weight:700;margin-bottom:.875em}h6{font-size:.632625em;font-weight:400;margin-bottom:.875em;letter-spacing:.1em;text-transform:uppercase}p,li{font-size:.875em}}@media only screen and (min-width: 1440px){p,li,code,pre{font-size:16px;line-height:1.5;margin-bottom:.75em}.intro{font-size:1.25em}}dfn{font-style:italic}code,pre{font-family:'Ubuntu Mono', 'Consolas', 'Monaco', 'Lucida Console', 'Courier New', Courier, monospace}table{border-collapse:collapse;border-spacing:0;overflow-x:scroll;margin-bottom:20px;margin:0 0 2.5em;width:100%}table th,table td{background:#f7f7f7;border:1px dotted #888;padding:15px 10px}table td{text-align:center;vertical-align:middle}table thead th{border-collapse:separate;border-spacing:0 10px;background:#fee3d2;color:#333;font-weight:normal}table tbody th{font-weight:300;text-align:left}table th[scope='col']{text-align:center}table thead th:first-of-type{text-align:left}@media only screen and (max-width: 768px){table{display:block}}body footer.global #nav-global li:first-of-type a{margin-left:0}footer.global{background:none;border-top:0;box-shadow:inset 0 2px 2px -1px #cdcdcd;clear:both;display:block;padding:30px 10px 20px;position:relative;width:100%}footer.global .legal{background-image:none;clear:both;margin:0 auto;min-height:40px;position:relative;width:100%}footer.global .legal p,footer.global .legal ul{padding-left:0}footer.global h2{font-size:.75em;line-height:1.4;margin-bottom:0;padding-bottom:.5em}footer.global h2,footer.global h2 a:link,footer.global h2 a:visited{color:#333;font-weight:normal}footer.global ul{margin:0}footer.global li a:hover{color:#f7f7f7}footer.global li ul li a:link,footer.global li ul li a:visited{color:#333;font-size:.75em}footer.global h2 a:hover,footer.global h2 a:active{color:#f7f7f7}footer.global p{color:#333;font-size:12px;margin-bottom:0}@media only screen and (max-width: 768px){footer.no-global .legal{box-shadow:0 2px 2px -1px #cdcdcd inset;box-sizing:content-box;margin-left:-10px;padding-left:10px;padding-right:10px;padding-top:10px}}@media only screen and (min-width: 1440px){footer.global .legal{width:1440px}footer.global{padding:30px 0 20px}}svg:not(:root){overflow:hidden}figure{width:100%}figure caption{display:block;width:100%;text-align:center}object,iframe,embed,canvas,video,audio{display:block;max-width:100%;margin:0 auto 20px}audio:not([controls]){display:none;height:0}[hidden]{display:none}.video-container{position:relative;padding-bottom:56.25%;padding-top:30px;height:0;overflow:hidden}.video-container iframe{position:absolute;top:0;left:0;width:100%;height:100%}.video-container h3,.video-container .video-title{margin-top:20px}.inline-logos{float:left;margin-left:0;padding:0;text-align:center;width:100%}.inline-logos .inline-logos__item{display:inline-block;margin-right:20px;padding:0 0 20px;width:36%}@media only screen and (max-width: 300px){.inline-logos .inline-logos__item{margin:0 0 20px;width:100%}}.inline-logos .inline-logos__item.clear-row{clear:left}.inline-logos .inline-logos__item.last-item{border:0}.inline-logos .inline-logos__image{max-height:32px;max-width:115px;transition:all .3s ease-out;vertical-align:middle}@media only screen and (min-width: 768px){.inline-logos{padding-top:20px}.inline-logos .inline-logos__item{display:inline-block;height:56px;line-height:60px;margin:0 30px 30px;width:150px}.inline-logos .inline-logos__image{float:none;height:auto;max-height:56px;max-width:150px;vertical-align:middle}}@media only screen and (min-width: 1440px){.inline-logos__item{margin-bottom:40px}}@media only screen and (min-width: 768px){.equal-height__align-vertically{align-items:center;justify-content:center}}@media only screen and (min-width: 768px){.equal-height--vertical-divider{position:relative}.equal-height--vertical-divider__item{padding-left:10px;padding-right:10px}.equal-height--vertical-divider__item:before{content:'';position:absolute;right:-10px;top:0;height:100%;width:1px;border-right:1px dotted #888}.equal-height--vertical-divider .last-col,.equal-height--vertical-divider__item:last-of-type{padding-right:0}.equal-height--vertical-divider .last-col:before,.equal-height--vertical-divider__item:last-of-type:before{border-right:0}.equal-height--vertical-divider__item:first-of-type{padding-left:0}}@media only screen and (max-width: 768px){.equal-height--vertical-divider .equal-height--vertical-divider__item{border-bottom:1px dotted #888;padding-bottom:20px}.equal-height--vertical-divider .equal-height--vertical-divider__item:last-of-type{border-bottom:0;padding-bottom:inherit}}body{background:url("../assets/img/backgrounds/image-background-paper.png") repeat-y center top #f7f7f7}.button--neutral,.button--inline-neutral{color:#333;background-color:transparent;border:1px solid #cdcdcd}.button--neutral:focus,.button--neutral:active,.button--neutral:hover,.button--inline-neutral:focus,.button--inline-neutral:active,.button--inline-neutral:hover{background-color:rgba(0,0,0,0.1)}.button--neutral:disabled:focus,.button--neutral:disabled:active,.button--neutral:disabled:hover,.button--neutral.button--disabled:focus,.button--neutral.button--disabled:active,.button--neutral.button--disabled:hover,.button--inline-neutral:disabled:focus,.button--inline-neutral:disabled:active,.button--inline-neutral:disabled:hover,.button--inline-neutral.button--disabled:focus,.button--inline-neutral.button--disabled:active,.button--inline-neutral.button--disabled:hover{background-color:transparent}.button--inline-neutral{display:inline-block;width:auto}.button--positive,.button--inline-positive{color:#fff;background-color:#38b44a}.button--positive:focus,.button--positive:active,.button--positive:hover,.button--inline-positive:focus,.button--inline-positive:active,.button--inline-positive:hover{background-color:#2c8d3a}.button--positive:disabled:focus,.button--positive:disabled:active,.button--positive:disabled:hover,.button--positive.button--disabled:focus,.button--positive.button--disabled:active,.button--positive.button--disabled:hover,.button--inline-positive:disabled:focus,.button--inline-positive:disabled:active,.button--inline-positive:disabled:hover,.button--inline-positive.button--disabled:focus,.button--inline-positive.button--disabled:active,.button--inline-positive.button--disabled:hover{background-color:#38b44a}.button--inline-positive{display:inline-block;width:auto}.button--destructive,.button--inline-destructive{color:#fff;background-color:#df382c}.button--destructive:focus,.button--destructive:active,.button--destructive:hover,.button--inline-destructive:focus,.button--inline-destructive:active,.button--inline-destructive:hover{background-color:#bc271c}.button--destructive:disabled:focus,.button--destructive:disabled:active,.button--destructive:disabled:hover,.button--destructive.button--disabled:focus,.button--destructive.button--disabled:active,.button--destructive.button--disabled:hover,.button--inline-destructive:disabled:focus,.button--inline-destructive:disabled:active,.button--inline-destructive:disabled:hover,.button--inline-destructive.button--disabled:focus,.button--inline-destructive.button--disabled:active,.button--inline-destructive.button--disabled:hover{background-color:#df382c}.button--inline-destructive{display:inline-block;width:auto}.button--base,.button--inline-base{color:#333;background-color:transparent}.button--base:focus,.button--base:active,.button--base:hover,.button--inline-base:focus,.button--inline-base:active,.button--inline-base:hover{background-color:rgba(0,0,0,0.1)}.button--base:disabled:focus,.button--base:disabled:active,.button--base:disabled:hover,.button--base.button--disabled:focus,.button--base.button--disabled:active,.button--base.button--disabled:hover,.button--inline-base:disabled:focus,.button--inline-base:disabled:active,.button--inline-base:disabled:hover,.button--inline-base.button--disabled:focus,.button--inline-base.button--disabled:active,.button--inline-base.button--disabled:hover{background-color:transparent}.button--inline-base{display:inline-block;width:auto}.cookie-policy{box-shadow:0 -1px 2px rgba(0,0,0,0.2);background-color:#fae4dc;position:fixed;bottom:0;width:100%;z-index:100}.cookie-policy p{font-size:.8125em;margin-bottom:0;margin-left:0;padding:8px 0;width:100%}.cookie-policy .link-cta{background-image:url("https://assets.ubuntu.com/v1/3f057022-close-orange.svg");background-repeat:no-repeat;color:#fff;float:right;font-size:1em;height:15px;margin:12px 0;margin-top:12px;padding:0;text-decoration:none;text-indent:-9999px;width:16px}.no-svg .cookie-policy .link-cta,.opera-mini .cookie-policy .link-cta{background-image:url("https://assets.ubuntu.com/v1/898777ac-close-orange.png")}.deep-link{text-decoration:none}.deep-link:after{content:'';display:inline-block;margin-left:3px;opacity:0;position:relative;top:1px;width:1em;height:1em;background-image:url(https://assets.ubuntu.com/v1/128877a5-anchor_16.svg);background-position:0 80%;background-repeat:no-repeat;background-size:16px;transition:opacity .1s}.deep-link:hover{text-decoration:none}.deep-link:hover:after{opacity:1}.banner{background:#000;box-shadow:none}@media only screen and (min-width: 620px){.banner .nav-primary{width:auto}.banner ul{border-top:0;border-right:0;box-shadow:none}.banner li{width:auto;border-right:0;border-bottom:0}.banner li:last-child a{border-right:0}.banner a,.banner a:link,.banner a:visited{border-left:0}}@media only screen and (max-width: 768px){footer.global{padding-top:0}}.instruction{padding:0;position:relative;width:100%;border-bottom:1px dotted #ddd}.instruction .instruction__bullet,.instruction .instruction__details{padding:60px 40px;margin-bottom:0}.instruction .instruction__bullet{margin-right:0}.instruction .instruction__step{display:inline-block;border-radius:50%;width:50px;height:50px;line-height:50px;color:#fff;text-align:center;vertical-align:top;font-size:2em;font-weight:400}.instruction .instruction__title{display:inline;position:relative;top:6px;line-height:1.6}.instruction .command-line{position:relative;border-radius:4px;background-color:#2c001e;border:1px solid #2c001e;overflow:hidden;transition:all .2s}.instruction .command-line .command-line__input{border:0;background:transparent;font-size:1em;font-family:Ubuntu Mono;font-weight:300;padding:.7em 1em;color:#fff;width:100%}.instruction .command-line .command-line__copy-button{transition:background-color .2s;position:absolute;right:0;top:0;width:50px;border:0;height:100%;display:block;text-indent:-9999px;background-image:url("https://assets.ubuntu.com/v1/994e60f9-get-link-url_16.svg");background-repeat:no-repeat;background-position:center;background-color:#fff}.row{border-bottom:0;background-color:rgba(255,255,255,0.6)}@media only screen and (max-width: 768px){.row{padding-bottom:20px}}@media only screen and (max-width: 768px){.row-hero{padding-top:20px;margin-top:0}}.strip-white{background:#fff}.strip-dark{background:#333;color:#fff}.strip-dark a{color:#fff}.strip-trans{background:transparent}.social-list{list-style:none;padding-left:0;margin-left:0}.social-list__item--twitter,.social-list__item--google-plus,.social-list__item--facebook{margin-right:20px;float:left;text-indent:-99999px;background-image:url("https://assets.ubuntu.com/v1/ed986fc0-icon-social.svg");background-repeat:no-repeat;height:44px;width:44px;overflow:hidden;display:inline-block}.social-list__item--twitter:hover,.social-list__item--google-plus:hover,.social-list__item--facebook:hover{background-position-y:-45px}.social-list__item--twitter{background-position:0 0}.social-list__item--google-plus{background-position:-45px 0}.social-list__item--facebook{background-position:-90px 0}@media only screen and (min-width: 768px){.tooltip{position:relative;display:inline-block}.tooltip__content{position:absolute;z-index:98;left:-1000px;right:-1000px;top:-30px;font-weight:300;margin:auto;display:block;text-align:center;white-space:nowrap}.tooltip:hover .tooltip__content:after{display:table;z-index:98;margin:auto;color:#fff;border-radius:3px;background:#000;box-shadow:none;font-size:12px;content:attr(data-tooltip);padding:4px 6px;white-space:nowrap;text-align:center}.tooltip:hover .tooltip__content:before{position:absolute;top:100%;left:50%;margin-left:-5px;content:'';border:solid transparent;border-width:5px;border-top-color:#000}}a,.link{cursor:pointer;color:#f7f7f7;text-decoration:underline}pre{padding:10px 15px;background-color:#333;border:0;border-radius:2px;color:#cdcdcd}html{overflow-y:scroll;overflow-x:hidden;min-height:100%;color:#333;font:1em / 1.5 "'Ubuntu', Arial, 'libra sans', sans-serif"}a{color:#333;text-decoration:none;border-bottom:1px solid #c2c2c2}a:hover{text-decoration:none;color:#dd4814}p,li,code,pre{font-size:16px;font-size:1rem;line-height:1.5;margin-bottom:.75em}pre,code{text-align:left;white-space:pre-line;word-spacing:normal;word-wrap:break-word;tab-size:4;hyphens:none;direction:ltr}hr{margin-bottom:20px}h1,h2,h3,h4,h5{margin:10px 0;font-weight:300;line-height:1.5;color:#333}h1{font-size:2em}h1 small{font-size:75%}h2{font-size:1.4375em}h2 small{font-size:75%}h3{font-size:1.25em}h3 small{font-size:75%}h4{font-size:1em}h4 small{font-size:75%}h5{font-size:0.875em}h5 small{font-size:75%}.gigantic{font-size:45px;font-size:2.8125rem}.mega{font-size:40px;font-size:2.5rem}input[type='text'],input[type='number'],input[type='search'],input[type='password'],input[type='email'],input[type='url'],input[type='tel']{padding:7px 10px;box-shadow:none;width:100%}input[type='text']::placeholder,input[type='number']::placeholder,input[type='search']::placeholder,input[type='password']::placeholder,input[type='email']::placeholder,input[type='url']::placeholder,input[type='tel']::placeholder{color:#888}input[type='text'][disabled],input[type='number'][disabled],input[type='search'][disabled],input[type='password'][disabled],input[type='email'][disabled],input[type='url'][disabled],input[type='tel'][disabled]{color:#888;background-color:transparent}input[type='number']{padding-right:15px}input[type='search']{appearance:textfield}input[type='search']::-webkit-search-decoration,input[type='search']::-webkit-search-cancel-button{appearance:none}input[type='checkbox']{margin:4px 0 0;margin-top:1px	9;line-height:normal}input[type='radio'],input[type='image']{display:inline-block;margin-right:10px}textarea{height:auto;min-height:175px;padding:7px 10px !important;box-shadow:none;width:100%}textarea::placeholder{color:#888}textarea[disabled]{color:#888;background-color:transparent}select{display:block;clear:both;cursor:pointer;margin:0;background-image:url("../assets/images/forms/chevron-down.svg");background-repeat:no-repeat;background-position:top 14px right 10px;background-color:#fff;padding:7px 30px 7px 10px !important;box-shadow:none;width:100%;-moz-appearance:none;appearance:none;text-indent:.01px;text-overflow:''}select[multiple],select[size]{height:auto;background-image:none;padding-top:10px}select[disabled]{color:#888;background-image:none;background-color:transparent}select:-moz-focusring{color:transparent;text-shadow:0 0 0 #000}select::-ms-expand{display:none}fieldset{background:none;margin-left:0;padding:0}label{display:inline-block;max-width:100%;margin-bottom:5px}[type="checkbox"]:not(:checked),[type="checkbox"]:checked{position:absolute;left:-9999px}[type="checkbox"]+label{height:16px;position:relative;padding-left:25px;cursor:pointer}[type="checkbox"]+label:before{content:'';position:absolute;left:0;top:3px;width:11px;height:11px;border:1px solid #cdcdcd;background:#fff;border-radius:2px}[type="checkbox"]:checked+label:before{background-color:#dd4814;border-color:#dd4814}[type="checkbox"]:checked+label:after{content:'✔';position:absolute;line-height:13px;top:3px;left:3px;font-size:10px;color:#fff;transition:all .2s}@-moz-document url-prefix(){[type="checkbox"]:checked+label:after{font-size:13px;left:1px}}[type="checkbox"][disabled]{cursor:not-allowed}[type="checkbox"][disabled]+label{cursor:not-allowed}[type="checkbox"][disabled]+label:before{opacity:.5}[type="radio"]:not(:checked),[type="radio"]:checked{position:absolute;left:-9999px}[type="radio"]+label{position:relative;padding-left:25px;cursor:pointer}[type="radio"]+label:before{content:'';position:absolute;left:0;top:1px;width:13px;height:13px;border:1px solid #cdcdcd;background:#fff;border-radius:50%}[type="radio"]:checked+label:after{content:'';position:absolute;left:3px;top:4px;width:9px;height:9px;background:#dd4814;border-radius:50%}.tags{width:100%}.tags .tag-list{width:100%;margin:0}.tags .tag-list .tag-item{display:inline-block;float:left;line-height:36px;margin-bottom:0;margin-right:10px;word-wrap:break-word}.tags .tag-list .tag-item .remove-button{border-bottom:0}.tags .input{width:100% !important}.onoffswitch{position:relative;display:inline-block;vertical-align:middle;width:38px;margin:0 0 4px;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none}.onoffswitch[disabled] .onoffswitch-checkbox,.onoffswitch[disabled] .onoffswitch-label{opacity:.5;pointer-events:none}.onoffswitch-external-label{display:inline-block;margin-left:5px}.onoffswitch-checkbox{display:none !important}.onoffswitch-label{display:block !important;overflow:hidden;cursor:pointer;border-radius:2px;padding-left:0 !important;margin:0 !important}.onoffswitch-label:before,.onoffswitch-label:after{display:none}.onoffswitch-inner{display:block;width:200%;margin-left:-100%;transition:margin .3s ease-in 0s}.onoffswitch-inner:before,.onoffswitch-inner:after{display:block;float:left;width:50%;height:18px;padding:0;line-height:18px;font-size:14px;color:#fff;font-family:Trebuchet, Arial, sans-serif;font-weight:bold;box-sizing:border-box}.onoffswitch-inner:before{content:'';padding-left:10px;background-color:#38b44a;color:#fff}.onoffswitch-inner:after{content:'';padding-right:10px;background-color:#eee;color:#888;text-align:right}.onoffswitch-switch{display:block;width:19px;height:16px;margin:0;background:#fff;position:absolute;top:0;bottom:0;right:19px;border:1px solid #d2d2d2;border-radius:2px;transition:all .3s ease-in 0s;box-sizing:border-box}.onoffswitch-checkbox:checked+.onoffswitch-label .onoffswitch-inner{margin-left:0}.onoffswitch-checkbox:checked+.onoffswitch-label .onoffswitch-switch{right:0}dl dt{clear:left;color:#333}dl dd{color:#333;margin-left:0}dl dt,dl dd{display:inline-block;float:left;line-height:36px;margin-bottom:10px !important;word-wrap:break-word}dl dt:last-child,dl dd:last-child{margin-bottom:0}.wrapper{min-height:100%;height:auto !important;height:100%;margin:0 auto;position:relative;background:rgba(255,255,255,0.4)}.wrapper:after{content:'';position:absolute;display:block;top:0;right:0;bottom:0;left:0;background:url("../assets/images/backgrounds/background-paper.png");height:100%;width:100%;z-index:-1}.wrapper--inner{max-width:1440px;width:100%;margin:0 auto;clear:both;display:block}.row{background-color:transparent;border-top:1px dotted #cdcdcd}.row:first-of-type{border-top:0}.button--secondary{line-height:18px}.button--primary:hover,.button--destructive:hover,.button--positive:hover{color:#fff}.button--base:hover,.button--neutral:hover{color:#333}.button-group{position:relative;width:100%;vertical-align:middle;clear:both;min-width:160px}.button-group.button-group--inline{display:inline-block;width:auto}.button-group .button-group__link{display:inline-block;float:left;text-align:left;padding-right:35px}.button-group .button-group__link::after{content:'';display:inline-block;position:absolute;top:15px;right:15px;width:4px;height:4px;vertical-align:middle;border-right:1px solid;border-bottom:1px solid;transform:rotate(45deg)}.button-group .button-group__dropdown{border-radius:3px;left:0;margin:0;list-style:none;background:#fff;box-shadow:0 1px 1px rgba(0,0,0,0.1);z-index:20;max-height:1000px;transition:max-height .3s ease-in;position:absolute;top:36px;clear:both;min-width:160px}.button-group .button-group__item{float:left;clear:both;padding:5px 10px;margin:0;width:100%}.button-group .button-group__item .button-group__item-link{color:#333;cursor:pointer;width:100%;float:left;margin:0;border:0;text-transform:lowercase;white-space:nowrap}.button-group .button-group__item .button-group__item-link:first-letter{text-transform:uppercase}.button-group .button-group__item .button-group__item-link:hover{color:#dd4814;text-decoration:none}.form .form__group{margin-bottom:10px}.form .form__group .form__group-input{position:relative}.form .form__group .form__group-input .form__group-remove{position:absolute;top:10px;right:10px;cursor:pointer;height:16px;width:16px;background:url("../assets/images/icons/remove.svg") no-repeat;background-size:75% 75%;background-position:center;display:inline-block}.form .form__group .form__group-input .icon,.form .form__group .form__group-input .icon--status-failed,.form .form__group .form__group-input .icon--status-in-progress,.form .form__group .form__group-input .icon--status-queued,.form .form__group .form__group-input .icon--status-succeeded,.form .form__group .form__group-input .icon--status-waiting{position:absolute;top:10px;right:10px;display:inline-block}.form .form__group.form__group--subtle .form__group-label{color:#888}.form .form__group.form__group--subtle input,.form .form__group.form__group--subtle select,.form .form__group.form__group--subtle textarea{border-color:#e3e3e3;background-color:transparent}.form .form__group.form__group--subtle input:hover,.form .form__group.form__group--subtle select:hover,.form .form__group.form__group--subtle textarea:hover{border-color:#cdcdcd;background-color:#fff;outline:none}.form .form__group.form__group--subtle input:active,.form .form__group.form__group--subtle input:focus,.form .form__group.form__group--subtle select:active,.form .form__group.form__group--subtle select:focus,.form .form__group.form__group--subtle textarea:active,.form .form__group.form__group--subtle textarea:focus{border-color:#888;background-color:#fff;outline:none}.form .form__fieldset .form__group:last-of-type{margin-bottom:0}.form .form__siblings{float:left;width:100%;margin-bottom:10px}.form .form__siblings:hover .form__group--subtle input,.form .form__siblings:hover .form__group--subtle select,.form .form__siblings:hover .form__group--subtle textarea{border-color:#cdcdcd;background-color:#fff;outline:none}.form .form__siblings.is-active .form__group--subtle input,.form .form__siblings.is-active .form__group--subtle select,.form .form__siblings.is-active .form__group--subtle textarea{border-color:#cdcdcd;background-color:#fff;outline:none}.form.form--stack .form__group{width:100%;float:left}.form.form--stack .form__group [class*='-col']{margin-bottom:0}.form.form--stack .form__group .form__group-label{margin-top:0;margin-bottom:0;line-height:34px;vertical-align:top}.form.form--stack .form__group .form__group-input{min-height:34px}.form.form--stack .form__group .form__group-input .onoffswitch{margin-top:9px}.form.form--inline .form__fieldset{display:inline-block;width:auto;margin:0;vertical-align:middle}.form.form--inline .form__group{display:inline-block;margin:0 20px 0 0;vertical-align:top}.form.form--inline .form__group .form__group-label{margin-bottom:0;margin-right:10px;vertical-align:top;line-height:34px}.form.form--inline .form__group input,.form.form--inline .form__group select,.form.form--inline .form__group .form__group-input{display:inline-block;width:auto;min-height:34px}.form.form--inline .form__group [type='checkbox']+label,.form.form--inline .form__group [type='radio']+label{line-height:34px}.form.form--inline .form__group .onoffswitch{margin:9px 0 0}.form.form--inline .form__group .onoffswitch-external-label{margin:0;vertical-align:middle;line-height:34px}.form .form__help-text{font-size:14px;font-size:0.875rem;color:#888}.form__error{margin:0;color:#df382c}.form__error .form__error-item{margin:6px 0}.code-block{overflow:auto;margin:.5em 0;padding:1em;border:1px solid #cdcdcd;border-radius:.5em}.code-block .code-block__line{float:left;clear:both;margin:0}.code-block.code-block--terminal{color:#fff;border:0;background-color:#333}.code-block.code-block--numbering{counter-reset:line-numbering}.code-block.code-block--numbering .code-block__line::before{width:1.5em;padding-right:1em;content:counter(line-numbering);counter-increment:line-numbering;user-select:none;text-align:right;pointer-events:none;opacity:.5}.flash-messages{width:100%;float:left;margin:0}.flash-messages .flash-messages__item{box-sizing:border-box;border-radius:2px;list-style:none;padding:15px 20px;margin:0 0 20px;background:#fff;background-position:top 50% left 15px;background-repeat:no-repeat;box-shadow:0 1px 1px rgba(0,0,0,0.1)}.flash-messages .flash-messages__item:last-of-type{margin-bottom:0}.flash-messages .flash-messages__item.flash-messages__item--error{background:#fff url("../assets/images/icons/error_colour_white.svg") no-repeat;background-size:16px 16px;background-position:15px center;padding-left:45px}.flash-messages .flash-messages__item.flash-messages__item--info{background:#fff url("../assets/images/icons/information_colour_white.svg") no-repeat;background-size:16px 16px;background-position:15px center;padding-left:45px}.flash-messages .flash-messages__item.flash-messages__item--warning{background:#fff url("../assets/images/icons/warning_colour_white.svg") no-repeat;background-size:16px 16px;background-position:15px center;padding-left:45px}.flash-messages .flash-messages__item.flash-messages__item--success{background:#fff url("../assets/images/icons/success_colour_white.svg") no-repeat;background-size:16px 16px;background-position:15px center;padding-left:45px}.icon,.icon--status-failed,.icon--status-in-progress,.icon--status-queued,.icon--status-succeeded,.icon--status-waiting{width:16px;height:16px;padding:0;border-bottom:0 !important;display:inline-block;vertical-align:middle;text-indent:999em}.icon.icon--add,.icon--add.icon--status-failed,.icon--add.icon--status-in-progress,.icon--add.icon--status-queued,.icon--add.icon--status-succeeded,.icon--add.icon--status-waiting{background:url("../assets/images/icons/add.svg") no-repeat;background-size:100% 100%}.icon.icon--account,.icon--account.icon--status-failed,.icon--account.icon--status-in-progress,.icon--account.icon--status-queued,.icon--account.icon--status-succeeded,.icon--account.icon--status-waiting{background:url("../assets/images/icons/account.svg") no-repeat;background-size:100% 100%}.icon.icon--cross,.icon--cross.icon--status-failed,.icon--cross.icon--status-in-progress,.icon--cross.icon--status-queued,.icon--cross.icon--status-succeeded,.icon--cross.icon--status-waiting{background:url("../assets/images/icons/cross.svg") no-repeat;background-size:100% 100%}.icon.icon--cross-orange,.icon--cross-orange.icon--status-failed,.icon--cross-orange.icon--status-in-progress,.icon--cross-orange.icon--status-queued,.icon--cross-orange.icon--status-succeeded,.icon--cross-orange.icon--status-waiting{background:url("../assets/images/icons/cross-orange.svg") no-repeat;background-size:100% 100%}.icon.icon--debug,.icon--debug.icon--status-failed,.icon--debug.icon--status-in-progress,.icon--debug.icon--status-queued,.icon--debug.icon--status-succeeded,.icon--debug.icon--status-waiting{background:url("../assets/images/icons/debug.svg") no-repeat;background-size:100% 100%}.icon.icon--delete,.icon--delete.icon--status-failed,.icon--delete.icon--status-in-progress,.icon--delete.icon--status-queued,.icon--delete.icon--status-succeeded,.icon--delete.icon--status-waiting{background:url("../assets/images/icons/delete.svg") no-repeat;background-size:100% 100%}.icon.icon--edit,.icon--edit.icon--status-failed,.icon--edit.icon--status-in-progress,.icon--edit.icon--status-queued,.icon--edit.icon--status-succeeded,.icon--edit.icon--status-waiting{background:url("../assets/images/icons/edit.svg") no-repeat;background-size:100% 100%}.icon.icon--error,.icon--error.icon--status-failed,.icon--error.icon--status-in-progress,.icon--error.icon--status-queued,.icon--error.icon--status-succeeded,.icon--error.icon--status-waiting{background:url("../assets/images/icons/error.svg") no-repeat;background-size:100% 100%}.icon.icon--error-mono,.icon--error-mono.icon--status-failed,.icon--error-mono.icon--status-in-progress,.icon--error-mono.icon--status-queued,.icon--error-mono.icon--status-succeeded,.icon--error-mono.icon--status-waiting{background:url("../assets/images/icons/error-mono.svg") no-repeat}.icon.icon--help,.icon--help.icon--status-failed,.icon--help.icon--status-in-progress,.icon--help.icon--status-queued,.icon--help.icon--status-succeeded,.icon--help.icon--status-waiting{background:url("../assets/images/icons/help.svg") no-repeat;background-size:100% 100%}.icon.icon--help-mono,.icon--help-mono.icon--status-failed,.icon--help-mono.icon--status-in-progress,.icon--help-mono.icon--status-queued,.icon--help-mono.icon--status-succeeded,.icon--help-mono.icon--status-waiting{background:url("../assets/images/icons/help-mono.svg") no-repeat}.icon.icon--info,.icon--info.icon--status-failed,.icon--info.icon--status-in-progress,.icon--info.icon--status-queued,.icon--info.icon--status-succeeded,.icon--info.icon--status-waiting{background:url("../assets/images/icons/info.svg") no-repeat;background-size:100% 100%}.icon.icon--info-mono,.icon--info-mono.icon--status-failed,.icon--info-mono.icon--status-in-progress,.icon--info-mono.icon--status-queued,.icon--info-mono.icon--status-succeeded,.icon--info-mono.icon--status-waiting{background:url("../assets/images/icons/info-mono.svg") no-repeat}.icon.icon--loading,.icon--loading.icon--status-failed,.icon--loading.icon--status-in-progress,.icon--loading.icon--status-queued,.icon--loading.icon--status-succeeded,.icon--loading.icon--status-waiting{background:url("../assets/images/icons/loading.png") no-repeat;background-size:100% 100%}.icon.icon--mount,.icon--mount.icon--status-failed,.icon--mount.icon--status-in-progress,.icon--mount.icon--status-queued,.icon--mount.icon--status-succeeded,.icon--mount.icon--status-waiting{background:url("../assets/images/icons/mount.svg") no-repeat;background-size:100% 100%}.icon.icon--unmount,.icon--unmount.icon--status-failed,.icon--unmount.icon--status-in-progress,.icon--unmount.icon--status-queued,.icon--unmount.icon--status-succeeded,.icon--unmount.icon--status-waiting{background:url("../assets/images/icons/unmount.svg") no-repeat;background-size:100% 100%}.icon.icon--partition,.icon--partition.icon--status-failed,.icon--partition.icon--status-in-progress,.icon--partition.icon--status-queued,.icon--partition.icon--status-succeeded,.icon--partition.icon--status-waiting{background:url("../assets/images/icons/partition.svg") no-repeat;background-size:100% 100%}.icon.icon--power-error,.icon--power-error.icon--status-failed,.icon--power-error.icon--status-in-progress,.icon--power-error.icon--status-queued,.icon--power-error.icon--status-succeeded,.icon--power-error.icon--status-waiting{background:url("../assets/images/icons/power-error.svg") no-repeat;background-size:100% 100%}.icon.icon--power-off,.icon--power-off.icon--status-failed,.icon--power-off.icon--status-in-progress,.icon--power-off.icon--status-queued,.icon--power-off.icon--status-succeeded,.icon--power-off.icon--status-waiting{background:url("../assets/images/icons/power-off.svg") no-repeat;background-size:100% 100%}.icon.icon--power-on,.icon--power-on.icon--status-failed,.icon--power-on.icon--status-in-progress,.icon--power-on.icon--status-queued,.icon--power-on.icon--status-succeeded,.icon--power-on.icon--status-waiting{background:url("../assets/images/icons/power-on.svg") no-repeat;background-size:100% 100%}.icon.icon--remove,.icon--remove.icon--status-failed,.icon--remove.icon--status-in-progress,.icon--remove.icon--status-queued,.icon--remove.icon--status-succeeded,.icon--remove.icon--status-waiting{background:url("../assets/images/icons/remove.svg") no-repeat;background-size:100% 100%}.icon.icon--success,.icon--success.icon--status-failed,.icon--success.icon--status-in-progress,.icon--success.icon--status-queued,.icon--success.icon--status-succeeded,.icon--success.icon--status-waiting{background:url("../assets/images/icons/success.svg") no-repeat;background-size:100% 100%}.icon.icon--success-mono,.icon--success-mono.icon--status-failed,.icon--success-mono.icon--status-in-progress,.icon--success-mono.icon--status-queued,.icon--success-mono.icon--status-succeeded,.icon--success-mono.icon--status-waiting{background:url("../assets/images/icons/success-mono.svg") no-repeat;background-size:100% 100%}.icon.icon--success-grey,.icon--success-grey.icon--status-failed,.icon--success-grey.icon--status-in-progress,.icon--success-grey.icon--status-queued,.icon--success-grey.icon--status-succeeded,.icon--success-grey.icon--status-waiting{background:url('data:image/svg+xml;utf8, <svg width="16px" height="16px" viewBox="0 0 16 16" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><g id="Page-1" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd"><g id="success"><rect id="rect6708" x="0" y="9.99999989e-06" width="16" height="16"></rect><circle id="circle6710" stroke="#888" stroke-width="1.5" fill="#888" cx="8" cy="8.00001" r="7.2500086"></circle><polygon id="path6712" fill="#fff" points="11.80029 4.92345 11.73439 4.98115 6.99964 9.12837 4.22407 6.74743 3.38501 7.69631 7.00033 11.50002 12.5 5.71278 11.80029 4.92349"></polygon></g></g></svg>');background-size:100% 100%}.icon.icon--settings,.icon--settings.icon--status-failed,.icon--settings.icon--status-in-progress,.icon--settings.icon--status-queued,.icon--settings.icon--status-succeeded,.icon--settings.icon--status-waiting{background:url("../assets/images/icons/settings.svg") no-repeat;background-size:100% 100%}.icon.icon--sync,.icon--sync.icon--status-failed,.icon--sync.icon--status-in-progress,.icon--sync.icon--status-queued,.icon--sync.icon--status-succeeded,.icon--sync.icon--status-waiting{background:url("../assets/images/icons/sync.svg") no-repeat;background-size:100% 100%}.icon.icon--search,.icon--search.icon--status-failed,.icon--search.icon--status-in-progress,.icon--search.icon--status-queued,.icon--search.icon--status-succeeded,.icon--search.icon--status-waiting{background:url("../assets/images/icons/magnifying_glass.svg") no-repeat;background-size:100% 100%}.icon.icon--system-shutdown,.icon--system-shutdown.icon--status-failed,.icon--system-shutdown.icon--status-in-progress,.icon--system-shutdown.icon--status-queued,.icon--system-shutdown.icon--status-succeeded,.icon--system-shutdown.icon--status-waiting{background:url("../assets/images/icons/system-shutdown.svg") no-repeat;background-size:100% 100%}.icon.icon--tooltip,.icon--tooltip.icon--status-failed,.icon--tooltip.icon--status-in-progress,.icon--tooltip.icon--status-queued,.icon--tooltip.icon--status-succeeded,.icon--tooltip.icon--status-waiting{background:url("../assets/images/icons/tooltip.svg") no-repeat;background-size:100% 100%}.icon.icon--tags,.icon--tags.icon--status-failed,.icon--tags.icon--status-in-progress,.icon--tags.icon--status-queued,.icon--tags.icon--status-succeeded,.icon--tags.icon--status-waiting{background:url("../assets/images/icons/tags.svg") no-repeat;background-size:100% 100%}.icon.icon--tick,.icon--tick.icon--status-failed,.icon--tick.icon--status-in-progress,.icon--tick.icon--status-queued,.icon--tick.icon--status-succeeded,.icon--tick.icon--status-waiting{background:url("../assets/images/icons/tick.svg") no-repeat;background-size:100% 100%}.icon.icon--logical-volume,.icon--logical-volume.icon--status-failed,.icon--logical-volume.icon--status-in-progress,.icon--logical-volume.icon--status-queued,.icon--logical-volume.icon--status-succeeded,.icon--logical-volume.icon--status-waiting{background:url("../assets/images/icons/logical-volume.svg") no-repeat;background-size:100% 100%}.icon.icon--warning,.icon--warning.icon--status-failed,.icon--warning.icon--status-in-progress,.icon--warning.icon--status-queued,.icon--warning.icon--status-succeeded,.icon--warning.icon--status-waiting{background:url("../assets/images/icons/warning.svg") no-repeat;background-size:100% 100%}.icon.icon--warning-mono,.icon--warning-mono.icon--status-failed,.icon--warning-mono.icon--status-in-progress,.icon--warning-mono.icon--status-queued,.icon--warning-mono.icon--status-succeeded,.icon--warning-mono.icon--status-waiting{background:url("../assets/images/icons/warning-mono.svg") no-repeat}.icon.icon--open,.icon--open.icon--status-failed,.icon--open.icon--status-in-progress,.icon--open.icon--status-queued,.icon--open.icon--status-succeeded,.icon--open.icon--status-waiting{background:url("../assets/images/forms/chevron-down.svg") no-repeat;background-size:10px 4px;background-position:center 4px}.icon.icon--close,.icon--close.icon--status-failed,.icon--close.icon--status-in-progress,.icon--close.icon--status-queued,.icon--close.icon--status-succeeded,.icon--close.icon--status-waiting{background:url("../assets/images/forms/chevron-up.svg") no-repeat;background-size:10px 4px;background-position:center 4px}.icon--status-failed{content:url('data:image/svg+xml;utf8, <svg width="16px" height="16px" viewBox="0 0 14 14" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><g id="Page-1" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd"><g id="status-queued" transform="translate(1, 1)"><g id="Page-1"><g id="status-queued"><g id="Group"><circle id="Oval" stroke="#ed3146" stroke-width="2" cx="6" cy="6" r="6"></circle><circle id="Oval-Copy" class="status-circle" fill="#ed3146" cx="6" cy="6" r="4"></circle></g></g></g></g></g></svg>')}.icon--status-in-progress{content:url('data:image/svg+xml;utf8, <svg width="16px" height="16px" viewBox="0 0 14 14" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><g id="Page-1" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd"><g id="status-queued" transform="translate(1, 1)"><g id="Page-1"><g id="status-queued"><g id="Group"><circle id="Oval" stroke="#19b6ee" stroke-width="2" cx="6" cy="6" r="6"></circle><circle id="Oval-Copy" class="status-circle" fill="#19b6ee" cx="6" cy="6" r="4"></circle></g></g></g></g></g></svg>')}.icon--status-queued{content:url('data:image/svg+xml;utf8, <svg width="16px" height="16px" viewBox="0 0 14 14" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><g id="Page-1" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd"><g id="status-queued" transform="translate(1, 1)"><g id="Page-1"><g id="status-queued"><g id="Group"><circle id="Oval" stroke="#888" stroke-width="2" cx="6" cy="6" r="6"></circle><circle id="Oval-Copy" class="status-circle" fill="#888" cx="6" cy="6" r="4"></circle></g></g></g></g></g></svg>')}.icon--status-succeeded{content:url('data:image/svg+xml;utf8, <svg width="16px" height="16px" viewBox="0 0 14 14" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><g id="Page-1" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd"><g id="status-queued" transform="translate(1, 1)"><g id="Page-1"><g id="status-queued"><g id="Group"><circle id="Oval" stroke="#3eb34f" stroke-width="2" cx="6" cy="6" r="6"></circle><circle id="Oval-Copy" class="status-circle" fill="#3eb34f" cx="6" cy="6" r="4"></circle></g></g></g></g></g></svg>')}.icon--status-waiting{content:url('data:image/svg+xml;utf8, <svg width="16px" height="16px" viewBox="0 0 14 14" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><g id="Page-1" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd"><g id="status-queued" transform="translate(1, 1)"><g id="Page-1"><g id="status-queued"><g id="Group"><circle id="Oval" stroke="#f99b0f" stroke-width="2" cx="6" cy="6" r="6"></circle><circle id="Oval-Copy" class="status-circle" fill="#f99b0f" cx="6" cy="6" r="4"></circle></g></g></g></g></g></svg>')}.icon--small{width:14px;height:14px}.icon--large{width:20px;height:20px}.icon--mega{width:23px;height:23px}.icon--gigantic{width:32px;height:32px}h1 .icon,h1 .icon--status-failed,h1 .icon--status-in-progress,h1 .icon--status-queued,h1 .icon--status-succeeded,h1 .icon--status-waiting{margin-top:-6px}h2 .icon,h2 .icon--status-failed,h2 .icon--status-in-progress,h2 .icon--status-queued,h2 .icon--status-succeeded,h2 .icon--status-waiting,h3 .icon,h3 .icon--status-failed,h3 .icon--status-in-progress,h3 .icon--status-queued,h3 .icon--status-succeeded,h3 .icon--status-waiting{margin-top:-5px}h4 .icon,h4 .icon--status-failed,h4 .icon--status-in-progress,h4 .icon--status-queued,h4 .icon--status-succeeded,h4 .icon--status-waiting,h5 .icon,h5 .icon--status-failed,h5 .icon--status-in-progress,h5 .icon--status-queued,h5 .icon--status-succeeded,h5 .icon--status-waiting,p .icon,p .icon--status-failed,p .icon--status-in-progress,p .icon--status-queued,p .icon--status-succeeded,p .icon--status-waiting,label .icon,label .icon--status-failed,label .icon--status-in-progress,label .icon--status-queued,label .icon--status-succeeded,label .icon--status-waiting,button .icon,button .icon--status-failed,button .icon--status-in-progress,button .icon--status-queued,button .icon--status-succeeded,button .icon--status-waiting,a .icon,a .icon--status-failed,a .icon--status-in-progress,a .icon--status-queued,a .icon--status-succeeded,a .icon--status-waiting,th .icon,th .icon--status-failed,th .icon--status-in-progress,th .icon--status-queued,th .icon--status-succeeded,th .icon--status-waiting,td .icon,td .icon--status-failed,td .icon--status-in-progress,td .icon--status-queued,td .icon--status-succeeded,td .icon--status-waiting,.table__header .icon,.table__header .icon--status-failed,.table__header .icon--status-in-progress,.table__header .icon--status-queued,.table__header .icon--status-succeeded,.table__header .icon--status-waiting,.table__data .icon,.table__data .icon--status-failed,.table__data .icon--status-in-progress,.table__data .icon--status-queued,.table__data .icon--status-succeeded,.table__data .icon--status-waiting{margin-top:-3px}.list__tree{list-style:none;border-left:1px solid #d2d2d2;position:relative}.list__tree.list__tree--sub-level{margin-top:10px;margin-left:20px;clear:both}.list__tree.list__tree--sub-level .list__item .list__item-feedback{left:180px}.list__tree .list__item{list-style:none}.list__tree .list__item:before{content:'';width:12px;height:1px;background:#d2d2d2;display:inline-block;position:relative;top:-4px;margin-right:5px}.list__tree .list__item:last-child::after{content:'';width:4px;height:1em;position:absolute;display:block;left:-2px;bottom:-6px;background:#fafafa}.list__tree .list__item .list__item-feedback{position:relative;left:200px;margin-top:-24px}table,.table{border-color:#d2d2d2;border-spacing:0;overflow-x:scroll;margin:0 0 20px;width:100%;text-align:left;border-collapse:separate}table tr,.table table tr,table .table tr,.table .table__row{width:100%;border-color:#b2b2b2;border-bottom-style:dotted;border-bottom-width:1px}table th,.table table th,table .table th,table td,.table table td,table .table td,.table .table__header,.table .table__data{font-size:16px;font-size:1rem;padding:10px;box-sizing:border-box;min-height:21px;background:none;border:0;text-align:left;border-collapse:separate;vertical-align:top;backface-visibility:hidden;position:relative}table thead tr,.table table thead tr,table thead .table tr,.table .table__head .table__row{color:#888;border-bottom:1px solid}table thead tr:hover,.table .table__head .table__row:hover{background-color:transparent}table thead th,.table table thead th,table thead .table th,.table .table__head .table__header{font-size:13px;font-size:0.8125rem;background:none;color:#888;font-size:13px}table thead th input[type="radio"]+label,.table .table__head .table__header input[type="radio"]+label,table thead th input[type="checkbox"]+label,.table .table__head .table__header input[type="checkbox"]+label{margin:0;top:-3px}table thead th a:link,table thead th a:visited,.table .table__head .table__header .table__header-link{color:#888;border-bottom:0}table thead th a:hover:link,table thead th a:hover:visited,.table .table__head .table__header .table__header-link:hover{color:#333;text-decoration:none}table thead th a.is-active:link,table thead th a.is-active:visited,.table .table__head .table__header .is-active.table__header-link{color:#333;text-decoration:none}table thead th a.is-sorted:link,table thead th a.is-sorted:visited,.table .table__head .table__header .is-sorted.table__header-link{border-bottom:1px solid #333}table thead .divide,.table .table__head .table__header-divide,.table .table__head .divide{width:1px;display:inline-block;background:#888;height:10px;margin:0 5px}table .numerical,.table .numerical{text-align:right}table input[type="radio"]+label,.table input[type="radio"]+label,table input[type="checkbox"]+label,.table input[type="checkbox"]+label{margin:0;top:-1px}table th{color:#888;border-bottom:1px solid}table td{border-color:#b2b2b2;border-bottom-style:dotted;border-bottom-width:1px}table td a:link,table td a:visited{color:#333;border-bottom:1px solid #c2c2c2}table td a:link:hover,table td a:visited:hover{text-decoration:none;color:#dd4814}.table{display:table}.table .table__row{float:left;display:table-row}.table .table__row:hover{background-color:#fff}.table .table__row:hover .table__controls{z-index:1;opacity:1}.table .table__row:hover .table__controls--secondary{z-index:1;opacity:1}.table .table__row.is-active{background-color:#fff}.table .table__row.is-active .table__controls{z-index:1;opacity:1}.table .table__row.is-active .table__controls--secondary{z-index:1;opacity:1}.table .table__row.is-active .table__dropdown .table__row{display:none}.table .table__row.is-active .table__dropdown .table__row.is-active{display:block}.table .table__header,.table .table__data{display:table-cell;float:left}.table .table__data a:link,.table .table__data a:visited{color:#333;border-bottom:1px solid #c2c2c2}.table .table__data a:link:hover,.table .table__data a:visited:hover{text-decoration:none;color:#dd4814}.table .table__head{display:table-head;width:100%;box-sizing:border-box}.table .table__body{display:table-row-group}.table .table__footer{display:table-footer-group}.table .table__label{clear:both;display:block;margin-top:5px;line-height:16px;color:#bcbcbc}.table .table__label a{color:#bcbcbc}.table .table__label a:hover{color:#f7f7f7}.table .table__label.is-active a{color:#f7f7f7}.table .table__controls{width:100%;text-align:right;opacity:0;z-index:-1000}.table .table__controls--secondary{opacity:0;z-index:-1000;width:auto;text-align:left}.table .table__controls a,.table .table__controls a:link,.table .table__controls a:visited{color:#333;border-bottom:1px solid #c2c2c2}.table .table__controls a:hover,.table .table__controls a:link:hover,.table .table__controls a:visited:hover{text-decoration:none;color:#dd4814}.table .table__input{display:inline-block;background-color:#fff;border-color:#d2d2d2;background-position:right 10px top 16px;margin:-7px 0}.table .table__input[disabled]{background-color:transparent;border-color:transparent;pointer-events:none;background-position:-9999px -9999px;color:#333}.table .table__dropdown{width:100%}.table .table__dropdown .table__row{border-bottom:0;display:none;position:relative}.table .table__dropdown .table__row--indent{padding-left:41px !important;float:left;width:100%;box-sizing:border-box}.table .table__dropdown .table__row:before{display:block;margin:0 auto;width:calc(100% - 20px);border-top:1px dotted #d2d2d2;position:absolute;height:1px;content:'';top:0;left:10px}.table .table__dropdown .table__row.table__row--head{border-bottom:0}.table .table__dropdown .table__row.table__row--head .table__header{color:#bcbcbc;font-size:13px}.table .table__dropdown .table__row.u-border--none:before{display:none}.table .table__dropdown .table__row.u-border:before{display:block;margin:0 auto;width:calc(100% - 20px);border-top:1px dotted #d2d2d2;position:absolute;height:1px;content:'';top:0;left:10px}.table .table__dropdown .table__row.is-active .table__input{background-color:#fff;border-color:#d2d2d2;background-position:right 10px top 16px;pointer-events:all}.table .table__dropdown .table__row.is-active .table__input[disabled]{border-color:transparent;cursor:pointer}.table .table__dropdown--info .table__row{border-bottom:0}.table .table__dropdown--info .table__data{color:#bcbcbc}.form .form__group input,.form .form__group select{margin:0}.table--error{border-color:#df382c}.table--error .table__header,.table--error .table__data,.table--error th,.table--error td{border-color:#df382c;background-color:#fadfdd}.table--warning{border-color:#eca918}.table--warning .table__header,.table--warning .table__data,.table--warning th,.table--warning td{border-color:#eca918;background-color:#fcefd4}.table--success{border-color:#38b44a}.table--success .table__header,.table--success .table__data,.table--success th,.table--success td{border-color:#38b44a;background-color:#caeecf}.table--information{border-color:#19b6ee}.table--information .table__header,.table--information .table__data,.table--information th,.table--information td{border-color:#19b6ee;background-color:#d7f2fc}.table-col--1{width:1%}.table-col--2{width:2%}.table-col--3{width:3%}.table-col--4{width:4%}.table-col--5{width:5%}.table-col--6{width:6%}.table-col--7{width:7%}.table-col--8{width:8%}.table-col--9{width:9%}.table-col--10{width:10%}.table-col--11{width:11%}.table-col--12{width:12%}.table-col--13{width:13%}.table-col--14{width:14%}.table-col--15{width:15%}.table-col--16{width:16%}.table-col--17{width:17%}.table-col--18{width:18%}.table-col--19{width:19%}.table-col--20{width:20%}.table-col--21{width:21%}.table-col--22{width:22%}.table-col--23{width:23%}.table-col--24{width:24%}.table-col--25{width:25%}.table-col--26{width:26%}.table-col--27{width:27%}.table-col--28{width:28%}.table-col--29{width:29%}.table-col--30{width:30%}.table-col--31{width:31%}.table-col--32{width:32%}.table-col--33{width:33%}.table-col--34{width:34%}.table-col--35{width:35%}.table-col--36{width:36%}.table-col--37{width:37%}.table-col--38{width:38%}.table-col--39{width:39%}.table-col--40{width:40%}.table-col--41{width:41%}.table-col--42{width:42%}.table-col--43{width:43%}.table-col--44{width:44%}.table-col--45{width:45%}.table-col--46{width:46%}.table-col--47{width:47%}.table-col--48{width:48%}.table-col--49{width:49%}.table-col--50{width:50%}.table-col--51{width:51%}.table-col--52{width:52%}.table-col--53{width:53%}.table-col--54{width:54%}.table-col--55{width:55%}.table-col--56{width:56%}.table-col--57{width:57%}.table-col--58{width:58%}.table-col--59{width:59%}.table-col--60{width:60%}.table-col--61{width:61%}.table-col--62{width:62%}.table-col--63{width:63%}.table-col--64{width:64%}.table-col--65{width:65%}.table-col--66{width:66%}.table-col--67{width:67%}.table-col--68{width:68%}.table-col--69{width:69%}.table-col--70{width:70%}.table-col--71{width:71%}.table-col--72{width:72%}.table-col--73{width:73%}.table-col--74{width:74%}.table-col--75{width:75%}.table-col--76{width:76%}.table-col--77{width:77%}.table-col--78{width:78%}.table-col--79{width:79%}.table-col--80{width:80%}.table-col--81{width:81%}.table-col--82{width:82%}.table-col--83{width:83%}.table-col--84{width:84%}.table-col--85{width:85%}.table-col--86{width:86%}.table-col--87{width:87%}.table-col--88{width:88%}.table-col--89{width:89%}.table-col--90{width:90%}.table-col--91{width:91%}.table-col--92{width:92%}.table-col--93{width:93%}.table-col--94{width:94%}.table-col--95{width:95%}.table-col--96{width:96%}.table-col--97{width:97%}.table-col--98{width:98%}.table-col--99{width:99%}.table-col--100{width:100%}.tabs{display:inline-block}.tabs .tabs__tab{font-size:18px;font-size:1.125rem;display:inline-block;list-style-type:none}.tabs .tabs__tab .tabs__tab-link{color:#888;text-decoration:none;border-bottom:0}.tabs .tabs__tab:hover .tabs__tab-link{border-bottom:3px solid #888}.tabs .tabs__tab:after{content:'';width:1px;display:inline-block;background:#d2d2d2;height:11px;padding:0;margin:0 5px}.tabs .tabs__tab:last-child::after{display:none}.tabs .is-active .tabs__tab-link,.tabs .is-active:hover .tabs__tab-link{border-bottom:3px solid #dd4814}.tooltip{position:relative}.tooltip::before{position:absolute;left:50%;transform:translateX(-50%) translateY(-14px);content:'';width:0;height:0;border-left:5px solid transparent;border-right:5px solid transparent;z-index:-1;border-top:5px solid #333;opacity:0;visibility:hidden;bottom:100%;margin-bottom:-11px}.tooltip::after{content:attr(aria-label);font-size:13px;font-weight:400;line-height:16px;position:absolute;z-index:-1;left:50%;bottom:100%;transform:translateX(-50%) translateY(-8px);background:#333;color:#fff;padding:10px;height:auto;text-indent:0;opacity:0;visibility:hidden;border-radius:5px;box-shadow:0 1px 3px 0 rgba(51,51,51,0.2);white-space:pre;box-sizing:border-box;font-style:normal}.tooltip:hover::after,.tooltip:hover::before{opacity:1 !important;z-index:1000;visibility:visible}.tooltip.tooltip--right::before{border-top:5px solid transparent;border-right:5px solid #333;border-bottom:5px solid transparent;left:100%;bottom:inherit;top:50%;transform:translateX(4px) translateY(-50%)}.tooltip.tooltip--right::after{left:100%;bottom:inherit;top:50%;margin-bottom:-14px;transform:translateX(14px) translateY(-50%)}.tooltip.tooltip--bottom::before{border-top:0;border-right:5px solid transparent;border-bottom:5px solid #333;border-left:5px solid transparent;left:50%;bottom:inherit;top:100%;transform:translateX(-50%) translateY(8px)}.tooltip.tooltip--bottom::after{left:50%;bottom:inherit;top:100%;margin-bottom:0;transform:translateX(-50%) translateY(13px)}.tooltip.tooltip--left::before{border-top:5px solid transparent;border-left:5px solid #333;border-bottom:5px solid transparent;left:-4px;bottom:inherit;top:50%;transform:translateX(-100%) translateY(-50%)}.tooltip.tooltip--left::after{left:-14px;bottom:inherit;top:50%;margin-bottom:-14px;transform:translateX(-100%) translateY(-50%)}.accordion{box-sizing:border-box;border-radius:2px;list-style:none;background:#fff;box-shadow:0 1px 1px rgba(0,0,0,0.1);margin-bottom:40px}.accordion.is-disabled{opacity:.5;pointer-events:none}.accordion .accordion__title{font-size:20px;font-size:1.25rem;border-bottom:1px dotted #b2b2b2;padding:8px 20px 9px;margin:0}.accordion .accordion__tab{border-bottom:1px dotted #b2b2b2}.accordion .accordion__tab:last-of-type{border:0}.accordion .accordion__tab .accordion__tab-title.is-active{background-image:url("../assets/images/forms/chevron_up.svg")}.accordion .accordion__tab .accordion__tab-title.is-active+.accordion__tab-content{max-height:400px;transition:max-height .5s ease-in}.accordion .accordion__tab .accordion__tab-content{max-height:0;transition:max-height .5s ease-out;overflow:hidden;overflow:auto}.accordion .accordion__tab .accordion__tab-content .accordion__tab-list{list-style-type:none;padding:0 20px 14px;margin:0}.accordion .accordion__tab .accordion__tab-content .accordion__tab-list .accordion__tab-item{margin-bottom:.15em}.accordion .accordion__tab .accordion__tab-content .accordion__tab-list .accordion__tab-item .accordion__tab-link{box-sizing:border-box;color:#333;width:100%;display:inline-block;padding-right:20px;border-bottom:0;outline:0}.accordion .accordion__tab .accordion__tab-content .accordion__tab-list .accordion__tab-item .accordion__tab-link:hover{color:#dd4814;text-decoration:none}.disabled .accordion .accordion__tab .accordion__tab-content .accordion__tab-list .accordion__tab-item .accordion__tab-link{color:#333}.accordion .accordion__tab .accordion__tab-content .accordion__tab-list .accordion__tab-item.is-active{margin-bottom:.15em;font-weight:400}.accordion .accordion__tab .accordion__tab-content .accordion__tab-list .accordion__tab-item.is-active .accordion__tab-link{background:transparent url("../assets/images/icons/cross.svg") top 7px right 0 no-repeat;text-decoration:none}.accordion .accordion__tab .accordion__tab-content .accordion__tab-list .accordion__tab-item.is-active:hover{color:#f7f7f7}.accordion .accordion__tab .accordion__tab-content .accordion__tab-list .accordion__tab-item.is-active:hover .accordion__tab-link{color:#dd4814;background-image:url("../assets/images/icons/cross_orange.svg")}.accordion .accordion__tab .accordion__tab-title,.accordion .accordion__tab .accordion__tab-title.is-active{padding:12px 20px;margin:0;color:#888;cursor:pointer;background:transparent url("../assets/images/forms/chevron_down.svg") top 20px right 20px no-repeat}.action-card{background:#fff;box-shadow:0 1px 1px rgba(0,0,0,0.1);margin-bottom:40px;padding:20px 20px 10px;box-sizing:border-box;width:100%;display:inline-block;clear:both}.action-card .action-card__title{font-size:23px;margin-bottom:20px}.action-card .action-card__controls{border-top:1px dotted #888;width:100%;display:inline-block;margin:10px 0 0;padding:10px 0 0;box-sizing:border-box}.banner{background-color:#000}@media only screen and (min-width: 620px){.banner{box-shadow:none}.banner .nav-primary{max-width:none}.banner .nav-primary .logo{height:auto;margin-top:12px}.banner .nav-primary .logo a{border-bottom:0}.banner .nav-primary ul li{border-left:1px solid #333}.banner .nav-primary ul li:last-child{border-right:1px solid #333;border-left:1px solid #333}.banner .nav-primary ul li a,.banner .nav-primary ul li a:link,.banner .nav-primary ul li a:visited{box-sizing:border-box;border-bottom:0;border-left:0}.banner .nav-primary ul li a:hover,.banner .nav-primary ul li a:link:hover,.banner .nav-primary ul li a:visited:hover{background-color:rgba(51,51,51,0.9)}.banner .nav-primary ul li a.active,.banner .nav-primary ul li a:link.active,.banner .nav-primary ul li a:visited.active{background-color:transparent;box-shadow:inset 0px -3px #dd4814}.banner .nav-primary ul li a.active:hover,.banner .nav-primary ul li a:link.active:hover,.banner .nav-primary ul li a:visited.active:hover{background-color:rgba(51,51,51,0.9)}}.page-header{box-sizing:border-box;background:#fff;box-shadow:0 1px 1px rgba(0,0,0,0.1);padding:0 20px;width:100%;float:left;margin-bottom:20px}.page-header .page-header__title{font-size:32px;font-size:2rem;margin:0;padding:34px 0;display:inline-block}.page-header .page-header__title [contenteditable="true"]{font-size:32px;font-size:2rem;padding:8px 10px;width:auto;box-sizing:border-box;border:1px solid transparent;margin:-20px 0 -20px -10px;border-radius:2px;color:#333;cursor:default;display:inline-block}.page-header .page-header__title [contenteditable="true"].editmode,.page-header .page-header__title [contenteditable="true"].editable:hover{border:1px solid #D2D2D2;cursor:text}.page-header .page-header__title [contenteditable="true"].editmode:hover,.page-header .page-header__title [contenteditable="true"]:active,.page-header .page-header__title [contenteditable="true"]:focus{outline:none;background-color:#fff;border:1px solid #B2B2B2}.page-header .page-header__title [contenteditable="true"].invalid,.page-header .page-header__title [contenteditable="true"].invalid:hover,.page-header .page-header__title [contenteditable="true"].invalid:active,.page-header .page-header__title [contenteditable="true"].invalid:focus{border-color:#df382c}.page-header .page-header__title .page-header__title-dot{display:inline-block;width:auto;padding:0}.page-header .page-header__title .page-header__title-domain{font-size:32px;font-size:2rem;display:inline-block;width:auto;min-height:66px;max-height:66px;line-height:25px;margin:-20px 0;background-position:top 32px right 10px;padding:13px 10px !important}.page-header .page-header__status{font-size:19px;font-size:1.1875rem;width:auto;display:inline-block;position:relative;margin-left:20px;color:#888}.page-header .page-header__status .page-header__status-check{font-size:16px;font-size:1rem;margin-left:10px;color:inherit;border:0}.page-header .page-header__status .page-header__status-check:hover{text-decoration:underline}.page-header .page-header__controls{padding:40px 0;display:inline-block;float:right}.page-header .page-header__controls .page-header__controls-feedback{color:#333;text-decoration:none;border-bottom:1px solid #c2c2c2}.page-header .page-header__controls .page-header__controls-feedback:hover{text-decoration:none;color:#dd4814;cursor:pointer}.page-header .page-header__dropdown{max-height:0;overflow:hidden;-webkit-transition:max-height 0.3s ease;-moz-transition:max-height 0.3s ease;transition:max-height 0.3s ease}.page-header .page-header__dropdown.is-open{max-height:1000px}.page-header .page-header__dropdown .page-header__section{border-top:1px dotted #888;padding-top:20px;padding-bottom:20px}.page-header .page-header__dropdown .page-header__message{width:auto;display:inline-block;float:none;margin:0 20px 0 0;line-height:36px}.page-header .page-header__dropdown .page-header__message--error{background:url("../assets/images/icons/error.svg") no-repeat;background-size:16px 16px;background-position:0 10px;padding-left:25px}.page-header .page-header__dropdown .page-header__message--info{background:url("../assets/images/icons/info.svg") no-repeat;background-size:16px 16px;background-position:0 10px;padding-left:25px}.page-header .page-header__dropdown .page-header__message--warning{background:url("../assets/images/icons/warning.svg") no-repeat;background-size:16px 16px;background-position:0 10px;padding-left:25px}.page-header .page-header__dropdown .page-header__message--success{background:url("../assets/images/icons/success.svg") no-repeat;background-size:16px 16px;background-position:0 10px;padding-left:25px}.page-header .page-header__dropdown .page-header__controls{padding:0;float:right}.search{position:relative}.search .search__input{font-size:16px;font-size:1rem;box-sizing:border-box;border-radius:4px;list-style:none;background:#fff;box-shadow:0 1px 1px rgba(0,0,0,0.1);width:100%;border:0;padding:15px;appearance:textfield}.search .search__input::placeholder{color:#888}.search .search__input::-ms-clear{display:none}.search .search__input::-webkit-search-decoration,.search .search__input::-webkit-search-cancel-button,.search .search__input::-webkit-search-results-button,.search .search__input::-webkit-search-results-decoration{display:none}.search .search__input:disabled,.search .search__input.search--disabled{background-color:#fff;opacity:.5;pointer-events:none}.search .search__input:disabled+.search__submit,.search .search__input.search--disabled+.search__submit{pointer-events:none;opacity:.5}.search .search__submit{position:absolute;top:15px;right:15px;background-color:transparent;background-image:url("../assets/images/icons/magnifying_glass.svg");background-position:center;background-repeat:no-repeat;background-size:20px;text-indent:-999em;display:block;width:20px;height:20px;overflow:hidden;outline:none;padding:0;border:0}.search .search__submit:hover{background-color:transparent;background-image:url("../assets/images/icons/magnifying_glass.svg")}.search .search__submit.search__submit--close{background-image:url("../assets/images/icons/remove.svg");background-size:16px}.u-animation--spin{animation:spin 1s infinite linear !important}.u-animation--pulse{animation:pulse 1s ease-out !important;animation-iteration-count:infinite !important;opacity:0}@keyframes spin{0%{transform:rotate(0deg)}100%{transform:rotate(360deg)}}@keyframes pulse{0%{transform:scale(0.1, 0.1);opacity:0}50%{opacity:1}100%{transform:scale(1.2, 1.2);opacity:0}}.u-border{border:1px dotted #cdcdcd !important}.u-border--top{border-top:1px dotted #cdcdcd !important}.u-border--right{border-right:1px dotted #cdcdcd !important}.u-border--bottom{border-bottom:1px dotted #cdcdcd !important}.u-border--left{border-left:1px dotted #cdcdcd !important}.u-border--dotted{border-style:dotted !important}.u-border--solid{border-style:solid !important}.u-border--dashed{border-style:dashed !important}.u-border--none{border:0 !important}.u-align--right{text-align:right !important}.u-align--left{text-align:left !important}.u-align--center{text-align:center !important}.u-float--right{float:right !important}.u-float--left{float:left !important}.u-float--none{float:none !important}.u-muted{opacity:.5 !important;filter:alpha(opacity=50) !important}.u-clear{clear:both !important}.u-display--block{display:block !important}.u-display--inline{display:inline !important}.u-display--inline-block{display:inline-block !important}.u-display--hidden{display:none !important}.u-width--full{width:100% !important}.u-width--half{width:50% !important}.u-width--third{width:calc(100%/3) !important}.u-width--quater{width:25% !important}.u-margin{margin:20px}.u-margin--none{margin:0 !important}.u-margin--tiny{margin:5px !important}.u-margin--small{margin:10px !important}.u-margin--large{margin:40px !important}.u-margin--huge{margin:80px !important}.u-margin--top{margin-top:20px !important}.u-margin--top-none{margin-top:0 !important}.u-margin--top-tiny{margin-top:5px !important}.u-margin--top-small{margin-top:10px !important}.u-margin--top-large{margin-top:40px !important}.u-margin--top-huge{margin-top:80px !important}.u-margin--right{margin-right:20px !important}.u-margin--right-none{margin-right:0 !important}.u-margin--right-tiny{margin-right:5px !important}.u-margin--right-small{margin-right:10px !important}.u-margin--right-large{margin-right:40px !important}.u-margin--right-huge{margin-right:80px !important}.u-margin--bottom{margin-bottom:20px !important}.u-margin--bottom-none{margin-bottom:0 !important}.u-margin--bottom-tiny{margin-bottom:5px !important}.u-margin--bottom-small{margin-bottom:10px !important}.u-margin--bottom-large{margin-bottom:40px !important}.u-margin--bottom-huge{margin-bottom:80px !important}.u-margin--left{margin-left:20px !important}.u-margin--left-none{margin-left:0 !important}.u-margin--left-tiny{margin-left:5px !important}.u-margin--left-small{margin-left:10px !important}.u-margin--left-large{margin-left:40px !important}.u-margin--left-huge{margin-left:80px !important}.u-padding{padding:20px}.u-padding--none{padding:0 !important}.u-padding--tiny{padding:5px !important}.u-padding--small{padding:10px !important}.u-padding--large{padding:40px !important}.u-padding--huge{padding:80px !important}.u-padding--top{padding-top:20px !important}.u-padding--top-none{padding-top:0 !important}.u-padding--top-tiny{padding-top:5px !important}.u-padding--top-small{padding-top:10px !important}.u-padding--top-large{padding-top:40px !important}.u-padding--top-huge{padding-top:80px !important}.u-padding--right{padding-right:20px !important}.u-padding--right-none{padding-right:0 !important}.u-padding--right-tiny{padding-right:5px !important}.u-padding--right-small{padding-right:10px !important}.u-padding--right-large{padding-right:40px !important}.u-padding--right-huge{padding-right:80px !important}.u-padding--bottom{padding-bottom:20px !important}.u-padding--bottom-none{padding-bottom:0 !important}.u-padding--bottom-tiny{padding-bottom:5px !important}.u-padding--bottom-small{padding-bottom:10px !important}.u-padding--bottom-large{padding-bottom:40px !important}.u-padding--bottom-huge{padding-bottom:80px !important}.u-padding--left{padding-left:20px !important}.u-padding--left-none{padding-left:0 !important}.u-padding--left-tiny{padding-left:5px !important}.u-padding--left-small{padding-left:10px !important}.u-padding--left-large{padding-left:40px !important}.u-padding--left-huge{padding-left:80px !important}.u-text--subtle{color:#888;font-size:.9375rem}.u-text--error{color:#df382c !important}.u-border--error{border-color:#df382c !important}.u-background--error{background-color:#df382c !important}.has-error{border:1px solid #df382c !important}.has-error:focus{border:1px solid #df382c !important}.u-text--off{color:#d2d2d2 !important}.u-border--off{border-color:#d2d2d2 !important}.u-background--off{background-color:#d2d2d2 !important}.has-off{border:1px solid #d2d2d2 !important}.has-off:focus{border:1px solid #d2d2d2 !important}.u-text--warning{color:#eca918 !important}.u-border--warning{border-color:#eca918 !important}.u-background--warning{background-color:#eca918 !important}.has-warning{border:1px solid #eca918 !important}.has-warning:focus{border:1px solid #eca918 !important}.u-text--success{color:#38b44a !important}.u-border--success{border-color:#38b44a !important}.u-background--success{background-color:#38b44a !important}.has-success{border:1px solid #38b44a !important}.has-success:focus{border:1px solid #38b44a !important}.u-text--on{color:#38b44a !important}.u-border--on{border-color:#38b44a !important}.u-background--on{background-color:#38b44a !important}.has-on{border:1px solid #38b44a !important}.has-on:focus{border:1px solid #38b44a !important}.u-text--information{color:#19b6ee !important}.u-border--information{border-color:#19b6ee !important}.u-background--information{background-color:#19b6ee !important}.has-information{border:1px solid #19b6ee !important}.has-information:focus{border:1px solid #19b6ee !important}.u-text--loading{color:#2ab7ec !important}.u-border--loading{border-color:#2ab7ec !important}.u-background--loading{background-color:#2ab7ec !important}.has-loading{border:1px solid #2ab7ec !important}.has-loading:focus{border:1px solid #2ab7ec !important}.u-vertical-align{position:relative;top:50%;transform:translateY(-50%)}.u-text--truncate{white-space:nowrap;overflow:hidden;text-overflow:ellipsis}.hidden{display:none}.small-icon{width:12px}.images-info{text-align:center;padding:10px}.images-warning{box-sizing:border-box;border-radius:2px;list-style:none;padding:15px 20px 15px 45px;background-repeat:no-repeat;box-shadow:0 1px 1px rgba(0,0,0,0.1);background:#fff url("../assets/images/icons/error.svg") no-repeat;background-size:16px 16px;background-position:15px center;margin-bottom:20px}#loader{width:10px;margin:16px auto 0 auto}#importing{box-sizing:border-box;border-radius:2px;list-style:none;padding:15px;font-size:16px;margin:0 0 20px;background:#fff;background-position:top 50% left 15px;background-repeat:no-repeat;box-shadow:0 1px 1px rgba(0,0,0,0.1)}#importing .spinner{margin-top:-3px}.spinner{width:16px;height:16px;padding:0;border-bottom:0 !important;display:inline-block;vertical-align:middle;text-indent:999em;background:url("../assets/images/icons/loading.png") no-repeat;background-size:100% 100%}.spin{animation:spin 1s infinite linear !important}.importing-dot{opacity:0;-webkit-animation:dot 1.3s infinite;animation:dot 1.3s infinite}.accounts .logout .divide{padding:0 20px 0 30px;display:inline-block}.accounts .api li{position:relative}.accounts .api li input[type='text']{line-height:30px;padding-right:30px;width:100%}.accounts .api li input[type='text']::-webkit-input-placeholder{color:#333}.accounts .api li input[type='text']:-moz-placeholder{color:#333}.accounts .api li input[type='text']::-moz-placeholder{color:#333}.accounts .api li input[type='text']:-ms-input-placeholder{color:#333}.accounts .api li .delete-link{position:absolute;top:13px;right:15px}.script-content{width:100%;overflow:hidden}.script-content .content{margin:20px 0 0}
+﻿*{font-smoothing:subpixel-antialiased;box-sizing:border-box}button,input[type='button'],input[type='reset'],input[type='submit'],.button--primary,.button--secondary,.button--neutral,.button--inline-neutral,.button--positive,.button--inline-positive,.button--destructive,.button--inline-destructive,.button--base,.button--inline-base{font-smoothing:subpixel-antialiased;font-size:1em;display:inline-block;width:100%;margin:0;padding:11px 24px;text-align:center;text-decoration:none;border:0;border-radius:2px;outline:none;font-weight:300;cursor:pointer}button:hover,input[type='button']:hover,input[type='reset']:hover,input[type='submit']:hover,.button--primary:hover,.button--secondary:hover,.button--neutral:hover,.button--inline-neutral:hover,.button--positive:hover,.button--inline-positive:hover,.button--destructive:hover,.button--inline-destructive:hover,.button--base:hover,.button--inline-base:hover{text-decoration:none}@media only screen and (min-width: 768px){button,input[type='button'],input[type='reset'],input[type='submit'],.button--primary,.button--secondary,.button--neutral,.button--inline-neutral,.button--positive,.button--inline-positive,.button--destructive,.button--inline-destructive,.button--base,.button--inline-base{width:auto}}.clearfix{display:block}.clearfix:after{clear:both;content:'\0020';display:block;height:0;overflow:hidden;visibility:hidden}textarea,input[type='text'],input[type='number'],input[type='search'],input[type='password'],input[type='email'],input[type='url'],input[type='tel'],select{-webkit-appearance:textfield;border-radius:2px;border:1px solid #cdcdcd;box-shadow:inset 0 1px 2px rgba(0,0,0,0.12);font-size:16px;margin:0;outline:none;padding:.6956522em .869565em;vertical-align:baseline;font-weight:300}textarea:active,input[type='text']:active,input[type='number']:active,input[type='search']:active,input[type='password']:active,input[type='email']:active,input[type='url']:active,input[type='tel']:active,select:active,textarea:focus,input[type='text']:focus,input[type='number']:focus,input[type='search']:focus,input[type='password']:focus,input[type='email']:focus,input[type='url']:focus,input[type='tel']:focus,select:focus{border-color:#888;outline:none}textarea::placeholder,input[type='text']::placeholder,input[type='number']::placeholder,input[type='search']::placeholder,input[type='password']::placeholder,input[type='email']::placeholder,input[type='url']::placeholder,input[type='tel']::placeholder,select::placeholder{color:contrast-friendly-search-color(#f7f7f7)}textarea[disabled="disabled"],input[disabled="disabled"][type='text'],input[disabled="disabled"][type='number'],input[disabled="disabled"][type='search'],input[disabled="disabled"][type='password'],input[disabled="disabled"][type='email'],input[disabled="disabled"][type='url'],input[disabled="disabled"][type='tel'],select[disabled="disabled"]{opacity:.5}input[type='checkbox'],input[type='radio']{border-radius:2px;border:1px solid #cdcdcd;box-shadow:inset 0 1px 2px rgba(0,0,0,0.12);height:14px;padding:0;vertical-align:middle;width:14px}.inner-wrapper{margin:0 auto;max-width:1030px}[class*='-col'].last-col,[class*='-col'] [class*='-col'].last-col{margin-right:0}.one-col,.two-col,.three-col,.four-col,.five-col,.six-col,.seven-col,.eight-col,.nine-col,.ten-col,.eleven-col,.twelve-col{clear:none;margin-bottom:20px;margin-right:0;padding:0;display:inline-block;position:relative;width:100%}@media only screen and (min-width: 768px){.one-col,.two-col,.three-col,.four-col,.five-col,.six-col,.seven-col,.eight-col,.nine-col,.ten-col,.eleven-col,.twelve-col{float:left}}.list-ticks,.list{list-style:none;margin-left:0}.list-ticks li,.list li{border-bottom:1px dotted #888;margin-bottom:0;padding:10px 0}.list-ticks li:last-of-type,.list li:last-of-type,.list-ticks .last-item,.list .last-item{border:0;margin-bottom:0;padding-bottom:0}.list-ticks li{background-repeat:no-repeat;background-position:0 1em;padding-left:25px}.box{background:#fff;border:1px solid #cdcdcd;padding:1.25em 20px}@media only screen and (min-width: 768px){.equal-height,.equal-height--vertical-divider{display:flex;flex-wrap:wrap;flex-direction:row;width:100%}.equal-height .equal-height__item,.equal-height--vertical-divider .equal-height__item{display:flex;flex:auto;flex-direction:column}}button,input[type='button'],input[type='reset'],input[type='submit'],.button--primary,.button--secondary,.button--neutral,.button--inline-neutral,.button--positive,.button--inline-positive,.button--destructive,.button--inline-destructive,.button--base,.button--inline-base{font-size:1em;box-sizing:border-box;width:100%;margin:0;padding:11px 24px;text-align:center;text-decoration:none;border-radius:2px;outline:none;font-weight:300;cursor:pointer;line-height:1em}button:disabled,input[type='button']:disabled,input[type='reset']:disabled,input[type='submit']:disabled,.button--primary:disabled,.button--secondary:disabled,.button--neutral:disabled,.button--inline-neutral:disabled,.button--positive:disabled,.button--inline-positive:disabled,.button--destructive:disabled,.button--inline-destructive:disabled,.button--base:disabled,.button--inline-base:disabled,button.button--disabled,input.button--disabled[type='button'],input.button--disabled[type='reset'],input.button--disabled[type='submit'],.button--disabled.button--primary,.button--disabled.button--secondary,.button--disabled.button--neutral,.button--disabled.button--inline-neutral,.button--disabled.button--positive,.button--disabled.button--inline-positive,.button--disabled.button--destructive,.button--disabled.button--inline-destructive,.button--disabled.button--base,.button--disabled.button--inline-base{opacity:.5;cursor:default}button,input[type='button'],input[type='reset'],input[type='submit'],.button--primary,.button--secondary,.button--neutral,.button--inline-neutral,.button--positive,.button--inline-positive,.button--destructive,.button--inline-destructive,.button--base,.button--inline-base{line-height:20px;white-space:nowrap;vertical-align:middle;touch-action:manipulation;cursor:pointer;user-select:none;padding:8px 14px;height:36px;box-sizing:border-box}button[disabled],input[disabled][type='button'],input[disabled][type='reset'],input[disabled][type='submit'],[disabled].button--primary,[disabled].button--secondary,[disabled].button--neutral,[disabled].button--inline-neutral,[disabled].button--positive,[disabled].button--inline-positive,[disabled].button--destructive,[disabled].button--inline-destructive,[disabled].button--base,[disabled].button--inline-base,button.button--disabled,input.button--disabled[type='button'],input.button--disabled[type='reset'],input.button--disabled[type='submit'],.button--disabled.button--primary,.button--disabled.button--secondary,.button--disabled.button--neutral,.button--disabled.button--inline-neutral,.button--disabled.button--positive,.button--disabled.button--inline-positive,.button--disabled.button--destructive,.button--disabled.button--inline-destructive,.button--disabled.button--base,.button--disabled.button--inline-base{pointer-events:none;opacity:.5}button.button--inline,input.button--inline[type='button'],input.button--inline[type='reset'],input.button--inline[type='submit'],.button--inline.button--primary,.button--inline.button--secondary,.button--inline.button--neutral,.button--inline.button--inline-neutral,.button--inline.button--positive,.button--inline.button--inline-positive,.button--inline.button--destructive,.button--inline.button--inline-destructive,.button--inline.button--base,.button--inline.button--inline-base{display:inline-block;width:auto}html,body,div,span,applet,object,iframe,h1,h2,h3,h4,h5,h6,p,blockquote,pre,a,acronym,address,big,cite,code,del,dfn,em,img,ins,kbd,q,s,samp,small,strike,strong,sub,sup,tt,var,b,u,i,center,dl,ol,ul,li,form,label,legend,table,caption,tbody,tfoot,thead,tr,th,td,article,aside,canvas,details,embed,figure,figcaption,footer,header,menu,nav,output,ruby,section,summary,time,mark,audio,video{border:0;margin:0;padding:0;vertical-align:baseline}article,aside,details,figcaption,figure,footer,header,nav,section{display:block}audio,canvas,video{display:inline-block}audio:not([controls]){display:none}[hidden]{display:none}html{font-size:100%;overflow-y:scroll;text-size-adjust:100%}blockquote,q{quotes:none}legend{border:0}figure{margin:0}abbr,acronym{cursor:help}.link-arrow:after{content:'\0000a0›'}nav ul li h2 a:after{content:'\0000a0›'}nav ul li a:after,.carousel ul li a:after,ul li p a:after{content:''}svg:not(:root){overflow:hidden}img{border:0;height:auto;max-width:100%}img .left{margin-right:20px}img .right{margin-left:20px}.middle img{vertical-align:middle;margin-top:4em}ins{background:#fffbeb;text-decoration:none}.left{float:left}.right{float:right}.no-border{border:0}.link-top{font-size:.875em;clear:both;margin-bottom:40px;margin-top:-40px}.link-top a{background:#fff;margin-right:10px;margin-top:-35px;padding:5px;float:right}.caps{text-transform:uppercase}.touch-border,.touch-bottom{float:left}@media only screen and (min-width: 768px){.touch-border,.touch-bottom{margin-bottom:-20px}}@media only screen and (min-width: 1440px){.touch-border,.touch-bottom{margin-bottom:-40px}}.accessibility-aid,.off-left{position:absolute;left:-999em}.external{background-size:.7em .7em;padding-right:.9em;background-image:url("https://assets.ubuntu.com/v1/f24a8aa0-external-link-orange.svg");background-position:100% top;background-repeat:no-repeat}.no-svg .external{background-image:url("https://assets.ubuntu.com/v1/f24a8aa0-external-link-orange.svg")}.text-center,.align-center{text-align:center}.no-margin-bottom{margin-bottom:0}.no-padding-bottom{padding-bottom:0}.pull-bottom-right{float:right;margin-right:-10px}@media only screen and (min-width: 768px){.pull-bottom-right{margin-right:-40px;margin-bottom:-40px}}@media only screen and (min-width: 1440px){.pull-bottom-right{margin-right:-40px;margin-bottom:-60px}}.pull-bottom-left{float:left;margin-left:-10px}@media only screen and (min-width: 768px){.pull-bottom-left{margin-left:-40px;margin-bottom:-40px}}@media only screen and (min-width: 1440px){.pull-bottom-left{margin-left:-40px;margin-bottom:-60px}}@media only screen and (max-width: 767px){.priority-0,.not-for-small{display:none}}@media only screen and (min-width: 768px){.for-mobile,.for-small{display:none}}.video-container{position:relative;padding-bottom:56.25%;padding-top:30px;height:0;overflow:hidden}.video-container iframe{position:absolute;top:0;left:0;width:100%;height:100%}.video-container+.video-title{margin-top:20px}.pull-right{float:right;margin-right:-40px}@media only screen and (max-width: 768px){.pull-right{margin-bottom:20px}}.pull-left{margin-left:-40px}.for-tablet,.for-medium{display:none}@media only screen and (min-width: 768px){.for-tablet,.for-medium{display:block}}@media only screen and (min-width: 768px) and (max-width: 1440px){.med-six-col .three-col{width:48.93617%}.med-six-col .three-col:nth-of-type(2n){margin-right:0}}blockquote{margin:0}blockquote>p{font-size:1em;margin:0 0 .4em}blockquote small{font-size:.8125em;line-height:1.4}.pull-quote{text-indent:0}.pull-quote p{font-size:1.5em;line-height:1.3;margin-left:.4em;padding-left:10px;padding-right:10px;text-indent:-.4em}.pull-quote p span{color:#f7f7f7;font-weight:bold;left:-5px;line-height:0;position:relative}.pull-quote p span:last-of-type{left:5px}.pull-quote p cite{display:block;font-size:.75em;font-weight:300;margin:10px 0 0;text-indent:0}@media only screen and (min-width: 768px){.pull-quote p{padding-left:0;padding-right:0;text-indent:-.7em}.pull-quote p span{top:5px;font-size:1.391304348em}.pull-quote p cite{margin-left:0;text-indent:0}}@media only screen and (min-width: 1440px){.pull-quote p span{top:10px}}.row-quote{border-radius:0}.row-quote blockquote{border-radius:4px;margin:0;padding:0}.row-quote blockquote p{color:#333;line-height:1.3;margin-bottom:.75em;padding-left:10px;padding-right:10px;text-indent:0}.row-quote blockquote span{color:#f7f7f7;font-weight:bold;left:-5px;line-height:0;position:relative}.row-quote blockquote span+span{left:5px}.row-quote blockquote cite{color:#333;font-size:.75em;font-style:normal;margin-bottom:0;text-indent:0}@media only screen and (min-width: 768px){.row-quote{text-indent:-.4em}.row-quote blockquote{text-indent:-7px}.row-quote blockquote p{font-size:1.5em;padding-left:0;padding-right:0;text-indent:-.4em}.row-quote blockquote span{top:5px;font-size:1.391304348em}.row-quote blockquote cite{margin-left:0;text-indent:0}}@media only screen and (min-width: 1440px){.row-quote blockquote{padding:0 80px 20px;text-indent:-10px}.row-quote blockquote p span{top:10px}}button,input[type='button'],input[type='reset'],input[type='submit'],.button--primary{color:#fff;background-color:#dd4814}button:hover,input[type='button']:hover,input[type='reset']:hover,input[type='submit']:hover,.button--primary:hover{background-color:#c03f11}.button--secondary{color:#dd4814;background-color:#fff;border:1px solid #cdcdcd}.button--secondary:hover{background-color:#efefef}@media only screen and (min-width: 620px){.nav-secondary{border:1px solid #d2d2d2;border-top:0}}.nav-secondary .breadcrumb{margin-bottom:0;margin-left:0;padding-top:2px;padding-bottom:3px}@media only screen and (min-width: 620px){.nav-secondary .breadcrumb{float:left;margin-left:4px}}.nav-secondary .breadcrumb li{color:#fff;display:inline-block;margin:0;width:100%}@media only screen and (min-width: 620px){.nav-secondary .breadcrumb li{display:inline-block;width:auto}}.nav-secondary .breadcrumb li:first-of-type{border-bottom:1px solid #d2d2d2}@media only screen and (min-width: 620px){.nav-secondary .breadcrumb li:first-of-type{border-bottom:0}}.nav-secondary .breadcrumb li a{color:#888;font-size:1em;display:inline-block;width:100%;margin-right:0;padding:8px 10px;text-decoration:none}@media only screen and (min-width: 620px){.nav-secondary .breadcrumb li a{font-size:.875em}}@media only screen and (min-width: 620px){.nav-secondary .breadcrumb li .breadcrumb-link,.nav-secondary .breadcrumb li .breadcrumb-link--second-level,.nav-secondary .breadcrumb li .active{display:inline-block;float:none;width:auto}}.nav-secondary .breadcrumb li .breadcrumb-link:after,.nav-secondary .breadcrumb li .breadcrumb-link--second-level:after{content:'\203A';display:inline-block;height:5px;margin-left:8px;position:absolute;width:5px}.nav-secondary .second-level-nav,.nav-secondary .third-level-nav{display:none;overflow:hidden;width:100%;margin:0;padding-top:10px;padding-bottom:10px;border-bottom:1px solid #d2d2d2}@media only screen and (min-width: 620px){.nav-secondary .second-level-nav,.nav-secondary .third-level-nav{display:inline;float:none;margin-bottom:0;padding:0;width:auto;border-bottom:0}}.nav-secondary .second-level-nav li,.nav-secondary .third-level-nav li{margin:0}@media only screen and (min-width: 620px){.nav-secondary .second-level-nav li,.nav-secondary .third-level-nav li{float:none;width:auto}}.nav-secondary .second-level-nav li a,.nav-secondary .third-level-nav li a{font-size:.875em;display:block;width:100%;height:100%;padding:10px;color:#333}@media only screen and (max-width: 620px){.nav-secondary .second-level-nav li a.active,.nav-secondary .third-level-nav li a.active{font-weight:500}}@media only screen and (min-width: 620px){.nav-secondary .second-level-nav li a,.nav-secondary .third-level-nav li a{padding:8px 10px 0}.nav-secondary .second-level-nav li a.active,.nav-secondary .third-level-nav li a.active{color:#f7f7f7}}@media only screen and (min-width: 620px){.nav-secondary .second-level-nav li{width:auto}.nav-secondary .second-level-nav li .active,.nav-secondary .second-level-nav li .breadcrumb-link--second-level{color:#888}.nav-secondary .second-level-nav li .third-level-nav li a{color:#333}.nav-secondary .second-level-nav li .third-level-nav li a:hover{color:#f7f7f7}.nav-secondary .second-level-nav li .third-level-nav li .active{color:#f7f7f7;float:none}.nav-secondary .second-level-nav li .third-level-nav li .active:after{content:''}}.third-level-nav li a:hover{color:#f7f7f7}.third-level-nav li .active{color:#f7f7f7;float:none}@media only screen and (max-width: 619px){#breadcrumbs:hover .second-level-nav,#breadcrumbs:hover .third-level-nav,#breadcrumbs:hover .active{border:0;display:block;overflow:visible;float:left;width:100%;position:relative;clear:both}#breadcrumbs:hover li{border:0;float:left}#breadcrumbs:hover .second-level-nav{border-top:1px solid #d2d2d2}#breadcrumbs:hover .second-level-nav li{float:left}#breadcrumbs:hover .third-level-nav{border-bottom:1px solid #d2d2d2;padding-top:0}#breadcrumbs:hover .third-level-nav li{width:50%;display:block;padding-left:10px}}label{cursor:pointer;display:block;margin-bottom:4px}label.has-error{color:#df382c}label.has-warning{color:#eca918}label.has-success{color:#38b44a}label.has-information{color:#19b6ee}input[type='reset']{display:none}input[type='search']{-webkit-appearance:none;border-radius:0}input[type='checkbox']+label,input[type='radio']+label{display:inline;margin-left:5px;vertical-align:middle;width:auto}input.has-error{border:1px solid #df382c}input.has-warning{border:1px solid #eca918}input.has-success{border:1px solid #38b44a}input.has-information{border:1px solid #19b6ee}form ul{margin-left:0;list-style:none}textarea{overflow:auto;vertical-align:top}textarea[readonly='readonly']{color:#888;cursor:default}textarea[readonly='readonly']:active,textarea[readonly='readonly']:focus{border-color:#888;outline:none}fieldset{background-color:#f7f7f7;background-position:-15px -15px;background-repeat:no-repeat;border-radius:4px;border:0;margin-bottom:8px;padding:15px 20px}@media only screen and (min-width: 1440px){fieldset{padding:15px 20px}}fieldset h3{border-bottom:1px dotted #cdcdcd;margin-bottom:9px;padding-bottom:10px}form input,form select,form textarea{width:100%}@media only screen and (min-width: 768px){.one-col{float:left;width:6.40351%;margin-right:2.10526%}.one-col .one-col{width:100%;margin-right:0}}@media only screen and (min-width: 768px){.two-col{float:left;width:14.91228%;margin-right:2.10526%}.two-col .one-col{float:left;width:43.81443%;margin-right:12.37113%}.two-col .two-col{width:100%;margin-right:0}}@media only screen and (min-width: 768px){.three-col{float:left;width:23.42105%;margin-right:2.10526%}.three-col .one-col{float:left;width:27.83505%;margin-right:8.24742%}.three-col .two-col{float:left;width:63.91753%;margin-right:8.24742%}.three-col .three-col{width:100%;margin-right:0}}@media only screen and (min-width: 768px){.four-col{float:left;width:31.92982%;margin-right:2.10526%}.four-col .one-col{float:left;width:20.36082%;margin-right:6.18557%}.four-col .two-col{float:left;width:46.90722%;margin-right:6.18557%}.four-col .three-col{float:left;width:73.45361%;margin-right:6.18557%}.four-col .four-col{width:100%;margin-right:0}}@media only screen and (min-width: 768px){.five-col{float:left;width:40.4386%;margin-right:2.10526%}.five-col .one-col{float:left;width:16.04124%;margin-right:4.94845%}.five-col .two-col{float:left;width:37.03093%;margin-right:4.94845%}.five-col .three-col{float:left;width:58.02062%;margin-right:4.94845%}.five-col .four-col{float:left;width:79.01031%;margin-right:4.94845%}.five-col .five-col{width:100%;margin-right:0}}@media only screen and (min-width: 768px){.six-col{float:left;width:48.94737%;margin-right:2.10526%}.six-col .one-col{float:left;width:13.23024%;margin-right:4.12371%}.six-col .two-col{float:left;width:30.58419%;margin-right:4.12371%}.six-col .three-col{float:left;width:47.93814%;margin-right:4.12371%}.six-col .four-col{float:left;width:65.2921%;margin-right:4.12371%}.six-col .five-col{float:left;width:82.64605%;margin-right:4.12371%}.six-col .six-col{width:100%;margin-right:0}}@media only screen and (min-width: 768px){.seven-col{float:left;width:57.45614%;margin-right:2.10526%}.seven-col .one-col{float:left;width:11.25605%;margin-right:3.53461%}.seven-col .two-col{float:left;width:26.04671%;margin-right:3.53461%}.seven-col .three-col{float:left;width:40.83737%;margin-right:3.53461%}.seven-col .four-col{float:left;width:55.62802%;margin-right:3.53461%}.seven-col .five-col{float:left;width:70.41868%;margin-right:3.53461%}.seven-col .six-col{float:left;width:85.20934%;margin-right:3.53461%}.seven-col .seven-col{width:100%;margin-right:0}}@media only screen and (min-width: 768px){.eight-col{float:left;width:65.96491%;margin-right:2.10526%}.eight-col .one-col{float:left;width:9.79381%;margin-right:3.09278%}.eight-col .two-col{float:left;width:22.68041%;margin-right:3.09278%}.eight-col .three-col{float:left;width:35.56701%;margin-right:3.09278%}.eight-col .four-col{float:left;width:48.45361%;margin-right:3.09278%}.eight-col .five-col{float:left;width:61.34021%;margin-right:3.09278%}.eight-col .six-col{float:left;width:74.2268%;margin-right:3.09278%}.eight-col .seven-col{float:left;width:87.1134%;margin-right:3.09278%}.eight-col .eight-col{width:100%;margin-right:0}}@media only screen and (min-width: 768px){.nine-col{float:left;width:74.47368%;margin-right:2.10526%}.nine-col .one-col{float:left;width:8.66743%;margin-right:2.74914%}.nine-col .two-col{float:left;width:20.084%;margin-right:2.74914%}.nine-col .three-col{float:left;width:31.50057%;margin-right:2.74914%}.nine-col .four-col{float:left;width:42.91714%;margin-right:2.74914%}.nine-col .five-col{float:left;width:54.33372%;margin-right:2.74914%}.nine-col .six-col{float:left;width:65.75029%;margin-right:2.74914%}.nine-col .seven-col{float:left;width:77.16686%;margin-right:2.74914%}.nine-col .eight-col{float:left;width:88.58343%;margin-right:2.74914%}.nine-col .nine-col{width:100%;margin-right:0}}@media only screen and (min-width: 768px){.ten-col{float:left;width:82.98246%;margin-right:2.10526%}.ten-col .one-col{float:left;width:7.7732%;margin-right:2.47423%}.ten-col .two-col{float:left;width:18.02062%;margin-right:2.47423%}.ten-col .three-col{float:left;width:28.26804%;margin-right:2.47423%}.ten-col .four-col{float:left;width:38.51546%;margin-right:2.47423%}.ten-col .five-col{float:left;width:48.76289%;margin-right:2.47423%}.ten-col .six-col{float:left;width:59.01031%;margin-right:2.47423%}.ten-col .seven-col{float:left;width:69.25773%;margin-right:2.47423%}.ten-col .eight-col{float:left;width:79.50515%;margin-right:2.47423%}.ten-col .nine-col{float:left;width:89.75258%;margin-right:2.47423%}.ten-col .ten-col{width:100%;margin-right:0}}@media only screen and (min-width: 768px){.eleven-col{float:left;width:91.49123%;margin-right:2.10526%}.eleven-col .one-col{float:left;width:7.04609%;margin-right:2.2493%}.eleven-col .two-col{float:left;width:16.34148%;margin-right:2.2493%}.eleven-col .three-col{float:left;width:25.63687%;margin-right:2.2493%}.eleven-col .four-col{float:left;width:34.93227%;margin-right:2.2493%}.eleven-col .five-col{float:left;width:44.22766%;margin-right:2.2493%}.eleven-col .six-col{float:left;width:53.52305%;margin-right:2.2493%}.eleven-col .seven-col{float:left;width:62.81844%;margin-right:2.2493%}.eleven-col .eight-col{float:left;width:72.11383%;margin-right:2.2493%}.eleven-col .nine-col{float:left;width:81.40922%;margin-right:2.2493%}.eleven-col .ten-col{float:left;width:90.70461%;margin-right:2.2493%}.eleven-col .eleven-col{width:100%;margin-right:0}}@media only screen and (min-width: 768px){.prepend-one{margin-left:8.50877%}.prepend-two{margin-left:17.01754%}.prepend-three{margin-left:25.52632%}.prepend-four{margin-left:34.03509%}.prepend-five{margin-left:42.54386%}.prepend-six{margin-left:51.05263%}.prepend-seven{margin-left:59.5614%}.prepend-eight{margin-left:68.07018%}.prepend-nine{margin-left:76.57895%}.prepend-ten{margin-left:85.08772%}.prepend-eleven{margin-left:93.59649%}}@media only screen and (min-width: 768px){.append-one{margin-right:8.50877%}.append-two{margin-right:17.01754%}.append-three{margin-right:25.52632%}.append-four{margin-right:34.03509%}.append-five{margin-right:42.54386%}.append-six{margin-right:51.05263%}.append-seven{margin-right:59.5614%}.append-eight{margin-right:68.07018%}.append-nine{margin-right:76.57895%}.append-ten{margin-right:85.08772%}.append-eleven{margin-right:93.59649%}}@media only screen and (min-width: 768px){.push-one{float:left;position:relative;margin:0 -8.50877% 0 8.50877%}.push-two{float:left;position:relative;margin:0 -19.12281% 0 19.12281%}.push-three{float:left;position:relative;margin:0 -27.63158% 0 27.63158%}.push-four{float:left;position:relative;margin:0 -36.14035% 0 36.14035%}.push-five{float:left;position:relative;margin:0 -44.64912% 0 44.64912%}.push-six{float:left;position:relative;margin:0 -53.15789% 0 53.15789%}.push-seven{float:left;position:relative;margin:0 -61.66667% 0 61.66667%}.push-eight{float:left;position:relative;margin:0 -70.17544% 0 70.17544%}.push-nine{float:left;position:relative;margin:0 -78.68421% 0 78.68421%}.push-ten{float:left;position:relative;margin:0 -87.19298% 0 87.19298%}.push-eleven{float:left;position:relative;margin:0 -95.70175% 0 95.70175%}}@media only screen and (min-width: 768px){.pull-one{float:left;position:relative;margin-left:-6.40351%}.pull-two{float:left;position:relative;margin-left:17.01754%}.pull-three{float:left;position:relative;margin-left:25.52632%}.pull-four{float:left;position:relative;margin-left:34.03509%}.pull-five{float:left;position:relative;margin-left:42.54386%}.pull-six{float:left;position:relative;margin-left:51.05263%}.pull-seven{float:left;position:relative;margin-left:59.5614%}.pull-eight{float:left;position:relative;margin-left:68.07018%}.pull-nine{float:left;position:relative;margin-left:76.57895%}.pull-ten{float:left;position:relative;margin-left:85.08772%}.pull-eleven{float:left;position:relative;margin-left:93.59649%}}.banner{background:#f7f7f7;border-bottom:0;border-top:0;box-shadow:inset 0 -1px 0 #ccc;display:block;min-width:100%;position:relative;width:auto;z-index:2}@media only screen and (min-width: 620px){.banner{border-bottom:1px solid #ccc;box-shadow:none}}.banner .logo{position:relative;display:table;float:left;overflow:hidden;height:48px;margin:0 10px;border-left:0}@media only screen and (min-width: 620px){.banner .logo{margin:0 15px}}.banner .logo a{display:table-cell;height:100%;vertical-align:middle;color:#fff}.banner .logo a span{display:inline-block}.banner h2{font-size:1.563em;position:relative;top:14px;left:4px;display:block;margin-bottom:0;text-transform:lowercase}.banner h2 a,.banner h2 a:link,.banner h2 a:visited{float:left;text-decoration:none;color:#fff}.banner .nav-primary{overflow:hidden;margin:0 auto;border:0}@media only screen and (min-width: 620px){.banner .nav-primary{max-width:1440px}}.banner .nav-primary span{display:none}.banner .nav-primary ul{display:none;float:left;width:100%;margin:0;padding:0;border-top:1px solid #ccc;box-shadow:inset 0 -1px 0 #ccc;background-color:#ebebeb}@media only screen and (min-width: 620px){.banner .nav-primary ul{position:static;display:block;width:auto;border-top:0;background-color:transparent;box-shadow:none}}.banner .nav-primary ul li{float:left;width:50%;margin:0;border-right:1px solid #ccc;border-bottom:1px solid #ccc;background:transparent}@media only screen and (min-width: 620px){.banner .nav-primary ul li{width:auto;border-right:0;border-bottom:0;border-left:1px solid #e3e3e3}.banner .nav-primary ul li:last-child{border-right:1px solid #e3e3e3}.banner .nav-primary ul li:last-child a{border-right:0}}@media only screen and (max-width: 620px){.banner .nav-primary ul li:nth-child(2n+2){border-right:0}}.banner .nav-primary ul li a,.banner .nav-primary ul li a:link,.banner .nav-primary ul li a:visited{font-size:1em;font-weight:300;position:relative;display:block;margin-bottom:0;padding:8px 10px;text-align:left;text-decoration:none;background-color:#ebebeb;font-smoothing:subpixel-antialiased;color:#333}@media only screen and (min-width: 620px){.banner .nav-primary ul li a,.banner .nav-primary ul li a:link,.banner .nav-primary ul li a:visited{font-size:.875em;padding:14px 14px 13px;text-align:center;border-left:1px solid #fff;background-color:transparent;color:#fff}}.banner .nav-primary ul li a:hover,.banner .nav-primary ul li a:link:hover,.banner .nav-primary ul li a:visited:hover{background:#f2f2f2}@media only screen and (min-width: 620px){.banner .nav-primary ul li a:hover,.banner .nav-primary ul li a:link:hover,.banner .nav-primary ul li a:visited:hover{background-color:#fff}}.banner .nav-primary ul li a.active,.banner .nav-primary ul li a:link.active,.banner .nav-primary ul li a:visited.active{background-color:#ddd}@media only screen and (min-width: 620px){.banner .nav-primary ul li a.active,.banner .nav-primary ul li a:link.active,.banner .nav-primary ul li a:visited.active{background-color:#e3e3e3;border-left:0}}.banner .nav-toggle{position:absolute;top:0;right:0;display:block;width:48px;height:48px;cursor:pointer;text-indent:-99999px;background-image:url("https://assets.ubuntu.com/v1/12387180-navigation-menu-plain.svg");background-repeat:no-repeat;background-position:center center;background-size:25px auto}@media only screen and (min-width: 620px){.banner .nav-toggle{display:none}}.banner .nav-toggle .nav-toggle__link{width:48px;height:48px}.banner .nav-toggle .nav-toggle__link.open{display:block}.banner .nav-toggle .nav-toggle__link.close{display:none}@media only screen and (max-width: 620px){.banner #nav:hover ul{display:block}.banner #nav:hover ul ul{display:none}.banner #nav:hover .nav-toggle .nav-toggle__link.open{display:none}.banner #nav:hover .nav-toggle .nav-toggle__link.close{display:block}}ol,ul{margin-left:20px;margin-bottom:20px}ol ol,ul ul,ol ul,ul ol{margin-bottom:0}nav ul,nav ol{list-style:none;list-style-image:none}li{font-size:1em;line-height:1.5;margin:0 0 .4em;padding:0}.list-ticks li{background-image:url("data:image/svg+xml;utf8, <svg xmlns='http://www.w3.org/2000/svg' width='14' height='14' viewBox='0 0 14 14'><circle fill='%23c4c4c4' cx='7' cy='7' r='7'/><path fill='%23fff' d='M6.1 10.813L2.41 8.105l1.184-1.613L5.9 8.187l4.393-4.394 1.414 1.414z' /></svg>")}.no-bullets{list-style:none;margin-left:0}.combined-list ul,.combined-list div{margin-bottom:0}.combined-list .last-item{border-bottom:1px dotted #888;padding-bottom:10px}.combined-list .last-col{margin-bottom:20px}.combined-list .last-col .last-item{border-bottom:0;padding-bottom:0}@media only screen and (min-width: 768px){.combined-list ul,.combined-list div{margin-bottom:20px}.combined-list .last-item{border-bottom:0;padding-bottom:0}}.inline-list{margin-left:0}.inline-list li{display:inline;list-style:none;margin-right:20px}.inline-list .last-item{margin-right:0}.list-step{list-style:none;margin-left:60px}@media only screen and (max-width: 1440px){.list-step__item:first-child{margin-top:10px}}@media only screen and (min-width: 1440px){.list-step__title{margin-bottom:0}}.list-step__bullet{box-shadow:0 1px 3px 1px rgba(51,51,51,0.2);background:#fff;border-radius:50%;padding:.3em .68em;display:inline-block;color:#f7f7f7;margin-right:.34375em;margin-bottom:.625em;margin-left:-60px}@media only screen and (max-width: 1440px){.list-step__bullet{position:absolute;top:-5px}}.row{border-bottom:1px dotted #888;clear:both;padding:20px 10px 0;position:relative}.row br{display:none}.row.no-padding-bottom{padding-bottom:0}.row::after{clear:both;content:'.';display:block;height:0;visibility:hidden}.row--light{background:#fff}.row--dark{background:#333;color:#fff}.row.row-grey,.row.row--grey{background:#f7f7f7;border:0;margin-top:-1px}.no-border{border:0}.row-hero{margin-top:20px;padding-top:0}.strip{width:100%;display:block}.strip-inner-wrapper{max-width:1440px;margin:auto}@media only screen and (min-width: 768px){.row-hero{margin-top:40px}.row{border-radius:0;margin:0;padding:40px 20px 20px}.row-grey{margin-top:-1px}}@media only screen and (min-width: 769px){.row br{display:block}}@media only screen and (min-width: 1440px){.row br{display:block}.row{padding:60px 20px 40px}.no-border{border:0}}.header-search [type="search"],.header-search [type="text"],.search-form [type="search"],.search-form [type="text"]{-webkit-appearance:none;background-color:#dedede;box-shadow:none;color:#333;display:block;float:left;font-size:1em;margin-bottom:0;padding:12px 10px;transition:all .5s ease-out;width:100%}.header-search .svg-search-handle,.search-form .svg-search-handle{fill:#333}.header-search .svg-search-frame,.search-form .svg-search-frame{stroke:#333}.header-search placeholder,.search-form placeholder{color:#333;opacity:1}.header-search input:placeholder,.search-form input:placeholder{color:#333;opacity:1}.header-search ::placeholder,.search-form ::placeholder{color:#333;opacity:1}.header-search [type="search"]:focus,.search-form [type="search"]:focus{background-color:#d3d3d3;border-color:#b3b3b3}.header-search [type=submit],.search-form [type=submit]{background:none;display:block;float:left;line-height:0;margin-left:-40px;overflow:visible;padding:3px 2px;width:auto}.header-search [type=submit]:hover,.search-form [type=submit]:hover{background:none}.header-search [type=submit] img,.search-form [type=submit] img{height:28px;width:28px;margin-top:2px}.banner .search-toggle{background-image:url("data:image/svg+xml;utf8, <svg xmlns='http://www.w3.org/2000/svg' width='28' height='28' viewBox='0 0 90 90'><g color='%23333'><path fill='none' stroke-width='4' overflow='visible' enable-background='accumulate' d='M0 0h90v90H0z'/><path d='M69 36.5a33 33.5 0 1 1-66 0 33 33.5 0 1 1 66 0z' transform='matrix(.636 0 0 .627 16.114 16.12)' fill='none' stroke='%23333' stroke-width='9.5' overflow='visible' enable-background='accumulate'/><path d='M55.77 52.92L52.94 55.75l14 14 2.83-2.83-14-14z' font-size='xx-small' fill='%23333' stroke-width='6' overflow='visible' enable-background='accumulate' font-family='Sans' class='s0'/><path d='M60.97 57.03c-1.55-3.04 1.02-3.63 2.46-0.58 1.44-0.21 3.21 4.29l9.19 9.2c2.68 2.85 3.26 2.46 5.64 2.38-2.38 2.77-2.79-0.08-5.65l-9.19-9.2c-0.73-0.75-1.78-1.19-2.83-1.19z' font-size='xx-small' fill='%23333' stroke-width='11.8' overflow='visible' enable-background='accumulate' font-family='Sans' class='s0'/></g></svg>");background-position:center center;background-repeat:no-repeat;background-size:20px 20px;display:block;height:48px;outline:none;overflow:hidden;position:absolute;right:0;text-indent:-999em;top:0;width:24px}.banner .search-toggle .search-toggle__link{width:48px;height:48px}.banner .search-toggle .search-toggle__link.open{display:block}.banner .search-toggle .search-toggle__link.close{display:none}#site-search:hover form{display:block}#site-search:hover .search-toggle .search-toggle__link.open{display:none}#site-search:hover .search-toggle .search-toggle__link.close{display:block}.header-search,.search-form{background:#f7f7f7;border:0;display:none;float:left;position:relative;margin:0;width:100%;z-index:3}.search-form.active,.header-search.active,.header-search.open{display:block}.search-form div,.header-search div{box-shadow:inset 0 -4px 4px -4px rgba(0,0,0,0.3),inset 0 5px 5px -5px rgba(0,0,0,0.3);background:#fff;margin:10px;position:relative;z-index:1}.search-form form [type="search"],.header-search form [type="search"]{background:#fff;border:0;box-shadow:0 2px 2px rgba(0,0,0,0.3) inset,0 -1px 3px rgba(0,0,0,0.2) inset,0 2px 0 rgba(255,255,255,0.4);color:#333;display:block;float:left;font-size:1em;height:auto;margin:0;padding:8px 10px;width:100%}.yes-js .header-inner .search-form,.yes-js .header-inner .header-search{display:none}.yes-js .header-inner .search-form form,.yes-js .header-inner .header-search form{margin-left:0;margin-right:0;overflow:hidden;padding:10px;position:relative;top:0;width:100%;z-index:999}@media only screen and (max-width: 620px){.banner .search-toggle{right:0}.no-svg .search-toggle,.opera-mini .search-toggle{background-image:url("https://assets.ubuntu.com/v1/75d8151d-search-white.png")}}@media only screen and (min-width: 620px){.banner .search-toggle{display:none}}@media only screen and (min-width: 620px){.search-form,.header-search{background:none;border-right:0 none;float:right;margin-bottom:0;max-width:220px;overflow:hidden;padding:7px 0 5px 14px}.search-form form [type="text"],.search-form form [type="search"],.header-search form [type="text"],.header-search form [type="search"]{box-shadow:0 2px 4px rgba(0,0,0,0.4) inset;box-sizing:content-box;background-color:#dedede;border:0 solid #d8d8d8;border-width:0 0 1px;color:#333;font-size:.813em;height:24px;margin-bottom:0;padding:.5em 2.5em .5em .5em;transition:all .5s ease 0s;width:86px}.search-form form [type="text"]:focus,.search-form form [type="search"]:focus,.header-search form [type="text"]:focus,.header-search form [type="search"]:focus{background-color:#d3d3d3;border-color:#c4c4c4}.search-form .svg-search-handle,.header-search .svg-search-handle{fill:#333}.search-form .svg-search-frame,.header-search .svg-search-frame{stroke:#333}.search-form placeholder,.header-search placeholder{color:#333}.search-form input:placeholder,.header-search input:placeholder{color:#333}.search-form ::placeholder,.header-search ::placeholder{color:#333}}@media only screen and (min-width: 620px){.header-search .svg-search-handle,.search-form .svg-search-handle{fill:#333}.header-search .svg-search-frame,.search-form .svg-search-frame{stroke:#333}.header-search placeholder,.search-form placeholder{color:#333}.header-search input:placeholder,.search-form input:placeholder{color:#333}.header-search ::placeholder,.search-form ::placeholder{color:#333}}@media only screen and (max-width: 620px){.banner .nav-primary .header-search{position:relative;top:0;width:100%}.banner .nav-primary .header-search [type="search"]{background-color:#ebebeb;color:#333}.banner .nav-primary .header-search [type="submit"]{background-color:transparent;height:38px;margin-top:0;width:32px}.banner .nav-primary .header-search [type="submit"] img,.banner .nav-primary .header-search [type="submit"] svg{max-width:none}.banner .nav-primary .header-search.open{display:block}.banner .search-toggle{background-image:url("data:image/svg+xml;utf8, <svg xmlns='http://www.w3.org/2000/svg' width='28' height='28' viewBox='0 0 90 90'><g color='%23333'><path fill='none' stroke-width='4' overflow='visible' enable-background='accumulate' d='M0 0h90v90H0z'/><path d='M69 36.5a33 33.5 0 1 1-66 0 33 33.5 0 1 1 66 0z' transform='matrix(.636 0 0 .627 16.114 16.12)' fill='none' stroke='%23333' stroke-width='9.5' overflow='visible' enable-background='accumulate'/><path d='M55.77 52.92L52.94 55.75l14 14 2.83-2.83-14-14z' font-size='xx-small' fill='%23333' stroke-width='6' overflow='visible' enable-background='accumulate' font-family='Sans' class='s0'/><path d='M60.97 57.03c-1.55-3.04 1.02-3.63 2.46-0.58 1.44-0.21 3.21 4.29l9.19 9.2c2.68 2.85 3.26 2.46 5.64 2.38-2.38 2.77-2.79-0.08-5.65l-9.19-9.2c-0.73-0.75-1.78-1.19-2.83-1.19z' font-size='xx-small' fill='%23333' stroke-width='11.8' overflow='visible' enable-background='accumulate' font-family='Sans' class='s0'/></g></svg>");background-position:center center;background-repeat:no-repeat;background-size:25px auto;cursor:pointer;display:block;height:48px;position:absolute;right:0;text-indent:-99999px;width:48px}.no-svg .banner .search-toggle,.opera-mini .banner .search-toggle{background-image:url("https://assets.ubuntu.com/v1/2196e362-search-white.svg")}.opera-mini x:-o-prefocus,.opera-mini .banner .search-toggle{background-size:25px auto}}@media only screen and (min-width: 620px){.search-form,.header-search{display:block}.search-form .svg-search-handle,.header-search .svg-search-handle{fill:#333}.search-form .svg-search-frame,.header-search .svg-search-frame{stroke:#333}.search-form form [type="text"]:focus,.header-search form [type="text"]:focus{width:160px}.search-form [type="search"],.search-form [type="text"],.header-search [type="search"],.header-search [type="text"]{padding:8px 10px}}@media only screen and (max-width: 1440px){.search-form,.header-search{margin-right:10px}}@media only screen and (max-width: 620px){.banner .search-toggle{right:48px}}.ubuntu-search .nav-secondary,.search-results .nav-secondary,.search-no-results .nav-secondary{display:none}.ubuntu-search section>h1,.ubuntu-search section article h1,.search-results section>h1,.search-results section article h1,.search-no-results section>h1,.search-no-results section article h1{padding-bottom:10px;font-size:1.438em;margin-bottom:0}.ubuntu-search section>h1,.search-results section>h1,.search-no-results section>h1{border-bottom:1px dotted #cdcdcd}.ubuntu-search .main-search,.search-results .main-search,.search-no-results .main-search{background-color:transparent;margin:0 0 20px;padding:20px 0}.ubuntu-search .main-search [type="search"],.search-results .main-search [type="search"],.search-no-results .main-search [type="search"]{border:1px solid #888;float:left;font-size:2em;padding:.2em 65px .2em .2em;width:100%}.ubuntu-search .main-search [type=submit],.search-results .main-search [type=submit],.search-no-results .main-search [type=submit]{width:32px;height:38px;background-repeat:no-repeat;background-position:center 8px;background-color:transparent;background-size:28px 28px;display:block;float:left;line-height:0;margin-left:-53px;margin-top:-4px;overflow:visible;padding:4px}.ubuntu-search .main-search [type=submit] img,.search-results .main-search [type=submit] img,.search-no-results .main-search [type=submit] img{height:45px;width:45px}.ubuntu-search .main-search [type=submit]:hover,.search-results .main-search [type=submit]:hover,.search-no-results .main-search [type=submit]:hover{background:none}.ubuntu-search .search-result h1 .title-main,.search-results .search-result h1 .title-main,.search-no-results .search-result h1 .title-main{margin-right:20px}.ubuntu-search .search-result h1 .result-url,.search-results .search-result h1 .result-url,.search-no-results .search-result h1 .result-url{color:#888;display:block;overflow:hidden;padding-bottom:2px;text-overflow:ellipsis;vertical-align:bottom}.ubuntu-search .search-result h1 .result-url a,.search-results .search-result h1 .result-url a,.search-no-results .search-result h1 .result-url a{color:#888}.ubuntu-search .search-result p,.search-results .search-result p,.search-no-results .search-result p{margin-bottom:0}.ubuntu-search .num-results,.search-results .num-results,.search-no-results .num-results{display:inline-block;margin-left:20px}.ubuntu-search .bottom-results-total,.search-results .bottom-results-total,.search-no-results .bottom-results-total{margin:0;overflow:visible;padding-top:20px;text-align:center;width:100%}.ubuntu-search .bottom-nav,.search-results .bottom-nav,.search-no-results .bottom-nav{margin-top:-26px;overflow:hidden}.ubuntu-search .bottom-nav ul,.search-results .bottom-nav ul,.search-no-results .bottom-nav ul{margin-bottom:0;margin-left:0;overflow:hidden;padding:0}.ubuntu-search .bottom-nav li,.search-results .bottom-nav li,.search-no-results .bottom-nav li{float:left;margin-left:15px}.ubuntu-search .bottom-nav li:first-child,.search-results .bottom-nav li:first-child,.search-no-results .bottom-nav li:first-child{margin-left:0}.ubuntu-search .nav-back,.search-results .nav-back,.search-no-results .nav-back{float:left}.ubuntu-search .nav-back li:before,.search-results .nav-back li:before,.search-no-results .nav-back li:before{color:#f7f7f7;content:'\2039';margin-right:5px}.ubuntu-search .nav-back .item-extreme:before,.search-results .nav-back .item-extreme:before,.search-no-results .nav-back .item-extreme:before{content:'\2039\2039'}.ubuntu-search .nav-forward,.search-results .nav-forward,.search-no-results .nav-forward{float:right}.ubuntu-search .nav-forward li:after,.search-results .nav-forward li:after,.search-no-results .nav-forward li:after{color:#f7f7f7;content:'\203A';margin-left:5px}.ubuntu-search .nav-forward .item-extreme:after,.search-results .nav-forward .item-extreme:after,.search-no-results .nav-forward .item-extreme:after{content:'\203A\203A'}.ubuntu-search .error-notification,.search-results .error-notification,.search-no-results .error-notification{background-color:#fff;color:#333;display:block;margin-top:20px;padding:20px;width:100%}.ubuntu-search .result-line,.search-results .result-line,.search-no-results .result-line{color:#888}.ubuntu-search .results-top,.search-results .results-top,.search-no-results .results-top{border-bottom:1px dotted #cdcdcd;padding-bottom:.5em}.ubuntu-search .search-container,.search-results .search-container,.search-no-results .search-container{padding-bottom:0}@media only screen and (min-width: 620px){.ubuntu-search .main-search [type=submit]{margin-left:-60px;margin-top:0}}@font-face{font-family:'Ubuntu';font-style:normal;font-weight:300;src:url("../assets/fonts/ubuntu-l-webfont.woff2") format("woff2"),url("../assets/fonts/ubuntu-l-webfont.woff") format("woff")}@font-face{font-family:'Ubuntu';font-style:normal;font-weight:400;src:url("../assets/fonts/ubuntu-r-webfont.woff2") format("woff2"),url("../assets/fonts/ubuntu-r-webfont.woff") format("woff")}@font-face{font-family:'Ubuntu';font-style:normal;font-weight:700;src:url("../assets/fonts/ubuntu-b-webfont.woff2") format("woff2"),url("../assets/fonts/ubuntu-b-webfont.woff") format("woff")}@font-face{font-family:'Ubuntu';font-style:italic;font-weight:300;src:url("../assets/fonts/ubuntu-li-webfont.woff2") format("woff2"),url("../assets/fonts/ubuntu-li-webfont.woff") format("woff")}@font-face{font-family:'Ubuntu';font-style:italic;font-weight:400;src:url("../assets/fonts/ubuntu-ri-webfont.woff2") format("woff2"),url("../assets/fonts/ubuntu-ri-webfont.woff") format("woff")}@font-face{font-family:'Ubuntu';font-style:italic;font-weight:700;src:url("../assets/fonts/ubuntu-bi-webfont.woff2") format("woff2"),url("../assets/fonts/ubuntu-bi-webfont.woff") format("woff")}@font-face{font-family:'Ubuntu Mono';font-style:normal;font-weight:400;src:url("../assets/fonts/ubuntumono-r-webfont.woff2") format("woff2"),url("../assets/fonts/ubuntumono-r-webfont.woff") format("woff")}body{color:#333;font-family:'Ubuntu', Arial, 'libra sans', sans-serif;font-size:16px;font-weight:300}a:focus{outline:thin dotted}a:hover,a:active{outline:0}a{color:#f7f7f7;text-decoration:none}a:hover,a:active,a:focus{text-decoration:underline}strong{font-weight:400}.caps-centered,.muted-heading{font-size:.875em;margin-bottom:20px;text-align:center;text-transform:uppercase}small,.smaller{font-size:13px}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sup{vertical-align:text-top}sub{vertical-align:text-bottom}pre{border-radius:4px;background-color:#fff;padding:.6em 1em;white-space:pre-wrap;word-wrap:break-word}p+h2,ul+h2,ol+h2,pre+h2{margin-top:0.5625em}header nav a:link{font-weight:normal}p+h3,ul+h3,ol+h3,pre+h3{margin-top:.783em}p+h4,ul+h4,ol+h4,pre+h4{margin-top:1.21875}ol+h2,p+h2,pre+h2,ul+h2{margin-top:.563em}ol+h3,p+h3,pre+h3,ul+h3{margin-top:.783em}ol+h4,p+h4,pre+h4,ul+h4{margin-top:1.219em}.intro{font-size:1em;line-height:1.4}.row div p:last-child,.row ul p:last-child{margin-bottom:0}.four-col p:last-child{margin-bottom:0}.note{color:#888;font-size:.813em}h1,h2,h3,h4,h5,h6{font-family:Ubuntu, Arial, 'libra sans', sans-serif;font-weight:300;line-height:1.3}h1{font-size:2.8125em;margin-bottom:.5em}h2{font-size:2em;margin-bottom:.5em}h3{font-size:1.4375em;margin-bottom:.522em}h4{font-size:1.25em;font-weight:400;margin-bottom:.615em}h5{font-size:1em;font-weight:700;margin-bottom:1em}h6{font-size:.8125em;font-weight:400;margin-bottom:1em;letter-spacing:.1em;text-transform:uppercase}p,li{font-size:1em;line-height:1.5;margin:0;margin-bottom:.75em;padding:0}button,input,select,textarea{font-family:Ubuntu,Arial,'libra sans',sans-serif}@media only screen and (min-width: 768px) and (max-width: 1440px){h1{font-size:1.5234375em;margin-bottom:.5em}h2{font-size:1.348125em;margin-bottom:.5em}h3{font-size:1.1428125em;margin-bottom:.522em}h4{font-size:1.171875em;font-weight:400;margin-bottom:.615em}h5{font-size:.9375em;font-weight:700;margin-bottom:1em}h6{font-size:.6778125em;font-weight:400;margin-bottom:1em;letter-spacing:.1em;text-transform:uppercase}.intro{font-size:1.13333em}}@media only screen and (max-width: 768px){h1{font-size:1.421875em;margin-bottom:.4375em}h2{font-size:1.25825em;margin-bottom:.4375em}h3{font-size:1.066625em;margin-bottom:.45675em}h4{font-size:1.09375em;font-weight:400;margin-bottom:.538125em}h5{font-size:.875em;font-weight:700;margin-bottom:.875em}h6{font-size:.632625em;font-weight:400;margin-bottom:.875em;letter-spacing:.1em;text-transform:uppercase}p,li{font-size:.875em}}@media only screen and (min-width: 1440px){p,li,code,pre{font-size:16px;line-height:1.5;margin-bottom:.75em}.intro{font-size:1.25em}}dfn{font-style:italic}code,pre{font-family:'Ubuntu Mono', 'Consolas', 'Monaco', 'Lucida Console', 'Courier New', Courier, monospace}table{border-collapse:collapse;border-spacing:0;overflow-x:scroll;margin-bottom:20px;margin:0 0 2.5em;width:100%}table th,table td{background:#f7f7f7;border:1px dotted #888;padding:15px 10px}table td{text-align:center;vertical-align:middle}table thead th{border-collapse:separate;border-spacing:0 10px;background:#fee3d2;color:#333;font-weight:normal}table tbody th{font-weight:300;text-align:left}table th[scope='col']{text-align:center}table thead th:first-of-type{text-align:left}@media only screen and (max-width: 768px){table{display:block}}body footer.global #nav-global li:first-of-type a{margin-left:0}footer.global{background:none;border-top:0;box-shadow:inset 0 2px 2px -1px #cdcdcd;clear:both;display:block;padding:30px 10px 20px;position:relative;width:100%}footer.global .legal{background-image:none;clear:both;margin:0 auto;min-height:40px;position:relative;width:100%}footer.global .legal p,footer.global .legal ul{padding-left:0}footer.global h2{font-size:.75em;line-height:1.4;margin-bottom:0;padding-bottom:.5em}footer.global h2,footer.global h2 a:link,footer.global h2 a:visited{color:#333;font-weight:normal}footer.global ul{margin:0}footer.global li a:hover{color:#f7f7f7}footer.global li ul li a:link,footer.global li ul li a:visited{color:#333;font-size:.75em}footer.global h2 a:hover,footer.global h2 a:active{color:#f7f7f7}footer.global p{color:#333;font-size:12px;margin-bottom:0}@media only screen and (max-width: 768px){footer.no-global .legal{box-shadow:0 2px 2px -1px #cdcdcd inset;box-sizing:content-box;margin-left:-10px;padding-left:10px;padding-right:10px;padding-top:10px}}@media only screen and (min-width: 1440px){footer.global .legal{width:1440px}footer.global{padding:30px 0 20px}}svg:not(:root){overflow:hidden}figure{width:100%}figure caption{display:block;width:100%;text-align:center}object,iframe,embed,canvas,video,audio{display:block;max-width:100%;margin:0 auto 20px}audio:not([controls]){display:none;height:0}[hidden]{display:none}.video-container{position:relative;padding-bottom:56.25%;padding-top:30px;height:0;overflow:hidden}.video-container iframe{position:absolute;top:0;left:0;width:100%;height:100%}.video-container h3,.video-container .video-title{margin-top:20px}.inline-logos{float:left;margin-left:0;padding:0;text-align:center;width:100%}.inline-logos .inline-logos__item{display:inline-block;margin-right:20px;padding:0 0 20px;width:36%}@media only screen and (max-width: 300px){.inline-logos .inline-logos__item{margin:0 0 20px;width:100%}}.inline-logos .inline-logos__item.clear-row{clear:left}.inline-logos .inline-logos__item.last-item{border:0}.inline-logos .inline-logos__image{max-height:32px;max-width:115px;transition:all .3s ease-out;vertical-align:middle}@media only screen and (min-width: 768px){.inline-logos{padding-top:20px}.inline-logos .inline-logos__item{display:inline-block;height:56px;line-height:60px;margin:0 30px 30px;width:150px}.inline-logos .inline-logos__image{float:none;height:auto;max-height:56px;max-width:150px;vertical-align:middle}}@media only screen and (min-width: 1440px){.inline-logos__item{margin-bottom:40px}}@media only screen and (min-width: 768px){.equal-height__align-vertically{align-items:center;justify-content:center}}@media only screen and (min-width: 768px){.equal-height--vertical-divider{position:relative}.equal-height--vertical-divider__item{padding-left:10px;padding-right:10px}.equal-height--vertical-divider__item:before{content:'';position:absolute;right:-10px;top:0;height:100%;width:1px;border-right:1px dotted #888}.equal-height--vertical-divider .last-col,.equal-height--vertical-divider__item:last-of-type{padding-right:0}.equal-height--vertical-divider .last-col:before,.equal-height--vertical-divider__item:last-of-type:before{border-right:0}.equal-height--vertical-divider__item:first-of-type{padding-left:0}}@media only screen and (max-width: 768px){.equal-height--vertical-divider .equal-height--vertical-divider__item{border-bottom:1px dotted #888;padding-bottom:20px}.equal-height--vertical-divider .equal-height--vertical-divider__item:last-of-type{border-bottom:0;padding-bottom:inherit}}body{background:url("../assets/img/backgrounds/image-background-paper.png") repeat-y center top #f7f7f7}.button--neutral,.button--inline-neutral{color:#333;background-color:transparent;border:1px solid #cdcdcd}.button--neutral:focus,.button--neutral:active,.button--neutral:hover,.button--inline-neutral:focus,.button--inline-neutral:active,.button--inline-neutral:hover{background-color:rgba(0,0,0,0.1)}.button--neutral:disabled:focus,.button--neutral:disabled:active,.button--neutral:disabled:hover,.button--neutral.button--disabled:focus,.button--neutral.button--disabled:active,.button--neutral.button--disabled:hover,.button--inline-neutral:disabled:focus,.button--inline-neutral:disabled:active,.button--inline-neutral:disabled:hover,.button--inline-neutral.button--disabled:focus,.button--inline-neutral.button--disabled:active,.button--inline-neutral.button--disabled:hover{background-color:transparent}.button--inline-neutral{display:inline-block;width:auto}.button--positive,.button--inline-positive{color:#fff;background-color:#38b44a}.button--positive:focus,.button--positive:active,.button--positive:hover,.button--inline-positive:focus,.button--inline-positive:active,.button--inline-positive:hover{background-color:#2c8d3a}.button--positive:disabled:focus,.button--positive:disabled:active,.button--positive:disabled:hover,.button--positive.button--disabled:focus,.button--positive.button--disabled:active,.button--positive.button--disabled:hover,.button--inline-positive:disabled:focus,.button--inline-positive:disabled:active,.button--inline-positive:disabled:hover,.button--inline-positive.button--disabled:focus,.button--inline-positive.button--disabled:active,.button--inline-positive.button--disabled:hover{background-color:#38b44a}.button--inline-positive{display:inline-block;width:auto}.button--destructive,.button--inline-destructive{color:#fff;background-color:#df382c}.button--destructive:focus,.button--destructive:active,.button--destructive:hover,.button--inline-destructive:focus,.button--inline-destructive:active,.button--inline-destructive:hover{background-color:#bc271c}.button--destructive:disabled:focus,.button--destructive:disabled:active,.button--destructive:disabled:hover,.button--destructive.button--disabled:focus,.button--destructive.button--disabled:active,.button--destructive.button--disabled:hover,.button--inline-destructive:disabled:focus,.button--inline-destructive:disabled:active,.button--inline-destructive:disabled:hover,.button--inline-destructive.button--disabled:focus,.button--inline-destructive.button--disabled:active,.button--inline-destructive.button--disabled:hover{background-color:#df382c}.button--inline-destructive{display:inline-block;width:auto}.button--base,.button--inline-base{color:#333;background-color:transparent}.button--base:focus,.button--base:active,.button--base:hover,.button--inline-base:focus,.button--inline-base:active,.button--inline-base:hover{background-color:rgba(0,0,0,0.1)}.button--base:disabled:focus,.button--base:disabled:active,.button--base:disabled:hover,.button--base.button--disabled:focus,.button--base.button--disabled:active,.button--base.button--disabled:hover,.button--inline-base:disabled:focus,.button--inline-base:disabled:active,.button--inline-base:disabled:hover,.button--inline-base.button--disabled:focus,.button--inline-base.button--disabled:active,.button--inline-base.button--disabled:hover{background-color:transparent}.button--inline-base{display:inline-block;width:auto}.cookie-policy{box-shadow:0 -1px 2px rgba(0,0,0,0.2);background-color:#fae4dc;position:fixed;bottom:0;width:100%;z-index:100}.cookie-policy p{font-size:.8125em;margin-bottom:0;margin-left:0;padding:8px 0;width:100%}.cookie-policy .link-cta{background-image:url("https://assets.ubuntu.com/v1/3f057022-close-orange.svg");background-repeat:no-repeat;color:#fff;float:right;font-size:1em;height:15px;margin:12px 0;margin-top:12px;padding:0;text-decoration:none;text-indent:-9999px;width:16px}.no-svg .cookie-policy .link-cta,.opera-mini .cookie-policy .link-cta{background-image:url("https://assets.ubuntu.com/v1/898777ac-close-orange.png")}.deep-link{text-decoration:none}.deep-link:after{content:'';display:inline-block;margin-left:3px;opacity:0;position:relative;top:1px;width:1em;height:1em;background-image:url(https://assets.ubuntu.com/v1/128877a5-anchor_16.svg);background-position:0 80%;background-repeat:no-repeat;background-size:16px;transition:opacity .1s}.deep-link:hover{text-decoration:none}.deep-link:hover:after{opacity:1}.banner{background:#000;box-shadow:none}@media only screen and (min-width: 620px){.banner .nav-primary{width:auto}.banner ul{border-top:0;border-right:0;box-shadow:none}.banner li{width:auto;border-right:0;border-bottom:0}.banner li:last-child a{border-right:0}.banner a,.banner a:link,.banner a:visited{border-left:0}}@media only screen and (max-width: 768px){footer.global{padding-top:0}}.instruction{padding:0;position:relative;width:100%;border-bottom:1px dotted #ddd}.instruction .instruction__bullet,.instruction .instruction__details{padding:60px 40px;margin-bottom:0}.instruction .instruction__bullet{margin-right:0}.instruction .instruction__step{display:inline-block;border-radius:50%;width:50px;height:50px;line-height:50px;color:#fff;text-align:center;vertical-align:top;font-size:2em;font-weight:400}.instruction .instruction__title{display:inline;position:relative;top:6px;line-height:1.6}.instruction .command-line{position:relative;border-radius:4px;background-color:#2c001e;border:1px solid #2c001e;overflow:hidden;transition:all .2s}.instruction .command-line .command-line__input{border:0;background:transparent;font-size:1em;font-family:Ubuntu Mono;font-weight:300;padding:.7em 1em;color:#fff;width:100%}.instruction .command-line .command-line__copy-button{transition:background-color .2s;position:absolute;right:0;top:0;width:50px;border:0;height:100%;display:block;text-indent:-9999px;background-image:url("https://assets.ubuntu.com/v1/994e60f9-get-link-url_16.svg");background-repeat:no-repeat;background-position:center;background-color:#fff}.row{border-bottom:0;background-color:rgba(255,255,255,0.6)}@media only screen and (max-width: 768px){.row{padding-bottom:20px}}@media only screen and (max-width: 768px){.row-hero{padding-top:20px;margin-top:0}}.strip-white{background:#fff}.strip-dark{background:#333;color:#fff}.strip-dark a{color:#fff}.strip-trans{background:transparent}.social-list{list-style:none;padding-left:0;margin-left:0}.social-list__item--twitter,.social-list__item--google-plus,.social-list__item--facebook{margin-right:20px;float:left;text-indent:-99999px;background-image:url("https://assets.ubuntu.com/v1/ed986fc0-icon-social.svg");background-repeat:no-repeat;height:44px;width:44px;overflow:hidden;display:inline-block}.social-list__item--twitter:hover,.social-list__item--google-plus:hover,.social-list__item--facebook:hover{background-position-y:-45px}.social-list__item--twitter{background-position:0 0}.social-list__item--google-plus{background-position:-45px 0}.social-list__item--facebook{background-position:-90px 0}@media only screen and (min-width: 768px){.tooltip{position:relative;display:inline-block}.tooltip__content{position:absolute;z-index:98;left:-1000px;right:-1000px;top:-30px;font-weight:300;margin:auto;display:block;text-align:center;white-space:nowrap}.tooltip:hover .tooltip__content:after{display:table;z-index:98;margin:auto;color:#fff;border-radius:3px;background:#000;box-shadow:none;font-size:12px;content:attr(data-tooltip);padding:4px 6px;white-space:nowrap;text-align:center}.tooltip:hover .tooltip__content:before{position:absolute;top:100%;left:50%;margin-left:-5px;content:'';border:solid transparent;border-width:5px;border-top-color:#000}}a,.link{cursor:pointer;color:#f7f7f7;text-decoration:underline}pre{padding:10px 15px;background-color:#333;border:0;border-radius:2px;color:#cdcdcd}html{overflow-y:scroll;overflow-x:hidden;min-height:100%;color:#333;font:1em / 1.5 "'Ubuntu', Arial, 'libra sans', sans-serif"}a{color:#333;text-decoration:none;border-bottom:1px solid #c2c2c2}a:hover{text-decoration:none;color:#dd4814}p,li,code,pre{font-size:16px;font-size:1rem;line-height:1.5;margin-bottom:.75em}pre,code{text-align:left;white-space:pre-line;word-spacing:normal;word-wrap:break-word;tab-size:4;hyphens:none;direction:ltr}hr{margin-bottom:20px}h1,h2,h3,h4,h5{margin:10px 0;font-weight:300;line-height:1.5;color:#333}h1{font-size:2em}h1 small{font-size:75%}h2{font-size:1.4375em}h2 small{font-size:75%}h3{font-size:1.25em}h3 small{font-size:75%}h4{font-size:1em}h4 small{font-size:75%}h5{font-size:0.875em}h5 small{font-size:75%}.gigantic{font-size:45px;font-size:2.8125rem}.mega{font-size:40px;font-size:2.5rem}input[type='text'],input[type='number'],input[type='search'],input[type='password'],input[type='email'],input[type='url'],input[type='tel']{padding:7px 10px;box-shadow:none;width:100%}input[type='text']::placeholder,input[type='number']::placeholder,input[type='search']::placeholder,input[type='password']::placeholder,input[type='email']::placeholder,input[type='url']::placeholder,input[type='tel']::placeholder{color:#888}input[type='text'][disabled],input[type='number'][disabled],input[type='search'][disabled],input[type='password'][disabled],input[type='email'][disabled],input[type='url'][disabled],input[type='tel'][disabled]{color:#888;background-color:transparent}input[type='number']{padding-right:15px}input[type='search']{appearance:textfield}input[type='search']::-webkit-search-decoration,input[type='search']::-webkit-search-cancel-button{appearance:none}input[type='checkbox']{margin:4px 0 0;margin-top:1px	9;line-height:normal}input[type='radio'],input[type='image']{display:inline-block;margin-right:10px}textarea{height:auto;min-height:175px;padding:7px 10px !important;box-shadow:none;width:100%;line-height:20px}textarea::placeholder{color:#888}textarea[disabled]{color:#888;background-color:transparent}select{display:block;clear:both;cursor:pointer;margin:0;background-image:url("../assets/images/forms/chevron-down.svg");background-repeat:no-repeat;background-position:top 14px right 10px;background-color:#fff;padding:7px 30px 7px 10px !important;box-shadow:none;width:100%;-moz-appearance:none;appearance:none;text-indent:.01px;text-overflow:''}select[multiple],select[size]{height:auto;background-image:none;padding-top:10px}select[disabled]{color:#888;background-image:none;background-color:transparent}select:-moz-focusring{color:transparent;text-shadow:0 0 0 #000}select::-ms-expand{display:none}fieldset{background:none;margin-left:0;padding:0}label{display:inline-block;max-width:100%;margin-bottom:5px}[type="checkbox"]:not(:checked),[type="checkbox"]:checked{position:absolute;left:-9999px}[type="checkbox"]+label{height:16px;position:relative;padding-left:25px;cursor:pointer}[type="checkbox"]+label:before{content:'';position:absolute;left:0;top:3px;width:11px;height:11px;border:1px solid #cdcdcd;background:#fff;border-radius:2px}[type="checkbox"]:checked+label:before{background-color:#dd4814;border-color:#dd4814}[type="checkbox"]:checked+label:after{content:'✔';position:absolute;line-height:13px;top:3px;left:3px;font-size:10px;color:#fff;transition:all .2s}@-moz-document url-prefix(){[type="checkbox"]:checked+label:after{font-size:13px;left:1px}}[type="checkbox"][disabled]{cursor:not-allowed}[type="checkbox"][disabled]+label{cursor:not-allowed}[type="checkbox"][disabled]+label:before{opacity:.5}[type="radio"]:not(:checked),[type="radio"]:checked{position:absolute;left:-9999px}[type="radio"]+label{position:relative;padding-left:25px;cursor:pointer}[type="radio"]+label:before{content:'';position:absolute;left:0;top:1px;width:13px;height:13px;border:1px solid #cdcdcd;background:#fff;border-radius:50%}[type="radio"]:checked+label:after{content:'';position:absolute;left:3px;top:4px;width:9px;height:9px;background:#dd4814;border-radius:50%}.tags{width:100%}.tags .tag-list{width:100%;margin:0}.tags .tag-list .tag-item{display:inline-block;float:left;line-height:36px;margin-bottom:0;margin-right:10px;word-wrap:break-word}.tags .tag-list .tag-item .remove-button{border-bottom:0}.tags .input{width:100% !important}.onoffswitch{position:relative;display:inline-block;vertical-align:middle;width:38px;margin:0 0 4px;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none}.onoffswitch[disabled] .onoffswitch-checkbox,.onoffswitch[disabled] .onoffswitch-label{opacity:.5;pointer-events:none}.onoffswitch-external-label{display:inline-block;margin-left:5px}.onoffswitch-checkbox{display:none !important}.onoffswitch-label{display:block !important;overflow:hidden;cursor:pointer;border-radius:2px;padding-left:0 !important;margin:0 !important}.onoffswitch-label:before,.onoffswitch-label:after{display:none}.onoffswitch-inner{display:block;width:200%;margin-left:-100%;transition:margin .3s ease-in 0s}.onoffswitch-inner:before,.onoffswitch-inner:after{display:block;float:left;width:50%;height:18px;padding:0;line-height:18px;font-size:14px;color:#fff;font-family:Trebuchet, Arial, sans-serif;font-weight:bold;box-sizing:border-box}.onoffswitch-inner:before{content:'';padding-left:10px;background-color:#38b44a;color:#fff}.onoffswitch-inner:after{content:'';padding-right:10px;background-color:#eee;color:#888;text-align:right}.onoffswitch-switch{display:block;width:19px;height:16px;margin:0;background:#fff;position:absolute;top:0;bottom:0;right:19px;border:1px solid #d2d2d2;border-radius:2px;transition:all .3s ease-in 0s;box-sizing:border-box}.onoffswitch-checkbox:checked+.onoffswitch-label .onoffswitch-inner{margin-left:0}.onoffswitch-checkbox:checked+.onoffswitch-label .onoffswitch-switch{right:0}dl dt{clear:left;color:#333}dl dd{color:#333;margin-left:0}dl dt,dl dd{display:inline-block;float:left;line-height:36px;margin-bottom:10px !important;word-wrap:break-word}dl dt:last-child,dl dd:last-child{margin-bottom:0}.wrapper{min-height:100%;height:auto !important;height:100%;margin:0 auto;position:relative;background:rgba(255,255,255,0.4)}.wrapper:after{content:'';position:absolute;display:block;top:0;right:0;bottom:0;left:0;background:url("../assets/images/backgrounds/background-paper.png");height:100%;width:100%;z-index:-1}.wrapper--inner{max-width:1440px;width:100%;margin:0 auto;clear:both;display:block}.row{background-color:transparent;border-top:1px dotted #cdcdcd}.row:first-of-type{border-top:0}.button--secondary{line-height:18px}.button--primary:hover,.button--destructive:hover,.button--positive:hover{color:#fff}.button--base:hover,.button--neutral:hover{color:#333}.button--large{height:auto;padding-top:15px;padding-bottom:15px}.button-group{position:relative;width:100%;vertical-align:middle;clear:both;min-width:160px}.button-group.button-group--inline{display:inline-block;width:auto}.button-group .button-group__link{display:inline-block;float:left;text-align:left;padding-right:35px}.button-group .button-group__link::after{content:'';display:inline-block;position:absolute;top:15px;right:15px;width:4px;height:4px;vertical-align:middle;border-right:1px solid;border-bottom:1px solid;transform:rotate(45deg)}.button-group .button-group__dropdown{border-radius:3px;left:0;margin:0;list-style:none;background:#fff;box-shadow:0 1px 1px rgba(0,0,0,0.1);z-index:20;max-height:1000px;transition:max-height .3s ease-in;position:absolute;top:36px;clear:both;min-width:160px}.button-group .button-group__item{float:left;clear:both;padding:5px 10px;margin:0;width:100%}.button-group .button-group__item .button-group__item-link{color:#333;cursor:pointer;width:100%;float:left;margin:0;border:0;text-transform:lowercase;white-space:nowrap}.button-group .button-group__item .button-group__item-link:first-letter{text-transform:uppercase}.button-group .button-group__item .button-group__item-link:hover{color:#dd4814;text-decoration:none}.form .form__group{margin-bottom:10px}.form .form__group .form__group-input{position:relative}.form .form__group .form__group-input .form__group-remove{position:absolute;top:10px;right:10px;cursor:pointer;height:16px;width:16px;background:url("../assets/images/icons/remove.svg") no-repeat;background-size:75% 75%;background-position:center;display:inline-block}.form .form__group .form__group-input .icon,.form .form__group .form__group-input .icon--status-failed,.form .form__group .form__group-input .icon--status-in-progress,.form .form__group .form__group-input .icon--status-queued,.form .form__group .form__group-input .icon--status-succeeded,.form .form__group .form__group-input .icon--status-waiting{position:absolute;top:10px;right:10px;display:inline-block}.form .form__group.form__group--subtle .form__group-label{color:#888}.form .form__group.form__group--subtle input,.form .form__group.form__group--subtle select,.form .form__group.form__group--subtle textarea{border-color:#e3e3e3;background-color:transparent}.form .form__group.form__group--subtle input:hover,.form .form__group.form__group--subtle select:hover,.form .form__group.form__group--subtle textarea:hover{border-color:#cdcdcd;background-color:#fff;outline:none}.form .form__group.form__group--subtle input:active,.form .form__group.form__group--subtle input:focus,.form .form__group.form__group--subtle select:active,.form .form__group.form__group--subtle select:focus,.form .form__group.form__group--subtle textarea:active,.form .form__group.form__group--subtle textarea:focus{border-color:#888;background-color:#fff;outline:none}.form .form__fieldset .form__group:last-of-type{margin-bottom:0}.form .form__siblings{float:left;width:100%;margin-bottom:10px}.form .form__siblings:hover .form__group--subtle input,.form .form__siblings:hover .form__group--subtle select,.form .form__siblings:hover .form__group--subtle textarea{border-color:#cdcdcd;background-color:#fff;outline:none}.form .form__siblings.is-active .form__group--subtle input,.form .form__siblings.is-active .form__group--subtle select,.form .form__siblings.is-active .form__group--subtle textarea{border-color:#cdcdcd;background-color:#fff;outline:none}.form.form--stack .form__group{width:100%;float:left}.form.form--stack .form__group [class*='-col']{margin-bottom:0}.form.form--stack .form__group .form__group-label{margin-top:0;margin-bottom:0;line-height:34px;vertical-align:top}.form.form--stack .form__group .form__group-input{min-height:34px}.form.form--stack .form__group .form__group-input .onoffswitch{margin-top:9px}.form.form--inline .form__fieldset{display:inline-block;width:auto;margin:0;vertical-align:middle}.form.form--inline .form__group{display:inline-block;margin:0 20px 0 0;vertical-align:top}.form.form--inline .form__group .form__group-label{margin-bottom:0;margin-right:10px;vertical-align:top;line-height:34px}.form.form--inline .form__group .form__group-label .icon--left{position:absolute;left:0;top:12px}.form.form--inline .form__group input,.form.form--inline .form__group select,.form.form--inline .form__group .form__group-input{display:inline-block;width:auto;min-height:34px}.form.form--inline .form__group [type='checkbox']+label,.form.form--inline .form__group [type='radio']+label{line-height:34px}.form.form--inline .form__group .onoffswitch{margin:9px 0 0}.form.form--inline .form__group .onoffswitch-external-label{margin:0;vertical-align:middle;line-height:34px}.form .form__help-text{font-size:14px;font-size:0.875rem;color:#888}.form__error{margin:0;color:#df382c}.form__error .form__error-item{margin:6px 0}.code-block{overflow:auto;margin:.5em 0;padding:1em;border:1px solid #cdcdcd;border-radius:.5em}.code-block .code-block__line{float:left;clear:both;margin:0}.code-block.code-block--terminal{color:#fff;border:0;background-color:#333}.code-block.code-block--numbering{counter-reset:line-numbering}.code-block.code-block--numbering .code-block__line::before{width:1.5em;padding-right:1em;content:counter(line-numbering);counter-increment:line-numbering;user-select:none;text-align:right;pointer-events:none;opacity:.5}.flash-messages{width:100%;float:left;margin:0}.flash-messages .flash-messages__item{box-sizing:border-box;border-radius:2px;list-style:none;padding:15px 20px;margin:0 0 20px;background:#fff;background-position:top 50% left 15px;background-repeat:no-repeat;box-shadow:0 1px 1px rgba(0,0,0,0.1)}.flash-messages .flash-messages__item:last-of-type{margin-bottom:0}.flash-messages .flash-messages__item.flash-messages__item--error{background:#fff url("../assets/images/icons/error.svg") no-repeat;background-size:16px 16px;background-position:15px center;padding-left:45px}.flash-messages .flash-messages__item.flash-messages__item--info{background:#fff url("../assets/images/icons/info.svg") no-repeat;background-size:16px 16px;background-position:15px center;padding-left:45px}.flash-messages .flash-messages__item.flash-messages__item--warning{background:#fff url("../assets/images/icons/warning.svg") no-repeat;background-size:16px 16px;background-position:15px center;padding-left:45px}.flash-messages .flash-messages__item.flash-messages__item--success{background:#fff url("../assets/images/icons/success.svg") no-repeat;background-size:16px 16px;background-position:15px center;padding-left:45px}.icon,.icon--status-failed,.icon--status-in-progress,.icon--status-queued,.icon--status-succeeded,.icon--status-waiting{width:16px;height:16px;padding:0;border-bottom:0 !important;display:inline-block;vertical-align:middle;text-indent:999em}.icon.icon--add,.icon--add.icon--status-failed,.icon--add.icon--status-in-progress,.icon--add.icon--status-queued,.icon--add.icon--status-succeeded,.icon--add.icon--status-waiting{background:url("../assets/images/icons/add.svg") no-repeat;background-size:100% 100%}.icon.icon--account,.icon--account.icon--status-failed,.icon--account.icon--status-in-progress,.icon--account.icon--status-queued,.icon--account.icon--status-succeeded,.icon--account.icon--status-waiting{background:url("../assets/images/icons/account.svg") no-repeat;background-size:100% 100%}.icon.icon--cross,.icon--cross.icon--status-failed,.icon--cross.icon--status-in-progress,.icon--cross.icon--status-queued,.icon--cross.icon--status-succeeded,.icon--cross.icon--status-waiting{background:url("../assets/images/icons/cross.svg") no-repeat;background-size:100% 100%}.icon.icon--cross-orange,.icon--cross-orange.icon--status-failed,.icon--cross-orange.icon--status-in-progress,.icon--cross-orange.icon--status-queued,.icon--cross-orange.icon--status-succeeded,.icon--cross-orange.icon--status-waiting{background:url("../assets/images/icons/cross-orange.svg") no-repeat;background-size:100% 100%}.icon.icon--debug,.icon--debug.icon--status-failed,.icon--debug.icon--status-in-progress,.icon--debug.icon--status-queued,.icon--debug.icon--status-succeeded,.icon--debug.icon--status-waiting{background:url("../assets/images/icons/debug.svg") no-repeat;background-size:100% 100%}.icon.icon--delete,.icon--delete.icon--status-failed,.icon--delete.icon--status-in-progress,.icon--delete.icon--status-queued,.icon--delete.icon--status-succeeded,.icon--delete.icon--status-waiting{background:url("../assets/images/icons/delete.svg") no-repeat;background-size:100% 100%}.icon.icon--edit,.icon--edit.icon--status-failed,.icon--edit.icon--status-in-progress,.icon--edit.icon--status-queued,.icon--edit.icon--status-succeeded,.icon--edit.icon--status-waiting{background:url("../assets/images/icons/edit.svg") no-repeat;background-size:100% 100%}.icon.icon--error,.icon--error.icon--status-failed,.icon--error.icon--status-in-progress,.icon--error.icon--status-queued,.icon--error.icon--status-succeeded,.icon--error.icon--status-waiting{background:url("../assets/images/icons/error.svg") no-repeat;background-size:100% 100%}.icon.icon--help,.icon--help.icon--status-failed,.icon--help.icon--status-in-progress,.icon--help.icon--status-queued,.icon--help.icon--status-succeeded,.icon--help.icon--status-waiting{background:url("../assets/images/icons/help.svg") no-repeat;background-size:100% 100%}.icon.icon--info,.icon--info.icon--status-failed,.icon--info.icon--status-in-progress,.icon--info.icon--status-queued,.icon--info.icon--status-succeeded,.icon--info.icon--status-waiting{background:url("../assets/images/icons/info.svg") no-repeat;background-size:100% 100%}.icon.icon--loading,.icon--loading.icon--status-failed,.icon--loading.icon--status-in-progress,.icon--loading.icon--status-queued,.icon--loading.icon--status-succeeded,.icon--loading.icon--status-waiting{background:url("../assets/images/icons/loading.png") no-repeat;background-size:100% 100%}.icon.icon--mount,.icon--mount.icon--status-failed,.icon--mount.icon--status-in-progress,.icon--mount.icon--status-queued,.icon--mount.icon--status-succeeded,.icon--mount.icon--status-waiting{background:url("../assets/images/icons/mount.svg") no-repeat;background-size:100% 100%}.icon.icon--unmount,.icon--unmount.icon--status-failed,.icon--unmount.icon--status-in-progress,.icon--unmount.icon--status-queued,.icon--unmount.icon--status-succeeded,.icon--unmount.icon--status-waiting{background:url("../assets/images/icons/unmount.svg") no-repeat;background-size:100% 100%}.icon.icon--partition,.icon--partition.icon--status-failed,.icon--partition.icon--status-in-progress,.icon--partition.icon--status-queued,.icon--partition.icon--status-succeeded,.icon--partition.icon--status-waiting{background:url("../assets/images/icons/partition.svg") no-repeat;background-size:100% 100%}.icon.icon--power-error,.icon--power-error.icon--status-failed,.icon--power-error.icon--status-in-progress,.icon--power-error.icon--status-queued,.icon--power-error.icon--status-succeeded,.icon--power-error.icon--status-waiting{background:url("../assets/images/icons/power-error.svg") no-repeat;background-size:100% 100%}.icon.icon--power-off,.icon--power-off.icon--status-failed,.icon--power-off.icon--status-in-progress,.icon--power-off.icon--status-queued,.icon--power-off.icon--status-succeeded,.icon--power-off.icon--status-waiting{background:url("../assets/images/icons/power-off.svg") no-repeat;background-size:100% 100%}.icon.icon--power-on,.icon--power-on.icon--status-failed,.icon--power-on.icon--status-in-progress,.icon--power-on.icon--status-queued,.icon--power-on.icon--status-succeeded,.icon--power-on.icon--status-waiting{background:url("../assets/images/icons/power-on.svg") no-repeat;background-size:100% 100%}.icon.icon--remove,.icon--remove.icon--status-failed,.icon--remove.icon--status-in-progress,.icon--remove.icon--status-queued,.icon--remove.icon--status-succeeded,.icon--remove.icon--status-waiting{background:url("../assets/images/icons/remove.svg") no-repeat;background-size:100% 100%}.icon.icon--success,.icon--success.icon--status-failed,.icon--success.icon--status-in-progress,.icon--success.icon--status-queued,.icon--success.icon--status-succeeded,.icon--success.icon--status-waiting{background:url("../assets/images/icons/success.svg") no-repeat;background-size:100% 100%}.icon.icon--success-mono,.icon--success-mono.icon--status-failed,.icon--success-mono.icon--status-in-progress,.icon--success-mono.icon--status-queued,.icon--success-mono.icon--status-succeeded,.icon--success-mono.icon--status-waiting{background:url("../assets/images/icons/success-mono.svg") no-repeat;background-size:100% 100%}.icon.icon--success-grey,.icon--success-grey.icon--status-failed,.icon--success-grey.icon--status-in-progress,.icon--success-grey.icon--status-queued,.icon--success-grey.icon--status-succeeded,.icon--success-grey.icon--status-waiting{background:url('data:image/svg+xml;utf8, <svg width="16px" height="16px" viewBox="0 0 16 16" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><g id="Page-1" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd"><g id="success"><rect id="rect6708" x="0" y="9.99999989e-06" width="16" height="16"></rect><circle id="circle6710" stroke="#888" stroke-width="1.5" fill="#888" cx="8" cy="8.00001" r="7.2500086"></circle><polygon id="path6712" fill="#fff" points="11.80029 4.92345 11.73439 4.98115 6.99964 9.12837 4.22407 6.74743 3.38501 7.69631 7.00033 11.50002 12.5 5.71278 11.80029 4.92349"></polygon></g></g></svg>');background-size:100% 100%}.icon.icon--settings,.icon--settings.icon--status-failed,.icon--settings.icon--status-in-progress,.icon--settings.icon--status-queued,.icon--settings.icon--status-succeeded,.icon--settings.icon--status-waiting{background:url("../assets/images/icons/settings.svg") no-repeat;background-size:100% 100%}.icon.icon--sync,.icon--sync.icon--status-failed,.icon--sync.icon--status-in-progress,.icon--sync.icon--status-queued,.icon--sync.icon--status-succeeded,.icon--sync.icon--status-waiting{background:url("../assets/images/icons/sync.svg") no-repeat;background-size:100% 100%}.icon.icon--search,.icon--search.icon--status-failed,.icon--search.icon--status-in-progress,.icon--search.icon--status-queued,.icon--search.icon--status-succeeded,.icon--search.icon--status-waiting{background:url("../assets/images/icons/magnifying_glass.svg") no-repeat;background-size:100% 100%}.icon.icon--system-shutdown,.icon--system-shutdown.icon--status-failed,.icon--system-shutdown.icon--status-in-progress,.icon--system-shutdown.icon--status-queued,.icon--system-shutdown.icon--status-succeeded,.icon--system-shutdown.icon--status-waiting{background:url("../assets/images/icons/system-shutdown.svg") no-repeat;background-size:100% 100%}.icon.icon--tooltip,.icon--tooltip.icon--status-failed,.icon--tooltip.icon--status-in-progress,.icon--tooltip.icon--status-queued,.icon--tooltip.icon--status-succeeded,.icon--tooltip.icon--status-waiting{background:url("../assets/images/icons/tooltip.svg") no-repeat;background-size:100% 100%}.icon.icon--tags,.icon--tags.icon--status-failed,.icon--tags.icon--status-in-progress,.icon--tags.icon--status-queued,.icon--tags.icon--status-succeeded,.icon--tags.icon--status-waiting{background:url("../assets/images/icons/tags.svg") no-repeat;background-size:100% 100%}.icon.icon--tick,.icon--tick.icon--status-failed,.icon--tick.icon--status-in-progress,.icon--tick.icon--status-queued,.icon--tick.icon--status-succeeded,.icon--tick.icon--status-waiting{background:url("../assets/images/icons/tick.svg") no-repeat;background-size:100% 100%}.icon.icon--logical-volume,.icon--logical-volume.icon--status-failed,.icon--logical-volume.icon--status-in-progress,.icon--logical-volume.icon--status-queued,.icon--logical-volume.icon--status-succeeded,.icon--logical-volume.icon--status-waiting{background:url("../assets/images/icons/logical-volume.svg") no-repeat;background-size:100% 100%}.icon.icon--warning,.icon--warning.icon--status-failed,.icon--warning.icon--status-in-progress,.icon--warning.icon--status-queued,.icon--warning.icon--status-succeeded,.icon--warning.icon--status-waiting{background:url("../assets/images/icons/warning.svg") no-repeat;background-size:100% 100%}.icon.icon--warning-mono,.icon--warning-mono.icon--status-failed,.icon--warning-mono.icon--status-in-progress,.icon--warning-mono.icon--status-queued,.icon--warning-mono.icon--status-succeeded,.icon--warning-mono.icon--status-waiting{background:url("../assets/images/icons/warning-mono.svg") no-repeat}.icon.icon--open,.icon--open.icon--status-failed,.icon--open.icon--status-in-progress,.icon--open.icon--status-queued,.icon--open.icon--status-succeeded,.icon--open.icon--status-waiting{background:url("../assets/images/forms/chevron-down.svg") no-repeat;background-size:10px 4px;background-position:center 4px}.icon.icon--close,.icon--close.icon--status-failed,.icon--close.icon--status-in-progress,.icon--close.icon--status-queued,.icon--close.icon--status-succeeded,.icon--close.icon--status-waiting{background:url("../assets/images/forms/chevron-up.svg") no-repeat;background-size:10px 4px;background-position:center 4px}.icon--status-failed{content:url('data:image/svg+xml;utf8, <svg width="16px" height="16px" viewBox="0 0 14 14" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><g id="Page-1" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd"><g id="status-queued" transform="translate(1, 1)"><g id="Page-1"><g id="status-queued"><g id="Group"><circle id="Oval" stroke="#ed3146" stroke-width="2" cx="6" cy="6" r="6"></circle><circle id="Oval-Copy" class="status-circle" fill="#ed3146" cx="6" cy="6" r="4"></circle></g></g></g></g></g></svg>')}.icon--status-in-progress{content:url('data:image/svg+xml;utf8, <svg width="16px" height="16px" viewBox="0 0 14 14" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><g id="Page-1" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd"><g id="status-queued" transform="translate(1, 1)"><g id="Page-1"><g id="status-queued"><g id="Group"><circle id="Oval" stroke="#19b6ee" stroke-width="2" cx="6" cy="6" r="6"></circle><circle id="Oval-Copy" class="status-circle" fill="#19b6ee" cx="6" cy="6" r="4"></circle></g></g></g></g></g></svg>')}.icon--status-queued{content:url('data:image/svg+xml;utf8, <svg width="16px" height="16px" viewBox="0 0 14 14" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><g id="Page-1" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd"><g id="status-queued" transform="translate(1, 1)"><g id="Page-1"><g id="status-queued"><g id="Group"><circle id="Oval" stroke="#888" stroke-width="2" cx="6" cy="6" r="6"></circle><circle id="Oval-Copy" class="status-circle" fill="#888" cx="6" cy="6" r="4"></circle></g></g></g></g></g></svg>')}.icon--status-succeeded{content:url('data:image/svg+xml;utf8, <svg width="16px" height="16px" viewBox="0 0 14 14" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><g id="Page-1" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd"><g id="status-queued" transform="translate(1, 1)"><g id="Page-1"><g id="status-queued"><g id="Group"><circle id="Oval" stroke="#3eb34f" stroke-width="2" cx="6" cy="6" r="6"></circle><circle id="Oval-Copy" class="status-circle" fill="#3eb34f" cx="6" cy="6" r="4"></circle></g></g></g></g></g></svg>')}.icon--status-waiting{content:url('data:image/svg+xml;utf8, <svg width="16px" height="16px" viewBox="0 0 14 14" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><g id="Page-1" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd"><g id="status-queued" transform="translate(1, 1)"><g id="Page-1"><g id="status-queued"><g id="Group"><circle id="Oval" stroke="#f99b0f" stroke-width="2" cx="6" cy="6" r="6"></circle><circle id="Oval-Copy" class="status-circle" fill="#f99b0f" cx="6" cy="6" r="4"></circle></g></g></g></g></g></svg>')}.icon--small{width:14px;height:14px}.icon--large{width:20px;height:20px}.icon--mega{width:23px;height:23px}.icon--gigantic{width:32px;height:32px}h1 .icon,h1 .icon--status-failed,h1 .icon--status-in-progress,h1 .icon--status-queued,h1 .icon--status-succeeded,h1 .icon--status-waiting{margin-top:-6px}h2 .icon,h2 .icon--status-failed,h2 .icon--status-in-progress,h2 .icon--status-queued,h2 .icon--status-succeeded,h2 .icon--status-waiting,h3 .icon,h3 .icon--status-failed,h3 .icon--status-in-progress,h3 .icon--status-queued,h3 .icon--status-succeeded,h3 .icon--status-waiting{margin-top:-5px}h4 .icon,h4 .icon--status-failed,h4 .icon--status-in-progress,h4 .icon--status-queued,h4 .icon--status-succeeded,h4 .icon--status-waiting,h5 .icon,h5 .icon--status-failed,h5 .icon--status-in-progress,h5 .icon--status-queued,h5 .icon--status-succeeded,h5 .icon--status-waiting,p .icon,p .icon--status-failed,p .icon--status-in-progress,p .icon--status-queued,p .icon--status-succeeded,p .icon--status-waiting,label .icon,label .icon--status-failed,label .icon--status-in-progress,label .icon--status-queued,label .icon--status-succeeded,label .icon--status-waiting,button .icon,button .icon--status-failed,button .icon--status-in-progress,button .icon--status-queued,button .icon--status-succeeded,button .icon--status-waiting,a .icon,a .icon--status-failed,a .icon--status-in-progress,a .icon--status-queued,a .icon--status-succeeded,a .icon--status-waiting,th .icon,th .icon--status-failed,th .icon--status-in-progress,th .icon--status-queued,th .icon--status-succeeded,th .icon--status-waiting,td .icon,td .icon--status-failed,td .icon--status-in-progress,td .icon--status-queued,td .icon--status-succeeded,td .icon--status-waiting,.table__header .icon,.table__header .icon--status-failed,.table__header .icon--status-in-progress,.table__header .icon--status-queued,.table__header .icon--status-succeeded,.table__header .icon--status-waiting,.table__data .icon,.table__data .icon--status-failed,.table__data .icon--status-in-progress,.table__data .icon--status-queued,.table__data .icon--status-succeeded,.table__data .icon--status-waiting{margin-top:-3px}.list__tree{list-style:none;border-left:1px solid #d2d2d2;position:relative}.list__tree.list__tree--sub-level{margin-top:10px;margin-left:20px;clear:both}.list__tree.list__tree--sub-level .list__item .list__item-feedback{left:180px}.list__tree .list__item{list-style:none}.list__tree .list__item:before{content:'';width:12px;height:1px;background:#d2d2d2;display:inline-block;position:relative;top:-4px;margin-right:5px}.list__tree .list__item:last-child::after{content:'';width:4px;height:1em;position:absolute;display:block;left:-2px;bottom:-6px;background:#fafafa}.list__tree .list__item .list__item-feedback{position:relative;left:200px;margin-top:-24px}table,.table{border-color:#d2d2d2;border-spacing:0;overflow-x:scroll;margin:0 0 20px;width:100%;text-align:left;border-collapse:separate}table tr,.table table tr,table .table tr,.table .table__row{width:100%;border-color:#b2b2b2;border-bottom-style:dotted;border-bottom-width:1px}table th,.table table th,table .table th,table td,.table table td,table .table td,.table .table__header,.table .table__data{font-size:16px;font-size:1rem;padding:10px;box-sizing:border-box;min-height:21px;background:none;border:0;text-align:left;border-collapse:separate;vertical-align:top;backface-visibility:hidden;position:relative}table thead tr,.table table thead tr,table thead .table tr,.table .table__head .table__row{color:#888;border-bottom:1px solid}table thead tr:hover,.table .table__head .table__row:hover{background-color:transparent}table thead th,.table table thead th,table thead .table th,.table .table__head .table__header{font-size:13px;font-size:0.8125rem;background:none;color:#888;font-size:13px}table thead th input[type="radio"]+label,.table .table__head .table__header input[type="radio"]+label,table thead th input[type="checkbox"]+label,.table .table__head .table__header input[type="checkbox"]+label{margin:0;top:-3px}table thead th a:link,table thead th a:visited,.table .table__head .table__header .table__header-link{color:#888;border-bottom:0}table thead th a:hover:link,table thead th a:hover:visited,.table .table__head .table__header .table__header-link:hover{color:#333;text-decoration:none}table thead th a.is-active:link,table thead th a.is-active:visited,.table .table__head .table__header .is-active.table__header-link{color:#333;text-decoration:none}table thead th a.is-sorted:link,table thead th a.is-sorted:visited,.table .table__head .table__header .is-sorted.table__header-link{border-bottom:1px solid #333}table thead .divide,.table .table__head .table__header-divide,.table .table__head .divide{width:1px;display:inline-block;background:#888;height:10px;margin:0 5px}table .numerical,.table .numerical{text-align:right}table input[type="radio"]+label,.table input[type="radio"]+label,table input[type="checkbox"]+label,.table input[type="checkbox"]+label{margin:0;top:-1px}table th{color:#888;border-bottom:1px solid}table td{border-color:#b2b2b2;border-bottom-style:dotted;border-bottom-width:1px}table td a:link,table td a:visited{color:#333;border-bottom:1px solid #c2c2c2}table td a:link:hover,table td a:visited:hover{text-decoration:none;color:#dd4814}table thead{width:100% !important;display:table-header-group !important}table thead.table__head--sticky{background:#fff;padding:0;width:100vw !important;left:0 !important;right:0 !important;height:auto}table thead.table__head--sticky tr{max-width:1440px;width:100%;margin:0 auto;display:block;float:none;border-bottom:0;overflow:hidden}table thead.table__head--sticky tr th{border-bottom:0;float:left}.table{display:table}.table .table__row{float:left;display:table-row}.table .table__row:hover{background-color:#fff}.table .table__row:hover .table__controls{z-index:1;opacity:1}.table .table__row:hover .table__controls--secondary{z-index:1;opacity:1}.table .table__row.is-active{background-color:#fff}.table .table__row.is-active .table__controls{z-index:1;opacity:1}.table .table__row.is-active .table__controls--secondary{z-index:1;opacity:1}.table .table__row.is-active .table__dropdown .table__row{display:none}.table .table__row.is-active .table__dropdown .table__row.is-active{display:block}.table .table__header,.table .table__data{display:table-cell;float:left}.table .table__data a:link,.table .table__data a:visited{color:#333;border-bottom:1px solid #c2c2c2}.table .table__data a:link:hover,.table .table__data a:visited:hover{text-decoration:none;color:#dd4814}.table .table__head{display:table-head;width:100%;box-sizing:border-box;width:auto !important}.table .table__head.table__head--sticky{background:#fff;padding:0;width:100vw !important;left:0 !important;right:0 !important;border-top:1px dotted #d2d2d2;box-shadow:0 1px 1px rgba(0,0,0,0.1);height:auto !important}.table .table__head.table__head--sticky .table__row{max-width:1440px;width:100%;margin:0 auto;display:block;float:none;border-bottom:0;overflow:hidden}.table .table__body{display:table-row-group}.table .table__footer{display:table-footer-group}.table .table__label{clear:both;display:block;margin-top:5px;line-height:16px;color:#bcbcbc}.table .table__label a{color:#bcbcbc}.table .table__label a:hover{color:#f7f7f7}.table .table__label.is-active a{color:#f7f7f7}.table .table__controls{width:100%;text-align:right;opacity:0;z-index:-1000}.table .table__controls--secondary{opacity:0;z-index:-1000;width:auto;text-align:left}.table .table__controls a,.table .table__controls a:link,.table .table__controls a:visited{color:#333;border-bottom:1px solid #c2c2c2}.table .table__controls a:hover,.table .table__controls a:link:hover,.table .table__controls a:visited:hover{text-decoration:none;color:#dd4814}.table .table__input{display:inline-block;background-color:#fff;border-color:#d2d2d2;background-position:right 10px top 16px;margin:-7px 0}.table .table__input[disabled]{background-color:transparent;border-color:transparent;pointer-events:none;background-position:-9999px -9999px;color:#333}.table .table__dropdown{width:100%}.table .table__dropdown .table__row{border-bottom:0;display:none;position:relative}.table .table__dropdown .table__row--indent{padding-left:41px !important;float:left;width:100%;box-sizing:border-box}.table .table__dropdown .table__row:before{display:block;margin:0 auto;width:calc(100% - 20px);border-top:1px dotted #d2d2d2;position:absolute;height:1px;content:'';top:0;left:10px}.table .table__dropdown .table__row.table__row--head{border-bottom:0}.table .table__dropdown .table__row.table__row--head .table__header{color:#bcbcbc;font-size:13px}.table .table__dropdown .table__row.u-border--none:before{display:none}.table .table__dropdown .table__row.u-border:before{display:block;margin:0 auto;width:calc(100% - 20px);border-top:1px dotted #d2d2d2;position:absolute;height:1px;content:'';top:0;left:10px}.table .table__dropdown .table__row.is-active .table__input{background-color:#fff;border-color:#d2d2d2;background-position:right 10px top 16px;pointer-events:all}.table .table__dropdown .table__row.is-active .table__input[disabled]{border-color:transparent;cursor:pointer}.table .table__dropdown--info .table__row{border-bottom:0}.table .table__dropdown--info .table__data{color:#bcbcbc}.form .form__group input,.form .form__group select{margin:0}.table--error{border-color:#df382c}.table--error .table__header,.table--error .table__data,.table--error th,.table--error td{border-color:#df382c;background-color:#fadfdd}.table--warning{border-color:#eca918}.table--warning .table__header,.table--warning .table__data,.table--warning th,.table--warning td{border-color:#eca918;background-color:#fcefd4}.table--success{border-color:#38b44a}.table--success .table__header,.table--success .table__data,.table--success th,.table--success td{border-color:#38b44a;background-color:#caeecf}.table--information{border-color:#19b6ee}.table--information .table__header,.table--information .table__data,.table--information th,.table--information td{border-color:#19b6ee;background-color:#d7f2fc}.table-col--1{width:1%}.table-col--2{width:2%}.table-col--3{width:3%}.table-col--4{width:4%}.table-col--5{width:5%}.table-col--6{width:6%}.table-col--7{width:7%}.table-col--8{width:8%}.table-col--9{width:9%}.table-col--10{width:10%}.table-col--11{width:11%}.table-col--12{width:12%}.table-col--13{width:13%}.table-col--14{width:14%}.table-col--15{width:15%}.table-col--16{width:16%}.table-col--17{width:17%}.table-col--18{width:18%}.table-col--19{width:19%}.table-col--20{width:20%}.table-col--21{width:21%}.table-col--22{width:22%}.table-col--23{width:23%}.table-col--24{width:24%}.table-col--25{width:25%}.table-col--26{width:26%}.table-col--27{width:27%}.table-col--28{width:28%}.table-col--29{width:29%}.table-col--30{width:30%}.table-col--31{width:31%}.table-col--32{width:32%}.table-col--33{width:33%}.table-col--34{width:34%}.table-col--35{width:35%}.table-col--36{width:36%}.table-col--37{width:37%}.table-col--38{width:38%}.table-col--39{width:39%}.table-col--40{width:40%}.table-col--41{width:41%}.table-col--42{width:42%}.table-col--43{width:43%}.table-col--44{width:44%}.table-col--45{width:45%}.table-col--46{width:46%}.table-col--47{width:47%}.table-col--48{width:48%}.table-col--49{width:49%}.table-col--50{width:50%}.table-col--51{width:51%}.table-col--52{width:52%}.table-col--53{width:53%}.table-col--54{width:54%}.table-col--55{width:55%}.table-col--56{width:56%}.table-col--57{width:57%}.table-col--58{width:58%}.table-col--59{width:59%}.table-col--60{width:60%}.table-col--61{width:61%}.table-col--62{width:62%}.table-col--63{width:63%}.table-col--64{width:64%}.table-col--65{width:65%}.table-col--66{width:66%}.table-col--67{width:67%}.table-col--68{width:68%}.table-col--69{width:69%}.table-col--70{width:70%}.table-col--71{width:71%}.table-col--72{width:72%}.table-col--73{width:73%}.table-col--74{width:74%}.table-col--75{width:75%}.table-col--76{width:76%}.table-col--77{width:77%}.table-col--78{width:78%}.table-col--79{width:79%}.table-col--80{width:80%}.table-col--81{width:81%}.table-col--82{width:82%}.table-col--83{width:83%}.table-col--84{width:84%}.table-col--85{width:85%}.table-col--86{width:86%}.table-col--87{width:87%}.table-col--88{width:88%}.table-col--89{width:89%}.table-col--90{width:90%}.table-col--91{width:91%}.table-col--92{width:92%}.table-col--93{width:93%}.table-col--94{width:94%}.table-col--95{width:95%}.table-col--96{width:96%}.table-col--97{width:97%}.table-col--98{width:98%}.table-col--99{width:99%}.table-col--100{width:100%}.tabs{display:inline-block}.tabs .tabs__tab{font-size:18px;font-size:1.125rem;display:inline-block;list-style-type:none}.tabs .tabs__tab .tabs__tab-link{color:#888;text-decoration:none;border-bottom:0}.tabs .tabs__tab:hover .tabs__tab-link{border-bottom:3px solid #888}.tabs .tabs__tab:after{content:'';width:1px;display:inline-block;background:#d2d2d2;height:11px;padding:0;margin:0 5px}.tabs .tabs__tab:last-child::after{display:none}.tabs .is-active .tabs__tab-link,.tabs .is-active:hover .tabs__tab-link{border-bottom:3px solid #dd4814}.tooltip{position:relative}.tooltip::before{position:absolute;left:50%;transform:translateX(-50%) translateY(-14px);content:'';width:0;height:0;border-left:5px solid transparent;border-right:5px solid transparent;z-index:-1;border-top:5px solid #333;opacity:0;visibility:hidden;bottom:100%;margin-bottom:-11px}.tooltip::after{content:attr(aria-label);font-size:13px;font-weight:400;line-height:16px;position:absolute;z-index:-1;left:50%;bottom:100%;transform:translateX(-50%) translateY(-8px);background:#333;color:#fff;padding:10px;height:auto;text-indent:0;opacity:0;visibility:hidden;border-radius:5px;box-shadow:0 1px 3px 0 rgba(51,51,51,0.2);white-space:pre;box-sizing:border-box;font-style:normal}.tooltip:hover::after,.tooltip:hover::before{opacity:1 !important;z-index:1000;visibility:visible}.tooltip.tooltip--right::before{border-top:5px solid transparent;border-right:5px solid #333;border-bottom:5px solid transparent;left:100%;bottom:inherit;top:50%;transform:translateX(4px) translateY(-50%)}.tooltip.tooltip--right::after{left:100%;bottom:inherit;top:50%;margin-bottom:-14px;transform:translateX(14px) translateY(-50%)}.tooltip.tooltip--bottom::before{border-top:0;border-right:5px solid transparent;border-bottom:5px solid #333;border-left:5px solid transparent;left:50%;bottom:inherit;top:100%;transform:translateX(-50%) translateY(8px)}.tooltip.tooltip--bottom::after{left:50%;bottom:inherit;top:100%;margin-bottom:0;transform:translateX(-50%) translateY(13px)}.tooltip.tooltip--left::before{border-top:5px solid transparent;border-left:5px solid #333;border-bottom:5px solid transparent;left:-4px;bottom:inherit;top:50%;transform:translateX(-100%) translateY(-50%)}.tooltip.tooltip--left::after{left:-14px;bottom:inherit;top:50%;margin-bottom:-14px;transform:translateX(-100%) translateY(-50%)}.accordion{box-sizing:border-box;border-radius:2px;list-style:none;background:#fff;box-shadow:0 1px 1px rgba(0,0,0,0.1);margin-bottom:40px}.accordion.is-disabled{opacity:.5;pointer-events:none}.accordion .accordion__title{font-size:20px;font-size:1.25rem;border-bottom:1px dotted #b2b2b2;padding:8px 20px 9px;margin:0}.accordion .accordion__tab{border-bottom:1px dotted #b2b2b2}.accordion .accordion__tab:last-of-type{border:0}.accordion .accordion__tab .accordion__tab-title.is-active{background-image:url("../assets/images/forms/chevron_up.svg")}.accordion .accordion__tab .accordion__tab-title.is-active+.accordion__tab-content{max-height:400px;transition:max-height .5s ease-in}.accordion .accordion__tab .accordion__tab-content{max-height:0;transition:max-height .5s ease-out;overflow:hidden;overflow:auto}.accordion .accordion__tab .accordion__tab-content .accordion__tab-list{list-style-type:none;padding:0 20px 14px;margin:0}.accordion .accordion__tab .accordion__tab-content .accordion__tab-list .accordion__tab-item{margin-bottom:.15em}.accordion .accordion__tab .accordion__tab-content .accordion__tab-list .accordion__tab-item .accordion__tab-link{box-sizing:border-box;color:#333;width:100%;display:inline-block;padding-right:20px;border-bottom:0;outline:0}.accordion .accordion__tab .accordion__tab-content .accordion__tab-list .accordion__tab-item .accordion__tab-link:hover{color:#dd4814;text-decoration:none}.disabled .accordion .accordion__tab .accordion__tab-content .accordion__tab-list .accordion__tab-item .accordion__tab-link{color:#333}.accordion .accordion__tab .accordion__tab-content .accordion__tab-list .accordion__tab-item.is-active{margin-bottom:.15em;font-weight:400}.accordion .accordion__tab .accordion__tab-content .accordion__tab-list .accordion__tab-item.is-active .accordion__tab-link{background:transparent url("../assets/images/icons/cross.svg") top 7px right 0 no-repeat;text-decoration:none}.accordion .accordion__tab .accordion__tab-content .accordion__tab-list .accordion__tab-item.is-active:hover{color:#f7f7f7}.accordion .accordion__tab .accordion__tab-content .accordion__tab-list .accordion__tab-item.is-active:hover .accordion__tab-link{color:#dd4814;background-image:url("../assets/images/icons/cross_orange.svg")}.accordion .accordion__tab .accordion__tab-title,.accordion .accordion__tab .accordion__tab-title.is-active{padding:12px 20px;margin:0;color:#888;cursor:pointer;background:transparent url("../assets/images/forms/chevron_down.svg") top 20px right 20px no-repeat}.action-card{background:#fff;box-shadow:0 1px 1px rgba(0,0,0,0.1);margin-bottom:40px;padding:20px 20px 10px;box-sizing:border-box;width:100%;display:inline-block;clear:both}.action-card .action-card__title{font-size:23px;margin-bottom:20px}.action-card .action-card__controls{border-top:1px dotted #888;width:100%;display:inline-block;margin:10px 0 0;padding:10px 0 0;box-sizing:border-box}.banner{background-color:#000}@media only screen and (min-width: 620px){.banner{box-shadow:none}.banner .nav-primary{max-width:none}.banner .nav-primary .logo{height:auto;margin-top:12px}.banner .nav-primary .logo a{border-bottom:0}.banner .nav-primary ul li{border-left:1px solid #333}.banner .nav-primary ul li:last-child{border-right:1px solid #333;border-left:1px solid #333}.banner .nav-primary ul li a,.banner .nav-primary ul li a:link,.banner .nav-primary ul li a:visited{box-sizing:border-box;border-bottom:0;border-left:0}.banner .nav-primary ul li a:hover,.banner .nav-primary ul li a:link:hover,.banner .nav-primary ul li a:visited:hover{background-color:rgba(51,51,51,0.9)}.banner .nav-primary ul li a.active,.banner .nav-primary ul li a:link.active,.banner .nav-primary ul li a:visited.active{background-color:transparent;box-shadow:inset 0px -3px #dd4814}.banner .nav-primary ul li a.active:hover,.banner .nav-primary ul li a:link.active:hover,.banner .nav-primary ul li a:visited.active:hover{background-color:rgba(51,51,51,0.9)}}.page-header{box-sizing:border-box;background:#fff;box-shadow:0 1px 1px rgba(0,0,0,0.1);padding:0 20px;height:auto !important;width:100%;float:left;margin-bottom:20px}.page-header .page-header__title{font-size:32px;font-size:2rem;margin:0;padding:34px 0;display:inline-block}.page-header .page-header__title [contenteditable="true"]{font-size:32px;font-size:2rem;padding:8px 10px;width:auto;box-sizing:border-box;border:1px solid transparent;margin:-20px 0 -20px -10px;border-radius:2px;color:#333;cursor:default;display:inline-block}.page-header .page-header__title [contenteditable="true"].editmode,.page-header .page-header__title [contenteditable="true"].editable:hover{border:1px solid #D2D2D2;cursor:text}.page-header .page-header__title [contenteditable="true"].editmode:hover,.page-header .page-header__title [contenteditable="true"]:active,.page-header .page-header__title [contenteditable="true"]:focus{outline:none;background-color:#fff;border:1px solid #B2B2B2}.page-header .page-header__title [contenteditable="true"].invalid,.page-header .page-header__title [contenteditable="true"].invalid:hover,.page-header .page-header__title [contenteditable="true"].invalid:active,.page-header .page-header__title [contenteditable="true"].invalid:focus{border-color:#df382c}.page-header .page-header__title .page-header__title-dot{display:inline-block;width:auto;padding:0}.page-header .page-header__title .page-header__title-domain{font-size:32px;font-size:2rem;display:inline-block;width:auto;min-height:66px;max-height:66px;line-height:25px;margin:-20px 0;background-position:top 32px right 10px;padding:13px 10px !important}.page-header .page-header__status{font-size:19px;font-size:1.1875rem;width:auto;display:inline-block;position:relative;margin-left:20px;color:#888}.page-header .page-header__status .page-header__status-check{font-size:16px;font-size:1rem;margin-left:10px;color:inherit;border:0}.page-header .page-header__status .page-header__status-check:hover{text-decoration:underline}.page-header .page-header__controls{padding:40px 0;display:inline-block;float:right}.page-header .page-header__controls .page-header__controls-feedback{color:#333;text-decoration:none;border-bottom:1px solid #c2c2c2}.page-header .page-header__controls .page-header__controls-feedback:hover{text-decoration:none;color:#dd4814;cursor:pointer}.page-header .page-header__dropdown{max-height:0;overflow:hidden;-webkit-transition:max-height 0.3s ease;-moz-transition:max-height 0.3s ease;transition:max-height 0.3s ease}.page-header .page-header__dropdown.is-open{max-height:1000px}.page-header .page-header__dropdown .page-header__section{border-top:1px dotted #888;padding-top:20px;padding-bottom:20px}.page-header .page-header__dropdown .page-header__message{width:auto;display:inline-block;float:none;margin:0 20px 0 0;line-height:36px}.page-header .page-header__dropdown .page-header__message--error{background:url("../assets/images/icons/error.svg") no-repeat;background-size:16px 16px;background-position:0 10px;padding-left:25px}.page-header .page-header__dropdown .page-header__message--info{background:url("../assets/images/icons/info.svg") no-repeat;background-size:16px 16px;background-position:0 10px;padding-left:25px}.page-header .page-header__dropdown .page-header__message--warning{background:url("../assets/images/icons/warning.svg") no-repeat;background-size:16px 16px;background-position:0 10px;padding-left:25px}.page-header .page-header__dropdown .page-header__message--success{background:url("../assets/images/icons/success.svg") no-repeat;background-size:16px 16px;background-position:0 10px;padding-left:25px}.page-header .page-header__dropdown .page-header__controls{padding:0;float:right}.search{position:relative}.search .search__input{font-size:16px;font-size:1rem;box-sizing:border-box;border-radius:4px;list-style:none;background:#fff;box-shadow:0 1px 1px rgba(0,0,0,0.1);width:100%;border:0;padding:15px;appearance:textfield}.search .search__input::placeholder{color:#888}.search .search__input::-ms-clear{display:none}.search .search__input::-webkit-search-decoration,.search .search__input::-webkit-search-cancel-button,.search .search__input::-webkit-search-results-button,.search .search__input::-webkit-search-results-decoration{display:none}.search .search__input:disabled,.search .search__input.search--disabled{background-color:#fff;opacity:.5;pointer-events:none}.search .search__input:disabled+.search__submit,.search .search__input.search--disabled+.search__submit{pointer-events:none;opacity:.5}.search .search__submit{position:absolute;top:15px;right:15px;background-color:transparent;background-image:url("../assets/images/icons/magnifying_glass.svg");background-position:center;background-repeat:no-repeat;background-size:20px;text-indent:-999em;display:block;width:20px;height:20px;overflow:hidden;outline:none;padding:0;border:0}.search .search__submit:hover{background-color:transparent;background-image:url("../assets/images/icons/magnifying_glass.svg")}.search .search__submit.search__submit--close{background-image:url("../assets/images/icons/remove.svg");background-size:16px}.u-animation--spin{animation:spin 1s infinite linear !important}.u-animation--pulse{animation:pulse 1s ease-out !important;animation-iteration-count:infinite !important;opacity:0}@keyframes spin{0%{transform:rotate(0deg)}100%{transform:rotate(360deg)}}@keyframes pulse{0%{transform:scale(0.1, 0.1);opacity:0}50%{opacity:1}100%{transform:scale(1.2, 1.2);opacity:0}}.u-border{border:1px dotted #cdcdcd !important}.u-border--top{border-top:1px dotted #cdcdcd !important}.u-border--right{border-right:1px dotted #cdcdcd !important}.u-border--bottom{border-bottom:1px dotted #cdcdcd !important}.u-border--left{border-left:1px dotted #cdcdcd !important}.u-border--dotted{border-style:dotted !important}.u-border--solid{border-style:solid !important}.u-border--dashed{border-style:dashed !important}.u-border--none{border:0 !important}.u-align--right{text-align:right !important}.u-align--left{text-align:left !important}.u-align--center{text-align:center !important}.u-position--relative{position:relative !important}.u-position--fixed{position:fixed !important}.u-position--absolute{position:absolute !important}.u-float--right{float:right !important}.u-float--left{float:left !important}.u-float--none{float:none !important}.u-muted{opacity:.5 !important;filter:alpha(opacity=50) !important}.u-clear{clear:both !important}.u-display--block{display:block !important}.u-display--inline{display:inline !important}.u-display--inline-block{display:inline-block !important}.u-display--hidden{display:none !important}.u-width--full{width:100% !important}.u-width--half{width:50% !important}.u-width--third{width:calc(100%/3) !important}.u-width--quater{width:25% !important}.u-margin{margin:20px}.u-margin--none{margin:0 !important}.u-margin--tiny{margin:5px !important}.u-margin--small{margin:10px !important}.u-margin--medium{margin:30px !important}.u-margin--large{margin:40px !important}.u-margin--huge{margin:80px !important}.u-margin--top{margin-top:20px !important}.u-margin--top-none{margin-top:0 !important}.u-margin--top-tiny{margin-top:5px !important}.u-margin--top-small{margin-top:10px !important}.u-margin--top-medium{margin-top:30px !important}.u-margin--top-large{margin-top:40px !important}.u-margin--top-huge{margin-top:80px !important}.u-margin--right{margin-right:20px !important}.u-margin--right-none{margin-right:0 !important}.u-margin--right-tiny{margin-right:5px !important}.u-margin--right-small{margin-right:10px !important}.u-margin--right-medium{margin-right:30px !important}.u-margin--right-large{margin-right:40px !important}.u-margin--right-huge{margin-right:80px !important}.u-margin--bottom{margin-bottom:20px !important}.u-margin--bottom-none{margin-bottom:0 !important}.u-margin--bottom-tiny{margin-bottom:5px !important}.u-margin--bottom-small{margin-bottom:10px !important}.u-margin--bottom-medium{margin-bottom:30px !important}.u-margin--bottom-large{margin-bottom:40px !important}.u-margin--bottom-huge{margin-bottom:80px !important}.u-margin--left{margin-left:20px !important}.u-margin--left-none{margin-left:0 !important}.u-margin--left-tiny{margin-left:5px !important}.u-margin--left-small{margin-left:10px !important}.u-margin--left-medium{margin-left:30px !important}.u-margin--left-large{margin-left:40px !important}.u-margin--left-huge{margin-left:80px !important}.u-padding{padding:20px}.u-padding--none{padding:0 !important}.u-padding--tiny{padding:5px !important}.u-padding--small{padding:10px !important}.u-padding--medium{padding:30px !important}.u-padding--large{padding:40px !important}.u-padding--huge{padding:80px !important}.u-padding--top{padding-top:20px !important}.u-padding--top-none{padding-top:0 !important}.u-padding--top-tiny{padding-top:5px !important}.u-padding--top-small{padding-top:10px !important}.u-padding--top-medium{padding-top:30px !important}.u-padding--top-large{padding-top:40px !important}.u-padding--top-huge{padding-top:80px !important}.u-padding--right{padding-right:20px !important}.u-padding--right-none{padding-right:0 !important}.u-padding--right-tiny{padding-right:5px !important}.u-padding--right-small{padding-right:10px !important}.u-padding--right-medium{padding-right:30px !important}.u-padding--right-large{padding-right:40px !important}.u-padding--right-huge{padding-right:80px !important}.u-padding--bottom{padding-bottom:20px !important}.u-padding--bottom-none{padding-bottom:0 !important}.u-padding--bottom-tiny{padding-bottom:5px !important}.u-padding--bottom-small{padding-bottom:10px !important}.u-padding--bottom-medium{padding-bottom:30px !important}.u-padding--bottom-large{padding-bottom:40px !important}.u-padding--bottom-huge{padding-bottom:80px !important}.u-padding--left{padding-left:20px !important}.u-padding--left-none{padding-left:0 !important}.u-padding--left-tiny{padding-left:5px !important}.u-padding--left-small{padding-left:10px !important}.u-padding--left-medium{padding-left:30px !important}.u-padding--left-large{padding-left:40px !important}.u-padding--left-huge{padding-left:80px !important}.u-text--subtle{color:#888;font-size:.9375rem}.u-text--error{color:#df382c !important}.u-border--error{border-color:#df382c !important}.u-background--error{background-color:#df382c !important}.has-error{border:1px solid #df382c !important}.has-error:focus{border:1px solid #df382c !important}.u-text--off{color:#d2d2d2 !important}.u-border--off{border-color:#d2d2d2 !important}.u-background--off{background-color:#d2d2d2 !important}.has-off{border:1px solid #d2d2d2 !important}.has-off:focus{border:1px solid #d2d2d2 !important}.u-text--warning{color:#eca918 !important}.u-border--warning{border-color:#eca918 !important}.u-background--warning{background-color:#eca918 !important}.has-warning{border:1px solid #eca918 !important}.has-warning:focus{border:1px solid #eca918 !important}.u-text--success{color:#38b44a !important}.u-border--success{border-color:#38b44a !important}.u-background--success{background-color:#38b44a !important}.has-success{border:1px solid #38b44a !important}.has-success:focus{border:1px solid #38b44a !important}.u-text--on{color:#38b44a !important}.u-border--on{border-color:#38b44a !important}.u-background--on{background-color:#38b44a !important}.has-on{border:1px solid #38b44a !important}.has-on:focus{border:1px solid #38b44a !important}.u-text--information{color:#19b6ee !important}.u-border--information{border-color:#19b6ee !important}.u-background--information{background-color:#19b6ee !important}.has-information{border:1px solid #19b6ee !important}.has-information:focus{border:1px solid #19b6ee !important}.u-text--loading{color:#2ab7ec !important}.u-border--loading{border-color:#2ab7ec !important}.u-background--loading{background-color:#2ab7ec !important}.has-loading{border:1px solid #2ab7ec !important}.has-loading:focus{border:1px solid #2ab7ec !important}.u-vertical-align{position:relative;top:50%;transform:translateY(-50%)}.u-text--truncate{white-space:nowrap;overflow:hidden;text-overflow:ellipsis}.hidden{display:none}.small-icon{width:12px}.images-info{text-align:center;padding:10px}.images-warning{box-sizing:border-box;border-radius:2px;list-style:none;padding:15px 20px 15px 45px;background-repeat:no-repeat;box-shadow:0 1px 1px rgba(0,0,0,0.1);background:#fff url("../assets/images/icons/error.svg") no-repeat;background-size:16px 16px;background-position:15px center;margin-bottom:20px}#loader{width:10px;margin:16px auto 0 auto}#importing{box-sizing:border-box;border-radius:2px;list-style:none;padding:15px;font-size:16px;margin:0 0 20px;background:#fff;background-position:top 50% left 15px;background-repeat:no-repeat;box-shadow:0 1px 1px rgba(0,0,0,0.1)}#importing .spinner{margin-top:-3px}.spinner{width:16px;height:16px;padding:0;border-bottom:0 !important;display:inline-block;vertical-align:middle;text-indent:999em;background:url("../assets/images/icons/loading.png") no-repeat;background-size:100% 100%}.spin{animation:spin 1s infinite linear !important}.importing-dot{opacity:0;-webkit-animation:dot 1.3s infinite;animation:dot 1.3s infinite}.accounts .logout .divide{padding:0 20px 0 30px;display:inline-block}.accounts .api li{position:relative}.accounts .api li input[type='text']{line-height:30px;padding-right:30px;width:100%}.accounts .api li input[type='text']::-webkit-input-placeholder{color:#333}.accounts .api li input[type='text']:-moz-placeholder{color:#333}.accounts .api li input[type='text']::-moz-placeholder{color:#333}.accounts .api li input[type='text']:-ms-input-placeholder{color:#333}.accounts .api li .delete-link{position:absolute;top:13px;right:15px}.script-content{width:100%;overflow:hidden}.script-content .content{margin:20px 0 0}

=== added file 'src/maasserver/static/js/angular/3rdparty/sticky.js'
--- src/maasserver/static/js/angular/3rdparty/sticky.js	1970-01-01 00:00:00 +0000
+++ src/maasserver/static/js/angular/3rdparty/sticky.js	2016-12-02 11:57:31 +0000
@@ -0,0 +1,684 @@
+/**
+ * ngSticky - https://github.com/d-oliveros/ngSticky
+ *
+ * A simple, pure javascript (No jQuery required!) AngularJS directive
+ * to make elements stick when scrolling down.
+ *
+ * Credits: https://github.com/d-oliveros/ngSticky/graphs/contributors
+ */
+(function() {
+  'use strict';
+
+  var module = angular.module('sticky', []);
+
+  /**
+   * Directive: sticky
+   */
+  module.directive('sticky', ['$window', '$timeout', function($window, $timeout) {
+      return {
+        restrict: 'A', // this directive can only be used as an attribute.
+        scope: {
+          disabled: '=disabledSticky'
+        },
+        link: function linkFn($scope, $elem, $attrs) {
+
+          // Initial scope
+          var scrollableNodeTagName = 'sticky-scroll';
+          var initialPosition = $elem.css('position');
+          var initialStyle = $elem.attr('style') || '';
+          var stickyBottomLine = 0;
+          var isSticking = false;
+          var onStickyHeighUnbind;
+          var originalInitialCSS;
+          var originalOffset;
+          var placeholder;
+          var stickyLine;
+          var initialCSS;
+
+          // Optional Classes
+          var stickyClass = $attrs.stickyClass || '';
+          var unstickyClass = $attrs.unstickyClass || '';
+          var bodyClass = $attrs.bodyClass || '';
+          var bottomClass = $attrs.bottomClass || '';
+
+          // Find scrollbar
+          var scrollbar = deriveScrollingViewport ($elem);
+
+          // Define elements
+          var windowElement = angular.element($window);
+          var scrollbarElement = angular.element(scrollbar);
+          var $body = angular.element(document.body);
+
+          // Resize callback
+          var $onResize = function () {
+            if ($scope.$root && !$scope.$root.$$phase) {
+              $scope.$apply(onResize);
+            } else {
+              onResize();
+            }
+          };
+
+          // Define options
+          var usePlaceholder = ($attrs.usePlaceholder !== 'false');
+          var anchor = $attrs.anchor === 'bottom' ? 'bottom' : 'top';
+          var confine = ($attrs.confine === 'true');
+
+          // flag: can react to recalculating the initial CSS dimensions later
+          // as link executes prematurely. defaults to immediate checking
+          var isStickyLayoutDeferred = $attrs.isStickyLayoutDeferred !== undefined
+            ? ($attrs.isStickyLayoutDeferred === 'true')
+            : false;
+
+          // flag: is sticky content constantly observed for changes.
+          // Should be true if content uses ngBind to show text
+          // that may vary in size over time
+          var isStickyLayoutWatched = $attrs.isStickyLayoutWatched !== undefined
+          ? ($attrs.isStickyLayoutWatched === 'true')
+          : true;
+
+
+          var offset = $attrs.offset
+            ? parseInt ($attrs.offset.replace(/px;?/, ''))
+            : 0;
+
+          /**
+           * Trigger to initialize the sticky
+           * Because of the `timeout()` method for the call of
+           * @type {Boolean}
+           */
+          var shouldInitialize = true;
+
+          /**
+           * Initialize Sticky
+           */
+          function initSticky() {
+
+            if (shouldInitialize) {
+
+              // Listeners
+              scrollbarElement.on('scroll', checkIfShouldStick);
+              windowElement.on('resize', $onResize);
+
+              memorizeDimensions(); // remember sticky's layout dimensions
+
+              // Setup watcher on digest and change
+              $scope.$watch(onDigest, onChange);
+
+              // Clean up
+              $scope.$on('$destroy', onDestroy);
+              shouldInitialize = false;
+            }
+          };
+
+          /**
+           * need to recall sticky's DOM attributes (make sure layout has occured)
+           */
+          function memorizeDimensions() {
+            // immediate assignment, but there is the potential for wrong values if content not ready
+            initialCSS = $scope.getInitialDimensions();
+
+            // option to calculate the dimensions when layout is 'ready'
+            if (isStickyLayoutDeferred) {
+
+              // logic: when this directive link() runs before the content has had a chance to layout on browser, height could be 0
+              if (!$elem[0].getBoundingClientRect().height) {
+
+                onStickyHeighUnbind = $scope.$watch(
+                    function() {
+                      return $elem.height();
+                    },
+
+                    // state change: sticky content's height set
+                    function onStickyContentLayoutInitialHeightSet(newValue, oldValue) {
+                      if (newValue > 0) {
+                        // now can memorize
+                        initialCSS = $scope.getInitialDimensions();
+
+                        if (!isStickyLayoutWatched) {
+                          // preference was to do just a one-time async watch on the sticky's content; now stop watching
+                          onStickyHeighUnbind();
+                        }
+                      }
+                    }
+               );
+              }
+            }
+          }
+
+          /**
+           * Determine if the element should be sticking or not.
+           */
+          var checkIfShouldStick = function() {
+            if ($scope.disabled === true || mediaQueryMatches()) {
+              if (isSticking) unStickElement();
+              return false;
+            }
+
+            // What's the document client top for?
+            var scrollbarPosition = scrollbarYPos();
+            var shouldStick;
+
+            if (anchor === 'top') {
+              if (confine === true) {
+                shouldStick = scrollbarPosition > stickyLine && scrollbarPosition <= stickyBottomLine;
+              } else {
+                shouldStick = scrollbarPosition > stickyLine;
+              }
+            } else {
+              shouldStick = scrollbarPosition <= stickyLine;
+            }
+
+            // Switch the sticky mode if the element crosses the sticky line
+            // $attrs.stickLimit - when it's equal to true it enables the user
+            // to turn off the sticky function when the elem height is
+            // bigger then the viewport
+            var closestLine = getClosest (scrollbarPosition, stickyLine, stickyBottomLine);
+
+            if (shouldStick && !shouldStickWithLimit ($attrs.stickLimit) && !isSticking) {
+              stickElement (closestLine);
+            } else if (!shouldStick && isSticking) {
+              unStickElement(closestLine, scrollbarPosition);
+            } else if (confine && !shouldStick) {
+              // If we are confined to the parent, refresh, and past the stickyBottomLine
+              // We should 'remember' the original offset and unstick the element which places it at the stickyBottomLine
+              originalOffset = elementsOffsetFromTop ($elem[0]);
+              unStickElement (closestLine, scrollbarPosition);
+            }
+          };
+
+          /**
+           * determine the respective node that handles scrolling, defaulting to browser window
+           */
+          function deriveScrollingViewport(stickyNode) {
+            // derive relevant scrolling by ascending the DOM tree
+            var match =findAncestorTag (scrollableNodeTagName, stickyNode);
+            return (match.length === 1) ? match[0] : $window;
+          }
+
+          /**
+           * since jqLite lacks closest(), this is a pseudo emulator (by tag name)
+           */
+          function findAncestorTag(tag, context) {
+            var m = []; // nodelist container
+            var n = context.parent(); // starting point
+            var p;
+
+            do {
+              var node = n[0]; // break out of jqLite
+              // limit DOM territory
+              if (node.nodeType !== 1) {
+                break;
+              }
+
+              // success
+              if (node.tagName.toUpperCase() === tag.toUpperCase()) {
+                return n;
+              }
+
+              p = n.parent();
+              n = p; // set to parent
+            } while (p.length !== 0);
+
+            return m; // empty set
+          }
+
+          /**
+           * Seems to be undocumented functionality
+           */
+          function shouldStickWithLimit(shouldApplyWithLimit) {
+            return shouldApplyWithLimit === 'true'
+              ? ($window.innerHeight - ($elem[0].offsetHeight + parseInt(offset)) < 0)
+              : false;
+          }
+
+          /**
+           * Finds the closest value from a set of numbers in an array.
+           */
+          function getClosest(scrollTop, stickyLine, stickyBottomLine) {
+            var closest = 'top';
+            var topDistance = Math.abs(scrollTop - stickyLine);
+            var bottomDistance = Math.abs(scrollTop - stickyBottomLine);
+
+            if (topDistance > bottomDistance) {
+              closest = 'bottom';
+            }
+
+            return closest;
+          }
+
+          /**
+           * Unsticks the element
+           */
+          function unStickElement(fromDirection) {
+            if (initialStyle) {
+              $elem.attr('style', initialStyle);
+            }
+            isSticking = false;
+
+            initialCSS.width = $scope.getInitialDimensions().width;
+
+            $body.removeClass(bodyClass);
+            $elem.removeClass(stickyClass);
+            $elem.addClass(unstickyClass);
+
+            if (fromDirection === 'top') {
+              $elem.removeClass(bottomClass);
+
+              $elem
+                .css('z-index', 10)
+                .css('width', initialCSS.width)
+                .css('top', initialCSS.top)
+                .css('position', initialCSS.position)
+                .css('left', initialCSS.cssLeft)
+                .css('margin-top', initialCSS.marginTop)
+                .css('height', initialCSS.height);
+            } else if (fromDirection === 'bottom' && confine === true) {
+              $elem.addClass(bottomClass);
+
+              // It's possible to page down page and skip the 'stickElement'.
+              // In that case we should create a placeholder so the offsets don't get off.
+              createPlaceholder();
+
+              $elem
+                .css('z-index', 10)
+                .css('width', initialCSS.width)
+                .css('top', '')
+                .css('bottom', 0)
+                .css('position', 'absolute')
+                .css('left', initialCSS.cssLeft)
+                .css('margin-top', initialCSS.marginTop)
+                .css('margin-bottom', initialCSS.marginBottom)
+                .css('height', initialCSS.height);
+            }
+
+            if (placeholder && fromDirection === anchor) {
+              placeholder.remove();
+            }
+          }
+
+          /**
+           * Sticks the element
+           */
+          function stickElement(closestLine) {
+            // Set sticky state
+            isSticking = true;
+            $timeout(function() {
+              initialCSS.offsetWidth = $elem[0].offsetWidth;
+            }, 0);
+            $body.addClass(bodyClass);
+            $elem.removeClass(unstickyClass);
+            $elem.removeClass(bottomClass);
+            $elem.addClass(stickyClass);
+
+            createPlaceholder();
+
+            $elem
+              .css('z-index', '10')
+              .css('width', $elem[0].offsetWidth + 'px')
+              .css('position', 'fixed')
+              .css('left', $elem.css('left').replace('px', '') + 'px')
+              .css(anchor, (offset + elementsOffsetFromTop (scrollbar)) + 'px')
+              .css('margin-top', 0);
+
+            if (anchor === 'bottom') {
+              $elem.css('margin-bottom', 0);
+            }
+          }
+
+          /**
+           * Clean up directive
+           */
+          var onDestroy = function() {
+            scrollbarElement.off('scroll', checkIfShouldStick);
+            windowElement.off('resize', $onResize);
+
+            $onResize = null;
+
+            $body.removeClass(bodyClass);
+
+            if (placeholder) {
+              placeholder.remove();
+            }
+          };
+
+          /**
+           * Updates on resize.
+           */
+          function onResize() {
+            unStickElement (anchor);
+            checkIfShouldStick();
+          }
+
+          /**
+           * Triggered on load / digest cycle
+           * return `0` if the DOM element is hidden
+           */
+          var onDigest = function() {
+            if ($scope.disabled === true) {
+              return unStickElement();
+            }
+            var offsetFromTop = elementsOffsetFromTop ($elem[0]);
+            if (offsetFromTop === 0) {
+              return offsetFromTop;
+            }
+            if (anchor === 'top') {
+              return (originalOffset || offsetFromTop) - elementsOffsetFromTop (scrollbar) + scrollbarYPos();
+            } else {
+              return offsetFromTop - scrollbarHeight() + $elem[0].offsetHeight + scrollbarYPos();
+            }
+          };
+
+          /**
+           * Triggered on change
+           */
+          var onChange = function (newVal, oldVal) {
+
+            /**
+             * Indicate if the DOM element is showed, or not
+             * @type {boolean}
+             */
+            var elemIsShowed = !!newVal;
+
+            /**
+             * Indicate if the DOM element was showed, or not
+             * @type {boolean}
+             */
+            var elemWasHidden = !oldVal;
+            var valChange = (newVal !== oldVal || typeof stickyLine === 'undefined');
+            var notSticking = (!isSticking && !isBottomedOut());
+
+            if (valChange && notSticking && newVal > 0 && elemIsShowed) {
+              stickyLine = newVal - offset;
+              //Update dimensions of sticky element when is showed
+              if (elemIsShowed && elemWasHidden) {
+                $scope.updateStickyContentUpdateDimensions($elem[0].offsetWidth, $elem[0].offsetHeight);
+              }
+              // IF the sticky is confined, we want to make sure the parent is relatively positioned,
+              // otherwise it won't bottom out properly
+              if (confine) {
+                $elem.parent().css({
+                  'position': 'relative'
+                });
+              }
+
+              // Get Parent height, so we know when to bottom out for confined stickies
+              var parent = $elem.parent()[0];
+
+              // Offset parent height by the elements height, if we're not using a placeholder
+              var parentHeight = parseInt (parent.offsetHeight) - (usePlaceholder ? 0 : $elem[0].offsetHeight);
+
+              // and now lets ensure we adhere to the bottom margins
+              // TODO: make this an attribute? Maybe like ignore-margin?
+              var marginBottom = parseInt ($elem.css('margin-bottom').replace(/px;?/, '')) || 0;
+
+              // specify the bottom out line for the sticky to unstick
+              var elementsDistanceFromTop = elementsOffsetFromTop ($elem[0]);
+              var parentsDistanceFromTop = elementsOffsetFromTop (parent)
+              var scrollbarDistanceFromTop = elementsOffsetFromTop (scrollbar);
+
+              var elementsDistanceFromScrollbarStart = elementsDistanceFromTop - scrollbarDistanceFromTop;
+              var elementsDistanceFromBottom = parentsDistanceFromTop + parentHeight - elementsDistanceFromTop;
+
+              stickyBottomLine = elementsDistanceFromScrollbarStart
+                + elementsDistanceFromBottom
+                - $elem[0].offsetHeight
+                - marginBottom
+                - offset
+                + +scrollbarYPos();
+
+              checkIfShouldStick();
+            }
+          };
+
+          /**
+           * Helper Functions
+           */
+
+          /**
+           * Create a placeholder
+           */
+          function createPlaceholder() {
+            if (usePlaceholder) {
+              // Remove the previous placeholder
+              if (placeholder) {
+                placeholder.remove();
+              }
+
+              placeholder = angular.element('<div>');
+              var elementsHeight = $elem[0].offsetHeight;
+              var computedStyle = $elem[0].currentStyle || window.getComputedStyle($elem[0]);
+              elementsHeight += parseInt(computedStyle.marginTop, 10);
+              elementsHeight += parseInt(computedStyle.marginBottom, 10);
+              elementsHeight += parseInt(computedStyle.borderTopWidth, 10);
+              elementsHeight += parseInt(computedStyle.borderBottomWidth, 10);
+              placeholder.css('height', $elem[0].offsetHeight + 'px');
+
+              $elem.after(placeholder);
+            }
+          }
+
+          /**
+           * Are we bottomed out of the parent element?
+           */
+          function isBottomedOut() {
+            if (confine && scrollbarYPos() > stickyBottomLine) {
+              return true;
+            }
+
+            return false;
+          }
+
+          /**
+           * Fetch top offset of element
+           */
+          function elementsOffsetFromTop(element) {
+            var offset = 0;
+
+            if (element.getBoundingClientRect) {
+              offset = element.getBoundingClientRect().top;
+            }
+
+            return offset;
+          }
+
+          /**
+           * Retrieves top scroll distance
+           */
+          function scrollbarYPos() {
+            var position;
+
+            if (typeof scrollbar.scrollTop !== 'undefined') {
+              position = scrollbar.scrollTop;
+            } else if (typeof scrollbar.pageYOffset !== 'undefined') {
+              position = scrollbar.pageYOffset;
+            } else {
+              position = document.documentElement.scrollTop;
+            }
+
+            return position;
+          }
+
+          /**
+           * Determine scrollbar's height
+           */
+          function scrollbarHeight() {
+            var height;
+
+            if (scrollbarElement[0] instanceof HTMLElement) {
+              // isn't bounding client rect cleaner than insane regex mess?
+              height = $window.getComputedStyle(scrollbarElement[0], null)
+                  .getPropertyValue('height')
+                  .replace(/px;?/, '');
+            } else {
+              height = $window.innerHeight;
+            }
+
+            return parseInt (height) || 0;
+          }
+
+          /**
+           * Checks if the media matches
+           */
+          function mediaQueryMatches() {
+            var mediaQuery = $attrs.mediaQuery || false;
+            var matchMedia = $window.matchMedia;
+
+            return mediaQuery && !(matchMedia ('(' + mediaQuery + ')').matches || matchMedia (mediaQuery).matches);
+          }
+
+          /**
+           * Get more accurate CSS values
+           */
+          function getCSS($el, prop){
+            var el = $el[0],
+                computed = window.getComputedStyle(el),
+                prevDisplay = computed.display,
+                val;
+
+            // hide the element so that we can get original css
+            // values instead of computed values
+            el.style.display = "none";
+
+            // NOTE - computed style declaration object is a reference
+            // to the element's CSSStyleDeclaration, so it will always
+            // reflect the current style of the element
+            val = computed[prop];
+
+            // restore previous display value
+            el.style.display = prevDisplay;
+
+            return val;
+          }
+
+          // public accessors for the controller to hitch into. Helps with external API access
+          $scope.getElement = function() { return $elem; };
+          $scope.getScrollbar = function() { return scrollbar; };
+          $scope.getInitialCSS = function() { return initialCSS; };
+          $scope.getAnchor = function() { return anchor; };
+          $scope.isSticking = function() { return isSticking; };
+          $scope.getOriginalInitialCSS = function() { return originalInitialCSS; };
+          // pass through aliases
+          $scope.processUnStickElement = function(anchor) { unStickElement(anchor)};
+          $scope.processCheckIfShouldStick =function() { checkIfShouldStick(); };
+
+          /**
+           * set the dimensions for the defaults of the content block occupied by the sticky element
+           */
+          $scope.getInitialDimensions = function() {
+            return {
+              zIndex: $elem.css('z-index'),
+              top: $elem.css('top'),
+              position: initialPosition, // revert to true initial state
+              marginTop: $elem.css('margin-top'),
+              marginBottom: $elem.css('margin-bottom'),
+              cssLeft: getCSS($elem, 'left'),
+              width: $elem[0].offsetWidth,
+              height: $elem.css('height')
+            };
+          };
+
+          /**
+           * only change content box dimensions
+           */
+          $scope.updateStickyContentUpdateDimensions = function(width, height) {
+            if (width && height) {
+              initSticky();
+              initialCSS.width = width + 'px';
+              initialCSS.height = height + 'px';
+            }
+          };
+
+          // ----------- configuration -----------
+
+          $timeout(function() {
+            originalInitialCSS = $scope.getInitialDimensions(); // preserve a copy
+            // Init the directive
+            initSticky();
+          },0);
+        },
+
+        /**
+         * +++++++++ public APIs+++++++++++++
+         */
+        controller: ['$scope', '$window', function($scope, $window) {
+
+          /**
+           * integration method allows for an outside client to reset the pinned state back to unpinned.
+           * Useful for when refreshing the scrollable DIV content completely
+           * if newWidth and newHeight integer values are not supplied then function will make a best guess
+           */
+          this.resetLayout = function(newWidth, newHeight) {
+
+            var scrollbar = $scope.getScrollbar(),
+                initialCSS = $scope.getInitialCSS(),
+                anchor = $scope.getAnchor();
+
+            function _resetScrollPosition() {
+
+              // reset means content is scrolled to anchor position
+              if (anchor === 'top') {
+                // window based scroller
+                if (scrollbar === $window) {
+                  $window.scrollTo(0, 0);
+                  // DIV based sticky scroller
+                } else {
+                  if (scrollbar.scrollTop > 0) {
+                    scrollbar.scrollTop = 0;
+                  }
+                }
+              }
+              // todo: need bottom use case
+            }
+
+            // only if pinned, force unpinning, otherwise height is inadvertently reset to 0
+            if ($scope.isSticking()) {
+              $scope.processUnStickElement (anchor);
+              $scope.processCheckIfShouldStick();
+            }
+            // remove layout-affecting attribures that were modified by this sticky
+            $scope.getElement().css({ 'width': '', 'height': '', 'position': '', 'top': '', zIndex: '' });
+            // model resets
+            initialCSS.position = $scope.getOriginalInitialCSS().position; // revert to original state
+            delete initialCSS.offsetWidth; // stickElement affected
+
+            // use this directive element's as default, if no measurements passed in
+            if (newWidth === undefined && newHeight === undefined) {
+              var e_bcr = $scope.getElement()[0].getBoundingClientRect();
+              newWidth = e_bcr.width;
+              newHeight = e_bcr.height;
+            }
+
+            // update model with new dimensions (if supplied from client's own measurement)
+            $scope.updateStickyContentUpdateDimensions(newWidth, newHeight); // update layout dimensions only
+
+            _resetScrollPosition();
+          };
+
+          /**
+           * return a reference to the scrolling element (window or DIV with overflow)
+           */
+          this.getScrollbar = function() {
+            return $scope.getScrollbar();
+          };
+        }]
+      };
+    }]
+ );
+
+  // Shiv: matchMedia
+  window.matchMedia = window.matchMedia || (function() {
+      var warning = 'angular-sticky: This browser does not support ' +
+        'matchMedia, therefore the minWidth option will not work on ' +
+        'this browser. Polyfill matchMedia to fix this issue.';
+
+      if (window.console && console.warn) {
+        console.warn(warning);
+      }
+
+      return function() {
+        return {
+          matches: true
+        };
+      };
+    }());
+}());

=== modified file 'src/maasserver/static/js/angular/controllers/dashboard.js'
--- src/maasserver/static/js/angular/controllers/dashboard.js	2016-09-27 00:47:54 +0000
+++ src/maasserver/static/js/angular/controllers/dashboard.js	2016-12-07 12:59:10 +0000
@@ -26,7 +26,7 @@
         $rootScope.page = "dashboard";
 
         // Set initial values.
-        $scope.loading = true;
+        $scope.loaded = false;
         $scope.discoveredDevices = DiscoveriesManager.getItems();
         $scope.domains = DomainsManager.getItems();
         $scope.machines = MachinesManager.getItems();
@@ -155,7 +155,7 @@
             DiscoveriesManager, DomainsManager, MachinesManager,
             DevicesManager, SubnetsManager, VLANsManager, ConfigsManager]).then(
             function() {
-                $scope.loading = false;
+                $scope.loaded = true;
                 $scope.networkDiscovery = ConfigsManager.getItemFromList(
                     'network_discovery');
             });

=== modified file 'src/maasserver/static/js/angular/controllers/tests/test_dashboard.js'
--- src/maasserver/static/js/angular/controllers/tests/test_dashboard.js	2016-10-05 15:17:51 +0000
+++ src/maasserver/static/js/angular/controllers/tests/test_dashboard.js	2016-12-07 12:59:10 +0000
@@ -76,7 +76,7 @@
 
     it("sets initial $scope", function() {
         var controller = makeController();
-        expect($scope.loading).toBe(true);
+        expect($scope.loaded).toBe(false);
         expect($scope.discoveredDevices).toBe(DiscoveriesManager.getItems());
         expect($scope.domains).toBe(DomainsManager.getItems());
         expect($scope.machines).toBe(MachinesManager.getItems());

=== modified file 'src/maasserver/static/js/angular/directives/boot_images.js'
--- src/maasserver/static/js/angular/directives/boot_images.js	2016-10-12 15:26:17 +0000
+++ src/maasserver/static/js/angular/directives/boot_images.js	2016-12-07 12:59:10 +0000
@@ -93,7 +93,7 @@
                 // Return the overall title icon.
                 $scope.getTitleIcon = function() {
                     if($scope.bootResources.resources.length === 0) {
-                        return 'icon--error';
+                        return 'icon--success-grey';
                     } else {
                         return 'icon--success';
                     }

=== modified file 'src/maasserver/static/js/angular/directives/error_overlay.js'
--- src/maasserver/static/js/angular/directives/error_overlay.js	2016-09-26 12:46:13 +0000
+++ src/maasserver/static/js/angular/directives/error_overlay.js	2016-12-07 12:59:10 +0000
@@ -48,7 +48,7 @@
     // continuously.
     if(!angular.isDefined(window.jasmine)) {
         var image = new Image();
-        image.src = "static/assets/images/icons/error_colour_white.svg";
+        image.src = "static/assets/images/icons/error.svg";
         image = new Image();
         image.src = "static/assets/images/icons/error.png";
     }

=== modified file 'src/maasserver/static/js/angular/directives/maas_obj_form.js'
--- src/maasserver/static/js/angular/directives/maas_obj_form.js	2016-09-27 22:54:30 +0000
+++ src/maasserver/static/js/angular/directives/maas_obj_form.js	2016-12-07 12:59:10 +0000
@@ -497,6 +497,10 @@
                     } else {
                         labelElement.addClass("u-margin--right");
                     }
+                    if(attrs.labelLeft === "true") {
+                        labelElement.addClass('u-padding--left');
+                        labelElement.addClass('u-position--relative');
+                    }
                     element.append(labelElement);
 
                     // Add a label info icon with tooltip.
@@ -506,10 +510,17 @@
                         infoElement.addClass('icon');
                         infoElement.addClass('icon--info');
                         infoElement.addClass('tooltip');
+                        infoElement.addClass('u-margin--left-tiny');
+                        if(attrs.labelLeft === "true") {
+                          infoElement.addClass('icon--left');
+                          infoElement.removeClass('u-margin--left-tiny');
+                        }
                         infoElement.attr('aria-label', attrs.labelInfo);
                         labelElement.text(labelElement.text() + ' ');
                         labelElement.append(infoElement);
                     }
+
+
                 }
 
                 // Add the wrapper for the input.

=== modified file 'src/maasserver/static/js/angular/directives/tests/test_boot_images.js'
--- src/maasserver/static/js/angular/directives/tests/test_boot_images.js	2016-10-12 15:26:17 +0000
+++ src/maasserver/static/js/angular/directives/tests/test_boot_images.js	2016-12-07 12:59:10 +0000
@@ -184,7 +184,7 @@
             var directive = compileDirective();
             var scope = directive.isolateScope();
             BootResourcesManager._data.resources = [];
-            expect(scope.getTitleIcon()).toBe('icon--error');
+            expect(scope.getTitleIcon()).toBe('icon--success-grey');
         });
 
         it("returns success when resources", function() {

=== modified file 'src/maasserver/static/js/angular/directives/tests/test_maas_obj_form.js'
--- src/maasserver/static/js/angular/directives/tests/test_maas_obj_form.js	2016-09-27 14:24:19 +0000
+++ src/maasserver/static/js/angular/directives/tests/test_maas_obj_form.js	2016-12-07 12:59:10 +0000
@@ -957,6 +957,35 @@
         });
     });
 
+    describe("labelLeft", function() {
+
+        var directive;
+        beforeEach(function() {
+            $scope.obj = {};
+            $scope.manager = {};
+            var html = [
+                '<maas-obj-form obj="obj" manager="manager">',
+                    '<maas-obj-field type="text" key="key" ' +
+                        'label-info="My Info" ' +
+                        'label-left="true"></maas-obj-field>',
+                    '</maas-obj-field>',
+                '</maas-obj-form>'
+                ].join('');
+            directive = compileDirective(html);
+        });
+
+        it("icon add with tooltip added in label", function() {
+            var label = directive.find("label");
+            var icon = label.find("i");
+            expect(label.text()).toBe("key ");
+            expect(icon.hasClass("icon")).toBe(true);
+            expect(icon.hasClass("icon--info")).toBe(true);
+            expect(icon.hasClass("icon--left")).toBe(true);
+            expect(icon.hasClass("tooltip")).toBe(true);
+            expect(icon.attr('aria-label')).toBe("My Info");
+        });
+    });
+
     describe("inputClass", function() {
 
         var directive;

=== modified file 'src/maasserver/static/js/angular/maas.js'
--- src/maasserver/static/js/angular/maas.js	2016-10-12 15:26:17 +0000
+++ src/maasserver/static/js/angular/maas.js	2016-12-07 12:59:10 +0000
@@ -8,7 +8,8 @@
  * conflicts with Django templates.
  */
 
-angular.module('MAAS', ['ngRoute', 'ngCookies', 'ngTagsInput']).config(
+angular.module('MAAS',
+    ['ngRoute', 'ngCookies', 'ngTagsInput', 'sticky']).config(
     function($interpolateProvider, $routeProvider, $httpProvider) {
         $interpolateProvider.startSymbol('{$');
         $interpolateProvider.endSymbol('$}');

=== modified file 'src/maasserver/static/partials/boot-images.html'
--- src/maasserver/static/partials/boot-images.html	2016-10-17 20:17:10 +0000
+++ src/maasserver/static/partials/boot-images.html	2016-12-07 12:59:10 +0000
@@ -2,7 +2,7 @@
 <div data-ng-class="{ 'action-card': design === 'action-card', 'row u-padding--top-large': design === 'page' }" data-ng-if="!loading">
     <div data-ng-class="{ 'wrapper--inner': design === 'page' }">
         <h2 data-ng-class="{ 'action-card__title': design === 'action-card' }">
-            <i data-ng-if="design === 'action-card'" class="icon icon--large {$ getTitleIcon() $}"></i> Ubuntu
+            <i data-ng-if="design === 'action-card'" class="icon icon--large u-margin--right-tiny {$ getTitleIcon() $}"></i> Ubuntu
         </h2>
         <div data-ng-class="{ 'action-card__controls': design === 'action-card' }">
             <p class="u-margin--top-small u-margin--bottom-small" data-ng-if="isSuperUser() && !source.tooMany">

=== modified file 'src/maasserver/static/partials/dashboard.html'
--- src/maasserver/static/partials/dashboard.html	2016-10-26 00:24:18 +0000
+++ src/maasserver/static/partials/dashboard.html	2016-12-07 12:59:10 +0000
@@ -1,195 +1,205 @@
-<section class="row">
-    <div class="wrapper--inner">
-        <h1>Getting started</h1>
-        <ul>
-            <li>
-                <strong>Nodes:</strong> add, configure, deploy and commission machines. <a href="#/nodes">Manage nodes</a>
-            </li>
-            <li>
-                <strong>Images:</strong> edit your preferences and import alternatives. <a href="#/images">Edit images</a>
-            </li>
-            <li>
-                <strong>Networking:</strong> configure and edit fabrics and spaces, subnets and vlans. <a href="#/networks?by=fabric">Configure networking</a>
-            </li>
-            <li>Review the list below to add devices to MAAS.</li>
-        </ul>
-    </div>
-</section>
-<section class="row" data-ng-if="!loading">
-    <div class="wrapper--inner">
-        <div class="eight-col">
-            <h2>{$ discoveredDevices.length $} items discovered</h2>
+<div data-ng-hide="loaded">
+    <header class="page-header" sticky>
+        <div class="wrapper--inner">
+            <h1 class="page-header__title">Device discovery</h1>
+            <p class="page-header__status">
+                <span class="u-text--loading"><i class="icon u-margin--right-tiny icon--loading u-animation--spin"></i>Searching network for devices&hellip;</span>
+            </p>
         </div>
-        <div class="four-col last-col">
-            <div class="u-float--right" data-ng-if="networkDiscovery">
+    </header>
+    <section class="row">
+      <div class="wrapper--inner">
+          <div class="twelve-col">
+              <table>
+                  <thead>
+                      <tr>
+                          <th class="table-col--37">Name</th>
+                          <th class="table-col--15">Mac address</th>
+                          <th class="table-col--13">IP</th>
+                          <th class="table-col--15">Rack</th>
+                          <th class="table-col--20">Last seen</th>
+                      </tr>
+                  </thead>
+                  <tbody>
+                      <tr>
+                          <td colspan="5">
+                              No new discoveries
+                          </td>
+                      </tr>
+                  </tbody>
+              </table>
+          </div>
+      </div>
+    </section>
+</div>
+<div class="ng-hide" data-ng-show="loaded">
+    <header class="page-header" sticky>
+        <div class="wrapper--inner">
+            <h1 class="page-header__title">Device discovery</h1>
+            <p class="page-header__status" >{$ discoveredDevices.length $} items discovered</p>
+            <div class="page-header__controls" data-ng-if="networkDiscovery">
                 <maas-obj-form obj="networkDiscovery" manager="configManager" inline="true">
-                    <maas-obj-field type="onoffswitch" key="value" label="Device discovery"
-			on-value="enabled" off-value="disabled" subtle="false"
-			label-info="When enabled, MAAS will use passive techniques, such as listening to&#xa; ARP requests and mDNS advertisements, to observe networks attached&#xa; to rack controllers. Active subnet mapping can also be enabled in the&#xa; Device Discovery section of the Settings page."></maas-obj-field>
+                    <maas-obj-field type="onoffswitch" key="value" label="Discovery enabled"
+      on-value="enabled" off-value="disabled" subtle="true" label-left="true"
+      label-info="When enabled, MAAS will use passive techniques, such as listening to&#xa; ARP requests and DNS advertisements, to observe networks attached&#xa; to rack controllers. Active subnet mapping can also be enabled in the&#xa; Device Discovery section of the Settings page."></maas-obj-field>
                 </maas-obj-form>
             </div>
-        </div>
-        <ul class="flash-messages u-padding--bottom" data-ng-if="networkDiscovery.value === 'disabled'">
-            <li class="flash-messages__item flash-messages__item--warning">List of devices will not update as discovery is turned off</li>
-        </ul>
-        <div class="twelve-col">
-            <div class="table">
-                <header class="table__head">
-                    <div class="table__row">
-                        <div class="table__header table-col--37">Name</div>
-                        <div class="table__header table-col--15">
-                            <a class="table__header-link"
-                               data-ng-click="column = 'mac'"
-                               data-ng-class="{'is-active': column === 'mac'}">Mac</a>
-                            <span class="divide"></span>
-                            <a class="table__header-link"
-                               data-ng-click="column = 'manufacturer'"
-                               data-ng-class="{'is-active': column === 'manufacturer'}">Manufacturer</a>
-                        </div>
-                        <div class="table__header table-col--13">IP</div>
-                        <div class="table__header table-col--15">Rack</div>
-                        <div class="table__header table-col--20">Last seen</div>
-                    </div>
-                </header>
-                <div class="table__body">
-                    <div class="table__row table--success" data-ng-if="convertTo.saved">
-                        <div class="table__data table-col--97">
-                            <i class="icon icon--success"></i> {$ convertTo.hostname $} has been add to {$ site $}.
-                            <a href="#/node/{$ convertTo.parent $}" data-ng-if="convertTo.parent">Go to the machine devices page.</a>
-                            <a href="#/nodes/?tab=devices" data-ng-if="!convertTo.parent">Go to the device listing.</a>
-                        </div>
-                        <div class="table__data table-col--3">
-                            <i class="icon icon--cross tooltip" aria-label="Clear"
-                                data-ng-click="convertTo.saved = false">Clear</i>
-                        </div>
-                    </div>
-                    <div class="table__row" data-ng-if="!discoveredDevices.length">
-                        <div class="table__data table-col--100">
-                            No new discoveries...
-                        </div>
-                    </div>
-                    <div class="table__row"
-                        data-ng-repeat="discovery in discoveredDevices | orderBy:'-last_seen' track by discovery.first_seen"
-                        data-ng-class="{'is-active' : discovery.first_seen === selectedDevice}">
-                        <div data-ng-if="discovery.first_seen !== selectedDevice"
-                            data-ng-dblclick="toggleSelected(discovery.first_seen)">
-                            <div class="table__data table-col--37">
-                                {$ getDiscoveryName(discovery) $}
-                                <i data-ng-show="discovery.is_external_dhcp === true" class="icon icon--info tooltip u-margin--left-tiny ng-hide" aria-label="This device is providing DHCP."></i>
-                            </div>
-                            <div class="table__data table-col--15" data-ng-if="column === 'mac'">
-                                {$ discovery.mac_address $}
-                            </div>
-                            <div class="table__data table-col--15" data-ng-if="column === 'manufacturer'">
-                                {$ discovery.mac_organization || 'Unknown' $}
-                            </div>
-                            <div class="table__data table-col--13 u-text--truncate">
-                                {$ discovery.ip $}
-                            </div>
-                            <div class="table__data table-col--15">
-                                {$ discovery.observer_hostname $}
-                            </div>
-                            <div class="table__data table-col--17">
-                                <time>{$ discovery.last_seen $}</time>
-                            </div>
-                            <div class="table__data table-col--3">
-                                <i class="icon icon--open tooltip" aria-label="Open"
-                                    data-ng-click="toggleSelected(discovery.first_seen)">Open</i>
-                            </div>
-                        </div>
-                        <maas-obj-form data-ng-if="discovery.first_seen === selectedDevice"
-                            obj="convertTo" manager="proxyManager" pre-process="preProcess"
-                            after-save="afterSave" table-form="true" save-on-blur="false">
-                            <div class="table__data table-col--20">
-                                <maas-obj-field class="u-margin--bottom-none" type="text" key="hostname"
-                                    disable-label="true" placeholder="Hostname (optional)"></maas-obj-field>
-                            </div>
-                            <div class="table__data table-col--77"></div>
-                            <div class="table__data table-col--3">
-                                <i class="icon icon--close tooltip" aria-label="Close"
-                                    data-ng-click="toggleSelected(discovery.first_seen)">Close</i>
-                            </div>
-                            <div class="table__dropdown">
-                                <div class="table__row is-active">
-                                    <div class="table__data table-col--100">
-                                        <div class="six-col">
-                                            <dl>
-                                                <dt class="two-col">Mac</dt>
-                                                    <dd class="four-col last-col">{$ discovery.mac_address $}</dd>
-                                                <dt class="two-col">IP</dt>
-                                                    <dd class="four-col last-col">{$ discovery.ip $}</dd>
-                                                <dt class="two-col">Rack</dt>
-                                                    <dd class="four-col last-col">{$ discovery.observer_hostname $}</dd>
-                                                <dt class="two-col">Last seen</dt>
-                                                    <dd class="four-col last-col"><time>{$ discovery.last_seen $}</time></dd>
-                                            </dl>
-                                        </div>
-                                        <div class="six-col last-col">
-                                            <dl>
-                                                <dt class="two-col">Fabric</dt>
-                                                    <dd class="four-col last-col">{$ discovery.fabric_name $}</dd>
-                                                <dt class="two-col">VLAN</dt>
-                                                    <dd class="four-col last-col">{$ getVLANName(discovery.vlan) $}</dd>
-                                                <dt class="two-col">Subnet</dt>
-                                                    <dd class="four-col last-col">{$ getSubnetName(discovery.subnet) $}</dd>
-                                            </dl>
+          </div>
+    </header>
+    <section class="row">
+        <div class="wrapper--inner">
+            <ul class="flash-messages u-padding--bottom" data-ng-if="networkDiscovery.value === 'disabled'">
+                <li class="flash-messages__item flash-messages__item--warning">List of devices will not update as discovery is turned off</li>
+            </ul>
+            <div class="twelve-col">
+                <div class="table" >
+                    <header class="table__head" sticky sticky-class="table__head--sticky" offset="116">
+                        <div class="table__row">
+                            <div class="table__header table-col--37">Name</div>
+                            <div class="table__header table-col--15">Mac address</div>
+                            <div class="table__header table-col--13">IP</div>
+                            <div class="table__header table-col--15">Rack</div>
+                            <div class="table__header table-col--20">Last seen</div>
+                        </div>
+                    </header>
+                    <div class="table__body">
+                        <div class="table__row table--success" data-ng-if="convertTo.saved">
+                            <div class="table__data table-col--97">
+                                <i class="icon icon--success"></i> {$ convertTo.hostname $} has been add to {$ site $}.
+                                <a href="#/node/{$ convertTo.parent $}" data-ng-if="convertTo.parent">Go to the machine devices page.</a>
+                                <a href="#/nodes/?tab=devices" data-ng-if="!convertTo.parent">Go to the device listing.</a>
+                            </div>
+                            <div class="table__data table-col--3">
+                                <i class="icon icon--cross tooltip" aria-label="Clear"
+                                    data-ng-click="convertTo.saved = false">Clear</i>
+                            </div>
+                        </div>
+                        <div class="table__row" data-ng-if="!discoveredDevices.length">
+                            <div class="table__data table-col--100">
+                                No new discoveries
+                            </div>
+                        </div>
+                        <div class="table__row"
+                            data-ng-repeat="discovery in discoveredDevices | orderBy:'-last_seen' track by discovery.first_seen"
+                            data-ng-class="{'is-active' : discovery.first_seen === selectedDevice}">
+                            <div data-ng-if="discovery.first_seen !== selectedDevice"
+                                data-ng-dblclick="toggleSelected(discovery.first_seen)">
+                                <div class="table__data table-col--37">
+                                    {$ getDiscoveryName(discovery) $}
+                                    <i data-ng-show="discovery.is_external_dhcp === true" class="icon icon--info tooltip u-margin--left-tiny ng-hide" aria-label="This device is providing DHCP."></i>
+                                </div>
+                                <div class="table__data table-col--15">
+                                    {$ discovery.mac_address $}<br/>
+                                    <small class="u-text--subtle">{$ discovery.mac_organization || 'Unknown' $}</small>
+                                </div>
+                                <div class="table__data table-col--13 u-text--truncate">
+                                    {$ discovery.ip $}
+                                </div>
+                                <div class="table__data table-col--15">
+                                    {$ discovery.observer_hostname $}
+                                </div>
+                                <div class="table__data table-col--17">
+                                    <time>{$ discovery.last_seen $}</time>
+                                </div>
+                                <div class="table__data table-col--3">
+                                    <i class="icon icon--open tooltip" aria-label="Open"
+                                        data-ng-click="toggleSelected(discovery.first_seen)">Open</i>
+                                </div>
+                            </div>
+                            <maas-obj-form data-ng-if="discovery.first_seen === selectedDevice"
+                                obj="convertTo" manager="proxyManager" pre-process="preProcess"
+                                after-save="afterSave" table-form="true" save-on-blur="false">
+                                <div class="table__data table-col--20">
+                                    <maas-obj-field class="u-margin--bottom-none" type="text" key="hostname"
+                                        disable-label="true" placeholder="Hostname (optional)"></maas-obj-field>
+                                </div>
+                                <div class="table__data table-col--77"></div>
+                                <div class="table__data table-col--3">
+                                    <i class="icon icon--close tooltip" aria-label="Close"
+                                        data-ng-click="toggleSelected(discovery.first_seen)">Close</i>
+                                </div>
+                                <div class="table__dropdown">
+                                    <div class="table__row is-active">
+                                        <div class="table__data table-col--100">
+                                            <div class="six-col">
+                                                <dl>
+                                                    <dt class="two-col">Mac</dt>
+                                                        <dd class="four-col last-col">{$ discovery.mac_address $}</dd>
+                                                    <dt class="two-col">IP</dt>
+                                                        <dd class="four-col last-col">{$ discovery.ip $}</dd>
+                                                    <dt class="two-col">Rack</dt>
+                                                        <dd class="four-col last-col">{$ discovery.observer_hostname $}</dd>
+                                                    <dt class="two-col">Last seen</dt>
+                                                        <dd class="four-col last-col"><time>{$ discovery.last_seen $}</time></dd>
+                                                </dl>
+                                            </div>
+                                            <div class="six-col last-col">
+                                                <dl>
+                                                    <dt class="two-col">Fabric</dt>
+                                                        <dd class="four-col last-col">{$ discovery.fabric_name $}</dd>
+                                                    <dt class="two-col">VLAN</dt>
+                                                        <dd class="four-col last-col">{$ getVLANName(discovery.vlan) $}</dd>
+                                                    <dt class="two-col">Subnet</dt>
+                                                        <dd class="four-col last-col">{$ getSubnetName(discovery.subnet) $}</dd>
+                                                </dl>
+                                            </div>
                                         </div>
                                     </div>
-                                </div>
-                                <div class="table__row is-active u-padding--top-small">
-                                    <div class="table__data table-col--100">
-                                        <fieldset class="form__fieldset six-col">
-                                            <div class="form__group">
-                                                <label class="form__group-label two-col u-margin--bottom-small">Type</label>
-                                                <div class="form__group-input three-col">
-                                                    <select name="type" ng-model="convertTo.type">
-                                                        <option value="" disabled>Choose type</option>
-                                                        <option value="device">Device</option>
-                                                        <option value="interface">Interface</option>
-                                                    </select>
+                                    <div class="table__row is-active u-padding--top-small">
+                                        <div class="table__data table-col--100">
+                                            <fieldset class="form__fieldset six-col">
+                                                <div class="form__group">
+                                                    <label class="form__group-label two-col u-margin--bottom-small">Type</label>
+                                                    <div class="form__group-input three-col">
+                                                        <select name="type" ng-model="convertTo.type">
+                                                            <option value="" disabled>Choose type</option>
+                                                            <option value="device">Device</option>
+                                                            <option value="interface">Interface</option>
+                                                        </select>
+                                                    </div>
                                                 </div>
-                                            </div>
-                                            <maas-obj-field type="options" key="domain" label="Domain" placeholder="Choose domain"
-                                                label-width="two" input-width="three" subtle="false"
-                                                options="domain as domain.name for domain in domains"
-                                                data-ng-if="convertTo.type === 'device'"></maas-obj-field>
-                                            <maas-obj-field type="options" subtle="false" key="system_id" label="Device name" placeholder="Select device name"
-                                                options="device.system_id as device.fqdn for device in devices | orderBy:'fqdn'"
-                                                label-width="two" label-info="Create as an interface on the selected device." input-width="three"
-                                                data-ng-if="convertTo.type === 'interface'"></maas-obj-field>
-                                        </fieldset>
-                                        <fieldset class="form__fieldset six-col last-col">
-                                            <maas-obj-field type="options" subtle="false" key="parent" label="Parent" placeholder="Select parent (optional)" placeholder-enabled="true"
-                                                options="machine.system_id as machine.fqdn for machine in machines | filter:{status_code: 6} | orderBy:'fqdn'"
-                                                label-width="two" label-info="Assign this device as a child of the parent machine." input-width="three"
-                                                data-ng-if="convertTo.type === 'device'"></maas-obj-field>
-                                            <maas-obj-field type="options" subtle="false" key="ip_assignment" label="IP assignment" placeholder="Select IP assignment"
-                                                options="option[0] as option[1] for option in convertTo.deviceIPOptions" label-width="two" input-width="three"></maas-obj-field>
-                                        </fieldset>
-                                    </div>
-                                </div>
-                                <div class="table__row is-active">
-                                    <div class="table__data u-float--left">
-                                        <maas-obj-errors></maas-obj-errors>
-                                    </div>
-                                    <div class="table__data u-float--right">
-                                        <a class="button--base button--inline" data-ng-click="toggleSelected(selectedDevice)">Cancel</a>
-                                        <button class="button--secondary button--inline"
-                                            data-ng-click="convertTo.goTo = true"
-                                            data-ng-if="!convertTo.$maasForm.getValue('parent')"
-                                            maas-obj-save>Save and go to device listing</button>
-                                        <button class="button--secondary button--inline"
-                                            data-ng-click="convertTo.goTo = true"
-                                            data-ng-if="convertTo.$maasForm.getValue('parent')"
-                                            maas-obj-save>Save and go to machine details</button>
-                                        <button class="button--primary button--inline" maas-obj-save>Save</button>
-                                    </div>
-                                </div>
-                            </div>
-                        </maas-obj-form>
+                                                <maas-obj-field type="options" key="domain" label="Domain" placeholder="Choose domain"
+                                                    label-width="two" input-width="three" subtle="false"
+                                                    options="domain as domain.name for domain in domains"
+                                                    data-ng-if="convertTo.type === 'device'"></maas-obj-field>
+                                                <maas-obj-field type="options" subtle="false" key="system_id" label="Device name" placeholder="Select device name"
+                                                    options="device.system_id as device.fqdn for device in devices | orderBy:'fqdn'"
+                                                    label-width="two" label-info="Create as an interface on the selected device." input-width="three"
+                                                    data-ng-if="convertTo.type === 'interface'"></maas-obj-field>
+                                            </fieldset>
+                                            <fieldset class="form__fieldset six-col last-col">
+                                                <maas-obj-field type="options" subtle="false" key="parent" label="Parent" placeholder="Select parent (optional)" placeholder-enabled="true"
+                                                    options="machine.system_id as machine.fqdn for machine in machines | filter:{status_code: 6} | orderBy:'fqdn'"
+                                                    label-width="two" label-info="Assign this device as a child of the parent machine." input-width="three"
+                                                    data-ng-if="convertTo.type === 'device'"></maas-obj-field>
+                                                <maas-obj-field type="options" subtle="false" key="ip_assignment" label="IP assignment" placeholder="Select IP assignment"
+                                                    options="option[0] as option[1] for option in convertTo.deviceIPOptions" label-width="two" input-width="three"></maas-obj-field>
+                                            </fieldset>
+                                        </div>
+                                    </div>
+                                    <div class="table__row is-active">
+                                        <div class="table__data u-float--left">
+                                            <maas-obj-errors></maas-obj-errors>
+                                        </div>
+                                        <div class="table__data u-float--right">
+                                            <a class="button--base button--inline" data-ng-click="toggleSelected(selectedDevice)">Cancel</a>
+                                            <button class="button--secondary button--inline"
+                                                data-ng-click="convertTo.goTo = true"
+                                                data-ng-if="!convertTo.$maasForm.getValue('parent')"
+                                                maas-obj-save>Save and go to device listing</button>
+                                            <button class="button--secondary button--inline"
+                                                data-ng-click="convertTo.goTo = true"
+                                                data-ng-if="convertTo.$maasForm.getValue('parent')"
+                                                maas-obj-save>Save and go to machine details</button>
+                                            <button class="button--primary button--inline" maas-obj-save>Save</button>
+                                        </div>
+                                    </div>
+                                </div>
+                            </maas-obj-form>
+                        </div>
                     </div>
                 </div>
             </div>
         </div>
-    </div>
-</section>
+    </section>
+</div>

=== modified file 'src/maasserver/static/partials/domain-details.html'
--- src/maasserver/static/partials/domain-details.html	2016-09-23 13:44:43 +0000
+++ src/maasserver/static/partials/domain-details.html	2016-12-07 12:59:10 +0000
@@ -1,4 +1,4 @@
-<header class="page-header">
+<header class="page-header" sticky>
     <div class="wrapper--inner">
         <h1 class="page-header__title">
             {$ domain.displayname $}:

=== modified file 'src/maasserver/static/partials/domains-list.html'
--- src/maasserver/static/partials/domains-list.html	2016-08-26 10:30:00 +0000
+++ src/maasserver/static/partials/domains-list.html	2016-12-07 12:59:10 +0000
@@ -1,4 +1,4 @@
-<header class="page-header">
+<header class="page-header" sticky>
     <div class="wrapper--inner">
         <h1 class="page-header__title">
             <ng-pluralize data-ng-hide="loading" count="domains.length"

=== modified file 'src/maasserver/static/partials/error.html'
--- src/maasserver/static/partials/error.html	2016-07-01 09:32:29 +0000
+++ src/maasserver/static/partials/error.html	2016-12-07 12:59:10 +0000
@@ -1,4 +1,4 @@
-<header class="page-header">
+<header class="page-header" sticky>
     <div class="wrapper--inner">
         <h1 class="page-header__title">Error</h1>
         <div class="page-header__controls">

=== modified file 'src/maasserver/static/partials/fabric-details.html'
--- src/maasserver/static/partials/fabric-details.html	2016-08-26 11:05:46 +0000
+++ src/maasserver/static/partials/fabric-details.html	2016-12-07 12:59:10 +0000
@@ -1,12 +1,12 @@
 <div data-ng-hide="loaded">
-    <header class="page-header">
+    <header class="page-header" sticky>
         <div class="wrapper--inner">
             <h1 class="page-header__title">Loading...</h1>
         </div>
     </header>
 </div>
 <div class="ng-hide" data-ng-show="loaded">
-    <header class="page-header">
+    <header class="page-header" sticky>
         <div class="wrapper--inner">
             <h1 class="page-header__title">{$ fabric.name $}</h1>
             <div class="page-header__controls ng-hide" data-ng-show="isSuperUser() && !isDefaultFabric() && !loading">

=== modified file 'src/maasserver/static/partials/images.html'
--- src/maasserver/static/partials/images.html	2016-09-15 16:57:47 +0000
+++ src/maasserver/static/partials/images.html	2016-12-07 12:59:10 +0000
@@ -1,4 +1,4 @@
-<header class="page-header margin-bottom">
+<header class="page-header margin-bottom" sticky>
     <div class="wrapper--inner">
         <h1 class="page-header__title">Boot Images</h1>
         <p class="page-header__status" data-ng-show="loading">

=== modified file 'src/maasserver/static/partials/intro-user.html'
--- src/maasserver/static/partials/intro-user.html	2016-09-20 18:53:29 +0000
+++ src/maasserver/static/partials/intro-user.html	2016-12-07 12:59:10 +0000
@@ -1,32 +1,33 @@
 <div class="row" data-ng-if="!loading">
-    <div class="two-col"></div>
-    <div class="eight-col">
-        <div class="action-card">
-            <h2 class="action-card__title">
-                <i class="icon icon--large"
-                    data-ng-class="{'icon--success': canContinue(), 'icon--error': !canContinue()}"></i>
-                SSH Keys for {$ user.username $}
-            </h2>
-            <div class="action-card__controls">
-                <p class="u-margin--top">Add multiple keys from Launchpad and Github or enter them manually.</p>
-                <h3>Keys</h3>
-                <maas-ssh-keys></maas-ssh-keys>
-            </div>
-        </div>
-        <div class="action-card"
-            data-ng-if="isSuperUser()"
-            data-ng-class="{'u-muted': !canContinue()}">
-            <h2 class="action-card__title">
-                MAAS has been successfully set up
-            </h2>
-            <div class="action-card__controls">
-                <p class="u-margin--top"><i class="icon icon--success"></i> Once DHCP is enabled, set your machines to PXE boot and they will be automatically enlisted in the Nodes tab.</p>
-                <p class="u-margin--top"><i class="icon icon--success"></i> Discovered MAC/IP pairs in your network will be listed on your dashboard and can be added to MAAS.</p>
-                <p class="u-margin--top u-margin--bottom"><i class="icon icon--success"></i> The fabrics, VLANs and subnets in your network will be automatically added to MAAS in Networks.</p>
-            </div>
-        </div>
-        <button class="button button--primary"
-            data-ng-disabled="!canContinue()"
-            data-ng-click="clickContinue()">Go to dashboard</button>
+    <div class="wrapper--inner">
+        <div class="twelve-col">
+            <div class="action-card">
+                <h2 class="action-card__title">
+                    <i class="icon icon--large u-margin--right-tiny"
+                        data-ng-class="{'icon--success': canContinue(), 'icon--success-grey': !canContinue()}"></i>
+                    SSH keys for {$ user.username $}
+                </h2>
+                <div class="action-card__controls">
+                    <p class="u-margin--top">Add multiple keys from Launchpad and Github or enter them manually.</p>
+                    <h3>Keys</h3>
+                    <maas-ssh-keys></maas-ssh-keys>
+                </div>
+            </div>
+            <div class="action-card"
+                data-ng-if="isSuperUser()"
+                data-ng-class="{'u-muted': !canContinue()}">
+                <h2 class="action-card__title">
+                    MAAS has been successfully set up
+                </h2>
+                <div class="action-card__controls">
+                    <p class="u-margin--top"><i class="icon icon--success u-margin--right-small"></i>Once DHCP is enabled, set your machines to PXE boot and they will be automatically enlisted in the Nodes tab.</p>
+                    <p class="u-margin--top"><i class="icon icon--success u-margin--right-small"></i>Discovered MAC/IP pairs in your network will be listed on your dashboard and can be added to MAAS.</p>
+                    <p class="u-margin--top u-margin--bottom"><i class="icon icon--success u-margin--right-small"></i>The fabrics, VLANs and subnets in your network will be automatically added to MAAS in Networks.</p>
+                </div>
+            </div>
+            <button class="button button--primary button--large"
+                data-ng-disabled="!canContinue()"
+                data-ng-click="clickContinue()">Go to dashboard</button>
+        </div>
     </div>
 </div>

=== modified file 'src/maasserver/static/partials/intro.html'
--- src/maasserver/static/partials/intro.html	2016-09-27 15:47:43 +0000
+++ src/maasserver/static/partials/intro.html	2016-12-07 12:59:10 +0000
@@ -1,70 +1,71 @@
 <div class="row" data-ng-if="!loading">
-    <div class="two-col"></div>
-    <div class="eight-col">
-        <div class="action-card">
-            <h2 class="action-card__title">
-                <i class="icon icon--large"
-                    data-ng-class="{ 'icon--success': !welcomeInError(), 'icon--error': welcomeInError() }"></i>
-                Welcome to MAAS
-            </h2>
-            <div class="action-card__controls">
-                <div class="u-margin--top">
-                    <maas-obj-form obj="maasName" manager="configManager">
-                        <div class="three-col">
-                            <maas-obj-field type="text" key="value" label="Region name" placeholder="e.g. us-west"  subtle="false" blur-on-enter="true"></maas-obj-field>
-                        </div>
-                    </maas-obj-form>
-                </div>
-            </div>
-        </div>
-        <div class="action-card">
-            <h2 class="action-card__title">
-                <i class="icon icon--large"
-                    data-ng-class="{ 'icon--success': !networkInError(), 'icon--error': networkInError() }"></i>
-                Connectivity
-            </h2>
-            <div class="action-card__controls">
-                <div class="row u-border--none u-padding--none u-margin--top">
-                    <maas-obj-form obj="upstreamDNS" manager="configManager">
-                        <div class="three-col">
-                            <maas-obj-field type="text" key="value" label="DNS forwarder" placeholder="e.g. 8.8.8.8" subtle="false" blur-on-enter="true"></maas-obj-field>
-                        </div>
-                        <div class="one-col"></div>
-                        <div class="five-col last-col u-text--subtle">The address used to resolve domains not managed by MAAS. The value is used as the value of 'forwarders' in the DNS server configuration.</div>
-                    </maas-obj-form>
-                </div>
-                <div class="row u-border--none u-padding--none u-margin--top">
-                    <maas-obj-form obj="mainArchive" manager="repoManager">
-                        <div class="three-col">
-                            <maas-obj-field type="text" key="url" label="Ubuntu archive" subtle="false" blur-on-enter="true"></maas-obj-field>
-                        </div>
-                        <div class="one-col"></div>
-                        <div class="five-col last-col u-text--subtle">The server where machines retrieve packages for Intel architectures.</div>
-                    </maas-obj-form>
-                </div>
-                <div class="row u-border--none u-padding--none u-margin--top">
-                    <maas-obj-form obj="portsArchive" manager="repoManager">
-                        <div class="three-col">
-                            <maas-obj-field type="text" key="url" label="Ubuntu extra architectures" subtle="false" blur-on-enter="true"></maas-obj-field>
-                        </div>
-                        <div class="one-col"></div>
-                        <div class="five-col last-col u-text--subtle">Archive used by machines to retrieve packages for non-Intel architectures.</div>
-                    </maas-obj-form>
-                </div>
-                <div class="row u-border--none u-padding--none u-margin--top">
-                    <maas-obj-form obj="httpProxy" manager="configManager">
-                        <div class="three-col">
-                            <maas-obj-field type="text" key="value" label="APT &amp; HTTP/HTTPS proxy server" subtle="false" blur-on-enter="true"></maas-obj-field>
-                        </div>
-                        <div class="one-col"></div>
-                        <div class="five-col last-col u-text--subtle">This will be passed onto deployed machines to use as a proxy for APT traffic. MAAS also uses the proxy for downloading boot images. In no URL is provided, the build-in MAAS proxy will be used.</div>
-                    </maas-obj-form>
-                </div>
-            </div>
-        </div>
-        <maas-boot-images design="'action-card'"></maas-boot-images>
-        <button class="button button--primary"
-            data-ng-disabled="!canContinue()"
-            data-ng-click="clickContinue()">Continue</button>
+    <div class="wrapper--inner">
+        <div class="twelve-col-col">
+            <div class="action-card">
+                <h2 class="action-card__title">
+                    <i class="icon icon--large u-margin--right-tiny"
+                        data-ng-class="{ 'icon--success': !welcomeInError(), 'icon--error': welcomeInError() }"></i>
+                    Welcome to MAAS
+                </h2>
+                <div class="action-card__controls">
+                    <div class="u-margin--top">
+                        <maas-obj-form obj="maasName" manager="configManager">
+                            <div class="five-col">
+                                <maas-obj-field type="text" key="value" label="Region name" placeholder="e.g. us-west"  subtle="false" blur-on-enter="true"></maas-obj-field>
+                            </div>
+                        </maas-obj-form>
+                    </div>
+                </div>
+            </div>
+            <div class="action-card">
+                <h2 class="action-card__title">
+                    <i class="icon icon--large u-margin--right-tiny"
+                        data-ng-class="{ 'icon--success': !networkInError(), 'icon--error': networkInError() }"></i>
+                    Connectivity
+                </h2>
+                <div class="action-card__controls">
+                    <div class="row u-border--none u-padding--none u-margin--top">
+                        <maas-obj-form obj="upstreamDNS" manager="configManager">
+                            <div class="five-col">
+                                <maas-obj-field type="text" key="value" label="DNS forwarder" placeholder="e.g. 8.8.8.8" subtle="false" blur-on-enter="true"></maas-obj-field>
+                            </div>
+                            <div class="five-col u-padding--top-tiny"></div>
+                            <div class="seven-col last-col u-text--subtle">The address used to resolve domains not managed by MAAS. The value is used as the value of 'forwarders' in the DNS server configuration.</div>
+                        </maas-obj-form>
+                    </div>
+                    <div class="row u-border--none u-padding--none">
+                        <maas-obj-form obj="mainArchive" manager="repoManager">
+                            <div class="five-col">
+                                <maas-obj-field type="text" key="url" label="Ubuntu archive" subtle="false" blur-on-enter="true"></maas-obj-field>
+                            </div>
+                            <div class="five-col u-padding--top-tiny"></div>
+                            <div class="seven-col last-col u-text--subtle">The server where machines retrieve packages for Intel architectures.</div>
+                        </maas-obj-form>
+                    </div>
+                    <div class="row u-border--none u-padding--none">
+                        <maas-obj-form obj="portsArchive" manager="repoManager">
+                            <div class="five-col">
+                                <maas-obj-field type="text" key="url" label="Ubuntu extra architectures" subtle="false" blur-on-enter="true"></maas-obj-field>
+                            </div>
+                            <div class="five-col u-padding--top-tiny"></div>
+                            <div class="seven-col last-col u-text--subtle">Archive used by machines to retrieve packages for non-Intel architectures.</div>
+                        </maas-obj-form>
+                    </div>
+                    <div class="row u-border--none u-padding--none">
+                        <maas-obj-form obj="httpProxy" manager="configManager">
+                            <div class="five-col">
+                                <maas-obj-field type="text" key="value" label="APT &amp; HTTP/HTTPS proxy server" subtle="false" blur-on-enter="true"></maas-obj-field>
+                            </div>
+                            <div class="five-col u-padding--top-tiny"></div>
+                            <div class="seven-col last-col u-text--subtle">This will be passed onto deployed machines to use as a proxy for APT traffic. MAAS also uses the proxy for downloading boot images. In no URL is provided, the build-in MAAS proxy will be used.</div>
+                        </maas-obj-form>
+                    </div>
+                </div>
+            </div>
+            <maas-boot-images design="'action-card'"></maas-boot-images>
+            <button class="button button--primary button--large"
+                data-ng-disabled="!canContinue()"
+                data-ng-click="clickContinue()">Continue</button>
+        </div>
     </div>
 </div>

=== modified file 'src/maasserver/static/partials/networks-list.html'
--- src/maasserver/static/partials/networks-list.html	2016-10-05 15:01:48 +0000
+++ src/maasserver/static/partials/networks-list.html	2016-12-07 12:59:10 +0000
@@ -1,4 +1,4 @@
-<header class="page-header">
+<header class="page-header" sticky>
     <div class="wrapper--inner">
         <h1 class="page-header__title">Subnets</h1>
         <!-- XXX ricgard 2016-06-16 - Need to add e2e test. -->

=== modified file 'src/maasserver/static/partials/node-details.html'
--- src/maasserver/static/partials/node-details.html	2016-11-22 00:53:43 +0000
+++ src/maasserver/static/partials/node-details.html	2016-12-07 12:59:10 +0000
@@ -1,12 +1,12 @@
 <div data-ng-hide="loaded">
-    <header class="page-header">
+    <header class="page-header" sticky>
         <div class="wrapper--inner">
             <h1 class="page-header__title">Loading...</h1>
         </div>
     </header>
 </div>
 <div class="ng-hide" data-ng-show="loaded">
-    <header class="page-header">
+    <header class="page-header" sticky>
         <div class="wrapper--inner">
             <h1 class="page-header__title">
                 <span contenteditable="true"

=== modified file 'src/maasserver/static/partials/node-events.html'
--- src/maasserver/static/partials/node-events.html	2016-08-25 20:45:36 +0000
+++ src/maasserver/static/partials/node-events.html	2016-12-07 12:59:10 +0000
@@ -1,12 +1,12 @@
 <div data-ng-hide="loaded">
-    <header class="page-header">
+    <header class="page-header" sticky>
         <div class="wrapper--inner">
             <h1 class="page-header__title">Loading...</h1>
         </div>
     </header>
 </div>
 <div class="ng-hide" data-ng-show="loaded">
-    <header class="page-header u-margin--bottom">
+    <header class="page-header u-margin--bottom" sticky>
         <div class="wrapper--inner">
             <h1 class="page-header__title">{$ node.fqdn $}</h1>
             <p class="page-header__status">
@@ -28,7 +28,7 @@
                     <input type="submit" class="search__submit" />
                 </div>
                 <table id="events-listing">
-                    <thead>
+                    <thead sticky use-placeholder="false" sticky-class="table__head--sticky" offset="116">
                         <tr>
                             <th class="table-col--1"></th>
                             <th class="table-col--79">Event</th>

=== modified file 'src/maasserver/static/partials/node-result.html'
--- src/maasserver/static/partials/node-result.html	2016-08-26 11:05:46 +0000
+++ src/maasserver/static/partials/node-result.html	2016-12-07 12:59:10 +0000
@@ -1,12 +1,12 @@
 <div data-ng-hide="loaded">
-    <header class="page-header">
+    <header class="page-header" sticky>
         <div class="wrapper--inner">
             <h1 class="page-header__title">Loading...</h1>
         </div>
     </header>
 </div>
 <div class="ng-hide" data-ng-show="loaded">
-    <header class="page-header">
+    <header class="page-header" sticky>
         <div class="wrapper--inner">
             <h1 class="page-header__title">{$ node.fqdn $}</h1>
             <p class="page-header__status">{$ filename $}</p>

=== modified file 'src/maasserver/static/partials/nodes-list.html'
--- src/maasserver/static/partials/nodes-list.html	2016-11-22 00:53:43 +0000
+++ src/maasserver/static/partials/nodes-list.html	2016-12-07 12:59:10 +0000
@@ -1,4 +1,4 @@
-<header class="page-header">
+<header class="page-header" sticky>
     <div class="wrapper--inner">
         <!-- XXX ricgard 2016-06-16 - Need to add e2e test. -->
         <h1 class="page-header__title">{$ $parent.site $} MAAS</h1>

=== modified file 'src/maasserver/static/partials/settings.html'
--- src/maasserver/static/partials/settings.html	2016-09-23 17:01:47 +0000
+++ src/maasserver/static/partials/settings.html	2016-12-07 12:59:10 +0000
@@ -1,4 +1,4 @@
-<header class="page-header u-margin--bottom">
+<header class="page-header u-margin--bottom" sticky>
     <div class="wrapper--inner">
         <h1 class="page-header__title">Settings</h1>
         <ul class="tabs">

=== modified file 'src/maasserver/static/partials/space-details.html'
--- src/maasserver/static/partials/space-details.html	2016-07-01 09:32:29 +0000
+++ src/maasserver/static/partials/space-details.html	2016-12-07 12:59:10 +0000
@@ -1,12 +1,12 @@
 <div data-ng-hide="loaded">
-    <header class="page-header">
+    <header class="page-header" sticky>
         <div class="wrapper--inner">
             <h1 class="page-header__title">Loading...</h1>
         </div>
     </header>
 </div>
 <div class="ng-hide" data-ng-show="loaded">
-    <header class="page-header">
+    <header class="page-header" sticky>
         <div class="wrapper--inner">
             <h1 class="page-header__title">{$ space.name $}</h1>
             <div class="page-header__controls ng-hide" data-ng-show="isSuperUser() && !isDefaultSpace() && !loading">

=== modified file 'src/maasserver/static/partials/ssh-keys.html'
--- src/maasserver/static/partials/ssh-keys.html	2016-09-21 13:51:11 +0000
+++ src/maasserver/static/partials/ssh-keys.html	2016-12-07 12:59:10 +0000
@@ -13,27 +13,25 @@
             <div class="table__data table-col--25">{$ sourceTitles[group.source] $}</div>
             <div data-ng-if="group.source !== 'upload'">
                 <div class="table__data table-col--35">{$ group.authId $}</div>
-                <div class="table__data table-col--30">{$ group.keys.length $}</div>
+                <div class="table__data table-col--30">{$ group.keys.length $}
+                  <a class="icon icon--open tooltip u-margin--top-tiny u-padding--left-large" aria-label="Open"
+                    data-ng-click="open(group, 'view')"
+                    data-ng-if="group.source !== 'upload' && openRow !== group.id">Open</a>
+                  <a class="icon icon--close tooltip u-margin--top-tiny u-padding--left-large" aria-label="Close"
+                      data-ng-click="close()"
+                      data-ng-if="group.source !== 'upload' && openRow === group.id">Close</a></div>
             </div>
             <div data-ng-if="group.source === 'upload'">
                 <div class="table__data table-col--65" data-ng-bind-html="trustAsHtml(group.keys[0].display)"></div>
             </div>
-            <div class="table__data table-col--10">
-                <div class="table__controls">
-                    <a class="icon icon--open tooltip u-margin--right" aria-label="Open"
-                        data-ng-click="open(group, 'view')"
-                        data-ng-if="group.source !== 'upload' && openRow !== group.id">Open</a>
-                    <a class="icon icon--close tooltip u-margin--right" aria-label="Close"
-                        data-ng-click="close()"
-                        data-ng-if="group.source !== 'upload' && openRow === group.id">Close</a>
-                    <a class="icon icon--delete tooltip" aria-label="Delete"
-                        data-ng-click="open(group, 'delete')">Delete</a>
-                </div>
+            <div class="table__data table-col--10 u-align--right">
+                <a class="icon icon--delete tooltip" aria-label="Delete"
+                    data-ng-click="open(group, 'delete')">Delete</a>
             </div>
             <div class="table__dropdown">
                 <div class="table__row u-border--none"
                     data-ng-class="{ 'is-active': rowMode === 'view' }">
-                    <div class="u-margin--left u-margin--right u-margin--bottom u-border u-border--solid u-padding--small">
+                    <div class="u-margin--bottom u-border u-border--solid u-padding--small">
                         <p data-ng-repeat="key in group.keys" data-ng-bind-html="trustAsHtml(key.display)"></p>
                     </div>
                 </div>
@@ -54,7 +52,7 @@
         </div>
         <div class="table__dropdown-row is-active">
             <form class="form form--inline">
-                <div class="table__data u-float--left">
+                <div class="table__data table-col u-float--left">
                     <div class="form__group">
                         <label class="form__group-label" for="source">Source</label>
                         <div class="form__group-input">
@@ -75,7 +73,7 @@
                     <div class="form__group" data-ng-if="add.source === 'upload'">
                         <label class="form__group-label" for="key">Public key</label>
                         <div class="form__group-input">
-                            <textarea id="key" name="key" placeholder="Public key"
+                            <textarea id="key" name="key" style="width: 300px;" placeholder="Begins with 'ssh-rsa', 'ssh-dss', 'ssh-ed25519', 'ecdsa-sha2-nistp256', 'ecdsa-sha2-nistp384', or 'ecdsa-sha2-nistp521'"
                                 data-ng-model="add.key" data-ng-disabled="add.saving"
                                 style="min-height: 100px;"></textarea>
                         </div>
@@ -85,7 +83,7 @@
                     </ul>
                 </div>
                 <div class="table__data u-float--right">
-                    <button type="submit" class="button--primary button--inline"
+                    <button type="submit" class="button--secondary button--inline"
                         data-ng-disabled="!canImportKeys()"
                         data-ng-click="importKeys()">Import</button>
                 </div>

=== modified file 'src/maasserver/static/partials/subnet-details.html'
--- src/maasserver/static/partials/subnet-details.html	2016-11-08 17:40:34 +0000
+++ src/maasserver/static/partials/subnet-details.html	2016-12-07 12:59:10 +0000
@@ -1,15 +1,15 @@
 <div data-ng-hide="loaded">
-    <header class="page-header">
+    <header class="page-header" sticky>
         <div class="wrapper--inner">
             <h1 class="page-header__title">Loading...</h1>
         </div>
     </header>
 </div>
 <div class="ng-hide" data-ng-show="loaded">
-    <header class="page-header">
+    <header class="page-header" sticky>
         <div class="wrapper--inner">
           <h1 class="page-header__title">{$ subnet.cidr $}</h1>
-            <!-- "Take action" dropdown -->	  
+            <!-- "Take action" dropdown -->
             <div class="page-header__controls u-float--right ng-hide" data-ng-show="isSuperUser() && !isDefaultSubnet() && !loading && actionOptions.length">
                 <div data-maas-cta="actionOptions"
                     data-default-title="Take Action"
@@ -40,11 +40,11 @@
                     <p class="page-header__message page-header__message--error">{$ actionError $}</p>
                     <div class="page-header__controls">
                         <a href="" class="button--base button--inline" data-ng-click="cancelAction()">Cancel</a>
-                        <button class="button--primary button--inline" data-ng-click="actionRetry()">Retry</button>		      
+                        <button class="button--primary button--inline" data-ng-click="actionRetry()">Retry</button>
                     </div>
                 </section>
   	    </div>
-            <!-- End of "Take action" dropdown -->	    
+            <!-- End of "Take action" dropdown -->
         </div>
     </header>
     <section class="row">

=== modified file 'src/maasserver/static/partials/vlan-details.html'
--- src/maasserver/static/partials/vlan-details.html	2016-08-25 22:47:53 +0000
+++ src/maasserver/static/partials/vlan-details.html	2016-12-07 12:59:10 +0000
@@ -1,12 +1,12 @@
 <div data-ng-hide="vlanDetails.loaded">
-    <header class="page-header">
+    <header class="page-header" sticky>
         <div class="wrapper--inner">
             <h1 class="page-header__title">Loading...</h1>
         </div>
     </header>
 </div>
 <div class="ng-hide" data-ng-show="vlanDetails.loaded">
-    <header class="page-header">
+    <header class="page-header" sticky>
         <div class="wrapper--inner">
             <h1 class="page-header__title">{$ vlanDetails.title $}</h1>
             <!-- "Take action" dropdown -->

=== modified file 'src/maasserver/static/scss/_base.forms.scss'
--- src/maasserver/static/scss/_base.forms.scss	2016-09-16 18:31:41 +0000
+++ src/maasserver/static/scss/_base.forms.scss	2016-12-07 12:59:10 +0000
@@ -66,6 +66,7 @@
     padding: 7px 10px !important;
     box-shadow: none;
     width: 100%;
+    line-height: 20px;
 
     &::placeholder {
       color: $warm-grey;

=== modified file 'src/maasserver/static/scss/_components.buttons.scss'
--- src/maasserver/static/scss/_components.buttons.scss	2016-09-12 15:27:55 +0000
+++ src/maasserver/static/scss/_components.buttons.scss	2016-12-07 12:59:10 +0000
@@ -36,6 +36,12 @@
       color: $cool-grey;
     }
   }
+
+  .button--large {
+    height: auto;
+    padding-top: 15px;
+    padding-bottom: 15px;
+  }
 }
 
 @mixin maas-button-group {

=== modified file 'src/maasserver/static/scss/_components.flashmessages.scss'
--- src/maasserver/static/scss/_components.flashmessages.scss	2016-06-23 08:39:15 +0000
+++ src/maasserver/static/scss/_components.flashmessages.scss	2016-12-07 12:59:10 +0000
@@ -28,28 +28,28 @@
       }
 
       &.flash-messages__item--error {
-        background: $white url('#{$asset-path}images/icons/error_colour_white.svg') no-repeat;
+        background: $white url('#{$asset-path}images/icons/error.svg') no-repeat;
         background-size: 16px 16px;
         background-position: 15px center;
         padding-left: 45px;
       }
 
       &.flash-messages__item--info {
-        background: $white url('#{$asset-path}images/icons/information_colour_white.svg') no-repeat;
+        background: $white url('#{$asset-path}images/icons/info.svg') no-repeat;
         background-size: 16px 16px;
         background-position: 15px center;
         padding-left: 45px;
       }
 
       &.flash-messages__item--warning {
-        background: $white url('#{$asset-path}images/icons/warning_colour_white.svg') no-repeat;
+        background: $white url('#{$asset-path}images/icons/warning.svg') no-repeat;
         background-size: 16px 16px;
         background-position: 15px center;
         padding-left: 45px;
       }
 
       &.flash-messages__item--success {
-        background: $white url('#{$asset-path}images/icons/success_colour_white.svg') no-repeat;
+        background: $white url('#{$asset-path}images/icons/success.svg') no-repeat;
         background-size: 16px 16px;
         background-position: 15px center;
         padding-left: 45px;

=== modified file 'src/maasserver/static/scss/_components.forms.scss'
--- src/maasserver/static/scss/_components.forms.scss	2016-09-16 18:52:40 +0000
+++ src/maasserver/static/scss/_components.forms.scss	2016-12-07 12:59:10 +0000
@@ -151,6 +151,12 @@
           margin-right: 10px;
           vertical-align: top;
           line-height: 34px;
+
+          .icon--left {
+            position: absolute;
+            left: 0;
+            top: 12px;
+          }
         }
 
         input,

=== modified file 'src/maasserver/static/scss/_components.icons.scss'
--- src/maasserver/static/scss/_components.icons.scss	2016-11-03 13:54:34 +0000
+++ src/maasserver/static/scss/_components.icons.scss	2016-12-07 12:59:10 +0000
@@ -54,28 +54,16 @@
     &.icon--error {
       background: url('#{$asset-path}images/icons/error.svg') no-repeat;
       background-size: 100% 100%;
-
-      &-mono {
-        background: url('#{$asset-path}images/icons/error-mono.svg') no-repeat;
-      }
     }
 
     &.icon--help {
       background: url('#{$asset-path}images/icons/help.svg') no-repeat;
       background-size: 100% 100%;
-
-      &-mono {
-        background: url('#{$asset-path}images/icons/help-mono.svg') no-repeat;
-      }
     }
 
     &.icon--info {
       background: url('#{$asset-path}images/icons/info.svg') no-repeat;
       background-size: 100% 100%;
-
-      &-mono {
-        background: url('#{$asset-path}images/icons/info-mono.svg') no-repeat;
-      }
     }
 
     &.icon--loading {

=== modified file 'src/maasserver/static/scss/_components.tables.scss'
--- src/maasserver/static/scss/_components.tables.scss	2016-09-16 18:31:41 +0000
+++ src/maasserver/static/scss/_components.tables.scss	2016-12-07 12:59:10 +0000
@@ -190,6 +190,8 @@
     }
 
     thead {
+      width: 100% !important;
+      display: table-header-group !important;
 
       tr {
         @extend %table-header-row;
@@ -204,6 +206,30 @@
         }
       }
 
+      &.table__head--sticky {
+        background: $white;
+        padding: 0;
+        width: 100vw !important;
+        left: 0 !important;
+        right: 0 !important;
+        height: auto;
+
+        tr {
+          max-width: $site-max-width;
+          width: 100%;
+          margin: 0 auto;
+          display: block;
+          float: none;
+          border-bottom: 0;
+          overflow: hidden;
+
+          th {
+            border-bottom: 0;
+            float: left;
+          }
+        }
+      }
+
       .divide {
         @extend %table-divide;
       }
@@ -313,6 +339,28 @@
       display: table-head;
       width: 100%;
       box-sizing: border-box;
+      width: auto !important;
+
+      &.table__head--sticky {
+        background: $white;
+        padding: 0;
+        width: 100vw !important;
+        left: 0 !important;
+        right: 0 !important;
+        border-top: 1px dotted $alto-grey;
+        box-shadow: 0 1px 1px rgba(0, 0, 0, .1);
+        height: auto !important;
+
+        .table__row {
+          max-width: $site-max-width;
+          width: 100%;
+          margin: 0 auto;
+          display: block;
+          float: none;
+          border-bottom: 0;
+          overflow: hidden;
+        }
+      }
 
       .table__row {
         @extend %table-header-row;

=== modified file 'src/maasserver/static/scss/_helpers.display.scss'
--- src/maasserver/static/scss/_helpers.display.scss	2016-06-23 11:21:10 +0000
+++ src/maasserver/static/scss/_helpers.display.scss	2016-12-07 12:59:10 +0000
@@ -22,6 +22,21 @@
     }
   }
 
+  .u-position {
+
+    &--relative {
+      position: relative !important;
+    }
+
+    &--fixed {
+      position: fixed !important;
+    }
+
+    &--absolute {
+      position: absolute !important;
+    }
+  }
+
   .u-float {
 
     &--right {

=== modified file 'src/maasserver/static/scss/_helpers.spacing.scss'
--- src/maasserver/static/scss/_helpers.spacing.scss	2016-07-06 10:44:31 +0000
+++ src/maasserver/static/scss/_helpers.spacing.scss	2016-12-07 12:59:10 +0000
@@ -14,7 +14,7 @@
 @mixin spacing($spacing, $spacing-unit) {
 
   $directions:                    top right bottom left;
-  $sizes:                         (tiny: $spacing-unit / 4, small: $spacing-unit / 2, large: $spacing-unit * 2, huge: $spacing-unit * 4);
+  $sizes:                         (tiny: $spacing-unit / 4, small: $spacing-unit / 2, medium: ($spacing-unit * 3) / 2, large: $spacing-unit * 2, huge: $spacing-unit * 4);
 
   .u-#{$spacing} {
     #{$spacing}: $spacing-unit;

=== modified file 'src/maasserver/static/scss/_patterns.page-header.scss'
--- src/maasserver/static/scss/_patterns.page-header.scss	2016-08-25 22:43:30 +0000
+++ src/maasserver/static/scss/_patterns.page-header.scss	2016-12-07 12:59:10 +0000
@@ -13,6 +13,7 @@
     background: $white;
     box-shadow: 0 1px 1px rgba(0, 0, 0, .1);
     padding: 0 20px;
+    height: auto !important;
     width: 100%;
     float: left;
     margin-bottom: 20px;

=== modified file 'src/maasserver/templates/maasserver/base.html'
--- src/maasserver/templates/maasserver/base.html	2016-11-08 12:43:53 +0000
+++ src/maasserver/templates/maasserver/base.html	2016-12-07 12:59:10 +0000
@@ -156,7 +156,7 @@
     </header>
     <main id="body">
         {% block page-title-block %}
-        <header class="page-header">
+        <header class="page-header" sticky>
             <div class="wrapper--inner">
                 <h1 class="page-header__title">{% block page-title %}{% endblock %}</h1>
             </div>

=== modified file 'src/maasserver/templates/maasserver/form_field.html'
--- src/maasserver/templates/maasserver/form_field.html	2016-09-07 16:18:06 +0000
+++ src/maasserver/templates/maasserver/form_field.html	2016-12-07 12:59:10 +0000
@@ -4,6 +4,7 @@
     {% ifequal field|field_type "CheckboxInput" %}
         {{ field }}
     {% endifequal %}
+    {% if field.label %}
     <label for="id_{{ field.html_name }}">
         {{ field.label }}
         {% if field.field.required %}
@@ -11,6 +12,7 @@
         {% endif %}
     </label>
     {% endif %}
+    {% endif %}
     {% ifnotequal field|field_type "CheckboxInput" %}
     {{ field }}
     {% endifnotequal %}

=== modified file 'src/maasserver/templates/maasserver/js-conf.html'
--- src/maasserver/templates/maasserver/js-conf.html	2016-09-23 18:48:54 +0000
+++ src/maasserver/templates/maasserver/js-conf.html	2016-12-07 12:59:10 +0000
@@ -39,6 +39,9 @@
     src="{% url "merge" filename="ng-tags-input.js" %}?v={{files_version}}">
 </script>
 <script type="text/javascript"
+    src="{% url "merge" filename="sticky.js" %}?v={{files_version}}">
+</script>
+<script type="text/javascript"
     src="{% url "merge" filename="maas-angular.js" %}?v={{files_version}}">
 </script>
 

=== modified file 'src/maasserver/templates/maasserver/settings.html'
--- src/maasserver/templates/maasserver/settings.html	2016-10-27 00:01:01 +0000
+++ src/maasserver/templates/maasserver/settings.html	2016-12-07 12:59:10 +0000
@@ -179,17 +179,6 @@
             <h2>Device Discovery</h2>
             <form action="{% url 'settings' %}" method="post">
                 {% csrf_token %}
-                <style>
-                /*
-                 * Special case: the Device Discovery option is the only one
-                 * that does NOT have a label before its first option. So we
-                 * must move the list item up slightly to account for the
-                 * difference.
-                 */
-                li.network_discovery-network_discovery {
-                    margin-top: -1.5em;
-                }
-                </style>
                 <ul>
                     {% for field in network_discovery_form %} {% include "maasserver/form_field.html" %} {% endfor %}
                 </ul>

=== modified file 'src/maasserver/tests/test_forms_interface_link.py'
--- src/maasserver/tests/test_forms_interface_link.py	2016-10-18 08:00:37 +0000
+++ src/maasserver/tests/test_forms_interface_link.py	2016-12-07 12:59:10 +0000
@@ -18,6 +18,7 @@
     InterfaceSetDefaultGatwayForm,
     InterfaceUnlinkForm,
 )
+from maasserver.models import Subnet
 from maasserver.testing.factory import factory
 from maasserver.testing.testcase import (
     MAASServerTestCase,
@@ -56,12 +57,13 @@
         self.assertTrue(form.is_valid(), form.errors)
 
     @transactional
-    def test__sets_subnet_queryset_to_empty_on_interface_wihtout_vlan(self):
+    def test__sets_subnet_queryset_to_all_on_interface_wihtout_vlan(self):
         interface = factory.make_Interface(INTERFACE_TYPE.PHYSICAL)
         interface.vlan = None
         interface.save()
         form = InterfaceLinkForm(instance=interface, data={})
-        self.assertItemsEqual([], form.fields["subnet"].queryset)
+        self.assertItemsEqual(
+            list(Subnet.objects.all()), list(form.fields["subnet"].queryset))
 
     @transactional
     def test__sets_subnet_queryset_to_subnets_on_interface_vlan(self):

=== modified file 'src/maasserver/views/combo.py'
--- src/maasserver/views/combo.py	2016-10-19 22:30:14 +0000
+++ src/maasserver/views/combo.py	2016-12-07 12:59:10 +0000
@@ -47,6 +47,12 @@
             "js/angular/3rdparty/ng-tags-input.js",
         ]
     },
+    "sticky.js": {
+        "content_type": "text/javascript; charset=UTF-8",
+        "files": [
+            "js/angular/3rdparty/sticky.js",
+        ]
+    },
     "maas-angular.js": {
         "content_type": "text/javascript; charset=UTF-8",
         "files": [

=== modified file 'src/provisioningserver/drivers/hardware/tests/test_virsh.py'
--- src/provisioningserver/drivers/hardware/tests/test_virsh.py	2016-05-12 19:07:37 +0000
+++ src/provisioningserver/drivers/hardware/tests/test_virsh.py	2016-12-07 12:59:10 +0000
@@ -13,9 +13,7 @@
 from lxml import etree
 from maastesting.factory import factory
 from maastesting.matchers import (
-    MockAnyCall,
     MockCalledOnceWith,
-    MockCalledWith,
     MockCallsMatch,
 )
 from maastesting.testcase import (
@@ -267,7 +265,7 @@
         # with some fake architectures.
         user = factory.make_name('user')
         system_id = factory.make_name('system_id')
-        machines = [factory.make_name('machine') for _ in range(4)]
+        machines = [factory.make_name('machine') for _ in range(5)]
         self.patch(virsh.VirshSSH, 'list').return_value = machines
         fake_arch = factory.make_name('arch')
         mock_arch = self.patch(virsh.VirshSSH, 'get_arch')
@@ -281,6 +279,7 @@
             virsh.VirshVMState.OFF,
             virsh.VirshVMState.OFF,
             virsh.VirshVMState.ON,
+            virsh.VirshVMState.ON,
             ]
         mock_state = self.patch(virsh.VirshSSH, 'get_state')
         mock_state.side_effect = fake_states
@@ -310,7 +309,7 @@
         mock_poweroff = self.patch(virsh.VirshSSH, 'poweroff')
         mock_create_node = self.patch(virsh, 'create_node')
         mock_create_node.side_effect = asynchronous(
-            lambda *args, **kwargs: system_id)
+            lambda *args, **kwargs: None if machines[4] in args else system_id)
         mock_commission_node = self.patch(virsh, 'commission_node')
 
         # Patch login and logout so that we don't really contact
@@ -324,6 +323,7 @@
             SAMPLE_DUMPXML_2,
             SAMPLE_DUMPXML_3,
             SAMPLE_DUMPXML_4,
+            SAMPLE_DUMPXML,
         ]
 
         mock_run = self.patch(virsh.VirshSSH, 'run')
@@ -339,12 +339,6 @@
         self.expectThat(
             mock_login, MockCalledOnceWith(poweraddr, fake_password))
 
-        # The first and last machine should have poweroff called on it, as it
-        # was initial in the on state.
-        self.expectThat(mock_poweroff, MockAnyCall(machines[0]))
-
-        self.expectThat(mock_poweroff, MockAnyCall(machines[3]))
-
         # Check that the create command had the correct parameters for
         # each machine.
         self.expectThat(
@@ -361,11 +355,27 @@
                 call(
                     fake_macs[3], fake_arch, 'virsh', called_params[3],
                     domain, machines[3]),
-            ))
+                call(
+                    fake_macs[4], fake_arch, 'virsh', called_params[4],
+                    domain, machines[4]),
+            ))
+
+        # The first and last machine should have poweroff called on it, as it
+        # was initial in the on state.
+        self.expectThat(
+            mock_poweroff, MockCallsMatch(
+                call(machines[0]),
+                call(machines[3]),
+            ))
+
         self.assertThat(mock_logout, MockCalledOnceWith())
         self.expectThat(
-            mock_commission_node,
-            MockCalledWith(system_id, user))
+            mock_commission_node, MockCallsMatch(
+                call(system_id, user),
+                call(system_id, user),
+                call(system_id, user),
+                call(system_id, user),
+            ))
 
     @inlineCallbacks
     def test_probe_and_enlist_login_failure(self):

=== modified file 'src/provisioningserver/drivers/hardware/virsh.py'
--- src/provisioningserver/drivers/hardware/virsh.py	2016-05-12 19:07:37 +0000
+++ src/provisioningserver/drivers/hardware/virsh.py	2016-12-07 12:59:10 +0000
@@ -282,11 +282,6 @@
         state = conn.get_state(machine)
         macs = conn.get_mac_addresses(machine)
 
-        # Force the machine off, as MAAS will control the machine
-        # and it needs to be in a known state of off.
-        if state == VirshVMState.ON:
-            conn.poweroff(machine)
-
         params = {
             'power_address': poweraddr,
             'power_id': machine,
@@ -296,8 +291,17 @@
         system_id = create_node(
             macs, arch, 'virsh', params, domain, machine).wait(30)
 
-        if system_id is not None:
-            conn.configure_pxe_boot(machine)
+        # If the system_id is None an error occured when creating the machine.
+        # Most likely the error is the node already exists.
+        if system_id is None:
+            continue
+
+        # Force the machine off, as MAAS will control the machine
+        # and it needs to be in a known state of off.
+        if state == VirshVMState.ON:
+            conn.poweroff(machine)
+
+        conn.configure_pxe_boot(machine)
 
         if accept_all:
             commission_node(system_id, user).wait(30)

=== modified file 'src/provisioningserver/drivers/power/ipmi.py'
--- src/provisioningserver/drivers/power/ipmi.py	2016-05-20 12:40:13 +0000
+++ src/provisioningserver/drivers/power/ipmi.py	2016-12-07 12:59:10 +0000
@@ -176,7 +176,14 @@
             process = Popen(command, stdout=PIPE, stderr=PIPE, env=env)
             _, stderr = process.communicate()
         stderr = stderr.decode("utf-8").strip()
-        for error, error_info in IPMI_ERRORS.items():
+        # XXX newell 2016-11-21 bug=1516065: Some IPMI hardware have timeout
+        # issues when trying to set the boot order to PXE.  We want to
+        # continue and not raise an error here.
+        ipmi_errors = {
+            key: IPMI_ERRORS[key] for key in IPMI_ERRORS
+            if IPMI_ERRORS[key]['exception'] == PowerAuthError
+        }
+        for error, error_info in ipmi_errors.items():
             if error in stderr:
                 raise error_info.get('exception')(error_info.get('message'))
         if process.returncode != 0:

=== modified file 'src/provisioningserver/drivers/power/tests/test_ipmi.py'
--- src/provisioningserver/drivers/power/tests/test_ipmi.py	2016-05-18 08:37:24 +0000
+++ src/provisioningserver/drivers/power/tests/test_ipmi.py	2016-12-07 12:59:10 +0000
@@ -21,6 +21,7 @@
 from maastesting.testcase import MAASTestCase
 from provisioningserver.drivers.power import (
     ipmi as ipmi_module,
+    PowerAuthError,
     PowerError,
 )
 from provisioningserver.drivers.power.ipmi import (
@@ -138,8 +139,12 @@
         self.assertThat(tmpfile.flush, MockCalledOnceWith())
         self.assertThat(tmpfile.__exit__, MockCalledOnceWith(None, None, None))
 
-    def test__issue_ipmi_chassis_config_command_raises_power_error(self):
-        for error, error_info in IPMI_ERRORS.items():
+    def test__issue_ipmi_chassis_config_command_raises_power_auth_error(self):
+        ipmi_errors = {
+            key: IPMI_ERRORS[key] for key in IPMI_ERRORS
+            if IPMI_ERRORS[key]['exception'] == PowerAuthError
+        }
+        for error, error_info in ipmi_errors.items():
             popen_mock = self.patch(ipmi_module, 'Popen')
             process = popen_mock.return_value
             process.communicate.return_value = (b'', error.encode('utf-8'))

=== modified file 'src/provisioningserver/kernel_opts.py'
--- src/provisioningserver/kernel_opts.py	2016-11-07 09:56:02 +0000
+++ src/provisioningserver/kernel_opts.py	2016-12-07 12:59:10 +0000
@@ -150,6 +150,8 @@
                 params.fs_host, "3260", tname),
             # Read by overlayroot package.
             "overlayroot=tmpfs",
+            # Select the MAAS datasource by default.
+            "cc:{'datasource_list': ['MAAS']}end_cc",
             # Read by cloud-init.
             "cloud-config-url=%s" % params.preseed_url,
             ]

=== modified file 'src/provisioningserver/logger/__init__.py'
--- src/provisioningserver/logger/__init__.py	2016-11-04 08:58:00 +0000
+++ src/provisioningserver/logger/__init__.py	2016-12-07 12:59:10 +0000
@@ -50,6 +50,7 @@
 
 __all__ = [
     "configure",
+    "EventLogger",
     "get_maas_logger",
     "LegacyLogger",
     "LoggingMode",
@@ -71,6 +72,7 @@
 from provisioningserver.logger._tftp import configure_tftp_logging
 from provisioningserver.logger._twisted import (
     configure_twisted_logging,
+    EventLogger,
     LegacyLogger,
     set_twisted_verbosity,
     VerbosityOptions,
@@ -146,6 +148,7 @@
     for verbosity_setter in verbosity_setters:
         verbosity_setter(verbosity)
 
+
 verbosity_setters = [
     set_standard_verbosity,
     set_twisted_verbosity,

=== modified file 'src/provisioningserver/logger/_twisted.py'
--- src/provisioningserver/logger/_twisted.py	2016-11-07 20:51:43 +0000
+++ src/provisioningserver/logger/_twisted.py	2016-12-07 12:59:10 +0000
@@ -5,6 +5,7 @@
 
 __all__ = [
     "configure_twisted_logging",
+    "EventLogger",
     "LegacyLogger",
     "VerbosityOptions",
 ]
@@ -29,7 +30,6 @@
     log as twistedLegacy,
     usage,
 )
-from twisted.python.util import untilConcludes
 
 # Map verbosity numbers to `twisted.logger` levels.
 DEFAULT_TWISTED_VERBOSITY_LEVELS = {
@@ -46,18 +46,6 @@
         "Twisted verbosity map does not match expectations.")
 
 
-# Those levels for which we should emit log events.
-_filterByLevels = frozenset()
-
-
-def _filterByLevel(event):
-    """Only log if event's level is in `_filterByLevels`."""
-    if event.get("log_level") in _filterByLevels:
-        return twistedModern.PredicateResult.maybe
-    else:
-        return twistedModern.PredicateResult.no
-
-
 @typed
 def set_twisted_verbosity(verbosity: int):
     """Reconfigure verbosity of the standard library's `logging` module."""
@@ -83,31 +71,9 @@
     """
     set_twisted_verbosity(verbosity)
 
-    # A list of markers for noise.
-    noisy = (
-        {"log_system": "-", "log_text": "Log opened."},
-        {"log_system": "-", "log_text": "Main loop terminated."},
-    )
-
-    def filterByNoise(event, noisy=noisy):
-        """Only log if event is not noisy."""
-        for noise in noisy:
-            if all(key in event and event[key] == noise[key] for key in noise):
-                return twistedModern.PredicateResult.no
-        else:
-            return twistedModern.PredicateResult.maybe
-
-    predicates = _filterByLevel, filterByNoise
-
-    # When `twistd` starts the reactor it initialises the legacy logging
-    # system. Intercept this to wrap the observer in a level filter. We can
-    # use this same approach when not running under `twistd` too.
-    def startLoggingWithObserver(observer, setStdout=1):
-        observer = twistedModern.FilteringLogObserver(observer, predicates)
-        reallyStartLoggingWithObserver(observer, setStdout)
-
-    reallyStartLoggingWithObserver = twistedLegacy.startLoggingWithObserver
-    twistedLegacy.startLoggingWithObserver = startLoggingWithObserver
+    warn_unless(hasattr(twistedLegacy, "startLoggingWithObserver"), (
+        "No startLoggingWithObserver function found; please investigate!"))
+    twistedLegacy.startLoggingWithObserver = _startLoggingWithObserver
 
     # Customise warnings behaviour. Ensure that nothing else — neither the
     # standard library's `logging` module nor Django — clobbers this later.
@@ -120,17 +86,6 @@
         twistedModern.globalLogBeginner.showwarning = warnings.showwarning
         twistedLegacy.theLogPublisher.showwarning = warnings.showwarning
 
-    # Globally override Twisted's legacy logging format.
-    warn_unless(hasattr(twistedLegacy, "FileLogObserver"), (
-        "No t.p.log.FileLogObserver attribute found; please investigate!"))
-    LegacyFileLogObserver.install()
-
-    # Install a wrapper so that log events from `t.logger` are logged with a
-    # namespace and level by the legacy logger in `t.python.log`. This needs
-    # to be injected into the `t.p.log` module in order to process events as
-    # they move from the legacy to the modern systems.
-    LegacyLogObserverWrapper.install()
-
     # Prevent `crochet` from initialising Twisted's logging.
     warn_unless(hasattr(crochet._main, "_startLoggingWithObserver"), (
         "No _startLoggingWithObserver function found; please investigate!"))
@@ -155,81 +110,77 @@
     # the original standard out stream when this process was started. This
     # bypasses any wrapping or redirection that may have been done elsewhere.
     if mode == LoggingMode.COMMAND:
-        twistedLegacy.startLogging(sys.__stdout__, setStdout=False)
-
-
-class LegacyFileLogObserver(twistedLegacy.FileLogObserver):
-    """Log legacy/mixed events to a file, formatting the MAAS way."""
-
-    timeFormat = DEFAULT_LOG_FORMAT_DATE
-    lineFormat = DEFAULT_LOG_FORMAT + "\n"
-
-    @classmethod
-    def install(cls):
-        """Install this wrapper in place of `log.FileLogObserver`."""
-        twistedLegacy.FileLogObserver = cls
-
-    def emit(self, event):
-        """Format and write out the given `event`."""
-        text = twistedLegacy.textFromEventDict(event)
-        if text is None:
-            return
-
-        system = event["system"] if "system" in event else None
-        if system is None and "log_namespace" in event:
-            system = event["log_namespace"]
-        # Logs written directly to `t.p.log.logfile` and `.logerr` get a
-        # namespace of "twisted.python.log". This is not interesting.
-        if system == twistedLegacy.__name__:
-            system = None
-
-        level = event["log_level"] if "log_level" in event else None
-        if level is None:
-            if "isError" in event and event["isError"]:
-                level = twistedModern.LogLevel.critical
-            else:
-                level = twistedModern.LogLevel.info
-
-        line = twistedLegacy._safeFormat(self.lineFormat, {
-            "asctime": self.formatTime(event["time"]),
-            "levelname": "-" if level is None else level.name,
-            "message": text.replace("\n", "\n\t"),
-            "name": "-" if system is None else system,
-        })
-
-        untilConcludes(self.write, line)
-        untilConcludes(self.flush)
-
-
-class LegacyLogObserverWrapper(twistedModern.LegacyLogObserverWrapper):
-    """Ensure that `log_system` is set in the event.
-
-    A newly populated `log_system` value is seen by `LegacyLogObserverWrapper`
-    (the superclass) and copied into the `system` key, later used when emitting
-    formatted log lines.
-    """
-
-    @classmethod
-    def install(cls):
-        """Install this wrapper in place of `log.LegacyLogObserverWrapper`.
-
-        Inject this wrapper into the `t.python.log` module then remove and
-        re-add all the legacy observers so that they're re-wrapped.
-        """
-        twistedLegacy.LegacyLogObserverWrapper = cls
-        for observer in twistedLegacy.theLogPublisher.observers:
-            twistedLegacy.theLogPublisher.removeObserver(observer)
-            twistedLegacy.theLogPublisher.addObserver(observer)
-
-    def __call__(self, event):
-        # Be defensive: `system` could be missing or could have a value of
-        # None. Same goes for `log_system` and `log_namespace`.
-        if event.get("system") is None and event.get("log_system") is None:
-            namespace = event.get("log_namespace")
-            if namespace is not None:
-                event["log_system"] = namespace
-        # Up-call, which will apply some more transformations.
-        return super().__call__(event)
+        twistedModern.globalLogBeginner.beginLoggingTo(
+            [EventLogger()], discardBuffer=False, redirectStandardIO=False)
+
+
+def EventLogger(outFile=sys.__stdout__):
+    """Factory returning a `t.logger.ILogObserver`.
+
+    This logs to the real standard out using MAAS's logging conventions.
+
+    Refer to this with `twistd`'s `--logger` argument.
+    """
+    return twistedModern.FilteringLogObserver(
+        twistedModern.FileLogObserver(outFile, _formatModernEvent),
+        (_filterByLevel, _filterByNoise))
+
+
+def _startLoggingWithObserver(observer, setStdout=1):
+    """Replacement for `t.p.log.startLoggingWithObserver`.
+
+    When `twistd` starts in 16.0 it initialises the legacy logging system.
+    Intercept this to DTRT with either a modern or legacy observer.
+
+    In Xenial (with Twisted 16.0) `observer` is probably a legacy observer,
+    like twisted.python.log.FileLogObserver, but we should check if it's
+    modern. In either case we should call through to the `globalLogBeginner`
+    ourselves. In Yakkety (with Twisted 16.4) this function will not be
+    called; `t.application.app.AppLogger` does the right thing already.
+    """
+    if not twistedModern.ILogObserver.providedBy(observer):
+        observer = twistedModern.LegacyLogObserverWrapper(observer)
+    twistedModern.globalLogBeginner.beginLoggingTo(
+        [observer], discardBuffer=False, redirectStandardIO=bool(setStdout))
+
+
+_timeFormat = DEFAULT_LOG_FORMAT_DATE
+_lineFormat = DEFAULT_LOG_FORMAT + "\n"
+
+
+def _formatModernEvent(event):
+    """Format a "modern" event according to MAAS's conventions."""
+    text = twistedModern.formatEvent(event)
+    time = event["log_time"] if "log_time" in event else None
+    level = event["log_level"] if "log_level" in event else None
+    system = event["log_system"] if "log_system" in event else None
+    if system is None and "log_namespace" in event:
+        system = _getSystemName(event["log_namespace"])
+
+    return _lineFormat % {
+        "asctime": twistedModern.formatTime(time, _timeFormat),
+        "levelname": "-" if level is None else level.name,
+        "message": "-" if text is None else text.replace("\n", "\n\t"),
+        "name": "-" if system is None else system,
+    }
+
+
+def _getSystemName(system):
+    """Return the "public" parts of `system`.
+
+    `system` is a dot-separated name, e.g. a fully-qualified module name. This
+    returns the leading parts of that name that are not pseudo-private, i.e.
+    that start with an underscore. For example "a.b._c.d" would be transformed
+    into "a.b".
+    """
+    if system is None:
+        return None
+    elif len(system) == 0:
+        return None
+    elif system.startswith("_"):
+        return None
+    else:
+        return system.split("._")[0]
 
 
 class LegacyLogger(twistedModern.Logger):
@@ -352,6 +303,33 @@
             pass  # We tried.
 
 
+# Those levels for which we should emit log events.
+_filterByLevels = frozenset()
+
+
+def _filterByLevel(event):
+    """Only log if event's level is in `_filterByLevels`."""
+    if event.get("log_level") in _filterByLevels:
+        return twistedModern.PredicateResult.maybe
+    else:
+        return twistedModern.PredicateResult.no
+
+# A list of markers for noise.
+_filterByNoises = (
+    {"log_namespace": "log_legacy", "log_text": "Log opened."},
+    {"log_namespace": "log_legacy", "log_text": "Main loop terminated."},
+)
+
+
+def _filterByNoise(event):
+    """Only log if event is not noisy."""
+    for noise in _filterByNoises:
+        if all(key in event and event[key] == noise[key] for key in noise):
+            return twistedModern.PredicateResult.no
+    else:
+        return twistedModern.PredicateResult.maybe
+
+
 _observe_twisted_internet_tcp_noise = re.compile(
     r"^(?:[(].+ Port \d+ Closed[)]|.+ starting on \d+)")
 
@@ -375,7 +353,7 @@
 
 
 _observe_twisted_internet_unix_noise = re.compile(
-    r"^(?:[(]Port \d+ Closed[)]|.+ starting on .+)")
+    r"^(?:[(]Port .+ Closed[)]|.+ starting on .+)")
 
 
 def observe_twisted_internet_unix(event):

=== modified file 'src/provisioningserver/logger/testing/__init__.py'
--- src/provisioningserver/logger/testing/__init__.py	2016-10-26 09:12:47 +0000
+++ src/provisioningserver/logger/testing/__init__.py	2016-12-07 12:59:10 +0000
@@ -4,6 +4,7 @@
 """Testing helpers for `provisioningserver.logger`."""
 
 __all__ = [
+    "find_log_lines",
     "make_event",
     "make_log_text",
     "pick_log_level",
@@ -11,20 +12,23 @@
 ]
 
 import random
+import re
 import time
 
 from maastesting.factory import factory
 from twisted.logger import LogLevel
 
 
-def make_event(log_text=None, log_level=None, log_time=None):
+def make_event(log_text=None, log_level=None, log_time=None, **other):
     """Make a minimal event dict for use with Twisted."""
-    return {
+    event = {
         "log_format": "{log_text}",
         "log_level": pick_log_level() if log_level is None else log_level,
         "log_text": make_log_text() if log_text is None else log_text,
         "log_time": pick_log_time() if log_time is None else log_time,
     }
+    event.update(other)
+    return event
 
 
 def make_log_text():
@@ -43,3 +47,20 @@
 def pick_log_time(noise=float(60 * 60)):
     """Pick a random time based on now, but with some noise."""
     return time.time() + (random.random() * noise) - (noise / 2)
+
+
+# Matches lines like: 2016-10-18 14:23:55 namespace: [level] message
+find_log_lines_re = re.compile(
+    r"^(\d{4}-\d{2}-\d{2} \d{2}:\d{2}:\d{2}) (.*?): [[](.*)[]] (.*)$",
+    re.MULTILINE)
+
+
+def find_log_lines(text):
+    """Find logs in `text` that match `find_log_lines_re`.
+
+    Checks for well-formed date/times but throws them away.
+    """
+    return [
+        (ns, level, line) for (ts, ns, level, line) in
+        find_log_lines_re.findall(text)
+    ]

=== modified file 'src/provisioningserver/logger/testing/logsomething.py'
--- src/provisioningserver/logger/testing/logsomething.py	2016-11-04 00:11:06 +0000
+++ src/provisioningserver/logger/testing/logsomething.py	2016-12-07 12:59:10 +0000
@@ -46,9 +46,12 @@
 if options.set_verbosity is not None:
     provisioningserver.logger.set_verbosity(options.set_verbosity)
 
-# Simulate what `twistd` does when passed `--logfile=-`.
+# Simulate what `twistd` does when passed `--logger=...` in Twisted 16.0. In
+# 16.4 something similar happens, but globalLogBeginner.beginLoggingTo() is
+# called without going via `twisted.python.log`.
 if options.mode == modes.TWISTD:
-    twisted.python.log.startLogging(sys.stdout)
+    emitter = provisioningserver.logger.EventLogger()
+    twisted.python.log.startLoggingWithObserver(emitter)
 
 # Twisted, new.
 twisted.logger.Logger(options.name).debug("From `twisted.logger`.")

=== modified file 'src/provisioningserver/logger/tests/test__twisted.py'
--- src/provisioningserver/logger/tests/test__twisted.py	2016-11-07 13:37:33 +0000
+++ src/provisioningserver/logger/tests/test__twisted.py	2016-12-07 12:59:10 +0000
@@ -5,31 +5,30 @@
 
 __all__ = []
 
-from functools import partial
 import io
-from unittest.mock import (
-    patch,
-    sentinel,
-)
 
 from maastesting.factory import factory
-from maastesting.matchers import DocTestMatches
 from maastesting.testcase import MAASTestCase
 from maastesting.twisted import TwistedLoggerFixture
+from provisioningserver.logger import _twisted
+from provisioningserver.logger._common import DEFAULT_LOG_FORMAT_DATE
 from provisioningserver.logger._twisted import (
-    LegacyFileLogObserver,
+    _formatModernEvent,
+    _getSystemName,
+    EventLogger,
     LegacyLogger,
-    LegacyLogObserverWrapper,
     observe_twisted_internet_tcp,
     observe_twisted_internet_udp,
     observe_twisted_internet_unix,
 )
-from provisioningserver.logger.testing import make_event
+from provisioningserver.logger.testing import (
+    find_log_lines,
+    make_event,
+    pick_log_time,
+)
 from testtools.matchers import (
     AfterPreprocessing,
-    AllMatch,
     Contains,
-    ContainsAll,
     ContainsDict,
     Equals,
     HasLength,
@@ -37,11 +36,8 @@
     IsInstance,
     MatchesAll,
     MatchesDict,
-    MatchesSetwise,
-    Not,
 )
 from twisted import logger
-from twisted.python import log
 from twisted.python.failure import Failure
 
 
@@ -50,243 +46,6 @@
         {key: Equals(value) for key, value in expected.items()})
 
 
-def setLegacyObservers(observers):
-    """Remove existing legacy log observers, add those given."""
-    for observer in log.theLogPublisher.observers:
-        log.theLogPublisher.removeObserver(observer)
-    for observer in observers:
-        log.theLogPublisher.addObserver(observer)
-
-
-class TestLegacyFileLogObserver(MAASTestCase):
-    """Scenario tests for `LegacyFileLogObserver`."""
-
-    scenarios = tuple(
-        (log_level.name, dict(log_level=log_level))
-        for log_level in logger.LogLevel.iterconstants()
-    )
-
-    def test__namespace_and_level_is_printed_in_legacy_log(self):
-        # Restore existing observers at the end. This must be careful with
-        # ordering of clean-ups, hence the use of unittest.mock.patch.object
-        # as a context manager.
-        self.addCleanup(setLegacyObservers, log.theLogPublisher.observers)
-        # The global non-legacy `LogBeginner` emits critical messages straight
-        # to stderr, so temporarily put aside its observer to avoid seeing the
-        # critical log messages we're going to generate.
-        self.patch(logger.globalLogPublisher, "_observers", [])
-
-        logbuffer = io.StringIO()
-        observer = LegacyFileLogObserver(logbuffer)
-        observer.formatTime = lambda when: "<timestamp>"
-
-        oldlog = log.msg
-        # Deliberately use the default global observer in the new logger
-        # because we want to see how it behaves in a typical environment where
-        # logs are being emitted by the legacy logging infrastructure, for
-        # example running under `twistd`.
-        newlog = partial(logger.Logger().emit, self.log_level)
-
-        with patch.object(
-                log, "LegacyLogObserverWrapper",
-                log.LegacyLogObserverWrapper):
-            setLegacyObservers([observer.emit])
-            oldlog("Message from legacy", system="legacy")
-            newlog("Message from modern", log_system="modern")
-
-        self.assertThat(
-            logbuffer.getvalue(), DocTestMatches("""\
-            <timestamp> legacy: [info] Message from legacy
-            <timestamp> modern: [%s] Message from modern
-            """ % self.log_level.name))
-
-
-class TestLegacyFileLogObserver_Other(MAASTestCase):
-    """Other tests for `LegacyFileLogObserver`."""
-
-    def test__namespace_is_not_emitted_via_logfile_logerr(self):
-        # Restore existing observers at the end. This must be careful with
-        # ordering of clean-ups, hence the use of unittest.mock.patch.object
-        # as a context manager.
-        self.addCleanup(setLegacyObservers, log.theLogPublisher.observers)
-        # The global non-legacy `LogBeginner` emits critical messages straight
-        # to stderr, so temporarily put aside its observer to avoid seeing the
-        # critical log messages we're going to generate.
-        self.patch(logger.globalLogPublisher, "_observers", [])
-
-        logbuffer = io.StringIO()
-        observer = LegacyFileLogObserver(logbuffer)
-        observer.formatTime = lambda when: "<timestamp>"
-
-        with patch.object(
-                log, "LegacyLogObserverWrapper",
-                log.LegacyLogObserverWrapper):
-            setLegacyObservers([observer.emit])
-            log.logfile.write("Via log.logfile\n")
-            log.logerr.write("Via log.logerr\n")
-
-        self.assertThat(
-            logbuffer.getvalue(), DocTestMatches("""\
-            <timestamp> -: [info] Via log.logfile
-            <timestamp> -: [error] Via log.logerr
-            """))
-
-
-class TestLegacyLogObserverWrapper(MAASTestCase):
-    """Scenario tests for `LegacyLogObserverWrapper`."""
-
-    scenarios = tuple(
-        (log_level.name, dict(log_level=log_level))
-        for log_level in logger.LogLevel.iterconstants()
-    )
-
-    def processEvent(self, event):
-        events = []
-        observer = LegacyLogObserverWrapper(events.append)
-        observer(event)
-        self.assertThat(events, HasLength(1))
-        return events[0]
-
-    def test__adds_system_to_event(self):
-        self.assertThat(
-            # This is a `twisted.logger` event, not legacy, and requires
-            # values for `log_time` and `log_level` at a minimum.
-            self.processEvent({
-                "log_time": sentinel.log_time,
-                "log_level": self.log_level,
-            }),
-            MatchesAll(
-                Not(Contains("log_system")),
-                ContainsDictByEquality({"system": "-"}),
-            ),
-        )
-
-    def test__adds_log_system_and_system_to_event_with_namespace(self):
-        log_namespace = factory.make_name("log_namespace")
-        self.assertThat(
-            self.processEvent({
-                "log_time": sentinel.log_time,
-                "log_level": self.log_level,
-                "log_namespace": log_namespace,
-            }),
-            ContainsDictByEquality({
-                "log_system": log_namespace,
-                "system": log_namespace,
-            }),
-        )
-
-    def test__adds_system_to_legacy_event(self):
-        self.assertThat(
-            # This is a `twisted.python.log` event, i.e. legacy, and requires
-            # values for `time` and `isError` at a minimum.
-            self.processEvent({
-                "time": sentinel.time,
-                "isError": factory.pick_bool(),
-            }),
-            MatchesAll(
-                Not(Contains("log_system")),
-                ContainsDictByEquality({"system": "-"}),
-            ),
-        )
-
-    def test__preserves_log_system_in_event(self):
-        log_system = factory.make_name("log_system")
-        self.assertThat(
-            self.processEvent({
-                "log_time": sentinel.time,
-                "log_level": self.log_level,
-                "log_system": log_system,
-            }),
-            # `log_system` is not modified; `system` is set to match.
-            ContainsDictByEquality({
-                "log_system": log_system,
-                "system": log_system,
-            }),
-        )
-
-    def test__preserves_system_in_legacy_event(self):
-        system = factory.make_name("system")
-        self.assertThat(
-            self.processEvent({
-                "time": sentinel.time,
-                "isError": factory.pick_bool(),
-                "system": system,
-            }),
-            MatchesAll(
-                # `log_system` is not added when `system` already exists.
-                Not(Contains("log_system")),
-                ContainsDictByEquality({
-                    "system": system,
-                }),
-            ),
-        )
-
-
-class TestLegacyLogObserverWrapper_Installation(MAASTestCase):
-    """Tests for `LegacyLogObserverWrapper`."""
-
-    def setUp(self):
-        super().setUp()
-        # Restore existing observers at the end. Tests must be careful with
-        # ordering of clean-ups, hence the use of unittest.mock.patch.object
-        # as a context manager in the tests themselves.
-        self.addCleanup(setLegacyObservers, log.theLogPublisher.observers)
-
-    def test__installs_wrapper_to_log_module(self):
-        with patch.object(log, "LegacyLogObserverWrapper", sentinel.unchanged):
-            self.assertThat(
-                log.LegacyLogObserverWrapper,
-                Is(sentinel.unchanged))
-            LegacyLogObserverWrapper.install()
-            self.assertThat(
-                log.LegacyLogObserverWrapper,
-                Is(LegacyLogObserverWrapper))
-
-    def test__rewraps_existing_observers(self):
-
-        class OldWrapper:
-
-            def __init__(self, observer):
-                self.legacyObserver = observer
-
-            def __call__(self, event):
-                return self.legacyObserver(event)
-
-        with patch.object(log, "LegacyLogObserverWrapper", OldWrapper):
-
-            observers = (lambda event: event), (lambda event: event)
-            setLegacyObservers(observers)
-
-            # Our legacy observers are all registered.
-            self.assertThat(
-                log.theLogPublisher.observers,
-                MatchesSetwise(*map(Is, observers)))
-            # Behind the scenes they're all wrapped with OldWrapper.
-            self.assertThat(
-                log.theLogPublisher._legacyObservers,
-                AllMatch(IsInstance(OldWrapper)))
-            # They're registered with the new global log publisher too.
-            self.assertThat(
-                logger.globalLogPublisher._observers,
-                ContainsAll(log.theLogPublisher._legacyObservers))
-
-            # Install!
-            LegacyLogObserverWrapper.install()
-
-            # Our legacy observers are all still registered.
-            self.assertThat(
-                log.theLogPublisher.observers,
-                MatchesSetwise(*map(Is, observers)))
-            # Behind the scenes they're now all wrapped with our wrapper.
-            self.assertThat(
-                log.theLogPublisher._legacyObservers,
-                AllMatch(IsInstance(LegacyLogObserverWrapper)))
-            # They're registered with the new global log publisher too.
-            self.assertThat(
-                logger.globalLogPublisher._observers,
-                ContainsAll(log.theLogPublisher._legacyObservers))
-
-
 def formatTimeStatic(when):
     """Just return <when>."""
     return "<when>"
@@ -443,7 +202,7 @@
     """Tests for `observe_twisted_internet_unix`."""
 
     def test__ignores_port_closed_events(self):
-        event = make_event("(Port %d Closed)" % factory.pick_port())
+        event = make_event("(Port %r Closed)" % factory.make_name("port"))
         with TwistedLoggerFixture() as logger:
             observe_twisted_internet_unix(event)
         self.assertThat(logger.events, HasLength(0))
@@ -460,3 +219,193 @@
         with TwistedLoggerFixture() as logger:
             observe_twisted_internet_unix(event)
         self.assertThat(logger.events, Contains(event))
+
+
+class TestGetSystemName(MAASTestCase):
+    """Tests for `_getSystemName`."""
+
+    expectations = {
+        "foo.bar.baz": "foo.bar.baz",
+        "f_o.bar.baz": "f_o.bar.baz",
+        "foo.b_r.baz": "foo.b_r.baz",
+        "foo.bar.b_z": "foo.bar.b_z",
+        "foo.bar._az": "foo.bar",
+        "foo._ar.baz": "foo",
+        "foo._ar._az": "foo",
+        "_oo.bar.baz": None,
+        "_": None,
+        "": None,
+        None: None,
+    }
+
+    scenarios = tuple(
+        ("%s => %s" % (
+            string_in or repr(string_in),
+            string_out or repr(string_out)),
+         {"string_in": string_in, "string_out": string_out})
+        for string_in, string_out in expectations.items()
+    )
+
+    def test(self):
+        self.assertThat(
+            _getSystemName(self.string_in),
+            Equals(self.string_out))
+
+
+class TestFormatModernEvent(MAASTestCase):
+    """Tests for `_formatModernEvent`."""
+
+    scenarios = tuple(
+        (level.name, {"log_level": level})
+        for level in logger.LogLevel.iterconstants()
+    )
+
+    def test_format_basics(self):
+        thing1 = factory.make_name("thing")
+        thing2 = factory.make_name("thing")
+        log_system = factory.make_name("system")
+        log_format = ">{thing1}< >{thing2}<"
+        log_time = pick_log_time()
+        self.assertThat(
+            _formatModernEvent({
+                "log_time": log_time,
+                "log_format": log_format,
+                "log_system": log_system,
+                "log_level": self.log_level,
+                "thing1": thing1,
+                "thing2": thing2,
+            }),
+            Equals(
+                "%s %s: [%s] >%s< >%s<\n" % (
+                    logger.formatTime(log_time, DEFAULT_LOG_FORMAT_DATE),
+                    log_system, self.log_level.name, thing1, thing2),
+            ),
+        )
+
+    def test_formats_without_format(self):
+        self.assertThat(
+            _formatModernEvent({
+                "log_level": self.log_level,
+            }),
+            Equals("- -: [%s] \n" % self.log_level.name),
+        )
+
+    def test_formats_with_null_format(self):
+        self.assertThat(
+            _formatModernEvent({
+                "log_format": None,
+                "log_level": self.log_level,
+            }),
+            Equals("- -: [%s] \n" % self.log_level.name),
+        )
+
+    def test_formats_without_time(self):
+        self.assertThat(
+            _formatModernEvent({
+                "log_level": self.log_level,
+            }),
+            Equals("- -: [%s] \n" % self.log_level.name),
+        )
+
+    def test_formats_with_null_time(self):
+        self.assertThat(
+            _formatModernEvent({
+                "log_time": None,
+                "log_level": self.log_level,
+            }),
+            Equals("- -: [%s] \n" % self.log_level.name),
+        )
+
+    def test_uses_namespace_if_system_missing(self):
+        log_namespace = factory.make_name("namespace")
+        self.assertThat(
+            _formatModernEvent({
+                "log_level": self.log_level,
+                "log_namespace": log_namespace,
+            }),
+            Equals(
+                "- %s: [%s] \n" % (
+                    log_namespace, self.log_level.name),
+            ),
+        )
+
+    def test_uses_namespace_if_system_null(self):
+        log_namespace = factory.make_name("namespace")
+        self.assertThat(
+            _formatModernEvent({
+                "log_level": self.log_level,
+                "log_namespace": log_namespace,
+                "log_system": None,
+            }),
+            Equals(
+                "- %s: [%s] \n" % (
+                    log_namespace, self.log_level.name),
+            ),
+        )
+
+
+class TestEventLogger(MAASTestCase):
+    """Tests for `EventLogger`."""
+
+    scenarios = tuple(
+        (level.name, {"log_level": level})
+        for level in logger.LogLevel.iterconstants()
+    )
+
+    def setUp(self):
+        super(TestEventLogger, self).setUp()
+        self.output = io.StringIO()
+        self.log = EventLogger(self.output)
+        self.get_logs = lambda: find_log_lines(self.output.getvalue())
+
+    def setLogLevel(self, log_level):
+        """Set the level at which events will be logged.
+
+        This is not a minimum level, it is an absolute level.
+        """
+        self.patch(_twisted, "_filterByLevels", {self.log_level})
+
+    def test_basics(self):
+        self.setLogLevel(self.log_level)
+        event = make_event(log_level=self.log_level)
+        event["log_system"] = factory.make_name("system")
+        self.log(event)
+        self.assertSequenceEqual(
+            [(event["log_system"], self.log_level.name, event["log_text"])],
+            self.get_logs(),
+        )
+
+    def test_filters_by_level(self):
+        self.setLogLevel(self.log_level)
+        events = {
+            log_level: make_event(log_level=log_level)
+            for log_level in logger.LogLevel.iterconstants()
+        }
+        for event in events.values():
+            self.log(event)
+        # Only the log at the current level will get through.
+        self.assertSequenceEqual(
+            [("-", self.log_level.name, events[self.log_level]["log_text"])],
+            self.get_logs(),
+        )
+
+    def test_filters_by_noise(self):
+        self.setLogLevel(self.log_level)
+        common = dict(log_namespace="log_legacy", log_system="-")
+        noisy = [
+            make_event("Log opened.", **common),
+            make_event("Main loop terminated.", **common),
+        ]
+        for event in noisy:
+            self.log(event)
+        okay = [
+            make_event(log_level=self.log_level, **common),
+        ]
+        for event in okay:
+            self.log(event)
+        # Only the `okay` logs will get through.
+        expected = [
+            ("-", self.log_level.name, event["log_text"])
+            for event in okay
+        ]
+        self.assertSequenceEqual(expected, self.get_logs())

=== modified file 'src/provisioningserver/logger/tests/test_logger.py'
--- src/provisioningserver/logger/tests/test_logger.py	2016-11-07 13:37:33 +0000
+++ src/provisioningserver/logger/tests/test_logger.py	2016-12-07 12:59:10 +0000
@@ -6,7 +6,6 @@
 __all__ = []
 
 import pathlib
-import re
 import subprocess
 import sys
 
@@ -14,6 +13,7 @@
 from maastesting.matchers import DocTestMatches
 from maastesting.testcase import MAASTestCase
 from provisioningserver.logger import LoggingMode
+from provisioningserver.logger.testing import find_log_lines
 from provisioningserver.utils import typed
 from provisioningserver.utils.shell import select_c_utf8_locale
 from testtools.content import text_content
@@ -40,23 +40,6 @@
     return output.decode("utf-8")
 
 
-# Matches lines like: 2016-10-18 14:23:55 [namespace#level] message
-find_log_lines_re = re.compile(
-    r"^(\d{4}-\d{2}-\d{2} \d{2}:\d{2}:\d{2}) (.*?): [[](.*)[]] (.*)$",
-    re.MULTILINE)
-
-
-def find_log_lines(text):
-    """Find logs in `text` that match `find_log_lines_re`.
-
-    Checks for well-formed date/times but throws them away.
-    """
-    return [
-        (ns, level, line) for (ts, ns, level, line) in
-        find_log_lines_re.findall(text)
-    ]
-
-
 class TestLogging(MAASTestCase):
     """Test logging in MAAS as configured by `p.logger.configure`.
 
@@ -115,7 +98,7 @@
             ('maas.' + name, 'error', 'From `get_maas_logger`.'),
             ('stdout', 'info', 'Printing to stdout.'),
             ('stderr', 'error', 'Printing to stderr.'),
-            ('__main__', 'warn', 'UserWarning: This is a warning!'),
+            ('-', 'warn', 'UserWarning: This is a warning!'),
         ]
         self.assertSequenceEqual(expected, observed)
 
@@ -143,7 +126,7 @@
             ('maas.' + name, 'error', 'From `get_maas_logger`.'),
             ('stdout', 'info', 'Printing to stdout.'),
             ('stderr', 'error', 'Printing to stderr.'),
-            ('__main__', 'warn', 'UserWarning: This is a warning!'),
+            ('-', 'warn', 'UserWarning: This is a warning!'),
         ]
         self.assertSequenceEqual(expected, observed)
 
@@ -163,7 +146,7 @@
             ('maas.' + name, 'warn', 'From `get_maas_logger`.'),
             ('maas.' + name, 'error', 'From `get_maas_logger`.'),
             ('stderr', 'error', 'Printing to stderr.'),
-            ('__main__', 'warn', 'UserWarning: This is a warning!'),
+            ('-', 'warn', 'UserWarning: This is a warning!'),
         ]
         self.assertSequenceEqual(expected, observed)
 

=== modified file 'src/provisioningserver/tests/test_kernel_opts.py'
--- src/provisioningserver/tests/test_kernel_opts.py	2016-10-28 15:36:39 +0000
+++ src/provisioningserver/tests/test_kernel_opts.py	2016-12-07 12:59:10 +0000
@@ -214,6 +214,18 @@
                 "ip=off",
                 "ip6=dhcp"]))
 
+    def test_xinstall_compose_kernel_command_line_inc_cc_datasource(self):
+        # The result of compose_kernel_command_line includes the cloud-init
+        # options for the datasource and cloud-config-url
+        params = self.make_kernel_parameters(
+            purpose="xinstall", fs_host=factory.make_ipv4_address())
+        cmdline = compose_kernel_command_line(params)
+        self.assertThat(
+            cmdline,
+            ContainsAll([
+                "cc:{'datasource_list': ['MAAS']}end_cc",
+                "cloud-config-url=%s" % params.preseed_url]))
+
     def test_commissioning_compose_kernel_command_line_inc_purpose_opts4(self):
         # The result of compose_kernel_command_line includes the purpose
         # options for a non "commissioning" node.
@@ -244,6 +256,18 @@
                 "ip=off",
                 "ip6=dhcp"]))
 
+    def test_commissioning_compose_kernel_command_line_inc_cc_datasource(self):
+        # The result of compose_kernel_command_line includes the cloud-init
+        # options for the datasource and cloud-config-url
+        params = self.make_kernel_parameters(
+            purpose="commissioning", fs_host=factory.make_ipv4_address())
+        cmdline = compose_kernel_command_line(params)
+        self.assertThat(
+            cmdline,
+            ContainsAll([
+                "cc:{'datasource_list': ['MAAS']}end_cc",
+                "cloud-config-url=%s" % params.preseed_url]))
+
     def test_enlist_compose_kernel_command_line_inc_purpose_opts4(self):
         # The result of compose_kernel_command_line includes the purpose
         # options for a non "commissioning" node.
@@ -274,6 +298,18 @@
                 "ip=off",
                 "ip6=dhcp"]))
 
+    def test_enlist_compose_kernel_command_line_inc_cc_datasource(self):
+        # The result of compose_kernel_command_line includes the cloud-init
+        # options for the datasource and cloud-config-url
+        params = self.make_kernel_parameters(
+            purpose="enlist", fs_host=factory.make_ipv4_address())
+        cmdline = compose_kernel_command_line(params)
+        self.assertThat(
+            cmdline,
+            ContainsAll([
+                "cc:{'datasource_list': ['MAAS']}end_cc",
+                "cloud-config-url=%s" % params.preseed_url]))
+
     def test_commissioning_compose_kernel_command_line_inc_extra_opts(self):
         mock_get_curtin_sep = self.patch(
             kernel_opts, 'get_curtin_kernel_cmdline_sep')

=== modified file 'versions.cfg'
--- versions.cfg	2016-10-12 15:26:17 +0000
+++ versions.cfg	2016-12-07 12:59:10 +0000
@@ -1,10 +1,11 @@
 [versions]
 
 # Documentation.
+collective.recipe.sphinxbuilder = 0.8.2
 Pygments = 2.0.2
+snowballstemmer = 1.2.1
 Sphinx = 1.3.5
-collective.recipe.sphinxbuilder = 0.8.2
-snowballstemmer = 1.2.1
+sphinx-rtd-theme = 0.1.9
 
 # Development and testing.
 argparse = 1.1

